//--------------------------------------------------------------------------
//Selected Voice Path
addTDXCGroup( "Hardcase Voice" );
	//--------------------------------------------------------------------------
	// ATTACK
	addTDXCSound( "Hardcase:ATTACK-------------", "-");
	addTDXCSound( "Hardcase:Attack!", "voice/Male4/att.attack");
	addTDXCSound( "Hardcase:Attack the enemy base!", "voice/Male4/att.base");
	addTDXCSound( "Hardcase:Recover our flag!", "voice/Male4/att.chase");
	addTDXCSound( "Hardcase:Disrupt the enemy defense!", "voice/Male4/att.distract");
	addTDXCSound( "Hardcase:Get the enemy flag!", "voice/Male4/att.flag");
	addTDXCSound( "Hardcase:Destroy the enemy generator!", "voice/Male4/att.generator");
	addTDXCSound( "Hardcase:Attack the objective!", "voice/Male4/att.objective");
	addTDXCSound( "Hardcase:Reinforce the offense!", "voice/Male4/att.reinforcements");
	addTDXCSound( "Hardcase:Destroy enemy sensors!", "voice/Male4/att.sensors");
	addTDXCSound( "Hardcase:Destroy enemy turrets!", "voice/Male4/att.turrets");
	addTDXCSound( "Hardcase:Wait for my signal before attacking!", "voice/Male4/att.wait");
	addTDXCSound( "Hardcase:Destroy the enemy vehicle!", "voice/Male4/att.vehicle");

	//--------------------------------------------------------------------------
	// BASE
	addTDXCSound( "Hardcase:BASE---------------", "-" );
	addTDXCSound( "Hardcase:Our base is taken.", "voice/Male4/bas.taken" );
	addTDXCSound( "Hardcase:The enemy's in our base.", "voice/Male4/bas.enemy");
	addTDXCSound( "Hardcase:Our base is clear.", "voice/Male4/bas.clear");
	addTDXCSound( "Hardcase:Retake our base!", "voice/Male4/bas.retake");
	addTDXCSound( "Hardcase:Our base is secure.", "voice/Male4/bas.secure");

	//--------------------------------------------------------------------------
	// DEFENSE
	addTDXCSound( "Hardcase:DEFENSE------------", "-" );
	addTDXCSound( "Hardcase:Defend our base!", "voice/Male4/def.base");
	addTDXCSound( "Hardcase:Cover our flag carrier!", "voice/Male4/def.carrier");
	addTDXCSound( "Hardcase:Defend the entrances!", "voice/Male4/def.entrances");
	addTDXCSound( "Hardcase:Defend our flag!", "voice/Male4/def.flag");
	addTDXCSound( "Hardcase:Protect the generator!", "voice/Male4/def.generator");
	addTDXCSound( "Hardcase:Cover me!", "voice/Male4/def.me");
	addTDXCSound( "Hardcase:Defend the objective!", "voice/Male4/def.objective");
	addTDXCSound( "Hardcase:Reinforce our defense!", "voice/Male4/def.reinforce");
	addTDXCSound( "Hardcase:Defend our sensors!", "voice/Male4/def.sensors");
	addTDXCSound( "Hardcase:Defend our turrets!", "voice/Male4/def.turrets");
	addTDXCSound( "Hardcase:Defend our vehicle!", "voice/Male4/def.vehicle");
	addTDXCSound( "Hardcase:Defend the nexus!", "voice/Male4/def.nexus");

	//--------------------------------------------------------------------------
	// COMMAND RESPONSE
	addTDXCSound( "Hardcase:COMMAND RESPONSE---", "-" );
	addTDXCSound( "Hardcase:Command acknowledged.", "voice/Male4/cmd.acknowledge");
	addTDXCSound( "Hardcase:Command Acknowledged.", "voice/Male4/cmd.acknowledge");
	addTDXCSound( "Hardcase:What's your assignment?", "voice/Male4/cmd.bot");
	addTDXCSound( "Hardcase:Command completed.", "voice/Male4/cmd.completed");
	addTDXCSound( "Hardcase:Command declined.", "voice/Male4/cmd.decline");

	//--------------------------------------------------------------------------
	// ENEMY STATUS
	addTDXCSound( "Hardcase:ENEMY STATUS-------", "-" );
	addTDXCSound( "Hardcase:Enemy base is disabled.", "voice/Male4/ene.base");
	addTDXCSound( "Hardcase:The enemy is disrupted. Attack!", "voice/Male4/ene.disarray");
	addTDXCSound( "Hardcase:Enemy generator destroyed.", "voice/Male4/ene.generator");
	addTDXCSound( "Hardcase:Enemy remote equipment destroyed.", "voice/Male4/ene.remotes");
	addTDXCSound( "Hardcase:Enemy sensors destroyed.", "voice/Male4/ene.sensors");
	addTDXCSound( "Hardcase:Enemy turrets destroyed.", "voice/Male4/ene.turrets");
	addTDXCSound( "Hardcase:Enemy vehicle station destroyed.", "voice/Male4/ene.vehicle");

	//--------------------------------------------------------------------------
	// FLAG
	addTDXCSound( "Hardcase:FLAG---------------", "-" );
	addTDXCSound( "Hardcase:I have the enemy flag!", "voice/Male4/flg.flag");
	addTDXCSound( "Hardcase:Give me the flag!", "voice/Male4/flg.give");
	addTDXCSound( "Hardcase:Retrieve our flag!", "voice/Male4/flg.retrieve");
	addTDXCSound( "Hardcase:Our flag is secure.", "voice/Male4/flg.secure");
	addTDXCSound( "Hardcase:Take the flag from me!", "voice/Male4/flg.take");
	addTDXCSound( "Hardcase:Give your flags to me!", "voice/Male4/flg.huntergive");
	addTDXCSound( "Hardcase:Take my flags!", "voice/Male4/flg.huntertake");

	//--------------------------------------------------------------------------
	// GLOBAL COMPLIMENTS
	addTDXCSound( "Hardcase:COMPLIMENTS--------", "-" );
	addTDXCSound( "Hardcase:Awesome!", "voice/Male4/gbl.awesome" );
	addTDXCSound( "Hardcase:Good game!", "voice/Male4/gbl.goodgame");
	addTDXCSound( "Hardcase:Nice move!", "voice/Male4/gbl.nice");
	addTDXCSound( "Hardcase:You rock!", "voice/Male4/gbl.rock");
	addTDXCSound( "Hardcase:Great shot!", "voice/Male4/gbl.shooting");

	//--------------------------------------------------------------------------
	// GLOBAL
	addTDXCSound( "Hardcase:GLOBAL-------------", "-" );
	addTDXCSound( "Hardcase:Hi.", "voice/Male4/gbl.hi");
	addTDXCSound( "Hardcase:Bye.", "voice/Male4/gbl.bye");
	addTDXCSound( "Hardcase:Yes. (Global)", "voice/Male4/gbl.yes");
	addTDXCSound( "Hardcase:No. (Global)", "voice/Male4/gbl.no");
	addTDXCSound( "Hardcase:Any time. (Global)", "voice/Male4/gbl.anytime");
	addTDXCSound( "Hardcase:I don't know. (Global)", "voice/Male4/gbl.dunno");
	addTDXCSound( "Hardcase:Oops!", "voice/Male4/gbl.oops");
	addTDXCSound( "Hardcase:Quiet!", "voice/Male4/gbl.quiet");
	addTDXCSound( "Hardcase:Shazbot!", "voice/Male4/gbl.shazbot");
	addTDXCSound( "Hardcase:Woohoo!", "voice/Male4/gbl.woohoo");
	addTDXCSound( "Hardcase:Thanks. (Global)", "voice/Male4/gbl.thanks");
	addTDXCSound( "Hardcase:Wait a sec. (Global)", "voice/Male4/gbl.wait");

	//--------------------------------------------------------------------------
	// TRASH TALK
	addTDXCSound( "Hardcase:TAUNTS-------------", "-" );
	addTDXCSound( "Hardcase:Aww, that's too bad!", "voice/Male4/gbl.aww");
	addTDXCSound( "Hardcase:I am the greatest!", "voice/Male4/gbl.brag");
	addTDXCSound( "Hardcase:That's the best you can do?", "voice/Male4/gbl.obnoxious");
	addTDXCSound( "Hardcase:THAT was graceful!", "voice/Male4/gbl.sarcasm");
	addTDXCSound( "Hardcase:When ya gonna learn?", "voice/Male4/gbl.when");

	//--------------------------------------------------------------------------
	// NEED
	addTDXCSound( "Hardcase:NEED---------------", "-" );
	addTDXCSound( "Hardcase:Need a bombardier.", "voice/Male4/need.bombardier");
	addTDXCSound( "Hardcase:Need covering fire.", "voice/Male4/need.cover");
	addTDXCSound( "Hardcase:Need driver for ground vehicle.", "voice/Male4/need.driver");
	addTDXCSound( "Hardcase:Vehicle needs escort.", "voice/Male4/need.escort");
	addTDXCSound( "Hardcase:Need pilot for turbograv.", "voice/Male4/need.flyer");
	addTDXCSound( "Hardcase:Gunship ready! Need a ride?", "voice/Male4/need.gunship");
	addTDXCSound( "Hardcase:Hold that vehicle! I'm coming!", "voice/Male4/need.hold");
	addTDXCSound( "Hardcase:I need a ride!", "voice/Male4/need.ride");
	addTDXCSound( "Hardcase:Need vehicle support!", "voice/Male4/need.support");
	addTDXCSound( "Hardcase:Need a tailgunner.", "voice/Male4/need.tailgunner");
	addTDXCSound( "Hardcase:Where to?", "voice/Male4/need.where");

	//--------------------------------------------------------------------------
	// REPAIR
	addTDXCSound( "Hardcase:REPAIR-------------", "-" );
	addTDXCSound( "Hardcase:Repair our base!", "voice/Male4/rep.base");
	addTDXCSound( "Hardcase:Repair our generator!", "voice/Male4/rep.generator");
	addTDXCSound( "Hardcase:Repair me!", "voice/Male4/rep.me");
	addTDXCSound( "Hardcase:Repair our sensors!", "voice/Male4/rep.sensors");
	addTDXCSound( "Hardcase:Repair our turrets!", "voice/Male4/rep.turrets");
	addTDXCSound( "Hardcase:Repair our vehicle station!", "voice/Male4/rep.vehicle");

	//--------------------------------------------------------------------------
	// SELF ATTACK
	addTDXCSound( "Hardcase:SELF-ATTACK--------", "-" );
	addTDXCSound( "Hardcase:I will attack.", "voice/Male4/slf.att.attack");
	addTDXCSound( "Hardcase:I'll attack the enemy base.", "voice/Male4/slf.att.base");
	addTDXCSound( "Hardcase:I'll go for the enemy flag.", "voice/Male4/slf.att.flag" );
	addTDXCSound( "Hardcase:I'll attack the enemy generator.", "voice/Male4/slf.att.generator");
	addTDXCSound( "Hardcase:I'll attack the enemy sensors.", "voice/Male4/slf.att.sensors");
	addTDXCSound( "Hardcase:I'll attack the enemy turrets.", "voice/Male4/slf.att.turrets");
	addTDXCSound( "Hardcase:I'll attack the enemy vehicle station.", "voice/Male4/slf.att.vehicle" );

	//--------------------------------------------------------------------------
	// SELF DEFEND
	addTDXCSound( "Hardcase:SELF-DEFEND--------", "-" );
	addTDXCSound( "Hardcase:I'll defend our base.", "voice/Male4/slf.def.base");
	addTDXCSound( "Hardcase:I'm defending.", "voice/Male4/slf.def.defend");
	addTDXCSound( "Hardcase:I'll defend our flag.", "voice/Male4/slf.def.flag");
	addTDXCSound( "Hardcase:I'll defend our generator.", "voice/Male4/slf.def.generator" );
	addTDXCSound( "Hardcase:I'll defend the nexus.", "voice/Male4/slf.def.nexus");
	addTDXCSound( "Hardcase:I'll defend our sensors.", "voice/Male4/slf.def.sensors");
	addTDXCSound( "Hardcase:I'll defend our turrets.", "voice/Male4/slf.def.turrets");
	addTDXCSound( "Hardcase:I'll defend our vehicle bay.", "voice/Male4/slf.def.vehicle");

	//--------------------------------------------------------------------------
	// SELF REPAIR
	addTDXCSound( "Hardcase:SELF-REPAIR--------", "-" );
	addTDXCSound( "Hardcase:I'll repair our base.", "voice/Male4/slf.rep.base" );
	addTDXCSound( "Hardcase:I'll repair our equipment.", "voice/Male4/slf.rep.equipment");
	addTDXCSound( "Hardcase:I'll repair our generator.", "voice/Male4/slf.rep.generator");
	addTDXCSound( "Hardcase:I'm on repairs.", "voice/Male4/slf.rep.repairing");
	addTDXCSound( "Hardcase:I'll repair our sensors.", "voice/Male4/slf.rep.sensors");
	addTDXCSound( "Hardcase:I'll repair our turrets.", "voice/Male4/slf.rep.turrets");
	addTDXCSound( "Hardcase:I'll repair our vehicle station.", "voice/Male4/slf.rep.vehicle");

	//--------------------------------------------------------------------------
	// SELF TASK
	addTDXCSound( "Hardcase:SELF-TASK----------", "-" );
	addTDXCSound( "Hardcase:I'll cover you.", "voice/Male4/slf.tsk.cover");
	addTDXCSound( "Hardcase:I'll set up defenses.", "voice/Male4/slf.tsk.defense");
	addTDXCSound( "Hardcase:I'm on it.", "voice/Male4/slf.tsk.generic");
	addTDXCSound( "Hardcase:I'll deploy remote equipment.", "voice/Male4/slf.tsk.remotes");
	addTDXCSound( "Hardcase:I'll deploy sensors.", "voice/Male4/slf.tsk.sensors");
	addTDXCSound( "Hardcase:I'll deploy turrets.", "voice/Male4/slf.tsk.turrets" );
	addTDXCSound( "Hardcase:I'll get a vehicle ready.", "voice/Male4/slf.tsk.vehicle");

	//--------------------------------------------------------------------------
	// TARGET
	addTDXCSound( "Hardcase:TARGET-------------", "-" );
	addTDXCSound( "Hardcase:Target acquired.", "voice/Male4/tgt.acquired");
	addTDXCSound( "Hardcase:Target the enemy base! I'm in position.", "voice/Male4/tgt.base");
	addTDXCSound( "Hardcase:Target destroyed!", "voice/Male4/tgt.destroyed");
	addTDXCSound( "Hardcase:Target their flag! I'm in position.", "voice/Male4/tgt.flag");
	addTDXCSound( "Hardcase:Fire on my target!", "voice/Male4/tgt.my");
	addTDXCSound( "Hardcase:Need a target painted!", "voice/Male4/tgt.need");
	addTDXCSound( "Hardcase:Target their sensors! I'm in position.", "voice/Male4/tgt.sensors");
	addTDXCSound( "Hardcase:Target their turret! I'm in position.", "voice/Male4/tgt.turret");
	addTDXCSound( "Hardcase:Wait! I'll be in range soon.", "voice/Male4/tgt.wait");

	//--------------------------------------------------------------------------
	// WARNING
	addTDXCSound( "Hardcase:WARNING------------", "-" );
	addTDXCSound( "Hardcase:Incoming bomber!", "voice/Male4/wrn.bomber");
	addTDXCSound( "Hardcase:Incoming hostiles!", "voice/Male4/wrn.enemy");
	addTDXCSound( "Hardcase:Incoming vehicles!", "voice/Male4/wrn.vehicles");
	addTDXCSound( "Hardcase:Watch where you're shooting!", "voice/Male4/wrn.watchit");

	//--------------------------------------------------------------------------
	// VERY QUICK
	addTDXCSound( "Hardcase:VERY-QUICK---------", "-" );
	addTDXCSound( "Hardcase:Any time. (Quick)", "voice/Male4/vqk.anytime" );
	addTDXCSound( "Hardcase:Is our base secure?", "voice/Male4/vqk.base");
	addTDXCSound( "Hardcase:Cease fire!", "voice/Male4/vqk.ceasefire");
	addTDXCSound( "Hardcase:I don't know. (Quick)", "voice/Male4/vqk.dunno");
	addTDXCSound( "Hardcase:HELP!", "voice/Male4/vqk.help");
	addTDXCSound( "Hardcase:Move, please!", "voice/Male4/vqk.move");
	addTDXCSound( "Hardcase:No. (Quick)", "voice/Male4/vqk.no");
	addTDXCSound( "Hardcase:Sorry.", "voice/Male4/vqk.sorry");
	addTDXCSound( "Hardcase:Thanks. (Quick)", "voice/Male4/vqk.thanks");
	addTDXCSound( "Hardcase:Wait, please. (Quick)", "voice/Male4/vqk.wait");
	addTDXCSound( "Hardcase:Yes. (Quick)", "voice/Male4/vqk.yes");

	//-------------------------------------------------------------------------
	// HIDDEN SOUNDS
	addTDXCSound( "Hardcase:HIDDEN-------------", "-" );
	addTDXCSound( "Hardcase:Special Quiet (SHUT UP)", "voice/Male4/vqk.quiet" );
	addTDXCSound( "Hardcase:Death Cry 1", "voice/Male4/avo.deathcry_01" );
	addTDXCSound( "Hardcase:Death Cry 2", "voice/Male4/avo.deathcry_02" );
	addTDXCSound( "Hardcase:Grunt", "voice/Male4/avo.grunt" );
	addTDXCSound( "Hardcase:In Pain", "voice/Male4/avo.pain" );