//----------------------------------------------------------------------------\\
//                                                                            \\
//             TracerDX's Enhanced Chat - Menu Definition File                \\
//                                                                            \\
//                Written by TracerDX (tracer@synadyne.net)                   \\
//                         http://www.synadyne.net                            \\
//                                                                            \\
//----------------------------------------------------------------------------\\
 
startTDXCMenu( "G: Global" );
    startTDXCMenu( "A: Animation" );
        addTDXC( "A: Move!", "~Animation: Move!" );
        addTDXC( "G: I'm the Greatest", "~Animation: I am the greatest!" );
        addTDXC( "D: Woohoo!", "~Animation: Woohoo!" );
        addTDXC( "S: I'm on it,", "~Animation: I'm on it!" );
        addTDXC( "W: Hi.", "~Animation: Hi." );
        addTDXC( "Z: Take that.", "~Animation: That's the best you can do?" );
        addTDXC( "X: Too bad", "~Animation: Awww, that's too bad!" );
        addTDXC( "C: Awesome!", "~Animation: Awesome!" );
    endTDXCMenu(); // Animation
 
    startTDXCMenu( "C: Compliment" );
        addTDXC( "A: Awesome!", "Awesome!~wgbl.awesome" );
        addTDXC( "G: Good game.", "Good game!~wgbl.goodgame" );
        addTDXC( "N: Nice move!", "Nice move!~wgbl.nice" );
        addTDXC( "R: You rock!", "You rock!~wgbl.rock" );
        addTDXC( "S: Great shot!", "Great shot!~wgbl.shooting" );
    endTDXCMenu(); // Compliment
 
    startTDXCMenu( "R: Respond" );
        addTDXC( "A: Anytime", "Any time.~wvqk.anytime" );
        addTDXC( "D: Don't know", "I don't know.~wgbl.dunno" );
        addTDXC( "T: Thanks", "Thanks.~wgbl.thanks" );
        addTDXC( "W: Wait", "Wait a sec.~wgbl.wait" );
    endTDXCMenu(); // Respond
 
    startTDXCMenu( "T: Taunt" );
        addTDXC( "A: Aww...", "Aww, that's too bad!~wgbl.aww" );
        addTDXC( "B: Best you can do?", "Ha ha! That's the best you can do?~wgbl.obnoxious" );
        addTDXC( "G: I am the greatest!", "I am the greatest!~wgbl.brag" );
        addTDXC( "T: THAT was graceful!", "Oh! THAT was graceful!~wgbl.sarcasm" );
        addTDXC( "W: When will you learn?", "When ya gunna learn?~wgbl.when" );
    endTDXCMenu(); // Taunt
 
    startTDXCMenu( "X: Special" );
        addTDXC( "S: Shut Up", "QUIET PLEASE!!!~wvqk.quiet" );
        addTDXC( "A: Ahhh", "Ahhhhhhhhhh!!!!~wavo.deathcry_02" );
        addTDXC( "R: Erah", "Errrraaahhhhhh!!!~wavo.deathcry_01" );
        addTDXC( "H: Huuh", "Huuh.~wavo.grunt" );
        addTDXC( "D: Daaah", "Daaaah~wavo.pain" );
    endTDXCMenu(); // Special
 
    addTDXC( "Y: Yes", "Yes.~wgbl.yes" );
    addTDXC( "N: No", "No.~wgbl.no" );
    addTDXC( "H: Hi", "Hi!~wgbl.hi" );
    addTDXC( "B: Bye", "Bye.~wgbl.bye" );
    addTDXC( "O: Oops.", "Oops.~wgbl.oops" );
    addTDXC( "Q: Quiet!", "Quiet!~wgbl.quiet" );
    addTDXC( "S: Shazbot!", "Shazbot!~wgbl.shazbot" );
    addTDXC( "W: Woohoo!", "Woohoo!~wgbl.woohoo" );
    addTDXC( "E: Sorry.", "Sorry.~wvqk.sorry" );
    addTDXC( "I: On it!", "I'm on it!~wslf.tsk.generic" );
    addTDXC( "M: Move", "Move, please!~wvqk.move" );
endTDXCMenu(); // Global
 
startTDXCMenu( "A: Attack" );
    addTDXC( "A: Attack!", "~Attack!" );
    addTDXC( "B: Base", "~Attack the enemy base!" );
    addTDXC( "C: Recover", "~Recover our flag!" );
    addTDXC( "D: Disrupt", "~Disrupt the enemy defense!" );
    addTDXC( "F: Flag", "~Get the enemy flag!" );
    addTDXC( "G: Generator", "~Destroy the enemy generator!" );
    addTDXC( "O: Objective", "~Attack the objective!" );
    addTDXC( "R: Reinforce", "~Reinforce the offense!" );
    addTDXC( "S: Sensors", "~Destroy enemy sensors!" );
    addTDXC( "T: Turrets", "~Destroy enemy turrets!" );
    addTDXC( "V: Vehicle", "~Destroy the enemy vehicle!" );
    addTDXC( "E: Vehicle Bay", "Attack the enemy vehicle station!~watt.base `(TEAM)" );
    addTDXC( "W: Wait", "~Destroy enemy sensors!" );
    addTDXC( "1: Main Gen", "Destroy the enemy main generator.~watt.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen", "Destroy the enemy force field generator.~watt.generator `(TEAM)" );
    addTDXC( "3: Def. Gen", "Destroy the enemy defensive grid generator.~watt.generator `(TEAM)" );
    addTDXC( "4: VPad Gen", "Destroy the enemy vehicle station generator.~watt.generator `(TEAM)" );
endTDXCMenu(); // Attack
 
startTDXCMenu( "D: Defend" );
    addTDXC( "B: Base", "~Defend our base!" );
    addTDXC( "C: Flag carrier", "~Cover our flag carrier!" );
    addTDXC( "E: Entrances", "~Defend the entrances!" );
    addTDXC( "F: Flag", "~Defend our flag!" );
    addTDXC( "G: Generator", "~Protect the generator!" );
    addTDXC( "M: Me", "~Cover me!" );
    addTDXC( "N: Nexus", "~Defend the nexus!" );
    addTDXC( "O: Objective", "~Defend the objective!" );
    addTDXC( "R: Reinforce", "~Reinforce our defense!" );
    addTDXC( "S: Sensors", "~Defend our sensors!" );
    addTDXC( "T: Turrets", "~Defend our turrets!" );
    addTDXC( "V: Vehicle", "~Defend our vehicle!" );
    addTDXC( "1: Main Gen", "Protect our main generator!~wdef.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen", "Protect our force field generator!~wdef.generator `(TEAM)" );
    addTDXC( "3: Def. Gen", "Protect our defensive grid generator!~wdef.generator `(TEAM)" );
    addTDXC( "4: VPad Gen", "Protect our vehicle station generator!~wdef.generator `(TEAM)" );
endTDXCMenu(); // Defend
 
startTDXCMenu( "R: Repair" );
    addTDXC( "B: Base", "~Repair our base!" );
    addTDXC( "G: Generator", "~Repair our generator!" );
    addTDXC( "M: Me", "~Repair me!" );
    addTDXC( "S: Sensors", "~Repair our sensors!" );
    addTDXC( "T: Turrets", "~Repair our turrets!" );
    addTDXC( "V: Vehicle bay", "~Repair our vehicle station!" );
    addTDXC( "1: Main Gen", "Repair our main generator!~wrep.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen", "Repair our force field generator!~wrep.generator `(TEAM)" );
    addTDXC( "3: Def. Gen", "Repair our defensive grid generator!~wrep.generator `(TEAM)" );
    addTDXC( "4: VPad Gen", "Repair our vehicle station generator!~wrep.generator `(TEAM)" );
endTDXCMenu(); // Repair
 
startTDXCMenu( "B: Base" );
    addTDXC( "C: Clear", "~Our base is clear." );
    addTDXC( "E: Enemy in base", "~The enemy's in our base." );
    addTDXC( "R: Retake", "~Retake our base!" );
    addTDXC( "S: Secure", "~Our base is secure." );
    addTDXC( "T: Taken", "~Our base is taken." );
    addTDXC( "H: Heavies", "Heavies in our Gen Room, HELP!~wbas.retake `(TEAM)" );
endTDXCMenu(); // Base
 
startTDXCMenu( "C: Command" );
    addTDXC( "A: Acknowledged", "~Command acknowledged." );
    addTDXC( "C: Completed", "~Command completed." );
    addTDXC( "D: Declined", "~Command declined." );
    addTDXC( "W: Assignment?", "~What's your assignment?" );
    addTDXC( "H: What to do?", "What do you want me to do?~wcmd.bot `(TEAM)" );
endTDXCMenu(); // Command
 
startTDXCMenu( "E: Enemy" );
    addTDXC( "B: Base disabled", "~Enemy base is disabled." );
    addTDXC( "D: Disarray", "~The enemy is disrupted. Attack!" );
    addTDXC( "G: Generator destroyed", "~Enemy generator destroyed." );
    addTDXC( "R: Remotes destroyed", "~Enemy remote equipment destroyed." );
    addTDXC( "S: Sensors destroyed", "~Enemy sensors destroyed." );
    addTDXC( "T: Turrets destroyed", "~Enemy turrets destroyed." );
    addTDXC( "V: Vehicle bay destroyed", "~Enemy vehicle station destroyed." );
    addTDXC( "1: Main Gen destroyed", "Enemy main generator destroyed!~wene.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen destroyed", "Enemy force field generator destroyed!~wene.generator `(TEAM)" );
    addTDXC( "3: Def. Gen destroyed", "Enemy defensive grid generator destroyed!~wene.generator `(TEAM)" );
    addTDXC( "4: VPad Gen destroyed", "Enemy vehicle station generator destroyed!~wene.generator `(TEAM)" );
endTDXCMenu(); // Enemy
 
startTDXCMenu( "F: Flag" );
    addTDXC( "D: Defend", "~Defend our flag!" );
    addTDXC( "F: I have the flag", "~I have the enemy flag!" );
    addTDXC( "G: Give me", "~Give me the flag!" );
    addTDXC( "R: Retrieve", "~Retrieve our flag!" );
    addTDXC( "S: Secure", "~Our flag is secure." );
    addTDXC( "T: Take", "~Take the flag from me!" );
    addTDXC( "O: Give me your flags", "~Give your flags to me!" );
    addTDXC( "P: Take my flags", "~Take my flags!" );
    addTDXC( "C: Need Chasers", "We need more flag chasers!~wdef.flag `(TEAM)" );
endTDXCMenu(); // Flag
 
startTDXCMenu( "N: Need" );
    addTDXC( "B: Bombardier", "~Need a bombardier." );
    addTDXC( "C: Cover", "~Need covering fire." );
    addTDXC( "D: Driver", "~Need driver for ground vehicle." );
    addTDXC( "E: Escort", "~Vehicle needs escort." );
    addTDXC( "G: Gunship ready", "~Gunship ready! Need a ride?" );
    addTDXC( "H: Hold vehicle", "~Hold that vehicle! I'm coming!" );
    addTDXC( "P: Pilot", "~Need pilot for turbograv." );
    addTDXC( "R: Ride", "~I need a ride!" );
    addTDXC( "S: Support", "~Need vehicle support!" );
    addTDXC( "T: Tailgunner", "~Need a tailgunner." );
    addTDXC( "W: Where to?", "~Where to?" );
endTDXCMenu(); // Need
 
startTDXCMenu( "S: Self" );
    startTDXCMenu( "A: Attack" );
        addTDXC( "A: Attack", "~I will attack." );
        addTDXC( "B: Base", "~I'll attack the enemy base." );
        addTDXC( "F: Flag", "~I'll go for the enemy flag." );
        addTDXC( "G: Generator", "~I'll attack the enemy generator." );
        addTDXC( "S: Sensors", "~I'll attack the enemy sensors." );
        addTDXC( "T: Turrets", "~I'll attack the enemy turrets." );
        addTDXC( "V: Vehicle bay", "~I'll attack the enemy vehicle station." );
        addTDXC( "1: Main Gen", "I'll attack the enemy main generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "2: F.F. Gen", "I'll attack the enemy force field generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "3: Def. Gen", "I'll attack the enemy defensive grid generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "4: VPad Gen", "I'll attack the enemy vehicle station generator.~wslf.att.generator `(TEAM)" );
    endTDXCMenu(); // Attack
 
    startTDXCMenu( "D: Defend" );
        addTDXC( "B: Base", "~I'll defend our base." );
        addTDXC( "D: Defend", "~I'm defending." );
        addTDXC( "F: Flag", "~I'll defend our flag." );
        addTDXC( "G: Generator", "~I'll defend our generator." );
        addTDXC( "N: Nexus", "~I'll defend the nexus." );
        addTDXC( "S: Sensors", "~I'll defend our sensors." );
        addTDXC( "T: Turrets", "~I'll defend our turrets." );
        addTDXC( "V: Vehicle bay", "~I'll defend our vehicle bay." );
        addTDXC( "1: Main Gen", "I'll defend our main generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "2: F.F. Gen", "I'll defend our force field generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "3: Def. Gen", "I'll defend our defensive grid generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "4: VPad Gen", "I'll defend our vehicle station generator.~wslf.def.generator `(TEAM)" );
    endTDXCMenu(); // Defend
 
    startTDXCMenu( "R: Repair" );
        addTDXC( "B: Base", "~I'll repair our base." );
        addTDXC( "E: Equipment", "~I'll repair our equipment." );
        addTDXC( "G: Generator", "~I'll repair our generator." );
        addTDXC( "R: Repair", "~I'm on repairs." );
        addTDXC( "S: Sensors", "~I'll repair our sensors." );
        addTDXC( "T: Turrets", "~I'll repair our turrets." );
        addTDXC( "V: Vehicle bay", "~I'll repair our vehicle station." );
        addTDXC( "1: Main Gen", "I'll repair our main generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "2: F.F. Gen", "I'll repair our force field generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "3: Def. Gen", "I'll repair our defensive grid generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "4: VPad Gen", "I'll repair our vehicle station generator.~wslf.rep.generator `(TEAM)" );
    endTDXCMenu(); // Repair
 
    startTDXCMenu( "T: Task" );
        addTDXC( "C: Cover", "~I'll cover you." );
        addTDXC( "D: Setup defenses", "~I'll set up defenses." );
        addTDXC( "O: On it", "~I'm on it." );
        addTDXC( "R: Deploy remotes", "~I'll deploy remote equipment." );
        addTDXC( "S: Deploy sensors", "~I'll deploy sensors." );
        addTDXC( "T: Deploy turrets", "~I'll deploy turrets." );
        addTDXC( "V: Vehicle", "~I'll get a vehicle ready." );
    endTDXCMenu(); // Task
 
endTDXCMenu(); // Self
 
startTDXCMenu( "T: Target" );
    addTDXC( "A: Acquired", "~Target acquired." );
    addTDXC( "B: Base", "~Target the enemy base! I'm in position." );
    addTDXC( "D: Destroyed", "~Target destroyed!" );
    addTDXC( "F: Flag", "~Target their flag! I'm in position." );
    addTDXC( "M: Fire on my target", "~Fire on my target!" );
    addTDXC( "N: Need", "~Need a target painted!" );
    addTDXC( "S: Sensors", "~Target their sensors! I'm in position." );
    addTDXC( "T: Turret", "~Target their turret! I'm in position." );
    addTDXC( "W: Wait", "~Wait! I'll be in range soon." );
endTDXCMenu(); // Target
 
startTDXCMenu( "W: Warning" );
    addTDXC( "B: Bomber", "~Incoming bomber!" );
    addTDXC( "E: Enemies", "~Incoming hostiles!" );
    addTDXC( "V: Vehicles", "~Incoming vehicles!" );
    addTDXC( "W: Watch your shooting", "~Watch where you're shooting!" );
    addTDXC( "C: Cloaker", "WARNING! Cloaker nearby!~wwrn.enemy `(TEAM)" );
    addTDXC( "H: Havok", "WARNING! Loaded Havok Inbound!~wwrn.vehicles `(TEAM)" );
    addTDXC( "F: Flag Runner", "WARNING! Incoming Flag Runner!~wwrn.enemy `(TEAM)" );
    addTDXC( "S: Satchel", "WARNING! Satchel Charge Has Been Deployed!~wwrn.enemy `(TEAM)" );
endTDXCMenu(); // Warning
 
startTDXCMenu( "V: Very Quick" );
    addTDXC( "Y: Yes", "Yes.~wvqk.yes `(TEAM)" );
    addTDXC( "N: No", "No.~wvqk.no `(TEAM)" );
    addTDXC( "A: Anytime", "Anytime.~wvqk.anytime `(TEAM)" );
    addTDXC( "B: Base secure?", "Is our base secure?~wvqk.base `(TEAM)" );
    addTDXC( "C: Cease fire", "Cease fire!~wvqk.ceasefire `(TEAM)" );
    addTDXC( "D: Don't know", "I don't know.~wvqk.dunno `(TEAM)" );
    addTDXC( "H: HELP!", "HELP!~wvqk.help `(TEAM)" );
    addTDXC( "M: Move", "Move, please!~wvqk.move `(TEAM)" );
    addTDXC( "S: Sorry", "Sorry.~wvqk.sorry `(TEAM)" );
    addTDXC( "T: Thanks", "Thanks.~wvqk.thanks `(TEAM)" );
    addTDXC( "W: Wait", "Wait, please.~wvqk.wait `(TEAM)" );
    addTDXC( "F: Go for Flag", "Cease fire! I'm going for the flag!~wvqk.ceasefire `(TEAM)" );
endTDXCMenu(); // Very Quick
 