//----------------------------------------------------------------------------\\
//                                                                            \\
//             TracerDX's Enhanced Chat - Menu Definition File                \\
//                                                                            \\
//                Written by TracerDX (tracer@synadyne.net)                   \\
//                    http://www.synadyne.net/TracerDX                        \\
//                                                                            \\
//----------------------------------------------------------------------------\\
 
startTDXCMenu( "G: Global" );
    startTDXCMenu( "A: Animation" );
        addTDXC( "A: Move!", "~Animation: Move!" );
        addTDXC( "G: I'm the Greatest", "~Animation: I am the greatest!" );
        addTDXC( "D: Woohoo!", "~Animation: Woohoo!" );
        addTDXC( "S: I'm on it,", "~Animation: I'm on it!" );
        addTDXC( "W: Hi.", "~Animation: Hi." );
        addTDXC( "Z: Take that.", "~Animation: That's the best you can do?" );
        addTDXC( "X: Too bad", "~Animation: Awww, that's too bad!" );
        addTDXC( "C: Awesome!", "~Animation: Awesome!" );
    endTDXCMenu(); // Animation
 
    startTDXCMenu( "C: Compliment" );
        addTDXC( "A: Awesome!", "Awesome!~wgbl.awesome" );
        addTDXC( "G: Good game.", "Good game!~wgbl.goodgame" );
        addTDXC( "N: Nice move!", "Nn-nice!~wgbl.nice" );
        addTDXC( "R: You rock!", "Very cool!~wgbl.rock" );
        addTDXC( "S: Great shot!", "Great shot!~wgbl.shooting" );
    endTDXCMenu(); // Compliment
 
    startTDXCMenu( "R: Respond" );
        addTDXC( "A: Anytime", "Any time.~wgbl.anytime" );
        addTDXC( "D: Don't know", "I don't know.~wgbl.dunno" );
        addTDXC( "T: Thanks", "Thanks.~wvqk.thanks" );
        addTDXC( "W: Wait", "Wait a sec.~wgbl.wait" );
    endTDXCMenu(); // Respond
 
    startTDXCMenu( "T: Taunt" );
        addTDXC( "A: Aww...", "Awwwww... Another embarasing death!~wgbl.aww" );
        addTDXC( "B: Best you can do?", "Booom! Baby, boom!~wgbl.obnoxious" );
        addTDXC( "G: I am the greatest!", "This is a cakewalk!~wgbl.brag" );
        addTDXC( "T: THAT was graceful!", "Oops. Did I kill you?~wgbl.sarcasm" );
        addTDXC( "W: When will you learn?", "Ya just another body to me baby.~wgbl.when" );
    endTDXCMenu(); // Taunt
 
    startTDXCMenu( "X: Special" );
        addTDXC( "S: Shut Up", "QUIET! OK?~wvqk.quiet" );
        addTDXC( "O: Ohh", "Ooohhhhlll!!!~wavo.deathcry_02" );
        addTDXC( "A: Ahhhh...", "Aaaaahhhhhlllll!!!~wavo.deathcry_01" );
        addTDXC( "H: Hunph", "Hunph.~wavo.grunt" );
        addTDXC( "U: Umph!", "Umph!~wavo.pain" );
        addTDXC( "B: Bye", "Take care.~wgbl.bye" );
        addTDXC( "D: d", "dfsa~wvoice/Male4/tgt.acquired" );
    endTDXCMenu(); // Special
 
    addTDXC( "Y: Yes", "Yes.~wgbl.yes" );
    addTDXC( "N: No", "No.~wgbl.no" );
    addTDXC( "H: Hi", "Hi!~wgbl.hi" );
    addTDXC( "B: Bye", "Bye.~wgbl.bye" );
    addTDXC( "O: Oops.", "Oops.~wgbl.oops" );
    addTDXC( "Q: Quiet!", "Quiet!~wgbl.quiet" );
    addTDXC( "S: Shazbot!", "Shazbot!~wgbl.shazbot" );
    addTDXC( "W: Woohoo!", "Woohoohoohoo!~wgbl.woohoo" );
    addTDXC( "E: Sorry.", "Sorry.~wvqk.sorry" );
    addTDXC( "M: Move!", "C'mon! Lets go!~wvqk.move" );
    addTDXC( "I: On it!", "I'm on it!~wslf.tsk.generic" );
    addTDXC( "U: No Clue", "Got me.~wvqk.dunno" );
endTDXCMenu(); // Global
 
startTDXCMenu( "A: Attack" );
    addTDXC( "A: Attack!", "~Attack!" );
    addTDXC( "B: Base", "~Attack the enemy base!" );
    addTDXC( "C: Recover", "~Recover our flag!" );
    addTDXC( "D: Disrupt", "~Disrupt the enemy defense!" );
    addTDXC( "F: Flag", "~Get the enemy flag!" );
    addTDXC( "G: Generator", "~Destroy the enemy generator!" );
    addTDXC( "O: Objective", "~Attack the objective!" );
    addTDXC( "R: Reinforce", "~Reinforce the offense!" );
    addTDXC( "S: Sensors", "~Destroy enemy sensors!" );
    addTDXC( "T: Turrets", "~Destroy enemy turrets!" );
    addTDXC( "V: Vehicle", "~Destroy the enemy vehicle!" );
    addTDXC( "E: Vehicle Bay", "Attack the enemy vehicle station!~watt.base `(TEAM)" );
    addTDXC( "W: Wait", "~Destroy enemy sensors!" );
    addTDXC( "1: Main Gen", "Destroy the enemy main generator.~watt.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen", "Destroy the enemy force field generator.~watt.generator `(TEAM)" );
    addTDXC( "3: Def. Gen", "Destroy the enemy defensive grid generator.~watt.generator `(TEAM)" );
    addTDXC( "4: VPad Gen", "Destroy the enemy vehicle station generator.~watt.generator `(TEAM)" );
endTDXCMenu(); // Attack
 
startTDXCMenu( "D: Defend" );
    addTDXC( "B: Base", "~Defend our base!" );
    addTDXC( "C: Flag carrier", "~Cover our flag carrier!" );
    addTDXC( "E: Entrances", "~Defend the entrances!" );
    addTDXC( "F: Flag", "~Defend our flag!" );
    addTDXC( "G: Generator", "~Protect the generator!" );
    addTDXC( "M: Me", "~Cover me!" );
    addTDXC( "N: Nexus", "~Defend the nexus!" );
    addTDXC( "O: Objective", "~Defend the objective!" );
    addTDXC( "R: Reinforce", "~Reinforce our defense!" );
    addTDXC( "S: Sensors", "~Defend our sensors!" );
    addTDXC( "T: Turrets", "~Defend our turrets!" );
    addTDXC( "V: Vehicle", "~Defend our vehicle!" );
    addTDXC( "1: Main Gen", "Protect our main generator!~wdef.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen", "Protect our force field generator!~wdef.generator `(TEAM)" );
    addTDXC( "3: Def. Gen", "Protect our defensive grid generator!~wdef.generator `(TEAM)" );
    addTDXC( "4: VPad Gen", "Protect our vehicle station generator!~wdef.generator `(TEAM)" );
endTDXCMenu(); // Defend
 
startTDXCMenu( "R: Repair" );
    addTDXC( "B: Base", "~Repair our base!" );
    addTDXC( "G: Generator", "~Repair our generator!" );
    addTDXC( "M: Me", "~Repair me!" );
    addTDXC( "S: Sensors", "~Repair our sensors!" );
    addTDXC( "T: Turrets", "~Repair our turrets!" );
    addTDXC( "V: Vehicle bay", "~Repair our vehicle station!" );
    addTDXC( "1: Main Gen", "Repair our main generator!~wrep.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen", "Repair our force field generator!~wrep.generator `(TEAM)" );
    addTDXC( "3: Def. Gen", "Repair our defensive grid generator!~wrep.generator `(TEAM)" );
    addTDXC( "4: VPad Gen", "Repair our vehicle station generator!~wrep.generator `(TEAM)" );
endTDXCMenu(); // Repair
 
startTDXCMenu( "B: Base" );
    addTDXC( "C: Clear", "~Our base is clear." );
    addTDXC( "E: Enemy in base", "~The enemy's in our base." );
    addTDXC( "R: Retake", "~Retake our base!" );
    addTDXC( "S: Secure", "~Our base is secure." );
    addTDXC( "T: Taken", "~Our base is taken." );
    addTDXC( "H: Heavies", "Heavies in our Gen Room, HELP!~wbas.retake `(TEAM)" );
endTDXCMenu(); // Base
 
startTDXCMenu( "C: Command" );
    addTDXC( "A: Acknowledged", "~Command acknowledged." );
    addTDXC( "C: Completed", "~Command completed." );
    addTDXC( "D: Declined", "~Command declined." );
    addTDXC( "W: Assignment?", "~What's your assignment?" );
    addTDXC( "H: What to do?", "What do you want me to do?~wcmd.bot `(TEAM)" );
endTDXCMenu(); // Command
 
startTDXCMenu( "E: Enemy" );
    addTDXC( "B: Base disabled", "~Enemy base is disabled." );
    addTDXC( "D: Disarray", "~The enemy is disrupted. Attack!" );
    addTDXC( "G: Generator destroyed", "~Enemy generator destroyed." );
    addTDXC( "R: Remotes destroyed", "~Enemy remote equipment destroyed." );
    addTDXC( "S: Sensors destroyed", "~Enemy sensors destroyed." );
    addTDXC( "T: Turrets destroyed", "~Enemy turrets destroyed." );
    addTDXC( "V: Vehicle bay destroyed", "~Enemy vehicle station destroyed." );
    addTDXC( "1: Main Gen destroyed", "Enemy main generator destroyed!~wene.generator `(TEAM)" );
    addTDXC( "2: F.F. Gen destroyed", "Enemy force field generator destroyed!~wene.generator `(TEAM)" );
    addTDXC( "3: Def. Gen destroyed", "Enemy defensive grid generator destroyed!~wene.generator `(TEAM)" );
    addTDXC( "4: VPad Gen destroyed", "Enemy vehicle station generator destroyed!~wene.generator `(TEAM)" );
endTDXCMenu(); // Enemy
 
startTDXCMenu( "F: Flag" );
    addTDXC( "D: Defend", "~Defend our flag!" );
    addTDXC( "F: I have the flag", "~I have the enemy flag!" );
    addTDXC( "G: Give me", "~Give me the flag!" );
    addTDXC( "R: Retrieve", "~Retrieve our flag!" );
    addTDXC( "S: Secure", "~Our flag is secure." );
    addTDXC( "T: Take", "~Take the flag from me!" );
    addTDXC( "O: Give me your flags", "~Give your flags to me!" );
    addTDXC( "P: Take my flags", "~Take my flags!" );
    addTDXC( "C: Need Chasers", "We need more flag chasers!~wdef.flag `(TEAM)" );
endTDXCMenu(); // Flag
 
startTDXCMenu( "N: Need" );
    addTDXC( "B: Bombardier", "~Need a bombardier." );
    addTDXC( "C: Cover", "~Need covering fire." );
    addTDXC( "D: Driver", "~Need driver for ground vehicle." );
    addTDXC( "E: Escort", "~Vehicle needs escort." );
    addTDXC( "G: Gunship ready", "~Gunship ready! Need a ride?" );
    addTDXC( "H: Hold vehicle", "~Hold that vehicle! I'm coming!" );
    addTDXC( "P: Pilot", "~Need pilot for turbograv." );
    addTDXC( "R: Ride", "~I need a ride!" );
    addTDXC( "S: Support", "~Need vehicle support!" );
    addTDXC( "T: Tailgunner", "~Need a tailgunner." );
    addTDXC( "W: Where to?", "~Where to?" );
endTDXCMenu(); // Need
 
startTDXCMenu( "S: Self" );
    startTDXCMenu( "A: Attack" );
        addTDXC( "A: Attack", "~I will attack." );
        addTDXC( "B: Base", "~I'll attack the enemy base." );
        addTDXC( "F: Flag", "~I'll go for the enemy flag." );
        addTDXC( "G: Generator", "~I'll attack the enemy generator." );
        addTDXC( "S: Sensors", "~I'll attack the enemy sensors." );
        addTDXC( "T: Turrets", "~I'll attack the enemy turrets." );
        addTDXC( "V: Vehicle bay", "~I'll attack the enemy vehicle station." );
        addTDXC( "1: Main Gen", "I'll attack the enemy main generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "2: F.F. Gen", "I'll attack the enemy force field generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "3: Def. Gen", "I'll attack the enemy defensive grid generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "4: VPad Gen", "I'll attack the enemy vehicle station generator.~wslf.att.generator `(TEAM)" );
    endTDXCMenu(); // Attack
 
    startTDXCMenu( "D: Defend" );
        addTDXC( "B: Base", "~I'll defend our base." );
        addTDXC( "D: Defend", "~I'm defending." );
        addTDXC( "F: Flag", "~I'll defend our flag." );
        addTDXC( "G: Generator", "~I'll defend our generator." );
        addTDXC( "N: Nexus", "~I'll defend the nexus." );
        addTDXC( "S: Sensors", "~I'll defend our sensors." );
        addTDXC( "T: Turrets", "~I'll defend our turrets." );
        addTDXC( "V: Vehicle bay", "~I'll defend our vehicle bay." );
        addTDXC( "1: Main Gen", "I'll defend our main generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "2: F.F. Gen", "I'll defend our force field generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "3: Def. Gen", "I'll defend our defensive grid generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "4: VPad Gen", "I'll defend our vehicle station generator.~wslf.def.generator `(TEAM)" );
    endTDXCMenu(); // Defend
 
    startTDXCMenu( "R: Repair" );
        addTDXC( "B: Base", "~I'll repair our base." );
        addTDXC( "E: Equipment", "~I'll repair our equipment." );
        addTDXC( "G: Generator", "~I'll repair our generator." );
        addTDXC( "R: Repair", "~I'm on repairs." );
        addTDXC( "S: Sensors", "~I'll repair our sensors." );
        addTDXC( "T: Turrets", "~I'll repair our turrets." );
        addTDXC( "V: Vehicle bay", "~I'll repair our vehicle station." );
        addTDXC( "1: Main Gen", "I'll repair our main generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "2: F.F. Gen", "I'll repair our force field generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "3: Def. Gen", "I'll repair our defensive grid generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "4: VPad Gen", "I'll repair our vehicle station generator.~wslf.rep.generator `(TEAM)" );
    endTDXCMenu(); // Repair
 
    startTDXCMenu( "T: Task" );
        addTDXC( "C: Cover", "~I'll cover you." );
        addTDXC( "D: Setup defenses", "~I'll set up defenses." );
        addTDXC( "O: On it", "~I'm on it." );
        addTDXC( "R: Deploy remotes", "~I'll deploy remote equipment." );
        addTDXC( "S: Deploy sensors", "~I'll deploy sensors." );
        addTDXC( "T: Deploy turrets", "~I'll deploy turrets." );
        addTDXC( "V: Vehicle", "~I'll get a vehicle ready." );
    endTDXCMenu(); // Task
 
endTDXCMenu(); // Self
 
startTDXCMenu( "T: Target" );
    addTDXC( "A: Acquired", "~Target acquired." );
    addTDXC( "B: Base", "~Target the enemy base! I'm in position." );
    addTDXC( "D: Destroyed", "~Target destroyed!" );
    addTDXC( "F: Flag", "~Target their flag! I'm in position." );
    addTDXC( "M: Fire on my target", "~Fire on my target!" );
    addTDXC( "N: Need", "~Need a target painted!" );
    addTDXC( "S: Sensors", "~Target their sensors! I'm in position." );
    addTDXC( "T: Turret", "~Target their turret! I'm in position." );
    addTDXC( "W: Wait", "~Wait! I'll be in range soon." );
endTDXCMenu(); // Target
 
startTDXCMenu( "W: Warning" );
    addTDXC( "B: Bomber", "~Incoming bomber!" );
    addTDXC( "E: Enemies", "~Incoming hostiles!" );
    addTDXC( "V: Vehicles", "~Incoming vehicles!" );
    addTDXC( "W: Watch your shooting", "~Watch where you're shooting!" );
    addTDXC( "C: Cloaker", "WARNING! Cloaker nearby!~wwrn.enemy `(TEAM)" );
    addTDXC( "H: Havok", "WARNING! Loaded Havok Inbound!~wwrn.vehicles `(TEAM)" );
    addTDXC( "F: Flag Runner", "WARNING! Incoming Flag Runner!~wwrn.enemy `(TEAM)" );
    addTDXC( "S: Satchel", "WARNING! Satchel Charge Has Been Deployed!~wwrn.enemy `(TEAM)" );
endTDXCMenu(); // Warning
 
startTDXCMenu( "V: Very Quick" );
    addTDXC( "Y: Yes", "Sure.~wvqk.yes `(TEAM)" );
    addTDXC( "N: No", "Nah.~wvqk.no `(TEAM)" );
    addTDXC( "A: Anytime", "Whatever.~wvqk.anytime `(TEAM)" );
    addTDXC( "B: Base secure?", "Is our base secure?~wvqk.base `(TEAM)" );
    addTDXC( "C: Cease fire", "Cease fire!~wvqk.ceasefire `(TEAM)" );
    addTDXC( "D: Don't know", "Got me.~wvqk.dunno `(TEAM)" );
    addTDXC( "H: HELP!", "HELP!~wvqk.help `(TEAM)" );
    addTDXC( "M: Move", "C'mon! Lets go!~wvqk.move `(TEAM)" );
    addTDXC( "S: Sorry", "Sorry.~wvqk.sorry `(TEAM)" );
    addTDXC( "T: Thanks", "Thanks.~wvqk.thanks `(TEAM)" );
    addTDXC( "W: Wait", "Wait Up!~wvqk.wait `(TEAM)" );
endTDXCMenu(); // Very Quick
 
startTDXCMenu( "Z: Stripe" );
    startTDXCMenu( "Z: Announcer 1" );
        addTDXC( "A: 10 Seconds", "10 Seconds~wfx/misc/hunters_10" );
        addTDXC( "B: 15 Seconds", "15 Seconds~wfx/misc/hunters_15" );
        addTDXC( "C: 30 Seconds", "30 Seconds~wfx/misc/hunters_30" );
        addTDXC( "D: 60 Seconds", "60 Seconds~wfx/misc/hunters_60" );
        addTDXC( "E: Bioderms Score!", "Bioderm Scores~wvoice/Announcer/ANN.bdscore" );
        addTDXC( "F: Victory: Bioderms!", "Bioderms Win!~wvoice/Announcer/ANN.bdwin" );
        addTDXC( "G: Blood Eagle Scores!", "Blood Eagle Scores!~wvoice/Announcer/ANN.bescore" );
        addTDXC( "H: Victory: Blood Eagle", "Blood Eagle Wins!~wvoice/Announcer/ANN.bewin" );
        addTDXC( "I: Way To Close", "Way To Close!~wvoice/Announcer/ANN.closegame_01" );
        addTDXC( "J: Looks like a fight to the", "Fight to The Death!~wvoice/Announcer/ANN.closegame_03" );
        addTDXC( "K: Real Battle!", "Real Battle!!!~wvoice/Announcer/ANN.closegame_04" );
        addTDXC( "L: Dimond Sword scores!", "Dimond Sword Scores!~wvoice/Announcer/ANN.dsscore" );
        addTDXC( "M: Victory: Diamond Sword", "Victory Diamond Sword~wvoice/Announcer/ANN.dswin" );
        addTDXC( "N: Game Over", "Game Over~wvoice/Announcer/ANN.gameover" );
        addTDXC( "O: Game Point Imminent!", "Game Point Imminent!~wvoice/Announcer/ANN.gamepoint_imminent" );
        addTDXC( "P: Greed Mode", "Greed!!!!~wvoice/Announcer/ANN.greed" );
        addTDXC( "Q: Hoard Mode", "Hoard~wvoice/Announcer/ANN.hoard" );
        addTDXC( "R: Hold on to your flags", "Hold The Flags~wvoice/Announcer/ANN.holdflags" );
        addTDXC( "S: You are back in-bounds", "Back in-bounds~wvoice/Announcer/ANN.ib" );
        addTDXC( "T: Team Inferno denied!", "Team Inferno Denied Biatch!~wvoice/Announcer/ANN.infdenied" );
        addTDXC( "U: Team Inferno scores!", "Team Inferno Scores Biatch!~wvoice/Announcer/ANN.infscores" );
        addTDXC( "V: Victory: Inferno!", "Victory Inferno!~wvoice/Announcer/ANN.infwins" );
        addTDXC( "W: Match Begins Now", "Match Begins Now~wvoice/Announcer/ANN.match_begins" );
        addTDXC( "X: You are out-of-bounds!", "Out-of-bounds!~wvoice/Announcer/ANN.oob" );
        addTDXC( "Y: Getting Far away", "Getting A little to Far Away!~wvoice/Announcer/ANN.oobh" );
        addTDXC( "Z: Thats Way to High!", "Thats Way to High!~wvoice/Announcer/ANN.oobv" );
    endTDXCMenu(); // Announcer 1
 
    startTDXCMenu( "A: Announcer 2" );
        addTDXC( "A: Prepare Yourselves!", "Prepare!~wvoice/Announcer/ANN.prepare" );
        addTDXC( "B: Pheonix scores!", "Pheonix scores!~wvoice/Announcer/ANN.pxscore" );
        addTDXC( "C: Victory: Pheonix!", "Pheonix Wins!~wvoice/Announcer/ANN.pxwin" );
        addTDXC( "D: Switch has been taken!", "Switch has been taken!~wvoice/Announcer/ANN.siege" );
        addTDXC( "E: Team Storm denied!", "Team Storm Denied Bitach!~wvoice/Announcer/ANN.stodenied" );
        addTDXC( "F: Team Storm scores!", "Team Storm scores!~wvoice/Announcer/ANN.stoscores" );
        addTDXC( "G: Victory: Storm", "Storm Wins!~wvoice/Announcer/ANN.stowins" );
        addTDXC( "H: Starwolf scores!", "Starwolf scores!~wvoice/Announcer/ANN.swscore" );
        addTDXC( "I: Victory: Starwolf!", "Victory Starwolf!~wvoice/Announcer/ANN.swwin" );
        addTDXC( "J: Team 1 scores!", "Team 1 scores!~wvoice/Announcer/ANN.t1score" );
        addTDXC( "K: Victory: Team 1", "Victory Team 1~wvoice/Announcer/ANN.t1win" );
        addTDXC( "L: Team 2 scores!", "Team 2 scores!~wvoice/Announcer/ANN.t2score" );
        addTDXC( "M: Victory: Team 2", "Victory Team 2~wvoice/Announcer/ANN.t2win" );
        addTDXC( "N: Vote Fails", "Damn Vote Failed~wvoice/Announcer/ANN.votefail" );
        addTDXC( "V: Vote Initiated", "Vote Initiated~wvoice/Announcer/ANN.voteinit" );
        addTDXC( "P: Vote Passes", "Vote Passes~wvoice/Announcer/ANN.votepass" );
        addTDXC( "Y: Yard Sale!", "Yard Sale! Get You 2 Cent Hoes!~wvoice/Announcer/ANN.yardsale" );
        addTDXC( "R: Male: Our Flag is mined", "Our Flag is mined~wvoice/Announcer/flag_minedMale" );
        addTDXC( "S: Female: Our Flag is mined", "Our Flag is mined~wvoice/Announcer/flag_minedFem" );
        addTDXC( "T: Switching sides", "Switching Sides~wvoice/Announcer/switching_sides" );
        addTDXC( "1: Countdown: 60 Seconds", "60 Seconds~wfx/misc/hunters_60" );
        addTDXC( "2: Countdown: 30 Seconds", "30 Seconds~wfx/misc/hunters_30" );
        addTDXC( "3: Countdown: 15 Seconds", "15 Seconds~wfx/misc/hunters_15" );
        addTDXC( "4: Countdown: 10 Seconds", "10 Seconds~wfx/misc/hunters_10" );
        addTDXC( "5: Countdown: 5", "5~wfx/misc/hunters_5" );
        addTDXC( "6: Countdown: 4", "4~wfx/misc/hunters_4" );
        addTDXC( "7: Countdown: 3", "3~wfx/misc/hunters_3" );
        addTDXC( "8: Countdown: 2", "2~wfx/misc/hunters_2" );
        addTDXC( "9: Countdown: 1", "1~wfx/misc/hunters_1" );
    endTDXCMenu(); // Announcer 2
 
    startTDXCMenu( "R: Team Rabbit 2" );
        addTDXC( "M: Muhahahaha!", "Muhahahaha!~wfx/bonuses/evillaugh" );
        addTDXC( "G: Dance", "Dance Baby!~wfx/bonuses/gadget3" );
        addTDXC( "Z: Mario", "Mario!~wfx/bonuses/mario-6notes" );
        addTDXC( "A: Creative Great Shot 1", "w00t!!! Great Shot!!!~wfx/bonuses/qseq1" );
        addTDXC( "B: Creative Great Shot 2", "w00t!!! Great Shot!!!~wfx/bonuses/qseq3" );
        addTDXC( "C: Creative 3", "w00t~wfx/bonuses/qseq3" );
        addTDXC( "E: Rooaaarrrr!", "Rooaaarrrr!~wfx/bonuses/TRex" );
        addTDXC( "D: Cannon Shot", "Boom!!!!~wfx/misc/cannonshot" );
        addTDXC( "F: Cannon Load", "Ready?~wfx/misc/cannonstart" );
        addTDXC( "v: Eeeerrrrrrr!", "Eeeerrrrrrr!~wfx/misc/carscreech" );
        addTDXC( "H: Ch33r!", "Woo Hoo!~wfx/misc/Cheer" );
        addTDXC( "I: Coin Deposited", "Coin Deposited~wfx/misc/coin" );
        addTDXC( "J: FanFair", "FanFair~wfx/misc/flagcapture" );
        addTDXC( "K: Dramatic", "Drama!~wfx/misc/flagreturn" );
        addTDXC( "L: Score", "w00t~wfx/misc/Flair" );
        addTDXC( "W: Game Over", "Game Over~wfx/misc/gameover" );
        addTDXC( "N: Game Start", "Game Start~wfx/misc/gamestart" );
        addTDXC( "O: GOOAAAALLL!!!!", "GOOAAAALLL!!!!~wfx/misc/goal" );
        addTDXC( "P: Boom", "Boom!~wfx/misc/MA1" );
        addTDXC( "Q: Boom!  Music", "Boom!~wfx/misc/MA2" );
        addTDXC( "R: Boom Music", "Boom!~wfx/misc/MA3" );
        addTDXC( "S: Whistle", "Eeerrrrr!!!!~wfx/misc/whistle" );
        addTDXC( "T: Slap! How Dare You", "Slap! How Dare You~wfx/misc/slapshot" );
        addTDXC( "U: Grid Jump Slash", "Slash~wfx/misc/gridjump" );
    endTDXCMenu(); // Team Rabbit 2
 
    startTDXCMenu( "E: Enviromental Sound" );
        addTDXC( "A: Bird Echo 1", "Bird Echo 1~wfx/environment/bird_echo1" );
        addTDXC( "B: Brid Echo 2", "Bird Echo 2~wfx/environment/bird_echo2" );
        addTDXC( "C: Bird Echo 3", "Bird Echo 3~wfx/environment/bird_echo3" );
        addTDXC( "D: Brid Echo 4", "Bird Echo 4~wfx/environment/bird_echo5" );
        addTDXC( "E: Brid Echo 4", "Brid Echo 4~wfx/environment/bird_echo5" );
        addTDXC( "F: Lightning 1", "Lightning 1~wfx/environment/ctmelody1" );
        addTDXC( "G: Lightning 2", "Lightning 2~wfx/environment/ctmelody2" );
        addTDXC( "H: Lightning 3", "Lightning 3~wfx/environment/ctmelody3" );
        addTDXC( "I: Lightning 4", "Lightning 4~wfx/environment/ctmelody4" );
        addTDXC( "J: Flies", "Flies~wfx/environment/fly_swarm" );
        addTDXC( "K: Frog 1", "Frog 1~wfx/environment/frog1" );
        addTDXC( "L: Frog 2", "Frog 2~wfx/environment/frog2" );
        addTDXC( "M: Growl 1", "Growl 1~wfx/environment/growl1" );
        addTDXC( "N: Growl 2", "Growl 2~wfx/environment/growl2" );
        addTDXC( "O: Growl 3", "Growl 3~wfx/environment/growl3" );
        addTDXC( "P: Growl 4", "Growl 4~wfx/environment/growl4" );
        addTDXC( "Q: Growl 5", "Growl 5~wfx/environment/growl5" );
        addTDXC( "R: Ocean waves", "Ocean waves~wfx/environment/oceanwaves" );
        addTDXC( "S: Yeti Howl 1", "Yeti Howl 1~wfx/environment/yeti_howl1" );
        addTDXC( "T: Yeti Howl 2", "Yeti Howl 2~wfx/environment/yeti_howl2" );
    endTDXCMenu(); // Enviromental Sound
 
    startTDXCMenu( "G: Game 1" );
        addTDXC( "A: Tribes 2 Intro", "Tribes 2 Baby!~wT2Intro" );
        addTDXC( "B: Underwater Bioderm Breath", "Underwater Bioderm Breath~wfx/armor/breath_bio_uw" );
        addTDXC( "C: Underwater Male Breath", "Underwater Male Breath~wfx/armor/breath_uw" );
        addTDXC( "D: Enderwater Female Breath", "Enderwater Female Breath~wfx/armor/breath_fem_uw" );
        addTDXC( "E: Big Splash", "Big Splash~wfx/armor/general_water_bigsplash" );
        addTDXC( "F: Medium Splash", "Medium Splash~wfx/armor/general_water_medsplash" );
        addTDXC( "G: Small Splash", "Small Splash~wfx/armor/general_water_smallsplash" );
        addTDXC( "H: Tiny Splash", "Tiny Splash~wfx/armor/general_water_smallsplash2" );
        addTDXC( "I: Money", "Money~wfx/misc/bounty_bonus" );
        addTDXC( "J: Admin", "I R Super Admin~wfx/misc/bounty_completed" );
        addTDXC( "K: Beep Beep Beep", "Beep Beep Beep!~wfx/misc/bounty_objrem1" );
        addTDXC( "L: Beep Beep Beep", "Beep Beep Beep~wfx/misc/bounty_objrem2" );
        addTDXC( "M: Diagnostic beep (Menu den", "Denied!~wfx/misc/diagnostic_beep" );
        addTDXC( "N: Your In", "Your In~wfx/misc/diagnostic_on" );
        addTDXC( "O: Downloading...", "Downloading...~wfx/misc/downloading" );
        addTDXC( "P: Flag capture", "I Caught the flag biatch!~wfx/misc/flag_capture" );
        addTDXC( "Q: Flag Droped", "Damnit where my flag go?~wfx/misc/flag_drop" );
        addTDXC( "R: Flag lost", "I lost my flag =~wfx/misc/flag_lost" );
        addTDXC( "S: Flag Mined (Female)", "I mined the Flag Bastard~wfx/misc/flag_mined_female" );
        addTDXC( "T: Flag Mined (Male)", "I mined the Flag Bitch~wfx/misc/flag_mined_male" );
        addTDXC( "U: Flag Returned", "The Flag is back!~wfx/misc/flag_return" );
        addTDXC( "V: Flag Snatched", "Damnit the flag got stolen!~wfx/misc/flag_snatch" );
        addTDXC( "W: Flag taken", "Damnit the Flag was stolen!~wfx/misc/flag_taken" );
        addTDXC( "X: Objective taken", "Objective taken~wfx/misc/flipflop_taken" );
        addTDXC( "Y: Health patch", "Got Health patch?~wfx/misc/health_patch" );
        addTDXC( "Z: Heartbeat", "My Heart its going to explode =~wfx/misc/heartbeat" );
    endTDXCMenu(); // Game 1
 
    startTDXCMenu( "V: Game 2" );
        addTDXC( "A: Trumbone", "Hord Mode~wfx/misc/hunters_horde" );
        addTDXC( "B: Lightning Impact", "Lighting Strike~wfx/misc/lightning_impact" );
        addTDXC( "C: Error Your dick", "Error: Your dick has been cut off~wfx/misc/misc.error" );
        addTDXC( "D: Red Alert", "Red Alert move out or Die!~wfx/misc/red_alert" );
        addTDXC( "E: Static: Your Breaking up", "Your Beaking Up~wfx/misc/static" );
        addTDXC( "F: Dead Rabbit", "The Bunny is dead =~wfx/misc/target_waypoint" );
        addTDXC( "G: Warning beep", "Warning!!!!~wfx/misc/warning_beep" );
        addTDXC( "H: Inventory Deployed", "Inventory Deployed~wfx/packs/inventory_deploy" );
        addTDXC( "I: Super Repair!", "Super Repair!~wfx/packs/packs.repairPackOn" );
        addTDXC( "J: Satchel Activated", "Your gonna get blown ^~wfx/packs/satchel_pack_activate" );
        addTDXC( "K: Turret Deployed", "Turret Deployed~wfx/packs/turret_place" );
        addTDXC( "L: Power on", "Powers on!~wfx/powered/base_power_off" );
        addTDXC( "M: Power Dead", "The Power went bye bye =~wfx/powered/base_power_on" );
        addTDXC( "N: Inv up", "Inv up~wfx/powered/inv_pad_on" );
        addTDXC( "O: Nexus Deny", "Nexus Denied You Fool!~wfx/powered/nexus_deny" );
        addTDXC( "P: Sensor deploy", "Deployed those sensors!~wfx/powered/sensor_activate" );
        addTDXC( "Q: Station denied", "Station denied You Fool!~wfx/powered/station_denied" );
        addTDXC( "R: Base Turret Activation", "Turrets Activate!~wfx/powered/turret_aa_activate" );
        addTDXC( "S: Clamp Turret", "Clamp Turret fire get down!~wfx/powered/turret_indoor_fire" );
        addTDXC( "T: Light turret activation", "Missle Turret Activate!~wfx/powered/turret_light_activate" );
        addTDXC( "U: AA Turret Fire", "AA Turret Fire Get Out Of The Air!~wfx/powered/turret_aa_fire" );
        addTDXC( "V: Missles", "Run!!! Missles!!!!~wfx/powered/turret_missile_fire" );
        addTDXC( "W: Plasma Turret Fire", "Plasma coming at 2 oclock!~wfx/powered/turret_plasma_fire" );
    endTDXCMenu(); // Game 2
 
    startTDXCMenu( "F: Explosion" );
        addTDXC( "A: Exploding deployable", "Boom! Bye Bye My Little Deployable~wfx/explosions/deployables_explosion" );
        addTDXC( "B: Turret Boom 1", "Boom, There goes the turret!~wfx/explosions/explosion.xpl03" );
        addTDXC( "C: Turret Boom 2", "Boom, There Goes the Turret!~wfx/explosions/explosion.xpl23" );
        addTDXC( "D: Plasma Fire", "Plasma Turrets, Be careful!~wfx/explosions/explosion.xpl10" );
        addTDXC( "E: Mortar Boom", "Booommmm!!!! Whoa Shit Mortars!~wfx/explosions/explosion.xpl27" );
        addTDXC( "F: Vehicle Boom", "Vehicle Down! Need Support!~wfx/explosions/vehicle_explosion" );
        addTDXC( "G: Satchel", "Setchel Fire!~wfx/packs/satchel_pack_detonate" );
        addTDXC( "H: Mortar turret", "Mortar Fire!~wfx/powered/turret_mortar_explode" );
        addTDXC( "I: Plasma Turret", "Boooommm Plasma =~wfx/powered/turret_plasma_explode" );
        addTDXC( "J: Bombing", "Bombs are raining, See you in Hell!~wfx/vehicles/bomber_bomb_impact" );
        addTDXC( "K: Flash Grenaders", "Ahh I Cant See, I'm blind!~wfx/weapons/grenade_flash_explode" );
        addTDXC( "L: Land Mines", "Boom! Ahh!! My Leg~wfx/weapons/mine_detonate" );
        addTDXC( "M: Mortars", "Mortars~wfx/weapons/mortar_explode" );
        addTDXC( "N: Mortars Underwater", "Mortars ~wfx/weapons/mortar_explode_UW" );
        addTDXC( "O: Spinfusor Hit", "SpinFusor Fire!~wfx/weapons/spinfusor_impact" );
        addTDXC( "P: SpinFusor Fire UnderWater", "SpinFusor Fire!~wfx/weapons/spinfusor_impact_UW" );
    endTDXCMenu(); // Explosion
 
    startTDXCMenu( "H: Vehicle" );
        addTDXC( "A: Incoming Bombs, Run!", "Incoming Bombs, Run!~wfx/vehicles/bomber_bomb_projectile" );
        addTDXC( "B: Falling Bombs", "Falling Bombs~wfx/vehicles/bomber_bomb_reload" );
        addTDXC( "C: Bomber fire!", "Bomber fire!~wfx/vehicles/bomber_turret_fire" );
        addTDXC( "D: Grav Cycle Crash", "Boom, eerrr!~wfx/vehicles/crash_hard" );
        addTDXC( "E: Grav crash soft", "Crash!!!~wfx/vehicles/crash_soft" );
        addTDXC( "F: MPB Closeing", "MPB Closeing, Ready to leave.~wfx/vehicles/MPB_close_lid" );
        addTDXC( "G: MPB Deploy", "Deploying MPB~wfx/vehicles/MPB_Deploy" );
        addTDXC( "H: MPB Deploy station", "MPB Deploy station~wfx/vehicles/MPB_deploy_station" );
        addTDXC( "I: MPB Deploy turret", "MPB Deploy turret~wfx/vehicles/MPB_deploy_turret" );
        addTDXC( "J: MPB Un-deploying", "MPB Un-deploying MPB~wfx/vehicles/MPB_undeploy_turret" );
        addTDXC( "K: Shrike Fire", "Shrike Fire, Get Down!~wfx/vehicles/shrike_blaster" );
        addTDXC( "L: Tank mortars", "Tank mortars, Run!~wfx/vehicles/tank_mortar_fire" );
    endTDXCMenu(); // Vehicle
 
    startTDXCMenu( "W: Weapon" );
        addTDXC( "A: Blaster Fire", "Blaster Fire~wfx/weapons/blaster_fire" );
        addTDXC( "B: Weapon switch", "Weapon switch~wfx/weapons/generic_switch" );
        addTDXC( "C: Missle fire", "Missle fire!~wfx/weapons/missile_fire" );
        addTDXC( "D: Missle in-bound!", "Missle locked!~wfx/weapons/missile_target_inbound" );
        addTDXC( "E: Missle locked on!", "Missle locked on!~wfx/weapons/missile_target_lock" );
        addTDXC( "F: Mortar fire", "Mortar fire!~wfx/weapons/mortar_fire" );
        addTDXC( "G: Flying Mortars", "Flying Mortars~wfx/weapons/mortar_projectile" );
        addTDXC( "H: Plasma fire", "Plasma fire~wfx/weapons/plasma_rifle_fire" );
        addTDXC( "I: Shocklance Miss", "Damn My Shocklance Missed~wfx/weapons/shocklance_dryfire" );
        addTDXC( "J: Shocklance Hit", "You been Shocklanced Bitch~wfx/weapons/shocklance_fire" );
        addTDXC( "K: Sniper Fire", "Snipers! How lame!~wfx/weapons/sniper_fire" );
        addTDXC( "L: Sniper Hit", "I been Sniped =~wfx/weapons/sniper_impact" );
        addTDXC( "M: Spinfusor Fire", "Disk Dueling~wfx/weapons/spinfusor_fire" );
        addTDXC( "N: Targetting laser", "Disco Laser~wfx/weapons/targetinglaser_paint" );
    endTDXCMenu(); // Weapon
 
    startTDXCMenu( "U: GUI" );
        addTDXC( "N: Errrrrr Denied", "Errrrrr Denied!~wgui/vote_nopass" );
        addTDXC( "Y: Beep", "Beep Accepted~wgui/vote_pass" );
        addTDXC( "M: Incoming Mail", "Incoming Mail~wgui/youvegotmail" );
        addTDXC( "I: Sexy Incoming Mail", "Sexy Incoming Mail!~wgui/youvegotmail2" );
    endTDXCMenu(); // GUI
 
    startTDXCMenu( "T: Training 1" );
        addTDXC( "A: Mission Aborted", "Mission Aborted, Return to Base!~wvoice/Training/Any/ANY.abort" );
        addTDXC( "B: Abort in 5 sec", "This Mission aborts in 5 seconds if you dont head toward the waypoint!~wvoice/Training/Any/ANY.abortsoon" );
        addTDXC( "C: You ok?", "You ok? I'll have to abort this mission if you dont get back on track!~wvoice/Training/Any/ANY.abortwarn" );
        addTDXC( "D: Mission Aborted", "Mission Aborted, Return to base!~wvoice/Training/Any/ANY.abort" );
        addTDXC( "E: Keep ignoring me...", "Keep ignoring me, and I'll cut off communications!~wvoice/Training/Any/ANY.blowoff01" );
        addTDXC( "F: Fine, do it your way!", "Fine, do it your way!~wvoice/Training/Any/ANY.blowoff02" );
        addTDXC( "G: Fine by me, go get em!", "Fine by me, go get em!~wvoice/Training/Any/ANY.blowoff03" );
        addTDXC( "H: Be careful (TD Sound)", "Be Careful!~wvoice/Training/Any/ANY.careful" );
        addTDXC( "I: Check", "Check~wvoice/Training/Any/ANY.check01" );
        addTDXC( "J: Check!", "Check!~wvoice/Training/Any/ANY.check02" );
        addTDXC( "K: Good.", "Good.~wvoice/Training/Any/ANY.good" );
        addTDXC( "L: Now would... health kit.", "Use Your Health Kit!~wvoice/Training/Any/ANY.healthkit" );
        addTDXC( "M: Good huniting!", "Good huniting!~wvoice/Training/Any/ANY.hunting" );
        addTDXC( "N: Incoming transmision", "Incoming transmision~wvoice/Training/Any/ANY.incoming_msg" );
        addTDXC( "O: Cook some derms for me", "Cook some derms for me will ya?~wvoice/Training/Any/ANY.jingo01" );
        addTDXC( "P: Time ot force feed some p", "Time ot force feed some Pay Back!~wvoice/Training/Any/ANY.jingo02" );
        addTDXC( "Q: No Mercy!", "No Mercy!~wvoice/Training/Any/ANY.jingo03" );
        addTDXC( "R: Good Job!", "Good Job!~wvoice/Training/Any/ANY.kudo01" );
        addTDXC( "S: Good luck!", "Good luck!~wvoice/Training/Any/ANY.kudo02" );
        addTDXC( "T: Alright! Nice Work!", "Alright! Nice Work!~wvoice/Training/Any/ANY.kudo03" );
        addTDXC( "U: Well fought!", "Well fought!~wvoice/Training/Any/ANY.kudo04" );
        addTDXC( "V: Objective complete", "Objective complete!~wvoice/Training/Any/ANY.obj_complete_01" );
        addTDXC( "W: Objective complete 2", "Objective complete!~wvoice/Training/Any/ANY.obj_complete_02" );
        addTDXC( "X: You're going the wrong wa", "You're going the wrong way!!!!~wvoice/Training/Any/ANY.offcourse" );
        addTDXC( "Y: Hurry up warrior!", "Hurry up warrior! The War is on!~wvoice/Training/Any/ANY.prompt01" );
        addTDXC( "Z: Is there a problem?", "Whats the Problem?~wvoice/Training/Any/ANY.prompt02" );
    endTDXCMenu(); // Training 1
 
    startTDXCMenu( "B: Training 2" );
        addTDXC( "A: What are you waiting for?", "What are you waiting for? An Invitaion?~wvoice/Training/Any/ANY.prompt03" );
        addTDXC( "B: All set? Its time to move", "Its time to move!~wvoice/Training/Any/ANY.prompt04" );
        addTDXC( "C: Move out!", "Move out!~wvoice/Training/Any/ANY.prompt05" );
        addTDXC( "D: You wanna be an easy targ", "Move or be an easy target!~wvoice/Training/Any/ANY.prompt06" );
        addTDXC( "E: C'Mon! On the bounce!", "C'Mon! On the bounce!~wvoice/Training/Any/ANY.prompt07" );
        addTDXC( "F: Watch your mission time!", "Watch your mission time!~wvoice/Training/Any/ANY.timer01" );
        addTDXC( "G: Watch your timer!", "Watch your timer!~wvoice/Training/Any/ANY.timer02" );
        addTDXC( "H: The derms are coming, wat", "The derms are coming, watch out!~wvoice/Training/Any/ANY.warning01" );
        addTDXC( "I: Our scouts report...", "Our scouts report lots of derms!~wvoice/Training/Any/ANY.warning02" );
        addTDXC( "J: Keep your eyes open warri", "Keep your eyes open warrior!~wvoice/Training/Any/ANY.warning03" );
        addTDXC( "K: Here they come!", "Here they come! Be ready!~wvoice/Training/Any/ANY.warning04" );
        addTDXC( "L: Scans indicate...", "Scans indicate aproching bioderms!~wvoice/Training/Any/ANY.warning05" );
        addTDXC( "M: Look out for turrets!", "Look out for enemy turrets!~wvoice/Training/Any/ANY.warning06" );
        addTDXC( "N: Enemy reinforcements are.", "Enemy reinforcements are coming!~wvoice/Training/Any/ANY.warning07" );
        addTDXC( "O: Head for the WayPoint!", "Head for the WayPoint!~wvoice/Training/Any/ANY.waypoint03" );
        addTDXC( "P: Move!!!", "Move!!!~wvoice/Training/Mission1/ANY.move" );
        addTDXC( "Q: Practice jetting", "Practice jetting, Young 1!~wvoice/Training/Mission1/ANY.practice" );
        addTDXC( "R: Practice skiing", "Practice skiing, Young 1!~wvoice/Training/Mission1/ANY.practice1" );
        addTDXC( "S: Energy Management...", "Energy Management... is important!~wvoice/Training/Mission1/T1.tip.energy" );
        addTDXC( "T: Jump before jetting", "Jump before jetting!!!~wvoice/Training/Mission1/T1.tip.jets01" );
        addTDXC( "U: Energy Pack Kick Ass", "Energy Pack Kick Ass~wvoice/Training/Mission1/T1.tip.pack01" );
        addTDXC( "V: High Speed Sking...", "High Speed Sking...~wvoice/Training/Mission1/T1.tip.skiing01" );
        addTDXC( "W: Aim for the head", "Aim for the head, its more powerful!~wvoice/Training/Mission1/T1.tip.sniper04" );
        addTDXC( "X: Spinfusor...", "Spinfusor is the bread and butter!~wvoice/Training/Mission1/T1.tip.spinfusor" );
        addTDXC( "Y: Base command calling...", "Base command calling lonewolf you out there new blood?~wvoice/Training/Mission1/T1_01" );
        addTDXC( "Z: Do the best, with what yo", "Do the best, with what you got!~wvoice/Training/Mission2/T2.cya01" );
        addTDXC( "1: First priority = Gen", "First priority are your Gen's!~wvoice/Training/Mission2/T2.tip.defense02" );
        addTDXC( "2: Mine use...", "Use Mines both they can kill you!~wvoice/Training/Mission2/T2.tip.defense03" );
        addTDXC( "3: Indoor turrets...", "Indoor turrets can be you best friends!~wvoice/Training/Mission2/T2.tip.defense05" );
        addTDXC( "4: Sucker the derms inside..", "Sucker the derms inside then let the turret chop them up~wvoice/Training/Mission2/T2.tip.defense07" );
    endTDXCMenu(); // Training 2
 
endTDXCMenu(); // Stripe
 
