//----------------------------------------------------------------------------\\
//                                                                            \\
//       TracerDX's Enhanced Chat - Canned Chat Item Definition File          \\
//                                                                            \\
//                Written by TracerDX (tracer@synadyne.net)                   \\
//                         http://www.synadyne.net                            \\
//                                                                            \\
//----------------------------------------------------------------------------\\
 


//--------------------------------------------------------------------------
// ANIMATIONS
addTDXCCIHeader("ANIMATIONS------------------");
addTDXCCannedItem( 'ChatAnimAnnoyed', "Animation: Move!");
addTDXCCannedItem( 'ChatAnimGetSome', "Animation: I am the greatest!");
addTDXCCannedItem( 'ChatAnimDance', "Animation: Woohoo!");
addTDXCCannedItem( 'ChatAnimSalute', "Animation: I'm on it!");
addTDXCCannedItem( 'ChatAnimWave', "Animation: Hi.");
addTDXCCannedItem( 'ChatAnimSpec1', "Animation: That's the best you can do?");
addTDXCCannedItem( 'ChatAnimSpec2', "Animation: Awww, that's too bad!");
addTDXCCannedItem( 'ChatAnimSpec3', "Animation: Awesome!");

//--------------------------------------------------------------------------
// ATTACK
addTDXCCIHeader("ATTACK----------------------");
addTDXCCannedItem( 'ChatCmdAttack', "Attack!");
addTDXCCannedItem( 'ChatCmdAttackBase', "Attack the enemy base!");
addTDXCCannedItem( 'ChatCmdAttackChase', "Recover our flag!");
addTDXCCannedItem( 'ChatCmdAttackDistract', "Disrupt the enemy defense!");
addTDXCCannedItem( 'ChatCmdAttackFlag', "Get the enemy flag!");
addTDXCCannedItem( 'ChatCmdAttackGenerator', "Destroy the enemy generator!");
addTDXCCannedItem( 'ChatCmdAttackObjective', "Attack the objective!");
addTDXCCannedItem( 'ChatCmdAttackReinforce', "Reinforce the offense!");
addTDXCCannedItem( 'ChatCmdAttackSensors', "Destroy enemy sensors!");
addTDXCCannedItem( 'ChatCmdAttackTurrets', "Destroy enemy turrets!");
addTDXCCannedItem( 'ChatCmdAttackWait', "Wait for my signal before attacking!");
addTDXCCannedItem( 'ChatCmdAttackVehicle', "Destroy the enemy vehicle!");

//--------------------------------------------------------------------------
// BASE
addTDXCCIHeader("BASE------------------------");
addTDXCCannedItem( 'ChatBaseTaken', "Our base is taken.");
addTDXCCannedItem( 'ChatEnemyInBase', "The enemy's in our base.");
addTDXCCannedItem( 'ChatBaseClear', "Our base is clear.");
addTDXCCannedItem( 'ChatCmdRetakeBase', "Retake our base!");
addTDXCCannedItem( 'ChatBaseSecure', "Our base is secure.");

//--------------------------------------------------------------------------
// DEFENSE
addTDXCCIHeader("DEFENSE---------------------");
addTDXCCannedItem( 'ChatCmdDefendBase', "Defend our base!");
addTDXCCannedItem( 'ChatCmdDefendCarrier', "Cover our flag carrier!");
addTDXCCannedItem( 'ChatCmdDefendEntrances', "Defend the entrances!");
addTDXCCannedItem( 'ChatCmdDefendFlag', "Defend our flag!");
addTDXCCannedItem( 'ChatCmdDefendGenerator', "Protect the generator!");
addTDXCCannedItem( 'ChatCmdDefendMe', "Cover me!");
addTDXCCannedItem( 'ChatCmdDefendObjective', "Defend the objective!");
addTDXCCannedItem( 'ChatCmdDefendReinforce', "Reinforce our defense!");
addTDXCCannedItem( 'ChatCmdDefendSensors', "Defend our sensors!");
addTDXCCannedItem( 'ChatCmdDefendTurrets', "Defend our turrets!");
addTDXCCannedItem( 'ChatCmdDefendVehicle', "Defend our vehicle!");
addTDXCCannedItem( 'ChatCmdDefendNexus', "Defend the nexus!");

//--------------------------------------------------------------------------
// COMMAND RESPONSE
addTDXCCIHeader("COMMAND RESPONSE------------");
addTDXCCannedItem( 'ChatCmdAcknowledged', "Command acknowledged.");
addTDXCCannedItem( 'ChatCmdWhat', "What's your assignment?");
addTDXCCannedItem( 'ChatCmdCompleted', "Command completed.");
addTDXCCannedItem( 'ChatCmdDeclined', "Command declined.");

//--------------------------------------------------------------------------
// ENEMY STATUS
addTDXCCIHeader("ENEMY STATUS----------------");
addTDXCCannedItem( 'ChatEnemyBaseDisabled', "Enemy base is disabled.");
addTDXCCannedItem( 'ChatEnemyDisarray', "The enemy is disrupted. Attack!");
addTDXCCannedItem( 'ChatEnemyGeneratorDestroyed', "Enemy generator destroyed.");
addTDXCCannedItem( 'ChatEnemyRemotesDestroyed', "Enemy remote equipment destroyed.");
addTDXCCannedItem( 'ChatEnemySensorsDestroyed', "Enemy sensors destroyed.");
addTDXCCannedItem( 'ChatEnemyTurretsDestroyed', "Enemy turrets destroyed.");
addTDXCCannedItem( 'ChatEnemyVehicleDestroyed', "Enemy vehicle station destroyed.");

//--------------------------------------------------------------------------
// FLAG
addTDXCCIHeader("FLAG------------------------");
addTDXCCannedItem( 'ChatFlagGotIt', "I have the enemy flag!");
addTDXCCannedItem( 'ChatCmdGiveMeFlag', "Give me the flag!");
addTDXCCannedItem( 'ChatCmdReturnFlag', "Retrieve our flag!");
addTDXCCannedItem( 'ChatFlagSecure', "Our flag is secure.");
addTDXCCannedItem( 'ChatCmdTakeFlag', "Take the flag from me!");
addTDXCCannedItem( 'ChatCmdHunterGiveFlags', "Give your flags to me!");
addTDXCCannedItem( 'ChatCmdHunterTakeFlags', "Take my flags!");

//--------------------------------------------------------------------------
// GLOBAL COMPLIMENTS
addTDXCCIHeader("GLOBAL COMPLIMENTS----------");
addTDXCCannedItem( 'ChatAwesome', "Awesome!");
addTDXCCannedItem( 'ChatGoodGame', "Good game!");
addTDXCCannedItem( 'ChatNice', "Nice move!");
addTDXCCannedItem( 'ChatYouRock', "You rock!");
addTDXCCannedItem( 'ChatGreatShot', "Great shot!");

//--------------------------------------------------------------------------
// GLOBAL COMPLIMENTS
addTDXCCIHeader("GLOBAL----------------------");
addTDXCCannedItem( 'ChatBye', "Bye.");
addTDXCCannedItem( 'ChatGlobalYes', "Yes. (Global)");
addTDXCCannedItem( 'ChatGlobalNo', "No. (Global)");
addTDXCCannedItem( 'ChatAnyTime', "Any time. (Global)");
addTDXCCannedItem( 'ChatDontKnow', "I don't know. (Global)");
addTDXCCannedItem( 'ChatOops', "Oops!");
addTDXCCannedItem( 'ChatQuiet', "Quiet!");
addTDXCCannedItem( 'ChatShazbot', "Shazbot!");
addTDXCCannedItem( 'ChatCheer', "Woohoo!");
addTDXCCannedItem( 'ChatThanks', "Thanks. (Global)");
addTDXCCannedItem( 'ChatWait', "Wait a sec. (Global)");

//--------------------------------------------------------------------------
// TRASH TALK
addTDXCCIHeader("TRASH TALK------------------");
addTDXCCannedItem( 'ChatAww', "Aww, that's too bad!");
addTDXCCannedItem( 'ChatBrag', "I am the greatest!");
addTDXCCannedItem( 'ChatObnoxious', "That's the best you can do?");
addTDXCCannedItem( 'ChatSarcasm', "THAT was graceful!");
addTDXCCannedItem( 'ChatLearn', "When ya gonna learn?");

//--------------------------------------------------------------------------
// NEED
addTDXCCIHeader("NEED------------------------");
addTDXCCannedItem( 'ChatNeedBombardier', "Need a bombardier.");
addTDXCCannedItem( 'ChatNeedCover', "Need covering fire.");
addTDXCCannedItem( 'ChatNeedDriver', "Need driver for ground vehicle.");
addTDXCCannedItem( 'ChatNeedEscort', "Vehicle needs escort.");
addTDXCCannedItem( 'ChatNeedPilot', "Need pilot for turbograv.");
addTDXCCannedItem( 'ChatNeedPassengers', "Gunship ready! Need a ride?");
addTDXCCannedItem( 'ChatNeedHold', "Hold that vehicle! I'm coming!");
addTDXCCannedItem( 'ChatNeedRide', "I need a ride!");
addTDXCCannedItem( 'ChatNeedSupport', "Need vehicle support!");
addTDXCCannedItem( 'ChatNeedTailgunner', "Need a tailgunner.");
addTDXCCannedItem( 'ChatNeedDestination', "Where to?");

//--------------------------------------------------------------------------
// REPAIR
addTDXCCIHeader("REPAIR----------------------");
addTDXCCannedItem( 'ChatRepairBase', "Repair our base!");
addTDXCCannedItem( 'ChatRepairGenerator', "Repair our generator!");
addTDXCCannedItem( 'ChatRepairMe', "Repair me!");
addTDXCCannedItem( 'ChatRepairSensors', "Repair our sensors!");
addTDXCCannedItem( 'ChatRepairTurrets', "Repair our turrets!");
addTDXCCannedItem( 'ChatRepairVehicle', "Repair our vehicle station!");

//--------------------------------------------------------------------------
// SELF ATTACK
addTDXCCIHeader("SELF ATTACK-----------------");
addTDXCCannedItem( 'ChatSelfAttack', "I will attack.");
addTDXCCannedItem( 'ChatSelfAttackBase', "I'll attack the enemy base.");
addTDXCCannedItem( 'ChatSelfAttackFlag', "I'll go for the enemy flag.");
addTDXCCannedItem( 'ChatSelfAttackGenerator', "I'll attack the enemy generator.");
addTDXCCannedItem( 'ChatSelfAttackSensors', "I'll attack the enemy sensors.");
addTDXCCannedItem( 'ChatSelfAttackTurrets', "I'll attack the enemy turrets.");
addTDXCCannedItem( 'ChatSelfAttackVehicle', "I'll attack the enemy vehicle station.");

//--------------------------------------------------------------------------
// SELF DEFEND
addTDXCCIHeader("SELF DEFEND-----------------");
addTDXCCannedItem( 'ChatSelfDefendBase', "I'll defend our base.");
addTDXCCannedItem( 'ChatSelfDefend', "I'm defending.");
addTDXCCannedItem( 'ChatSelfDefendFlag', "I'll defend our flag.");
addTDXCCannedItem( 'ChatSelfDefendGenerator', "I'll defend our generator.");
addTDXCCannedItem( 'ChatSelfDefendNexus', "I'll defend the nexus.");
addTDXCCannedItem( 'ChatSelfDefendSensors', "I'll defend our sensors.");
addTDXCCannedItem( 'ChatSelfDefendTurrets', "I'll defend our turrets.");
addTDXCCannedItem( 'ChatSelfDefendVehicle', "I'll defend our vehicle bay.");

//--------------------------------------------------------------------------
// SELF REPAIR
addTDXCCIHeader("SELF REPAIR-----------------");
addTDXCCannedItem( 'ChatSelfRepairBase', "I'll repair our base.");
addTDXCCannedItem( 'ChatSelfRepairEquipment', "I'll repair our equipment.");
addTDXCCannedItem( 'ChatSelfRepairGenerator', "I'll repair our generator.");
addTDXCCannedItem( 'ChatSelfRepair', "I'm on repairs.");
addTDXCCannedItem( 'ChatSelfRepairSensors', "I'll repair our sensors.");
addTDXCCannedItem( 'ChatSelfRepairTurrets', "I'll repair our turrets.");
addTDXCCannedItem( 'ChatSelfRepairVehicle', "I'll repair our vehicle station.");

//--------------------------------------------------------------------------
// SELF TASK
addTDXCCIHeader("SELF TASK-------------------");
addTDXCCannedItem( 'ChatTaskCover', "I'll cover you.");
addTDXCCannedItem( 'ChatTaskSetupD', "I'll set up defenses.");
addTDXCCannedItem( 'ChatTaskOnIt', "I'm on it.");
addTDXCCannedItem( 'ChatTaskSetupRemote', "I'll deploy remote equipment.");
addTDXCCannedItem( 'ChatTaskSetupSensors', "I'll deploy sensors.");
addTDXCCannedItem( 'ChatTaskSetupTurrets', "I'll deploy turrets.");
addTDXCCannedItem( 'ChatTaskVehicle', "I'll get a vehicle ready.");

//--------------------------------------------------------------------------
// TARGET
addTDXCCIHeader("TARGET----------------------");
addTDXCCannedItem( 'ChatTargetAcquired', "Target acquired.");
addTDXCCannedItem( 'ChatCmdTargetBase', "Target the enemy base! I'm in position.");
addTDXCCannedItem( 'ChatTargetDestroyed', "Target destroyed!");
addTDXCCannedItem( 'ChatCmdTargetFlag', "Target their flag! I'm in position.");
addTDXCCannedItem( 'ChatTargetFire', "Fire on my target!");
addTDXCCannedItem( 'ChatTargetNeed', "Need a target painted!");
addTDXCCannedItem( 'ChatCmdTargetSensors', "Target their sensors! I'm in position.");
addTDXCCannedItem( 'ChatCmdTargetTurret', "Target their turret! I'm in position.");
addTDXCCannedItem( 'ChatCmdTargetWait', "Wait! I'll be in range soon.");

//--------------------------------------------------------------------------
// WARNING
addTDXCCIHeader("WARNING---------------------");
addTDXCCannedItem( 'ChatWarnBomber', "Incoming bomber!");
addTDXCCannedItem( 'ChatWarnEnemies', "Incoming hostiles!");
addTDXCCannedItem( 'ChatWarnVehicles', "Incoming vehicles!");
addTDXCCannedItem( 'ChatWarnShoot', "Watch where you're shooting!");

//--------------------------------------------------------------------------
// VERY QUICK
addTDXCCIHeader("VERY QUICK------------------");
addTDXCCannedItem( 'ChatWelcome', "Any time.");
addTDXCCannedItem( 'ChatIsBaseSecure', "Is our base secure?");
addTDXCCannedItem( 'ChatCeaseFire', "Cease fire!");
addTDXCCannedItem( 'ChatDunno', "I don't know.");
addTDXCCannedItem( 'ChatHelp', "HELP!");
addTDXCCannedItem( 'ChatMove', "Move, please!");
addTDXCCannedItem( 'ChatTeamNo', "No.");
addTDXCCannedItem( 'ChatSorry', "Sorry.");
addTDXCCannedItem( 'ChatTeamThanks', "Thanks.");
addTDXCCannedItem( 'ChatTeamWait', "Wait, please.");
addTDXCCannedItem( 'ChatTeamYes');
