//----------------------------------------------------------------------------\\
//                                                                            \\
//             TracerDX's Enhanced Chat - Sound Definition File               \\
//                                                                            \\
//                Written by TracerDX (tracer@synadyne.net)                   \\
//                         http://www.synadyne.net                            \\
//                                                                            \\
//----------------------------------------------------------------------------\\
//   If you find any more sounds, you can put em here, but I'm fairly sure    \\
//                           I found them all :)                              \\
//----------------------------------------------------------------------------\\

// addTDXCSound( %message, %sound )

addTDXCGroup( "ATTACK" );
addTDXCSound( "Attack!", "att.attack");
addTDXCSound( "Attack the enemy base!", "att.base");
addTDXCSound( "Recover our flag!", "att.chase");
addTDXCSound( "Disrupt the enemy defense!", "att.distract");
addTDXCSound( "Get the enemy flag!", "att.flag");
addTDXCSound( "Destroy the enemy generator!", "att.generator");
addTDXCSound( "Attack the objective!", "att.objective");
addTDXCSound( "Reinforce the offense!", "att.reinforcements");
addTDXCSound( "Destroy enemy sensors!", "att.sensors");
addTDXCSound( "Destroy enemy turrets!", "att.turrets");
addTDXCSound( "Wait for my signal before attacking!", "att.wait");
addTDXCSound( "Destroy the enemy vehicle!", "att.vehicle");

//--------------------------------------------------------------------------
// BASE
addTDXCGroup( "BASE");
addTDXCSound( "Our base is taken.", "bas.taken" );
addTDXCSound( "The enemy's in our base.", "bas.enemy");
addTDXCSound( "Our base is clear.", "bas.clear");
addTDXCSound( "Retake our base!", "bas.retake");
addTDXCSound( "Our base is secure.", "bas.secure");

//--------------------------------------------------------------------------
// DEFENSE
addTDXCGroup( "DEFENSE");
addTDXCSound( "Defend our base!", "def.base");
addTDXCSound( "Cover our flag carrier!", "def.carrier");
addTDXCSound( "Defend the entrances!", "def.entrances");
addTDXCSound( "Defend our flag!", "def.flag");
addTDXCSound( "Protect the generator!", "def.generator");
addTDXCSound( "Cover me!", "def.me");
addTDXCSound( "Defend the objective!", "def.objective");
addTDXCSound( "Reinforce our defense!", "def.reinforce");
addTDXCSound( "Defend our sensors!", "def.sensors");
addTDXCSound( "Defend our turrets!", "def.turrets");
addTDXCSound( "Defend our vehicle!", "def.vehicle");
addTDXCSound( "Defend the nexus!", "def.nexus");

//--------------------------------------------------------------------------
// COMMAND RESPONSE
addTDXCGroup( "COMMAND RESPONSE" );
addTDXCSound( "Command acknowledged.", "cmd.acknowledge");
addTDXCSound( "What's your assignment?", "cmd.bot");
addTDXCSound( "Command completed.", "cmd.completed");
addTDXCSound( "Command declined.", "cmd.decline");

//--------------------------------------------------------------------------
// ENEMY STATUS
addTDXCGroup( "ENEMY STATUS");
addTDXCSound( "Enemy base is disabled.", "ene.base");
addTDXCSound( "The enemy is disrupted. Attack!", "ene.disarray");
addTDXCSound( "Enemy generator destroyed.", "ene.generator");
addTDXCSound( "Enemy remote equipment destroyed.", "ene.remotes");
addTDXCSound( "Enemy sensors destroyed.", "ene.sensors");
addTDXCSound( "Enemy turrets destroyed.", "ene.turrets");
addTDXCSound( "Enemy vehicle station destroyed.", "ene.vehicle");

//--------------------------------------------------------------------------
// FLAG
addTDXCGroup( "FLAG");
addTDXCSound( "I have the enemy flag!", "flg.flag");
addTDXCSound( "Give me the flag!", "flg.give");
addTDXCSound( "Retrieve our flag!", "flg.retrieve");
addTDXCSound( "Our flag is secure.", "flg.secure");
addTDXCSound( "Take the flag from me!", "flg.take");
addTDXCSound( "Give your flags to me!", "flg.huntergive");
addTDXCSound( "Take my flags!", "flg.huntertake");

//--------------------------------------------------------------------------
// GLOBAL COMPLIMENTS
addTDXCGroup( "COMPLIMENTS");
addTDXCSound( "Awesome!", "gbl.awesome" );
addTDXCSound( "Good game!", "gbl.goodgame");
addTDXCSound( "Nice move!", "gbl.nice");
addTDXCSound( "You rock!", "gbl.rock");
addTDXCSound( "Great shot!", "gbl.shooting");

//--------------------------------------------------------------------------
// GLOBAL
addTDXCGroup( "GLOBAL");
addTDXCSound( "Hi.", "gbl.hi");
addTDXCSound( "Bye.", "gbl.bye");
addTDXCSound( "Yes. (Global)", "gbl.yes");
addTDXCSound( "No. (Global)", "gbl.no");
addTDXCSound( "Any time. (Global)", "gbl.anytime");
addTDXCSound( "I don't know. (Global)", "gbl.dunno");
addTDXCSound( "Oops!", "gbl.oops");
addTDXCSound( "Quiet!", "gbl.quiet");
addTDXCSound( "Shazbot!", "gbl.shazbot");
addTDXCSound( "Woohoo!", "gbl.woohoo");
addTDXCSound( "Thanks. (Global)", "gbl.thanks");
addTDXCSound( "Wait a sec. (Global)", "gbl.wait");

//--------------------------------------------------------------------------
// TRASH TALK
addTDXCGroup( "TAUNTS");
addTDXCSound( "Aww, that's too bad!", "gbl.aww");
addTDXCSound( "I am the greatest!", "gbl.brag");
addTDXCSound( "That's the best you can do?", "gbl.obnoxious");
addTDXCSound( "THAT was graceful!", "gbl.sarcasm");
addTDXCSound( "When ya gonna learn?", "gbl.when");

//--------------------------------------------------------------------------
// NEED
addTDXCGroup( "NEED");
addTDXCSound( "Need a bombardier.", "need.bombardier");
addTDXCSound( "Need covering fire.", "need.cover");
addTDXCSound( "Need driver for ground vehicle.", "need.driver");
addTDXCSound( "Vehicle needs escort.", "need.escort");
addTDXCSound( "Need pilot for turbograv.", "need.flyer");
addTDXCSound( "Gunship ready! Need a ride?", "need.gunship");
addTDXCSound( "Hold that vehicle! I'm coming!", "need.hold");
addTDXCSound( "I need a ride!", "need.ride");
addTDXCSound( "Need vehicle support!", "need.support");
addTDXCSound( "Need a tailgunner.", "need.tailgunner");
addTDXCSound( "Where to?", "need.where");

//--------------------------------------------------------------------------
// REPAIR
addTDXCGroup( "REPAIR");
addTDXCSound( "Repair our base!", "rep.base");
addTDXCSound( "Repair our generator!", "rep.generator");
addTDXCSound( "Repair me!", "rep.me");
addTDXCSound( "Repair our sensors!", "rep.sensors");
addTDXCSound( "Repair our turrets!", "rep.turrets");
addTDXCSound( "Repair our vehicle station!", "rep.vehicle");

//--------------------------------------------------------------------------
// SELF ATTACK
addTDXCGroup( "SELF ATTACK" );
addTDXCSound( "I will attack.", "slf.att.attack");
addTDXCSound( "I'll attack the enemy base.", "slf.att.base");
addTDXCSound( "I'll go for the enemy flag.", "slf.att.flag" );
addTDXCSound( "I'll attack the enemy generator.", "slf.att.generator");
addTDXCSound( "I'll attack the enemy sensors.", "slf.att.sensors");
addTDXCSound( "I'll attack the enemy turrets.", "slf.att.turrets");
addTDXCSound( "I'll attack the enemy vehicle station.", "slf.att.vehicle" );

//--------------------------------------------------------------------------
// SELF DEFEND
addTDXCGroup( "SELF DEFEND" );
addTDXCSound( "I'll defend our base.", "slf.def.base");
addTDXCSound( "I'm defending.", "slf.def.defend");
addTDXCSound( "I'll defend our flag.", "slf.def.flag");
addTDXCSound( "I'll defend our generator.", "slf.def.generator" );
addTDXCSound( "I'll defend the nexus.", "slf.def.nexus");
addTDXCSound( "I'll defend our sensors.", "slf.def.sensors");
addTDXCSound( "I'll defend our turrets.", "slf.def.turrets");
addTDXCSound( "I'll defend our vehicle bay.", "slf.def.vehicle");

//--------------------------------------------------------------------------
// SELF REPAIR
addTDXCGroup( "SELF REPAIR" );
addTDXCSound( "I'll repair our base.", "slf.rep.base" );
addTDXCSound( "I'll repair our equipment.", "slf.rep.equipment");
addTDXCSound( "I'll repair our generator.", "slf.rep.generator");
addTDXCSound( "I'm on repairs.", "slf.rep.repairing");
addTDXCSound( "I'll repair our sensors.", "slf.rep.sensors");
addTDXCSound( "I'll repair our turrets.", "slf.rep.turrets");
addTDXCSound( "I'll repair our vehicle station.", "slf.rep.vehicle");

//--------------------------------------------------------------------------
// SELF TASK
addTDXCGroup( "SELF TASK");
addTDXCSound( "I'll cover you.", "slf.tsk.cover");
addTDXCSound( "I'll set up defenses.", "slf.tsk.defense");
addTDXCSound( "I'm on it.", "slf.tsk.generic");
addTDXCSound( "I'll deploy remote equipment.", "slf.tsk.remotes");
addTDXCSound( "I'll deploy sensors.", "slf.tsk.sensors");
addTDXCSound( "I'll deploy turrets.", "slf.tsk.turrets" );
addTDXCSound( "I'll get a vehicle ready.", "slf.tsk.vehicle");

//--------------------------------------------------------------------------
// TARGET
addTDXCGroup( "TARGET" );
addTDXCSound( "Target acquired.", "tgt.acquired");
addTDXCSound( "Target the enemy base! I'm in position.", "tgt.base");
addTDXCSound( "Target destroyed!", "tgt.destroyed");
addTDXCSound( "Target their flag! I'm in position.", "tgt.flag");
addTDXCSound( "Fire on my target!", "tgt.my");
addTDXCSound( "Need a target painted!", "tgt.need");
addTDXCSound( "Target their sensors! I'm in position.", "tgt.sensors");
addTDXCSound( "Target their turret! I'm in position.", "tgt.turret");
addTDXCSound( "Wait! I'll be in range soon.", "tgt.wait");

//--------------------------------------------------------------------------
// WARNING
addTDXCGroup( "WARNING" );
addTDXCSound( "Incoming bomber!", "wrn.bomber");
addTDXCSound( "Incoming hostiles!", "wrn.enemy");
addTDXCSound( "Incoming vehicles!", "wrn.vehicles");
addTDXCSound( "Watch where you're shooting!", "wrn.watchit");

//--------------------------------------------------------------------------
// VERY QUICK
addTDXCGroup( "VERY QUICK" );
addTDXCSound( "Any time. (Quick)", "vqk.anytime" );
addTDXCSound( "Is our base secure?", "vqk.base");
addTDXCSound( "Cease fire!", "vqk.ceasefire");
addTDXCSound( "I don't know. (Quick)", "vqk.dunno");
addTDXCSound( "HELP!", "vqk.help");
addTDXCSound( "Move, please!", "vqk.move");
addTDXCSound( "No. (Quick)", "vqk.no");
addTDXCSound( "Sorry.", "vqk.sorry");
addTDXCSound( "Thanks. (Quick)", "vqk.thanks");
addTDXCSound( "Wait, please. (Quick)", "vqk.wait");
addTDXCSound( "Yes. (Quick)", "vqk.yes");

//-------------------------------------------------------------------------
// HIDDEN SOUNDS
addTDXCGroup( "HIDDEN" );
addTDXCSound( "Special Quiet (SHUT UP)", "vqk.quiet" );
addTDXCSound( "Death Cry 1", "avo.deathcry_01" );
addTDXCSound( "Death Cry 2", "avo.deathcry_02" );
addTDXCSound( "Grunt", "avo.grunt" );
addTDXCSound( "In Pain", "avo.pain" );
