// #name = TriCon 2
// #version = 303
// #date = August 6, 2002
// #author = {NQP!}Qing
// #email = qing@netquickposse.com
// #web = http://www.tricon2.com
// #description = TriCon2 clientside pack
// #acknowledgements = none
// #status = continuous development

//Tricon 2
//Client-side scripts
//www.tricon2.com
//{NQP!}Qing
//July 8, 2001



// 300.27, removed 301.+
//function initTriconCallbacks()
//{
//	addMessageCallback('MsgTriconDeAdminPlayer', triconHandleDeAdminPlayerMessage);
//	addMessageCallback('MsgPuPickMap', triconHandlePuMessage);
//}

//function triconHandlePuMessage(%msgtype, %string, %client)
//{
//		fillLobbyMissionTypeMenu();
//		TabMenuVoteFillMissionType();
//}


//function triconHandleDeAdminPlayerMessage( %msgType, %msgString, %client )
//{
//   %player = $PlayerList[%client];
//   if(%player)
//   	{
//      %player.isAdmin = false;
//      %player.isSuperAdmin = false;
//	   alxPlay(AdminForceSound, 0, 0, 0);
//      }
//}

function clientCmdEchoFromServer(%txt)
{
	echo("\cp\c2" @ $clservername @ ":\cp\c0  " @ %txt);
}

function mark()
{
	echo("\cp\c2\===============================================================================" @ getsimtime());
	echo("\cp\c6\===============================================================================" @ getsimtime());
	echo("\cp\c8\===============================================================================" @ getsimtime());
}

function client()
{
	exec("scripts/autoexec/tricon2/tricon2client.cs");
}

//if $cdebug is set to true, the console will see some extra echoing
function cdecho(%txt)
{
	if($cdebug)
		echo("\cp\c6CL DEBUG ECHO:\cp\c8" @ %txt @ "\co");
}


schedule(5000, 0, triconRemap);
function triconRemap()
{
	if($TriconRemap)
		return;
	$RemapName[$RemapCount] = "Tricon Fake Death";
	$RemapCmd[$RemapCount] = "tcfakeDeath";
	$RemapCount++;
//	$RemapName[$RemapCount] = "Tricon Dev Tele";
//	$RemapCmd[$RemapCount] = "QTele";
//	$RemapCount++;
//	$RemapName[$RemapCount] = "Tricon Dev Summon";
//	$RemapCmd[$RemapCount] = "qCome";
//	$RemapCount++;
	$TriconRemap = true;
}


function tcfakedeath(%make)
{
	if(%make)
		commandtoserver('triconfakedeath');
}


//SERVER DUMP
function clientCmdGetDataDump(%data, %type, %start)
{
	cdecho("ClientCmdGetDataDump:" TAB %data TAB %type TAB %start);
	echo(%data);
	if(%type $= "")
		return;

	if(%start $= "begin")
		{
		canvas.pushDialog(Consoledlg);	//290.2
		new fileObject(ServerDump);
		ServerDump.openforwrite("Logs/" @ stripchars($ClServerName, "\:?*/|") @ "." @ %type @ ".txt");
		ServerDump.writeline("Server Data Dump from " @ $clServerName);
		return;
		}
	if(%start $= "end")
		{
		ServerDump.writeline("Server Data Dump finished.");
		ServerDump.close();
		ServerDump.delete();
		return;
		}
	ServerDump.writeline(stripchars(%data,"\cp\co\c1\c2\c3\c4\c5\c6\c7\c8\c9"));
}






///////////////////////////////////////
//CONSOLE GUI
//
$TriconClient::Tricon::ConsoleFontColor		= "232 197 0";
$TriconClient::Tricon::ConsoleFontType 		= "Tahoma Bold";
$TriconClient::Tricon::ConsoleFontSize 		= 12;
$TriconClient::Tricon::ConsoleBG					= "0 0 0 100";	//R G B Intensity

$TriconClient::Tricon::ConsoleEntryFontColor	= "0 73 197";
$TriconClient::Tricon::ConsoleEntryBGColor	= "232 197 0";
$TriconClient::Tricon::ConsoleEntryFontType 	= "Tahoma Bold";
$TriconClient::Tricon::ConsoleEntryFontSize 	= 14;
$TriconVidRes = "";

function pushConsole()
{
	t2echo("Pushing Console");
	canvas.popDialog(LoadingGui);
	canvas.pushDialog(ConsoleDlg);
	canvas.setContent(LoadingGui);
	$ConsoleActive = true;
}


function makeTriconConsole()
{

if($LaunchMode $= "DedicatedServer")	//no guis on ispawn
	{
	t2echo("Dedicated server detected.");
	t2echo("Tricon client pack detected on server.");
	t2echo(".... bypassing Tricon client custom console gui.");
	return;
	}
	
if(!isObject(consoleDlg))
	{
	schedule(1000, 0, makeTriconConsole);
	error("Waiting for console creation before building Tricon Console.");
	return;
	}

%x = getword($pref::Video::resolution,0);
%y = getword($pref::Video::Resolution,1);

if(%X SPC %Y $= $TriconVidRes)
	{
	echo("Custom console not recreated, video mode is still " @ %x @ " x " @ %y);
	return;
	}
echo("Console created.");
if(isobject(consoleDlg))
	consoledlg.delete();
$TriconVidRes = %x SPC %y;


new GuiControlProfile ("QGuiButtonProfile")
{
   opaque = true;
   fillColor = $TriconClient::Tricon::ConsoleBG;
   border = false;
   borderColor   = "0 0 0";
   borderColorHL = "127 127 127";
   fontType = "Univers Condensed";
   fontSize = 16;
   fontColor = "0 0 0";
   fontColorHL = "32 100 100";
   fixedExtent = true;
   justify = "center";
   soundButtonDown = sButtonDown;
   soundButtonOver = sButtonOver;
	canKeyFocus = false;
};

new GuiControlProfile ("QGuiTextEditProfile")
{
   opaque = true;
   fillColor = $TriconClient::Tricon::ConsoleEntryBGColor;
   fillColorHL = "128 128 128";
   border = true;
   borderColor = "0 0 0";
   fontType = $TriconClient::Tricon::ConsoleEntryFontType;
   fontSize = $TriconClient::Tricon::ConsoleEntryFontSize;
   fontColor = $TriconClient::Tricon::ConsoleEntryFontColor;
   fontColorHL = "255 255 255";
   fontColorNA = "128 128 128";
   textOffset = "0 2";
   autoSizeWidth = false;
   autoSizeHeight = true;
   tab = true;
   canKeyFocus = true;
};

new GuiControlProfile ("QGuiWindowProfile")
{
   opaque = false;
   fillColor = "220 20 20 100";
   fillColorHL = "64 150 150";
   fillColorNA = "150 150 150";
   fontType = "Sui Generis";
   fontSize = 22;
   fontColor = "0 0 0";
   fontColorHL = "0 0 0";
   text = "GuiWindowCtrl test";
   bitmap = "gui/darkWindow";
};


new GuiControlProfile ("QGuiConsoleProfile")
{
   fontType = $TriconClient::Tricon::ConsoleFontType;
   fontSize = $TriconClient::Tricon::ConsoleFontSize;
	fontColor = $TriconClient::Tricon::ConsoleFontColor;
   fontColorHL = "200 200 200";
   fontColorNA = "255 0 0";
   fontColors[6] = "0 255 50";
   fontColors[7] = "150 150 0";  
   fontColors[8] = "50 100 255"; 
   fontColors[9] = "0 150 0";   
};

new GuiControlProfile ("QConsoleScrollCtrlProfile")
{
   border = true;
   fillColor = $TriconClient::Tricon::ConsoleBG;
   borderColor = "64 64 64";
   bitmap = "gui/shellScrollYellow";
	canKeyFocus = true;
};


new GuiControl(ConsoleDlg)
	{
   profile = "QGuiWindowProfile";
   canMinimize = "true";
   canMaximize = "true";
   
   new GuiWindowCtrl()
   {
      profile = "QGuiWindowProfile";
      position = "0 0";
      extent = %x SPC %Y;
      text = "Console";
      canMove = "false";  
      canClose = "true";
      canMinimize = "true";
      canMaximize = "true";
      
      new GuiScrollCtrl()
      {
//         profile = "QGuiButtonProfile";
profile = "QConsoleScrollCtrlProfile";
         position = "0 0";
         extent = %x SPC %y - 20;
         hScrollBar = "dynamic";
         vScrollBar = "alwaysOn";
         horizSizing = "width";
         vertSizing = "height";
      
         new GuiScrollContentCtrl("testScrollContentCtrl")
         {
            profile = "QGuiButtonProfile";
            
            new GuiConsole("testArrayCtrl")
            {
               profile = "QGuiConsoleProfile";
               position = "0 0";
            };
         };
      };
      
      new GuiConsoleEditCtrl("ConsoleEntry")
      {
         profile = "QGuiTextEditProfile";
         position = "0" SPC %y-20;
         extent = %x SPC 20;
         historySize = 100;
         altCommand = "ConsoleEntry::eval();";
         horizSizing = "width";
         vertSizing = "top";
      };
   };
};
$ConsoleActive = false;
}

makeTriconConsole();





























//////////////////////////////////////////////
//DATA ENTRY POPUP GUI

new GuiControlProfile( "DlgTriconProfile" )
{
	opaque = true;
//	fillColor = "0 59 64 100";
	fillColor = "258 0 256 200";
};


function TriconInfoPopup(%title, %text, %fill)
{
if(isObject(TriconInfoTextDlg))
	TriconInfoTextDlg.delete();
new GuiControl(TriconInfoTextDlg)
	{
	profile = "DlgTriconProfile";
	horizSizing = "width";
	vertSizing = "height";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	helpTag = "0";

//	new ShellPaneCtrl()
//		{
//		profile = "ShellDlgPaneProfile";
//		horizSizing = "center";
//		vertSizing = "center";
//		position = "147 142";
//		extent = "345 172";
//		minExtent = "48 92";
//		visible = "1";
//		helpTag = "0";
//		text = %title;
//		noTitleBar = "0";

		new GuiTextCtrl()
			{
			profile = "ShellMediumTextProfile";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "54 42";
			extent = "640 480";
			minExtent = "8 8";
			visible = "1";
			helpTag = "0";
			text = %text;
			};


		new ShellBitmapButton()
			{
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
			position = "190 117";
			extent = "120 38";
			minExtent = "32 38";
			visible = "1";
			command = "Canvas.popDialog(TriconInfoTextDlg);";
			helpTag = "0";
         accelerator = "escape";
			text = "DONE";
			simpleStyle = "0";
			};
		};
//	};
Canvas.pushDialog( TriconInfoTextDlg );
}































/////////////////////////////////////////
//DATA ENTRY POPUP GUI
function TriconEnterTextPopup(%title, %text, %fill)
{
TriconEnterTextDlg.delete();
$TriconDataEntry = %fill;
new GuiControl(TriconEnterTextDlg)
	{
//	profile = "DlgBackProfile";
	profile = "DlgTriconProfile";
	horizSizing = "width";
	vertSizing = "height";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	helpTag = "0";

	new ShellPaneCtrl()
		{
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "40 142";
//		extent = "345 172";
		extent = "600 172";
		minExtent = "48 92";
		visible = "1";
		helpTag = "0";
		text = %title;
		noTitleBar = "0";

		new GuiTextCtrl()
			{
			profile = "ShellMediumTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "54 42";
			extent = "580 300";
			minExtent = "8 8";
			visible = "1";
			helpTag = "0";
			text = %text;
			};

		new ShellTextEditCtrl()
			{
			profile = "NewTextEditProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 68";
			extent = "570 76";
			minExtent = "32 38";
			visible = "1";
			variable = "$TriconDataEntry";
         altCommand = "TriconOnClientDataEntered();Canvas.popDialog(TriconEnterTextDlg);";
			helpTag = "0";
			historySize = "0";
			maxLength = "1000";
			password = "0";
			glowOffset = "9 9";
			};

		new ShellBitmapButton()
			{
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "155 117";
			extent = "120 38";
			minExtent = "32 38";
			visible = "1";
			command = "clearTriconEnterText(); Canvas.popDialog(TriconEnterTextDlg);";
         accelerator = "escape";
			helpTag = "0";
			text = "CANCEL";
			simpleStyle = "0";
			};

		new ShellBitmapButton()
			{
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
			position = "315 117";
			extent = "120 38";
			minExtent = "32 38";
			visible = "1";
			command = "TriconOnClientDataEntered();Canvas.popDialog(TriconEnterTextDlg);";
			helpTag = "0";
         accelerator = "return";
			text = "OK";
			simpleStyle = "0";
			};
		};
	};

Canvas.pushDialog( TriconEnterTextDlg );
alxPlay(sLaunchMenuOpen, 0, 0, 0);
}

function clearTriconEnterText()
{
	$TriconDataEntry= "";
}

function TriconOnClientDataEntered()
{
	commandToServer('ClientDataEntry', $TriconDataEntry);
}

function clientCmdReportData(%title, %text, %prompt, %fill)
{
	TriconEnterTextPopup(%title, %text, %prompt, %fill);
}









/////////////////////////////////////////
//WEB LINKS
function clientcmdTriconWeb(%loc, %name)
{
	echo("SERVER WEB REQUEST: " @ %loc);
	schedule(0, 0, gotowebpage, %loc);
}


//The world isn't ready for this yet
//function clientcmdTriconVirtual(%cmd, %a, %b, %c, %d, %e, %f)
//{
//	schedule(0, 0, %cmd, %a, %b, %c, %d, %e, %f);
//}












/////////////////////////////////////////
//CONFIRM ACTIVITY
function clientCmdTriconConfirm(%heading, %text)
{
	MessageBoxYesNo(gettaggedstring(%heading), gettaggedstring(%text), "RegisterTrue();", "RegisterFalse();");
	alxPlay(sLaunchMenuOpen, 0, 0, 0);
}


function RegisterTrue()
{
	commandToServer('RegisterTrue');
}

function RegisterFalse()
{
	commandToServer('RegisterFalse');
}



/////////////////////////////////////////
//SET VARIABLE ON SERVER
function sadvariable(%type, %var, %val)
{
	commandToServer('SadSetVariables', %type, %var, %val);
}

/////////////////////////////////////////
//CALL FUNCTION ON SERVER
function sadFunction(%funct, %arg1, %arg2, %arg3, %arg4)
{
	commandToServer('SadFunctions', %funct, %arg1, %arg2, %arg3, %arg4);
}

////////////////////////////////////////
//DEVELOPER'S TELEPORT TOOL
function qtele(%make)
{
	if(%make)
	commandToServer('DevTele');
}

////////////////////////////////////////
//DEVELOPER'S COME HITHER
function qCome(%make)
{
	if(%make)
	commandToServer('ComeHither');
}



/////////////////////////////////////////
//CORE CLIENT PACKAGE
//deactivatePackage(Tricon2ClientPackage);
package Tricon2ClientPackage
{



	function handlePlayerPopupMessage( %msgType, %msgString, %key, %voteName, %voteActionMsg, %voteText, %popupEntryId )
	{
		cdecho("handlePlayerPopupMessage:" TAB %msgtype TAB %msgstring TAB %key TAB %votename TAB %voteactionmsg TAB %votetext TAB %oppupentryid);
	   if ( %key != LobbyPlayerPopup.key )
   	   return;
   	LobbyPlayerPopup.add( "     " @ detag( %voteText ), %popupEntryId );
	}



	//Update the console gui after changing video modes
	function OptionsDlg::applyGraphicChanges( %this )
	{
	parent::applyGraphicChanges( %this );
	makeTriconConsole();
	}


	//Handle Tricon Popup-Menu coding
	function LobbyPlayerPopup::onSelect( %this, %id, %text )
	{
		cdecho("LobbyPlayerPopup::onSelect(" @ %this TAB %id TAB %text @ ")");
		cdecho("LOBBY PLAYERPOPUP THIS IS " @ %this);
		cdecho("LOBBY PLAYERPOPUP ID IS " @ %id);
		if (strlen(%id) > 4) 
			{
		   startNewVote(%id, %this.player.clientId, 0, 0, 0, true);
			Canvas.popDialog( LobbyPlayerActionDlg );
			}
		else
			Parent::OnSelect(%this, %id, %text);
	}



	//Same as above...
	//For compatibility with Crunchy's TabMenuHud... (highly recommended for this)
	function TabMenuHudPlayerPopup::onSelect(%this, %id, %text)
	{
		cdecho("TabMenuHudPlayerPopup::onSelect: " @ %this@"::"@ %id @"::" @ %text);
		if (strlen(%id) > 4) 
			{
		   startNewVote(%id, %this.player.clientId, 0, 0, 0, true);
			Canvas.popDialog( LobbyPlayerActionDlg );
			}
		else
			Parent::OnSelect(%this, %id, %text);
	}



	//Register as a Tricon2-enabled client
	//so that the server will use full client support features


	function clientCmdMissionStartPhase2(%seq)
		{
		commandtoserver('TriconRegisterClient', "303");	//also passes the client script version for future use
		parent::clientCmdMissionStartPhase2(%seq);
//		initTriconCallbacks();
		makeTriconConsole();
		}

//still trying to get the lobby menu to refresh upon use
//	function lobbyvote()
//	{
//		parent::lobbyvote();
//		cdecho("LOBBYVOTE");
//		fillLobbyVoteMenu();
//	}








};
activatePackage(Tricon2ClientPackage);

//V250 	original client-side
//V251 	beta-tests, various
//V252 	weblink support
//V258 	sadfunction & sadvariable
//V259 	data entry gui
//V260 	tweaked console gui
//V260.1	user definable console colors
//V263	handle server data dumps
//V270   263 renamed for public release
//V270.1	changed load sequence for console gui
//V271	fake death
//V272	fix for gui when client installed on ded server
//V274	filewrites for server data dumps
//V275	274 renamed, since v274's were registering as 272
//V276	tweaked fakedeath for %make, now uses standard t2 remapping
//			fixed some console spam
//V278	new gui profile for console scroll bars, made gray text a little brighter for visibility
//			stripped non-dos characters from servername/filename in fileViewer
//V285	removed hard-bind for fakedeath
//			added alt-home, ctrl-home key binds for Developer's stuff
//V286	removed key binds for Developer's stuff
//v290	renamed for public server release
//v290.2	console appears when downloading data from server
//v291	handles echoes from server
//v300	renamed for v300 server/gui release
//v301	added handler for deadmining players so they don't still show A or SA
//v302	file view exports file as .txt instead of .cs so it doesn't hang prepbuilds
//v303	removed message callbacks, seemed to mess with other scripts??

