//--------------------------------------------------------------------------
//BOT Voice Path
addTDXCNullGroup( "Bot Voice" );
	//--------------------------------------------------------------------------
	// ATTACK
	addTDXCNullSound( "Bot: ATTACK-------------", "-");
	addTDXCNullSound( "Bot: Attack!", "voice/Bot1/att.attack");
	addTDXCNullSound( "Bot: Attack the enemy base!", "voice/Bot1/att.base");
	addTDXCNullSound( "Bot: Recover our flag!", "voice/Bot1/att.chase");
	addTDXCNullSound( "Bot: Disrupt the enemy defense!", "voice/Bot1/att.distract");
	addTDXCNullSound( "Bot: Get the enemy flag!", "voice/Bot1/att.flag");
	addTDXCNullSound( "Bot: Destroy the enemy generator!", "voice/Bot1/att.generator");
	addTDXCNullSound( "Bot: Attack the objective!", "voice/Bot1/att.objective");
	addTDXCNullSound( "Bot: Reinforce the offense!", "voice/Bot1/att.reinforcements");
	addTDXCNullSound( "Bot: Destroy enemy sensors!", "voice/Bot1/att.sensors");
	addTDXCNullSound( "Bot: Destroy enemy turrets!", "voice/Bot1/att.turrets");
	addTDXCNullSound( "Bot: Wait for my signal before attacking!", "voice/Bot1/att.wait");
	addTDXCNullSound( "Bot: Destroy the enemy vehicle!", "voice/Bot1/att.vehicle");

	//--------------------------------------------------------------------------
	// BASE
	addTDXCNullSound( "Bot: BASE---------------", "-" );
	addTDXCNullSound( "Bot: Our base is taken.", "voice/Bot1/bas.taken" );
	addTDXCNullSound( "Bot: The enemy's in our base.", "voice/Bot1/bas.enemy");
	addTDXCNullSound( "Bot: Our base is clear.", "voice/Bot1/bas.clear");
	addTDXCNullSound( "Bot: Retake our base!", "voice/Bot1/bas.retake");
	addTDXCNullSound( "Bot: Our base is secure.", "voice/Bot1/bas.secure");

	//--------------------------------------------------------------------------
	// DEFENSE
	addTDXCNullSound( "Bot: DEFENSE------------", "-" );
	addTDXCNullSound( "Bot: Defend our base!", "voice/Bot1/def.base");
	addTDXCNullSound( "Bot: Cover our flag carrier!", "voice/Bot1/def.carrier");
	addTDXCNullSound( "Bot: Defend the entrances!", "voice/Bot1/def.entrances");
	addTDXCNullSound( "Bot: Defend our flag!", "voice/Bot1/def.flag");
	addTDXCNullSound( "Bot: Protect the generator!", "voice/Bot1/def.generator");
	addTDXCNullSound( "Bot: Cover me!", "voice/Bot1/def.me");
	addTDXCNullSound( "Bot: Defend the objective!", "voice/Bot1/def.objective");
	addTDXCNullSound( "Bot: Reinforce our defense!", "voice/Bot1/def.reinforce");
	addTDXCNullSound( "Bot: Defend our sensors!", "voice/Bot1/def.sensors");
	addTDXCNullSound( "Bot: Defend our turrets!", "voice/Bot1/def.turrets");
	addTDXCNullSound( "Bot: Defend our vehicle!", "voice/Bot1/def.vehicle");
	addTDXCNullSound( "Bot: Defend the nexus!", "voice/Bot1/def.nexus");

	//--------------------------------------------------------------------------
	// COMMAND RESPONSE
	addTDXCNullSound( "Bot: COMMAND RESPONSE---", "-" );
	addTDXCNullSound( "Bot: Command acknowledged.", "voice/Bot1/cmd.acknowledge");
	addTDXCNullSound( "Bot: Command Acknowledged.", "voice/Bot1/cmd.acknowledge");
	addTDXCNullSound( "Bot: What's your assignment?", "voice/Bot1/cmd.bot");
	addTDXCNullSound( "Bot: Command completed.", "voice/Bot1/cmd.completed");
	addTDXCNullSound( "Bot: Command declined.", "voice/Bot1/cmd.decline");

	//--------------------------------------------------------------------------
	// ENEMY STATUS
	addTDXCNullSound( "Bot: ENEMY STATUS-------", "-" );
	addTDXCNullSound( "Bot: Enemy base is disabled.", "voice/Bot1/ene.base");
	addTDXCNullSound( "Bot: The enemy is disrupted. Attack!", "voice/Bot1/ene.disarray");
	addTDXCNullSound( "Bot: Enemy generator destroyed.", "voice/Bot1/ene.generator");
	addTDXCNullSound( "Bot: Enemy remote equipment destroyed.", "voice/Bot1/ene.remotes");
	addTDXCNullSound( "Bot: Enemy sensors destroyed.", "voice/Bot1/ene.sensors");
	addTDXCNullSound( "Bot: Enemy turrets destroyed.", "voice/Bot1/ene.turrets");
	addTDXCNullSound( "Bot: Enemy vehicle station destroyed.", "voice/Bot1/ene.vehicle");

	//--------------------------------------------------------------------------
	// FLAG
	addTDXCNullSound( "Bot: FLAG---------------", "-" );
	addTDXCNullSound( "Bot: I have the enemy flag!", "voice/Bot1/flg.flag");
	addTDXCNullSound( "Bot: Give me the flag!", "voice/Bot1/flg.give");
	addTDXCNullSound( "Bot: Retrieve our flag!", "voice/Bot1/flg.retrieve");
	addTDXCNullSound( "Bot: Our flag is secure.", "voice/Bot1/flg.secure");
	addTDXCNullSound( "Bot: Take the flag from me!", "voice/Bot1/flg.take");
	addTDXCNullSound( "Bot: Give your flags to me!", "voice/Bot1/flg.huntergive");
	addTDXCNullSound( "Bot: Take my flags!", "voice/Bot1/flg.huntertake");

	//--------------------------------------------------------------------------
	// GLOBAL COMPLIMENTS
	addTDXCNullSound( "Bot: COMPLIMENTS--------", "-" );
	addTDXCNullSound( "Bot: Awesome!", "voice/Bot1/gbl.awesome" );
	addTDXCNullSound( "Bot: Good game!", "voice/Bot1/gbl.goodgame");
	addTDXCNullSound( "Bot: Nice move!", "voice/Bot1/gbl.nice");
	addTDXCNullSound( "Bot: You rock!", "voice/Bot1/gbl.rock");
	addTDXCNullSound( "Bot: Great shot!", "voice/Bot1/gbl.shooting");

	//--------------------------------------------------------------------------
	// GLOBAL
	addTDXCNullSound( "Bot: GLOBAL-------------", "-" );
	addTDXCNullSound( "Bot: Hi.", "voice/Bot1/gbl.hi");
	addTDXCNullSound( "Bot: Bye.", "voice/Bot1/gbl.bye");
	addTDXCNullSound( "Bot: Yes. (Global)", "voice/Bot1/gbl.yes");
	addTDXCNullSound( "Bot: No. (Global)", "voice/Bot1/gbl.no");
	addTDXCNullSound( "Bot: Any time. (Global)", "voice/Bot1/gbl.anytime");
	addTDXCNullSound( "Bot: I don't know. (Global)", "voice/Bot1/gbl.dunno");
	addTDXCNullSound( "Bot: Oops!", "voice/Bot1/gbl.oops");
	addTDXCNullSound( "Bot: Quiet!", "voice/Bot1/gbl.quiet");
	addTDXCNullSound( "Bot: Shazbot!", "voice/Bot1/gbl.shazbot");
	addTDXCNullSound( "Bot: Woohoo!", "voice/Bot1/gbl.woohoo");
	addTDXCNullSound( "Bot: Thanks. (Global)", "voice/Bot1/gbl.thanks");
	addTDXCNullSound( "Bot: Wait a sec. (Global)", "voice/Bot1/gbl.wait");

	//--------------------------------------------------------------------------
	// TRASH TALK
	addTDXCNullSound( "Bot: TAUNTS-------------", "-" );
	addTDXCNullSound( "Bot: Aww, that's too bad!", "voice/Bot1/gbl.aww");
	addTDXCNullSound( "Bot: I am the greatest!", "voice/Bot1/gbl.brag");
	addTDXCNullSound( "Bot: That's the best you can do?", "voice/Bot1/gbl.obnoxious");
	addTDXCNullSound( "Bot: THAT was graceful!", "voice/Bot1/gbl.sarcasm");
	addTDXCNullSound( "Bot: When ya gonna learn?", "voice/Bot1/gbl.when");

	//--------------------------------------------------------------------------
	// NEED
	addTDXCNullSound( "Bot: NEED---------------", "-" );
	addTDXCNullSound( "Bot: Need a bombardier.", "voice/Bot1/need.bombardier");
	addTDXCNullSound( "Bot: Need covering fire.", "voice/Bot1/need.cover");
	addTDXCNullSound( "Bot: Need driver for ground vehicle.", "voice/Bot1/need.driver");
	addTDXCNullSound( "Bot: Vehicle needs escort.", "voice/Bot1/need.escort");
	addTDXCNullSound( "Bot: Need pilot for turbograv.", "voice/Bot1/need.flyer");
	addTDXCNullSound( "Bot: Gunship ready! Need a ride?", "voice/Bot1/need.gunship");
	addTDXCNullSound( "Bot: Hold that vehicle! I'm coming!", "voice/Bot1/need.hold");
	addTDXCNullSound( "Bot: I need a ride!", "voice/Bot1/need.ride");
	addTDXCNullSound( "Bot: Need vehicle support!", "voice/Bot1/need.support");
	addTDXCNullSound( "Bot: Need a tailgunner.", "voice/Bot1/need.tailgunner");
	addTDXCNullSound( "Bot: Where to?", "voice/Bot1/need.where");

	//--------------------------------------------------------------------------
	// REPAIR
	addTDXCNullSound( "Bot: REPAIR-------------", "-" );
	addTDXCNullSound( "Bot: Repair our base!", "voice/Bot1/rep.base");
	addTDXCNullSound( "Bot: Repair our generator!", "voice/Bot1/rep.generator");
	addTDXCNullSound( "Bot: Repair me!", "voice/Bot1/rep.me");
	addTDXCNullSound( "Bot: Repair our sensors!", "voice/Bot1/rep.sensors");
	addTDXCNullSound( "Bot: Repair our turrets!", "voice/Bot1/rep.turrets");
	addTDXCNullSound( "Bot: Repair our vehicle station!", "voice/Bot1/rep.vehicle");

	//--------------------------------------------------------------------------
	// SELF ATTACK
	addTDXCNullSound( "Bot: SELF-ATTACK--------", "-" );
	addTDXCNullSound( "Bot: I will attack.", "voice/Bot1/slf.att.attack");
	addTDXCNullSound( "Bot: I'll attack the enemy base.", "voice/Bot1/slf.att.base");
	addTDXCNullSound( "Bot: I'll go for the enemy flag.", "voice/Bot1/slf.att.flag" );
	addTDXCNullSound( "Bot: I'll attack the enemy generator.", "voice/Bot1/slf.att.generator");
	addTDXCNullSound( "Bot: I'll attack the enemy sensors.", "voice/Bot1/slf.att.sensors");
	addTDXCNullSound( "Bot: I'll attack the enemy turrets.", "voice/Bot1/slf.att.turrets");
	addTDXCNullSound( "Bot: I'll attack the enemy vehicle station.", "voice/Bot1/slf.att.vehicle" );

	//--------------------------------------------------------------------------
	// SELF DEFEND
	addTDXCNullSound( "Bot: SELF-DEFEND--------", "-" );
	addTDXCNullSound( "Bot: I'll defend our base.", "voice/Bot1/slf.def.base");
	addTDXCNullSound( "Bot: I'm defending.", "voice/Bot1/slf.def.defend");
	addTDXCNullSound( "Bot: I'll defend our flag.", "voice/Bot1/slf.def.flag");
	addTDXCNullSound( "Bot: I'll defend our generator.", "voice/Bot1/slf.def.generator" );
	addTDXCNullSound( "Bot: I'll defend the nexus.", "voice/Bot1/slf.def.nexus");
	addTDXCNullSound( "Bot: I'll defend our sensors.", "voice/Bot1/slf.def.sensors");
	addTDXCNullSound( "Bot: I'll defend our turrets.", "voice/Bot1/slf.def.turrets");
	addTDXCNullSound( "Bot: I'll defend our vehicle bay.", "voice/Bot1/slf.def.vehicle");

	//--------------------------------------------------------------------------
	// SELF REPAIR
	addTDXCNullSound( "Bot: SELF-REPAIR--------", "-" );
	addTDXCNullSound( "Bot: I'll repair our base.", "voice/Bot1/slf.rep.base" );
	addTDXCNullSound( "Bot: I'll repair our equipment.", "voice/Bot1/slf.rep.equipment");
	addTDXCNullSound( "Bot: I'll repair our generator.", "voice/Bot1/slf.rep.generator");
	addTDXCNullSound( "Bot: I'm on repairs.", "voice/Bot1/slf.rep.repairing");
	addTDXCNullSound( "Bot: I'll repair our sensors.", "voice/Bot1/slf.rep.sensors");
	addTDXCNullSound( "Bot: I'll repair our turrets.", "voice/Bot1/slf.rep.turrets");
	addTDXCNullSound( "Bot: I'll repair our vehicle station.", "voice/Bot1/slf.rep.vehicle");

	//--------------------------------------------------------------------------
	// SELF TASK
	addTDXCNullSound( "Bot: SELF-TASK----------", "-" );
	addTDXCNullSound( "Bot: I'll cover you.", "voice/Bot1/slf.tsk.cover");
	addTDXCNullSound( "Bot: I'll set up defenses.", "voice/Bot1/slf.tsk.defense");
	addTDXCNullSound( "Bot: I'm on it.", "voice/Bot1/slf.tsk.generic");
	addTDXCNullSound( "Bot: I'll deploy remote equipment.", "voice/Bot1/slf.tsk.remotes");
	addTDXCNullSound( "Bot: I'll deploy sensors.", "voice/Bot1/slf.tsk.sensors");
	addTDXCNullSound( "Bot: I'll deploy turrets.", "voice/Bot1/slf.tsk.turrets" );
	addTDXCNullSound( "Bot: I'll get a vehicle ready.", "voice/Bot1/slf.tsk.vehicle");

	//--------------------------------------------------------------------------
	// TARGET
	addTDXCNullSound( "Bot: TARGET-------------", "-" );
	addTDXCNullSound( "Bot: Target acquired.", "voice/Bot1/tgt.acquired");
	addTDXCNullSound( "Bot: Target the enemy base! I'm in position.", "voice/Bot1/tgt.base");
	addTDXCNullSound( "Bot: Target destroyed!", "voice/Bot1/tgt.destroyed");
	addTDXCNullSound( "Bot: Target their flag! I'm in position.", "voice/Bot1/tgt.flag");
	addTDXCNullSound( "Bot: Fire on my target!", "voice/Bot1/tgt.my");
	addTDXCNullSound( "Bot: Need a target painted!", "voice/Bot1/tgt.need");
	addTDXCNullSound( "Bot: Target their sensors! I'm in position.", "voice/Bot1/tgt.sensors");
	addTDXCNullSound( "Bot: Target their turret! I'm in position.", "voice/Bot1/tgt.turret");
	addTDXCNullSound( "Bot: Wait! I'll be in range soon.", "voice/Bot1/tgt.wait");

	//--------------------------------------------------------------------------
	// WARNING
	addTDXCNullSound( "Bot: WARNING------------", "-" );
	addTDXCNullSound( "Bot: Incoming bomber!", "voice/Bot1/wrn.bomber");
	addTDXCNullSound( "Bot: Incoming hostiles!", "voice/Bot1/wrn.enemy");
	addTDXCNullSound( "Bot: Incoming vehicles!", "voice/Bot1/wrn.vehicles");
	addTDXCNullSound( "Bot: Watch where you're shooting!", "voice/Bot1/wrn.watchit");

	//--------------------------------------------------------------------------
	// VERY QUICK
	addTDXCNullSound( "Bot: VERY-QUICK---------", "-" );
	addTDXCNullSound( "Bot: Any time. (Quick)", "voice/Bot1/vqk.anytime" );
	addTDXCNullSound( "Bot: Is our base secure?", "voice/Bot1/vqk.base");
	addTDXCNullSound( "Bot: Cease fire!", "voice/Bot1/vqk.ceasefire");
	addTDXCNullSound( "Bot: I don't know. (Quick)", "voice/Bot1/vqk.dunno");
	addTDXCNullSound( "Bot: HELP!", "voice/Bot1/vqk.help");
	addTDXCNullSound( "Bot: Move, please!", "voice/Bot1/vqk.move");
	addTDXCNullSound( "Bot: No. (Quick)", "voice/Bot1/vqk.no");
	addTDXCNullSound( "Bot: Sorry.", "voice/Bot1/vqk.sorry");
	addTDXCNullSound( "Bot: Thanks. (Quick)", "voice/Bot1/vqk.thanks");
	addTDXCNullSound( "Bot: Wait, please. (Quick)", "voice/Bot1/vqk.wait");
	addTDXCNullSound( "Bot: Yes. (Quick)", "voice/Bot1/vqk.yes");

	//-------------------------------------------------------------------------
	// HIDDEN SOUNDS
	addTDXCNullSound( "Bot: HIDDEN-------------", "-" );
	addTDXCNullSound( "Bot: Special Quiet (SHUT UP)", "voice/Bot1/vqk.quiet" );
	addTDXCNullSound( "Bot: Death Cry 1", "voice/Bot1/avo.deathcry_01" );
	addTDXCNullSound( "Bot: Death Cry 2", "voice/Bot1/avo.deathcry_02" );
	addTDXCNullSound( "Bot: Grunt", "voice/Bot1/avo.grunt" );
	addTDXCNullSound( "Bot: In Pain", "voice/Bot1/avo.pain" );	
	
	
	
