//----------------------------------------------------------------------------\\
//                                                                            \\
//             TracerDX's Enhanced Chat - Menu Definition File                \\
//                                                                            \\
//                Written by TracerDX (tracer@synadyne.net)                   \\
//                         http://www.synadyne.net                            \\
//                                                                            \\
//----------------------------------------------------------------------------\\
 
startTDXCMenu( "G: Global" );
    startTDXCMenu( "C: Compliment" );
        addTDXC( "A: Awesome!", "Impressive!~wgbl.awesome" );
        addTDXC( "G: Good game.", "Good game!~wgbl.goodgame" );
        addTDXC( "N: Nice move!", "Nice move!~wgbl.nice" );
        addTDXC( "R: You rock!", "You are skilled.~wgbl.rock" );
        addTDXC( "S: Great shot!", "Excellent shot!~wgbl.shooting" );
    endTDXCMenu(); // Compliment
 
    startTDXCMenu( "R: Respond" );
        addTDXC( "A: Anytime", "You are welcome.~wvqk.anytime" );
        addTDXC( "D: Don't know", "I do not know.~wgbl.dunno" );
        addTDXC( "T: Thanks", "Thank you.~wvqk.thanks" );
        addTDXC( "W: Wait", "Wait.~wgbl.wait" );
    endTDXCMenu(); // Respond
 
    startTDXCMenu( "T: Taunt" );
        addTDXC( "A: Aww...", "Too bad!~wgbl.aww" );
        addTDXC( "B: Best you can do?", "Inefficient meat bag.~wgbl.obnoxious" );
        addTDXC( "G: I am the greatest!", "I am superior!~wgbl.brag" );
        addTDXC( "T: THAT was graceful!", "Humans are sooo perfect.~wgbl.sarcasm" );
        addTDXC( "W: When will you learn?", "When will you be a challenge?~wgbl.when" );
    endTDXCMenu(); // Taunt
    
    startTDXCMenu( "X: Special" );
        addTDXC( "S: Shut Up", "Quiet Please.~wvqk.quiet" );
        addTDXC( "A: Ahhh", "Aahhhmmm...~wavo.deathcry_02" );
        addTDXC( "R: Erah", "Errrraaahhhhhh!!!~wavo.deathcry_01" );
        addTDXC( "H: Huuh", "Huuh.~wavo.grunt" );
        addTDXC( "D: Daaah", "UUuaaaahhh~wavo.pain" );
    endTDXCMenu(); // Special
 
    addTDXC( "Y: Yes", "Yes.~wgbl.yes" );
    addTDXC( "N: No", "No.~wgbl.no" );
    addTDXC( "H: Hi", "Hello.~wgbl.hi" );
    addTDXC( "B: Bye", "Good Bye.~wgbl.bye" );
    addTDXC( "O: Oops.", "Oops.~wgbl.oops" );
    addTDXC( "Q: Quiet!", "Quiet Please.~wgbl.quiet" );
    addTDXC( "S: Shazbot!", "Shazbot!~wgbl.shazbot" );
    addTDXC( "E: Sorry.", "Sorry.~wvqk.sorry" );
endTDXCMenu(); // Global
 
startTDXCMenu( "A: Attack" );
    addTDXC( "A: Attack!", "Attack!~watt.attack `(TEAM)" );
    addTDXC( "B: Base", "Attack the enemy base!~watt.base `(TEAM)" );
    addTDXC( "C: Recover (Chase)", "Recover or flag!~watt.chase `(TEAM)" );
    addTDXC( "D: Disrupt", "Disrupt the enemy defense!~watt.distract `(TEAM)" );
    addTDXC( "F: Flag", "Get the enemy flag!~watt.flag `(TEAM)" );
    addTDXC( "G: Generator", "Destroy the enemy generator!~watt.generator `(TEAM)" );
    addTDXC( "O: Objective", "Attack the objective!~watt.objective `(TEAM)" );
    addTDXC( "R: Reinforce", "Reinforce the offense!~watt.reinforcements `(TEAM)" );
    addTDXC( "S: Sensors", "Destroy enemy sensors!~watt.sensors `(TEAM)" );
    addTDXC( "T: Turrets", "Destroy enemy turrets!~watt.turrets `(TEAM)" );
    addTDXC( "V: Vehicle", "Destroy the enemy vehicle!~watt.vehicle `(TEAM)" );
    addTDXC( "W: Wait", "Wait for my signal before attacking!~watt.wait `(TEAM)" );
endTDXCMenu(); // Attack
 
startTDXCMenu( "D: Defend" );
    addTDXC( "B: Base", "Defend our base!~wdef.base `(TEAM)" );
    addTDXC( "C: Flag carrier", "Cover our flag carrier!~wdef.carrier `(TEAM)" );
    addTDXC( "E: Entrances", "Defend the entrances!~wdef.entrances `(TEAM)" );
    addTDXC( "F: Flag", "Defend our flag!~wdef.flag `(TEAM)" );
    addTDXC( "G: Generator", "Protect the generator!~wdef.generator `(TEAM)" );
    addTDXC( "M: Me", "Cover me!~wdef.me `(TEAM)" );
    addTDXC( "N: Nexus", "Defend the nexus!~wdef.nexus `(TEAM)" );
    addTDXC( "O: Objective", "Defend the objective!~wdef.objective `(TEAM)" );
    addTDXC( "R: Reinforce", "Reinforce our defense!~wdef.reinforce `(TEAM)" );
    addTDXC( "S: Sensors", "Defend our sensors!~wdef.sensors `(TEAM)" );
    addTDXC( "T: Turrets", "Defend our turrets!~wdef.turrets `(TEAM)" );
    addTDXC( "V: Vehicle", "Defend our vehicle!~wdef.vehicle `(TEAM)" );
endTDXCMenu(); // Defend
 
startTDXCMenu( "R: Repair" );
    addTDXC( "B: Base", "Repair our base!~wrep.base `(TEAM)" );
    addTDXC( "G: Generator", "Repair our generator!~wrep.generator `(TEAM)" );
    addTDXC( "M: Me", "Repair me!~wrep.me `(TEAM)" );
    addTDXC( "S: Sensors", "Repair our sensors!~wrep.sensors `(TEAM)" );
    addTDXC( "T: Turrets", "Repair our turrets!~wrep.turrets `(TEAM)" );
    addTDXC( "V: Vehicle bay", "Repair our vehicle station!~wrep.vehicle `(TEAM)" );
endTDXCMenu(); // Repair
 
startTDXCMenu( "B: Base" );
    addTDXC( "C: Clear", "Our base is clear.~wbas.clear `(TEAM)" );
    addTDXC( "E: Enemy in base", "The enemy's in our base.~wbas.enemy `(TEAM)" );
    addTDXC( "R: Retake", "Retake our base!~wbas.retake `(TEAM)" );
    addTDXC( "S: Secure", "Our base is secure.~wbas.secure `(TEAM)" );
    addTDXC( "T: Taken", "Our base is taken.~wbas.taken `(TEAM)" );
endTDXCMenu(); // Base
 
startTDXCMenu( "C: Command" );
    addTDXC( "A: Acknowledged", "Command acknowledged.~wcmd.acknowledge `(TEAM)" );
    addTDXC( "C: Completed", "Command completed.~wcmd.completed `(TEAM)" );
    addTDXC( "D: Declined", "Command declined.~wcmd.decline `(TEAM)" );
    addTDXC( "W: Assignment?", "What's your assignment?~wcmd.bot `(TEAM)" );
endTDXCMenu(); // Command
 
startTDXCMenu( "E: Enemy" );
    addTDXC( "B: Base disabled", "Enemy base is disabled.~wene.base `(TEAM)" );
    addTDXC( "D: Disarray", "The enemy is disrupted. Attack!~wene.disarray `(TEAM)" );
    addTDXC( "G: Generator destroyed", "Enemy generator destroyed.~wene.generator `(TEAM)" );
    addTDXC( "R: Remotes destroyed", "Enemy remote equipment destroyed.~wene.remotes `(TEAM)" );
    addTDXC( "S: Sensors destroyed", "Enemy sensors destroyed.~wene.sensors `(TEAM)" );
    addTDXC( "T: Turrets destroyed", "Enemy turrets destroyed.~wene.turrets `(TEAM)" );
    addTDXC( "V: Vehicle bay destroyed", "Enemy vehicle station destroyed.~wene.vehicle" );
endTDXCMenu(); // Enemy
 
startTDXCMenu( "F: Flag" );
    addTDXC( "D: Defend", "Defend our flag.~wdef.flag `(TEAM)" );
    addTDXC( "F: I have the flag", "I have the enemy flag!~wflg.flag `(TEAM)" );
    addTDXC( "G: Give me", "Give me the flag!~wflg.give `(TEAM)" );
    addTDXC( "R: Retrieve", "Retrieve our flag!~wflg.retrieve `(TEAM)" );
    addTDXC( "S: Secure", "Our flag is secure.~wflg.secure `(TEAM)" );
    addTDXC( "T: Take", "Take the flag from me!~wflg.take `(TEAM)" );
    addTDXC( "O: Give me your flags", "Give your flags to me!~wflg.huntergive `(TEAM)" );
    addTDXC( "P: Take my flags", "Take my flags!~wflg.huntertake `(TEAM)" );
endTDXCMenu(); // Flag
 
startTDXCMenu( "N: Need" );
    addTDXC( "B: Bombardier", "Need a bombardier.~wneed.bombardier `(TEAM)" );
    addTDXC( "C: Cover", "Need covering fire.~wneed.cover `(TEAM)" );
    addTDXC( "D: Driver", "Need driver for ground vehicle.~wneed.driver `(TEAM)" );
    addTDXC( "E: Escort", "Vehicle needs escort.~wneed.escort `(TEAM)" );
    addTDXC( "G: Gunship ready", "Gunship ready! Need a ride?~wneed.gunship `(TEAM)" );
    addTDXC( "H: Hold vehicle", "Hold that vehicle! I'm coming!~wneed.hold `(TEAM)" );
    addTDXC( "P: Pilot", "Need pilot for turbograv.~wneed.flyer `(TEAM)" );
    addTDXC( "R: Ride", "I need a ride!~wneed.ride `(TEAM)" );
    addTDXC( "S: Support", "Need vehicle support!~wneed.support `(TEAM)" );
    addTDXC( "T: Tailgunner", "Need a tailgunner.~wneed.tailgunner `(TEAM)" );
    addTDXC( "W: Where to?", "Where to?~wneed.where `(TEAM)" );
endTDXCMenu(); // Need
 
startTDXCMenu( "S: Self" );
    startTDXCMenu( "A: Attack" );
        addTDXC( "A: Attack", "I will attack.~wslf.att.attack `(TEAM)" );
        addTDXC( "B: Base", "I'll attack the enemy base.~wslf.att.base `(TEAM)" );
        addTDXC( "F: Flag", "I'll go for the enemy flag.~wslf.att.flag `(TEAM)" );
        addTDXC( "G: Generator", "I'll attack the enemy generator.~wslf.att.generator `(TEAM)" );
        addTDXC( "S: Sensors", "I'll attack the enemy sensors.~wslf.att.sensors `(TEAM)" );
        addTDXC( "T: Turrets", "I'll attack the enemy turrets.~wslf.att.turrets `(TEAM)" );
        addTDXC( "V: Vehicle bay", "I'll attack the enemy vehicle station.~wslf.att.vehicle `(TEAM)" );
    endTDXCMenu(); // Attack
 
    startTDXCMenu( "D: Defend" );
        addTDXC( "B: Base", "I'll defend our base.~wslf.def.base `(TEAM)" );
        addTDXC( "D: Defend", "I'm defending.~wslf.def.defend `(TEAM)" );
        addTDXC( "F: Flag", "I'll defend our flag.~wslf.def.flag `(TEAM)" );
        addTDXC( "G: Generator", "I'll defend our generator.~wslf.def.generator `(TEAM)" );
        addTDXC( "N: Nexus", "I'll defend the nexus.~wslf.def.nexus `(TEAM)" );
        addTDXC( "S: Sensors", "I'll defend our sensors.~wslf.def.sensors `(TEAM)" );
        addTDXC( "T: Turrets", "I'll defend our turrets.~wslf.def.turrets `(TEAM)" );
        addTDXC( "V: Vehicle bay", "I'll defend out vehicle bay.~wslf.def.vehicle `(TEAM)" );
    endTDXCMenu(); // Defend
 
    startTDXCMenu( "R: Repair" );
        addTDXC( "B: Base", "I'll repair our base.~wslf.rep.base `(TEAM)" );
        addTDXC( "E: Equipment", "I'll repair our equipment.~wslf.rep.equipment `(TEAM)" );
        addTDXC( "G: Generator", "I'll repair our generator.~wslf.rep.generator `(TEAM)" );
        addTDXC( "R: Repair", "I'm on repairs.~wslf.rep.repairing `(TEAM)" );
        addTDXC( "S: Sensors", "I'll repair our sensors.~wslf.rep.sensors `(TEAM)" );
        addTDXC( "T: Turrets", "I'll repair our turrets.~wslf.rep.turrets `(TEAM)" );
        addTDXC( "V: Vehicle bay", "I'll repair our vehicle station.~wslf.rep.vehicle `(TEAM)" );
    endTDXCMenu(); // Repair
 
    startTDXCMenu( "T: Task" );
        addTDXC( "C: Cover", "I'll cover you.~wslf.tsk.cover `(TEAM)" );
        addTDXC( "D: Setup defenses", "I'll setup defenses.~wslf.tsk.defense `(TEAM)" );
        addTDXC( "O: On it", "I'm on it.~wslf.tsk.generic `(TEAM)" );
        addTDXC( "R: Deploy remotes", "I'll deploy remote equipment.~wslf.tsk.remotes" );
        addTDXC( "S: Deploy sensors", "I'll deploy sensors.~wslf.tsk.sensors `(TEAM)" );
        addTDXC( "T: Deploy turrets", "I'll deploy turrets.~wslf.tsk.turrets `(TEAM)" );
        addTDXC( "V: Vehicle", "I'll get a vehicle ready.~wslf.tsk.vehicle `(TEAM)" );
    endTDXCMenu(); // Task
 
endTDXCMenu(); // Self
 
startTDXCMenu( "T: Target" );
    addTDXC( "A: Acquired", "Target aquired.~wtgt.acquired `(TEAM)" );
    addTDXC( "B: Base", "Target the enemy base! I'm in position.~wtgt.base `(TEAM)" );
    addTDXC( "D: Destroyed", "Target destroyed!~wtgt.destroyed `(TEAM)" );
    addTDXC( "F: Flag", "Target their flag! I'm in position.~wtgt.flag `(TEAM)" );
    addTDXC( "M: Fire on my target", "Fire on my target!~wtgt.my `(TEAM)" );
    addTDXC( "N: Need", "Need a target painted!~wtgt.need `(TEAM)" );
    addTDXC( "S: Sensors", "Target their sensors! I'm in position.~wtgt.sensors `(TEAM)" );
    addTDXC( "T: Turret", "Target their turret! I'm in position.~wtgt.turret `(TEAM)" );
    addTDXC( "W: Wait", "Wait! I'll be in range soon.~wtgt.wait `(TEAM)" );
endTDXCMenu(); // Target
 
startTDXCMenu( "W: Warning" );
    addTDXC( "B: Bomber", "Incoming bomber!~wwrn.bomber `(TEAM)" );
    addTDXC( "E: Enemies", "Incoming hostiles!~wwrn.enemy `(TEAM)" );
    addTDXC( "V: Vehicles", "Incoming vehicles!~wwrn.vehicles `(TEAM)" );
    addTDXC( "W: Watch your shooting", "Watch where you're shooting!~wwrn.watchit `(TEAM)" );
endTDXCMenu(); // Warning
 
startTDXCMenu( "V: Very Quick" );
    addTDXC( "Y: Yes", "Yes.~wvqk.yes `(TEAM)" );
    addTDXC( "N: No", "No.~wvqk.no `(TEAM)" );
    addTDXC( "A: Anytime", "You are welcome.~wvqk.anytime `(TEAM)" );
    addTDXC( "C: Cease fire", "Cease fire!~wvqk.ceasefire `(TEAM)" );
    addTDXC( "D: Don't know", "I do not know.~wvqk.dunno `(TEAM)" );
    addTDXC( "M: Move", "Move, please!~wvqk.move `(TEAM)" );
    addTDXC( "S: Sorry", "Sorry.~wvqk.sorry `(TEAM)" );
    addTDXC( "T: Thanks", "Thank you.~wvqk.thanks `(TEAM)" );
    addTDXC( "W: Wait", "Wait, please.~wvqk.wait `(TEAM)" );
endTDXCMenu(); // Very Quick
 
