//----------------------------------------------------------------------------//
//                                                                            //
//             TracerDX's Enhanced Chat - Sound Definition File               //
//                                                                            //
//                Written by TracerDX (tracer@synadyne.net)                   //
//                         http://www.synadyne.net                            //
//                                                                            //
//----------------------------------------------------------------------------//
//   If you find any more sounds, you can put em here, but I'm fairly sure    //
//                           I found them all :)                              //
//----------------------------------------------------------------------------//

// addTDXCNullSound( %message, %sound )
// addTDXCNullGroup( %Label )

//--------------------------------------------------------------------------
//Selected Voice Path
addTDXCNullGroup( "Your Voice" );
	//--------------------------------------------------------------------------
	// ATTACK
	addTDXCNullSound( "ATTACK-------------", "-");
	addTDXCNullSound( "Attack!", "`voice`/att.attack");
	addTDXCNullSound( "Attack the enemy base!", "`voice`/att.base");
	addTDXCNullSound( "Recover our flag!", "`voice`/att.chase");
	addTDXCNullSound( "Disrupt the enemy defense!", "`voice`/att.distract");
	addTDXCNullSound( "Get the enemy flag!", "`voice`/att.flag");
	addTDXCNullSound( "Destroy the enemy generator!", "`voice`/att.generator");
	addTDXCNullSound( "Attack the objective!", "`voice`/att.objective");
	addTDXCNullSound( "Reinforce the offense!", "`voice`/att.reinforcements");
	addTDXCNullSound( "Destroy enemy sensors!", "`voice`/att.sensors");
	addTDXCNullSound( "Destroy enemy turrets!", "`voice`/att.turrets");
	addTDXCNullSound( "Wait for my signal before attacking!", "`voice`/att.wait");
	addTDXCNullSound( "Destroy the enemy vehicle!", "`voice`/att.vehicle");

	//--------------------------------------------------------------------------
	// BASE
	addTDXCNullSound( "BASE---------------", "-" );
	addTDXCNullSound( "Our base is taken.", "`voice`/bas.taken" );
	addTDXCNullSound( "The enemy's in our base.", "`voice`/bas.enemy");
	addTDXCNullSound( "Our base is clear.", "`voice`/bas.clear");
	addTDXCNullSound( "Retake our base!", "`voice`/bas.retake");
	addTDXCNullSound( "Our base is secure.", "`voice`/bas.secure");

	//--------------------------------------------------------------------------
	// DEFENSE
	addTDXCNullSound( "DEFENSE------------", "-" );
	addTDXCNullSound( "Defend our base!", "`voice`/def.base");
	addTDXCNullSound( "Cover our flag carrier!", "`voice`/def.carrier");
	addTDXCNullSound( "Defend the entrances!", "`voice`/def.entrances");
	addTDXCNullSound( "Defend our flag!", "`voice`/def.flag");
	addTDXCNullSound( "Protect the generator!", "`voice`/def.generator");
	addTDXCNullSound( "Cover me!", "`voice`/def.me");
	addTDXCNullSound( "Defend the objective!", "`voice`/def.objective");
	addTDXCNullSound( "Reinforce our defense!", "`voice`/def.reinforce");
	addTDXCNullSound( "Defend our sensors!", "`voice`/def.sensors");
	addTDXCNullSound( "Defend our turrets!", "`voice`/def.turrets");
	addTDXCNullSound( "Defend our vehicle!", "`voice`/def.vehicle");
	addTDXCNullSound( "Defend the nexus!", "`voice`/def.nexus");

	//--------------------------------------------------------------------------
	// COMMAND RESPONSE
	addTDXCNullSound( "COMMAND RESPONSE---", "-" );
	addTDXCNullSound( "Command acknowledged.", "`voice`/cmd.acknowledge");
	addTDXCNullSound( "Command Acknowledged.", "`voice`/cmd.acknowledge");
	addTDXCNullSound( "What's your assignment?", "`voice`/cmd.bot");
	addTDXCNullSound( "Command completed.", "`voice`/cmd.completed");
	addTDXCNullSound( "Command declined.", "`voice`/cmd.decline");

	//--------------------------------------------------------------------------
	// ENEMY STATUS
	addTDXCNullSound( "ENEMY STATUS-------", "-" );
	addTDXCNullSound( "Enemy base is disabled.", "`voice`/ene.base");
	addTDXCNullSound( "The enemy is disrupted. Attack!", "`voice`/ene.disarray");
	addTDXCNullSound( "Enemy generator destroyed.", "`voice`/ene.generator");
	addTDXCNullSound( "Enemy remote equipment destroyed.", "`voice`/ene.remotes");
	addTDXCNullSound( "Enemy sensors destroyed.", "`voice`/ene.sensors");
	addTDXCNullSound( "Enemy turrets destroyed.", "`voice`/ene.turrets");
	addTDXCNullSound( "Enemy vehicle station destroyed.", "`voice`/ene.vehicle");

	//--------------------------------------------------------------------------
	// FLAG
	addTDXCNullSound( "FLAG---------------", "-" );
	addTDXCNullSound( "I have the enemy flag!", "`voice`/flg.flag");
	addTDXCNullSound( "Give me the flag!", "`voice`/flg.give");
	addTDXCNullSound( "Retrieve our flag!", "`voice`/flg.retrieve");
	addTDXCNullSound( "Our flag is secure.", "`voice`/flg.secure");
	addTDXCNullSound( "Take the flag from me!", "`voice`/flg.take");
	addTDXCNullSound( "Give your flags to me!", "`voice`/flg.huntergive");
	addTDXCNullSound( "Take my flags!", "`voice`/flg.huntertake");

	//--------------------------------------------------------------------------
	// GLOBAL COMPLIMENTS
	addTDXCNullSound( "COMPLIMENTS--------", "-" );
	addTDXCNullSound( "Awesome!", "`voice`/gbl.awesome" );
	addTDXCNullSound( "Good game!", "`voice`/gbl.goodgame");
	addTDXCNullSound( "Nice move!", "`voice`/gbl.nice");
	addTDXCNullSound( "You rock!", "`voice`/gbl.rock");
	addTDXCNullSound( "Great shot!", "`voice`/gbl.shooting");

	//--------------------------------------------------------------------------
	// GLOBAL
	addTDXCNullSound( "GLOBAL-------------", "-" );
	addTDXCNullSound( "Hi.", "`voice`/gbl.hi");
	addTDXCNullSound( "Bye.", "`voice`/gbl.bye");
	addTDXCNullSound( "Yes. (Global)", "`voice`/gbl.yes");
	addTDXCNullSound( "No. (Global)", "`voice`/gbl.no");
	addTDXCNullSound( "Any time. (Global)", "`voice`/gbl.anytime");
	addTDXCNullSound( "I don't know. (Global)", "`voice`/gbl.dunno");
	addTDXCNullSound( "Oops!", "`voice`/gbl.oops");
	addTDXCNullSound( "Quiet!", "`voice`/gbl.quiet");
	addTDXCNullSound( "Shazbot!", "`voice`/gbl.shazbot");
	addTDXCNullSound( "Woohoo!", "`voice`/gbl.woohoo");
	addTDXCNullSound( "Thanks. (Global)", "`voice`/gbl.thanks");
	addTDXCNullSound( "Wait a sec. (Global)", "`voice`/gbl.wait");

	//--------------------------------------------------------------------------
	// TRASH TALK
	addTDXCNullSound( "TAUNTS-------------", "-" );
	addTDXCNullSound( "Aww, that's too bad!", "`voice`/gbl.aww");
	addTDXCNullSound( "I am the greatest!", "`voice`/gbl.brag");
	addTDXCNullSound( "That's the best you can do?", "`voice`/gbl.obnoxious");
	addTDXCNullSound( "THAT was graceful!", "`voice`/gbl.sarcasm");
	addTDXCNullSound( "When ya gonna learn?", "`voice`/gbl.when");

	//--------------------------------------------------------------------------
	// NEED
	addTDXCNullSound( "NEED---------------", "-" );
	addTDXCNullSound( "Need a bombardier.", "`voice`/need.bombardier");
	addTDXCNullSound( "Need covering fire.", "`voice`/need.cover");
	addTDXCNullSound( "Need driver for ground vehicle.", "`voice`/need.driver");
	addTDXCNullSound( "Vehicle needs escort.", "`voice`/need.escort");
	addTDXCNullSound( "Need pilot for turbograv.", "`voice`/need.flyer");
	addTDXCNullSound( "Gunship ready! Need a ride?", "`voice`/need.gunship");
	addTDXCNullSound( "Hold that vehicle! I'm coming!", "`voice`/need.hold");
	addTDXCNullSound( "I need a ride!", "`voice`/need.ride");
	addTDXCNullSound( "Need vehicle support!", "`voice`/need.support");
	addTDXCNullSound( "Need a tailgunner.", "`voice`/need.tailgunner");
	addTDXCNullSound( "Where to?", "`voice`/need.where");

	//--------------------------------------------------------------------------
	// REPAIR
	addTDXCNullSound( "REPAIR-------------", "-" );
	addTDXCNullSound( "Repair our base!", "`voice`/rep.base");
	addTDXCNullSound( "Repair our generator!", "`voice`/rep.generator");
	addTDXCNullSound( "Repair me!", "`voice`/rep.me");
	addTDXCNullSound( "Repair our sensors!", "`voice`/rep.sensors");
	addTDXCNullSound( "Repair our turrets!", "`voice`/rep.turrets");
	addTDXCNullSound( "Repair our vehicle station!", "`voice`/rep.vehicle");

	//--------------------------------------------------------------------------
	// SELF ATTACK
	addTDXCNullSound( "SELF-ATTACK--------", "-" );
	addTDXCNullSound( "I will attack.", "`voice`/slf.att.attack");
	addTDXCNullSound( "I'll attack the enemy base.", "`voice`/slf.att.base");
	addTDXCNullSound( "I'll go for the enemy flag.", "`voice`/slf.att.flag" );
	addTDXCNullSound( "I'll attack the enemy generator.", "`voice`/slf.att.generator");
	addTDXCNullSound( "I'll attack the enemy sensors.", "`voice`/slf.att.sensors");
	addTDXCNullSound( "I'll attack the enemy turrets.", "`voice`/slf.att.turrets");
	addTDXCNullSound( "I'll attack the enemy vehicle station.", "`voice`/slf.att.vehicle" );

	//--------------------------------------------------------------------------
	// SELF DEFEND
	addTDXCNullSound( "SELF-DEFEND--------", "-" );
	addTDXCNullSound( "I'll defend our base.", "`voice`/slf.def.base");
	addTDXCNullSound( "I'm defending.", "`voice`/slf.def.defend");
	addTDXCNullSound( "I'll defend our flag.", "`voice`/slf.def.flag");
	addTDXCNullSound( "I'll defend our generator.", "`voice`/slf.def.generator" );
	addTDXCNullSound( "I'll defend the nexus.", "`voice`/slf.def.nexus");
	addTDXCNullSound( "I'll defend our sensors.", "`voice`/slf.def.sensors");
	addTDXCNullSound( "I'll defend our turrets.", "`voice`/slf.def.turrets");
	addTDXCNullSound( "I'll defend our vehicle bay.", "`voice`/slf.def.vehicle");

	//--------------------------------------------------------------------------
	// SELF REPAIR
	addTDXCNullSound( "SELF-REPAIR--------", "-" );
	addTDXCNullSound( "I'll repair our base.", "`voice`/slf.rep.base" );
	addTDXCNullSound( "I'll repair our equipment.", "`voice`/slf.rep.equipment");
	addTDXCNullSound( "I'll repair our generator.", "`voice`/slf.rep.generator");
	addTDXCNullSound( "I'm on repairs.", "`voice`/slf.rep.repairing");
	addTDXCNullSound( "I'll repair our sensors.", "`voice`/slf.rep.sensors");
	addTDXCNullSound( "I'll repair our turrets.", "`voice`/slf.rep.turrets");
	addTDXCNullSound( "I'll repair our vehicle station.", "`voice`/slf.rep.vehicle");

	//--------------------------------------------------------------------------
	// SELF TASK
	addTDXCNullSound( "SELF-TASK----------", "-" );
	addTDXCNullSound( "I'll cover you.", "`voice`/slf.tsk.cover");
	addTDXCNullSound( "I'll set up defenses.", "`voice`/slf.tsk.defense");
	addTDXCNullSound( "I'm on it.", "`voice`/slf.tsk.generic");
	addTDXCNullSound( "I'll deploy remote equipment.", "`voice`/slf.tsk.remotes");
	addTDXCNullSound( "I'll deploy sensors.", "`voice`/slf.tsk.sensors");
	addTDXCNullSound( "I'll deploy turrets.", "`voice`/slf.tsk.turrets" );
	addTDXCNullSound( "I'll get a vehicle ready.", "`voice`/slf.tsk.vehicle");

	//--------------------------------------------------------------------------
	// TARGET
	addTDXCNullSound( "TARGET-------------", "-" );
	addTDXCNullSound( "Target acquired.", "`voice`/tgt.acquired");
	addTDXCNullSound( "Target the enemy base! I'm in position.", "`voice`/tgt.base");
	addTDXCNullSound( "Target destroyed!", "`voice`/tgt.destroyed");
	addTDXCNullSound( "Target their flag! I'm in position.", "`voice`/tgt.flag");
	addTDXCNullSound( "Fire on my target!", "`voice`/tgt.my");
	addTDXCNullSound( "Need a target painted!", "`voice`/tgt.need");
	addTDXCNullSound( "Target their sensors! I'm in position.", "`voice`/tgt.sensors");
	addTDXCNullSound( "Target their turret! I'm in position.", "`voice`/tgt.turret");
	addTDXCNullSound( "Wait! I'll be in range soon.", "`voice`/tgt.wait");

	//--------------------------------------------------------------------------
	// WARNING
	addTDXCNullSound( "WARNING------------", "-" );
	addTDXCNullSound( "Incoming bomber!", "`voice`/wrn.bomber");
	addTDXCNullSound( "Incoming hostiles!", "`voice`/wrn.enemy");
	addTDXCNullSound( "Incoming vehicles!", "`voice`/wrn.vehicles");
	addTDXCNullSound( "Watch where you're shooting!", "`voice`/wrn.watchit");

	//--------------------------------------------------------------------------
	// VERY QUICK
	addTDXCNullSound( "VERY-QUICK---------", "-" );
	addTDXCNullSound( "Any time. (Quick)", "`voice`/vqk.anytime" );
	addTDXCNullSound( "Is our base secure?", "`voice`/vqk.base");
	addTDXCNullSound( "Cease fire!", "`voice`/vqk.ceasefire");
	addTDXCNullSound( "I don't know. (Quick)", "`voice`/vqk.dunno");
	addTDXCNullSound( "HELP!", "`voice`/vqk.help");
	addTDXCNullSound( "Move, please!", "`voice`/vqk.move");
	addTDXCNullSound( "No. (Quick)", "`voice`/vqk.no");
	addTDXCNullSound( "Sorry.", "`voice`/vqk.sorry");
	addTDXCNullSound( "Thanks. (Quick)", "`voice`/vqk.thanks");
	addTDXCNullSound( "Wait, please. (Quick)", "`voice`/vqk.wait");
	addTDXCNullSound( "Yes. (Quick)", "`voice`/vqk.yes");

	//-------------------------------------------------------------------------
	// HIDDEN SOUNDS
	addTDXCNullSound( "HIDDEN-------------", "-" );
	addTDXCNullSound( "Special Quiet (SHUT UP)", "`voice`/vqk.quiet" );
	addTDXCNullSound( "Death Cry 1", "`voice`/avo.deathcry_01" );
	addTDXCNullSound( "Death Cry 2", "`voice`/avo.deathcry_02" );
	addTDXCNullSound( "Grunt", "`voice`/avo.grunt" );
	addTDXCNullSound( "In Pain", "`voice`/avo.pain" );

//-----------------------------------------------------------------------------
// Anouncer Sounds
addTDXCNullGroup( "Announcer" );
	addTDXCNullSound( "10 Seconds", "voice/Announcer/ANN.10sec");
	addTDXCNullSound( "15 Seconds", "voice/Announcer/ANN.15sec");
	addTDXCNullSound( "30 Seconds", "voice/Announcer/ANN.30");
	addTDXCNullSound( "60 Seconds", "voice/Announcer/ANN.60");
	addTDXCNullSound( "Bioderms Score!", "voice/Announcer/ANN.bdscore");
	addTDXCNullSound( "Victory: Bioderms!", "voice/Announcer/ANN.bdwin");
	addTDXCNullSound( "Blood Eagle Scores!", "voice/Announcer/ANN.bescore");
	addTDXCNullSound( "Victory: Blood Eagle", "voice/Announcer/ANN.bewin");
	addTDXCNullSound( "Looks Like a close one!", "voice/Announcer/ANN.closegame_01");
	addTDXCNullSound( "Looks like a fight to the finish!", "voice/Announcer/ANN.closegame_03");
	addTDXCNullSound( "This is a real battle!", "voice/Announcer/ANN.closegame_04");
	addTDXCNullSound( "Dimond Sword scores!", "voice/Announcer/ANN.dsscore");
	addTDXCNullSound( "Victory: Diamond Sword", "voice/Announcer/ANN.dswin");
	addTDXCNullSound( "Game Over", "voice/Announcer/ANN.gameover");
	addTDXCNullSound( "Game Point Imminent!", "voice/Announcer/ANN.gamepoint_imminent");
	addTDXCNullSound( "Greed Mode", "voice/Announcer/ANN.greed");
	addTDXCNullSound( "Hoard Mode", "voice/Announcer/ANN.hoard");
	addTDXCNullSound( "Hold on to your flags", "voice/Announcer/ANN.holdflags");
	addTDXCNullSound( "You are back in-bounds", "voice/Announcer/ANN.ib");
	addTDXCNullSound( "Team Inferno denied!", "voice/Announcer/ANN.infdenied");
	addTDXCNullSound( "Team Inferno scores!", "voice/Announcer/ANN.infscores");
	addTDXCNullSound( "Victory: Inferno!", "voice/Announcer/ANN.infwins");
	addTDXCNullSound( "Match Begins Now", "voice/Announcer/ANN.match_begins");
	addTDXCNullSound( "You are out-of-bounds!", "voice/Announcer/ANN.oob");
	addTDXCNullSound( "50 Meters from mission boundary!", "voice/Announcer/ANN.oobh");
	addTDXCNullSound( "50 Meters from mission flight ceiling!", "voice/Announcer/ANN.oobv");
	addTDXCNullSound( "Prepare Yourselves!", "voice/Announcer/ANN.prepare");
	addTDXCNullSound( "Pheonix scores!", "voice/Announcer/ANN.pxscore");
	addTDXCNullSound( "Victory: Pheonix!", "voice/Announcer/ANN.pxwin");
	addTDXCNullSound( "Switch has been taken!", "voice/Announcer/ANN.siege");
	addTDXCNullSound( "Team Storm denied!", "voice/Announcer/ANN.stodenied");
	addTDXCNullSound( "Team Storm scores!", "voice/Announcer/ANN.stoscores");
	addTDXCNullSound( "Victory: Storm", "voice/Announcer/ANN.stowins");
	addTDXCNullSound( "Starwolf scores!", "voice/Announcer/ANN.swscore");
	addTDXCNullSound( "Victory: Starwolf!", "voice/Announcer/ANN.swwin");
	addTDXCNullSound( "Team 1 scores!", "voice/Announcer/ANN.t1score");
	addTDXCNullSound( "Victory: Team 1", "voice/Announcer/ANN.t1win");
	addTDXCNullSound( "Team 2 scores!", "voice/Announcer/ANN.t2score");
	addTDXCNullSound( "Victory: Team 2", "voice/Announcer/ANN.t2win");
	addTDXCNullSound( "Vote Fails", "voice/Announcer/ANN.votefail");
	addTDXCNullSound( "Vote Initiated", "voice/Announcer/ANN.voteinit");
	addTDXCNullSound( "Vote Passes", "voice/Announcer/ANN.votepass");
	addTDXCNullSound( "Yard Sale!", "voice/Announcer/ANN.yardsale");
	addTDXCNullSound( "Male: Our Flag is mined", "voice/Announcer/flag_minedMale");
	addTDXCNullSound( "Female: Our Flag is mined", "voice/Announcer/flag_minedFem");
	addTDXCNullSound( "Switching sides", "voice/Announcer/switching_sides");
	addTDXCNullSound( "Countdown: 60 Seconds", "fx/misc/hunters_60");
	addTDXCNullSound( "Countdown: 30 Seconds", "fx/misc/hunters_30");
	addTDXCNullSound( "Countdown: 15 Seconds", "fx/misc/hunters_15");
	addTDXCNullSound( "Countdown: 10 Seconds", "fx/misc/hunters_10");
	addTDXCNullSound( "Countdown: 5", "fx/misc/hunters_5");
	addTDXCNullSound( "Countdown: 4", "fx/misc/hunters_4");
	addTDXCNullSound( "Countdown: 3", "fx/misc/hunters_3");
	addTDXCNullSound( "Countdown: 2", "fx/misc/hunters_2");
	addTDXCNullSound( "Countdown: 1", "fx/misc/hunters_1");
	
//-----------------------------------------------------------------------------
// Team Rabbit 2 Sounds
addTDXCNullGroup( "Team Rabbit 2" );
	addTDXCNullSound( "TR2: Muhahahaha!", "fx/bonuses/evillaugh");
	addTDXCNullSound( "TR2: Gadget Song", "fx/bonuses/gadget3");
	addTDXCNullSound( "TR2: Mario Jingle", "fx/bonuses/mario-6notes");
	addTDXCNullSound( "TR2: (Creativity Lv1)", "fx/bonuses/qseq1");
	addTDXCNullSound( "TR2: (Creativity Lv2)", "fx/bonuses/qseq2");
	addTDXCNullSound( "TR2: (Creativity Lv2)", "fx/bonuses/qseq3");
	addTDXCNullSound( "TR2: T-Rex", "fx/bonuses/TRex");
	addTDXCNullSound( "TR2: Cannon Shot", "fx/misc/cannonshot");
	addTDXCNullSound( "TR2: Cannon Load", "fx/misc/cannonstart");
	addTDXCNullSound( "TR2: Screech", "fx/misc/carscreech");
	addTDXCNullSound( "TR2: Cheer!", "fx/misc/Cheer");
	addTDXCNullSound( "TR2: Coin", "fx/misc/coin");
	addTDXCNullSound( "TR2: Fanfare", "fx/misc/flagcapture");
	addTDXCNullSound( "TR2: Dramatic", "fx/misc/flagreturn");
	addTDXCNullSound( "TR2: Score! (Flair)", "fx/misc/Flair");
	addTDXCNullSound( "TR2: Game Over", "fx/misc/gameover");
	addTDXCNullSound( "TR2: Game Start", "fx/misc/gamestart");
	addTDXCNullSound( "TR2: GOOAAAALLL!!!!", "fx/misc/goal");
	addTDXCNullSound( "TR2: Explosion 1", "fx/misc/MA1");
	addTDXCNullSound( "TR2: Explosion 2", "fx/misc/MA2");
	addTDXCNullSound( "TR2: Explosion 3", "fx/misc/MA3");
	addTDXCNullSound( "TR2: Whistle", "fx/misc/whistle");
	addTDXCNullSound( "TR2: Slapshot", "fx/misc/slapshot");
	addTDXCNullSound( "TR2: Grid Jump", "fx/misc/gridjump");

//-----------------------------------------------------------------------------
// MISC Game Sounds
addTDXCNullGroup( "MISC. Game Sounds" );
	

	addTDXCNullSound( "ENVIRONMENTAL SOUNDS", "-" );
		addTDXCNullSound( "Game: Bird Echo 1", "fx/environment/bird_echo1");
		addTDXCNullSound( "Game: Brid Echo 2", "fx/environment/bird_echo2");
		addTDXCNullSound( "Game: Bird Echo 3", "fx/environment/bird_echo3");
		addTDXCNullSound( "Game: Brid Echo 4", "fx/environment/bird_echo4");
		addTDXCNullSound( "Game: Brid Echo 4", "fx/environment/bird_echo5");
		addTDXCNullSound( "Game: Lightning 1", "fx/environment/ctmelody1");
		addTDXCNullSound( "Game: Lightning 2", "fx/environment/ctmelody2");
		addTDXCNullSound( "Game: Lightning 3", "fx/environment/ctmelody3");
		addTDXCNullSound( "Game: Lightning 4", "fx/environment/ctmelody4");
		addTDXCNullSound( "Game: Flies", "fx/environment/fly_swarm");
		addTDXCNullSound( "Game: Frog 1", "fx/environment/frog1");
		addTDXCNullSound( "Game: Frog 2", "fx/environment/frog2");
		addTDXCNullSound( "Game: Growl 1", "fx/environment/growl1");
		addTDXCNullSound( "Game: Growl 2", "fx/environment/growl2");
		addTDXCNullSound( "Game: Growl 3", "fx/environment/growl3");
		addTDXCNullSound( "Game: Growl 4", "fx/environment/growl4");
		addTDXCNullSound( "Game: Growl 5", "fx/environment/growl5");
		addTDXCNullSound( "Game: Ocean waves", "fx/environment/oceanwaves");
		addTDXCNullSound( "Game: Yeti Howl 1", "fx/environment/yeti_howl1");
		addTDXCNullSound( "Game: Yeti Howl 2", "fx/environment/yeti_howl2");


	addTDXCNullSound( "EXPLOSIONS", "-" );
		addTDXCNullSound( "Game: Exploding deployable", "fx/explosions/deployables_explosion");
		addTDXCNullSound( "Game: Turret explosion 1", "fx/explosions/explosion.xpl03");
		addTDXCNullSound( "Game: Turret explosion 2", "fx/explosions/explosion.xpl23");
		addTDXCNullSound( "Game: Plasma hit", "fx/explosions/explosion.xpl10");
		addTDXCNullSound( "Game: Mortar hit", "fx/explosions/explosion.xpl27");
		addTDXCNullSound( "Game: Vehicle explosion", "fx/explosions/vehicle_explosion");
		addTDXCNullSound( "Game: Satchel charge detonate", "fx/packs/satchel_pack_detonate");
		addTDXCNullSound( "Game: Mortar turret round explosion", "fx/powered/turret_mortar_explode");
		addTDXCNullSound( "Game: Plasma Turret round explosion", "fx/powered/turret_plasma_explode");
		addTDXCNullSound( "Game: Bomber bomb explosion", "fx/vehicles/bomber_bomb_impact");
		addTDXCNullSound( "Game: Flash Grenade Explosion", "fx/weapons/grenade_flash_explode");
		addTDXCNullSound( "Game: Mine explosion", "fx/weapons/mine_detonate");
		addTDXCNullSound( "Game: Mortar Explosion", "fx/weapons/mortar_explode");
		addTDXCNullSound( "Game: Mortar Explosion Underwater", "fx/weapons/mortar_explode_UW");
		addTDXCNullSound( "Game: Spinfusor Hit", "fx/weapons/spinfusor_impact");
		addTDXCNullSound( "Game: Spinfusor Hit Underwater", "fx/weapons/spinfusor_impact_UW");

	addTDXCNullSound( "VEHICLES", "-");
		addTDXCNullSound( "Game: Bomber Bomb incoming", "fx/vehicles/bomber_bomb_projectile");
		addTDXCNullSound( "Game: Bomb drop", "fx/vehicles/bomber_bomb_reload");
		addTDXCNullSound( "Game: Bomber turret fire", "fx/vehicles/bomber_turret_fire");
		addTDXCNullSound( "Game: Grav Crash Hard", "fx/vehicles/crash_hard");
		addTDXCNullSound( "Game: Grav crash soft", "fx/vehicles/crash_soft");
		addTDXCNullSound( "Game: MPB: Close lid", "fx/vehicles/MPB_close_lid");
		addTDXCNullSound( "Game: MPB: Deploy", "fx/vehicles/MPB_Deploy");
		addTDXCNullSound( "Game: MPB: Deploy station", "fx/vehicles/MPB_deploy_station");
		addTDXCNullSound( "Game: MPB: Deploy turret", "fx/vehicles/MPB_deploy_turret");
		addTDXCNullSound( "Game: MPB: Un-deploy", "fx/vehicles/MPB_undeploy_turret");
		addTDXCNullSound( "Game: Shrike blaster", "fx/vehicles/shrike_blaster");
		addTDXCNullSound( "Game: Tank mortar fire", "fx/vehicles/tank_mortar_fire");

	addTDXCNullSound( "WEAPONS", "-" );
		addTDXCNullSound( "Game: Blaster Fire", "fx/weapons/blaster_fire");
		addTDXCNullSound( "Game: Weapon switch", "fx/weapons/generic_switch");
		addTDXCNullSound( "Game: Missle fire", "fx/weapons/missile_fire");
		addTDXCNullSound( "Game: Missle in-bound!", "fx/weapons/missile_target_inbound");
		addTDXCNullSound( "Game: Missle locked on!", "fx/weapons/missile_target_lock");
		addTDXCNullSound( "Game: Mortar fire", "fx/weapons/mortar_fire");
		addTDXCNullSound( "Game: Mortar smoke", "fx/weapons/mortar_projectile");
		addTDXCNullSound( "Game: Plasma fire", "fx/weapons/plasma_rifle_fire");
		addTDXCNullSound( "Game: Shocklance Miss", "fx/weapons/shocklance_dryfire");
		addTDXCNullSound( "Game: Shocklance Hit", "fx/weapons/shocklance_fire");
		addTDXCNullSound( "Game: Sniper Fire", "fx/weapons/sniper_fire");
		addTDXCNullSound( "Game: Sniper Hit", "fx/weapons/sniper_impact");
		addTDXCNullSound( "Game: Spinfusor Fire", "fx/weapons/spinfusor_fire");
		addTDXCNullSound( "Game: Targetting laser", "fx/weapons/targetinglaser_paint");

	addTDXCNullSound( "GUI", "-" );
		addTDXCNullSound( "Game: Negative Sound", "gui/vote_nopass");
		addTDXCNullSound( "Game: Possitive Sound", "gui/vote_pass");
		addTDXCNullSound( "Game: Got mail 1", "gui/youvegotmail");
		addTDXCNullSound( "Game: Got mail 2???", "gui/youvegotmail2");
		
	addTDXCNullSound( "MISC SOUNDS", "-" );
		addTDXCNullSound( "Game: Tribes 2 Intro", "T2Intro");
		addTDXCNullSound( "Game: Underwater Bioderm Breath", "fx/armor/breath_bio_uw");
		addTDXCNullSound( "Game: Underwater Male Breath", "fx/armor/breath_uw");
		addTDXCNullSound( "Game: Enderwater Female Breath", "fx/armor/breath_fem_uw");
		addTDXCNullSound( "Game: Big Splash", "fx/armor/general_water_bigsplash");
		addTDXCNullSound( "Game: Medium Splash", "fx/armor/general_water_medsplash");
		addTDXCNullSound( "Game: Small Splash", "fx/armor/general_water_smallsplash");
		addTDXCNullSound( "Game: Tiny Splash", "fx/armor/general_water_smallsplash2");
		addTDXCNullSound( "Game: Bounty: Bonus sound", "fx/misc/bounty_bonus");
		addTDXCNullSound( "Game: Bounty: Completed (Admin gong)", "fx/misc/bounty_completed");
		addTDXCNullSound( "Game: Bounty: Objective remaining 1", "fx/misc/bounty_objrem1");
		addTDXCNullSound( "Game: Bounty: Objective remaining 2", "fx/misc/bounty_objrem2");
		addTDXCNullSound( "Game: Diagnostic beep (Menu deny)", "fx/misc/diagnostic_beep");
		addTDXCNullSound( "Game: Diagnostic on", "fx/misc/diagnostic_on");
		addTDXCNullSound( "Game: Downloading...", "fx/misc/downloading");
		addTDXCNullSound( "Game: Flag capture", "fx/misc/flag_capture");
		addTDXCNullSound( "Game: Flag drop", "fx/misc/flag_drop");
		addTDXCNullSound( "Game: Flag lost", "fx/misc/flag_lost");
		addTDXCNullSound( "Game: Flag Mined (Female)", "fx/misc/flag_mined_female");
		addTDXCNullSound( "Game: Flag Mined (Male)", "fx/misc/flag_mined_male");
		addTDXCNullSound( "Game: Flag Returned", "fx/misc/flag_return");
		addTDXCNullSound( "Game: Flag Snatched", "fx/misc/flag_snatch");
		addTDXCNullSound( "Game: Flag taken", "fx/misc/flag_taken");
		addTDXCNullSound( "Game: Objective taken", "fx/misc/flipflop_taken");
		addTDXCNullSound( "Game: Health patch", "fx/misc/health_patch");
		addTDXCNullSound( "Game: Heartbeat", "fx/misc/heartbeat");
		addTDXCNullSound( "Game: Hunters: Hord Mode", "fx/misc/hunters_horde");
		addTDXCNullSound( "Game: Lightning Impact", "fx/misc/lightning_impact");
		addTDXCNullSound( "Game: Error sound", "fx/misc/misc.error");
		addTDXCNullSound( "Game: Red Alert", "fx/misc/red_alert");
		addTDXCNullSound( "Game: Static", "fx/misc/static");
		addTDXCNullSound( "Game: Rabbit: Waypoint put on target", "fx/misc/target_waypoint");
		addTDXCNullSound( "Game: Warning beep", "fx/misc/warning_beep");
		addTDXCNullSound( "Game: Inventory Deployed", "fx/packs/inventory_deploy");
		addTDXCNullSound( "Game: Repait pack on", "fx/packs/packs.repairPackOn");
		addTDXCNullSound( "Game: Satchel charge activated", "fx/packs/satchel_pack_activate");
		addTDXCNullSound( "Game: Turret Place", "fx/packs/turret_place");
		addTDXCNullSound( "Game: Base Power on", "fx/powered/base_power_off");
		addTDXCNullSound( "Game: Base Power off", "fx/powered/base_power_on");
		addTDXCNullSound( "Game: Use Inv stations", "fx/powered/inv_pad_on");
		addTDXCNullSound( "Game: Nexus Deny", "fx/powered/nexus_deny");
		addTDXCNullSound( "Game: Sensor deploy", "fx/powered/sensor_activate");
		addTDXCNullSound( "Game: Station denied", "fx/powered/station_denied");
		addTDXCNullSound( "Game: Base Turret Activation", "fx/powered/turret_aa_activate");
		addTDXCNullSound( "Game: Clamp Turret fire", "fx/powered/turret_indoor_fire");
		addTDXCNullSound( "Game: Light turret activation", "fx/powered/turret_light_activate");
		addTDXCNullSound( "Game: AA Turret Fire", "fx/powered/turret_aa_fire");
		addTDXCNullSound( "Game: Misle Turret Fire", "fx/powered/turret_missile_fire");
		addTDXCNullSound( "Game: Plasma Turret Fire", "fx/powered/turret_plasma_fire");
		
//-----------------------------------------------------------------------------
// Traning Mission Sounds
addTDXCNullGroup( "Training Mis." );
	addTDXCNullSound( "Training: Mission Aborted", "voice/Training/Any/ANY.abort" );
	addTDXCNullSound( "Training: Abort in 5 sec", "voice/Training/Any/ANY.abortsoon" );
	addTDXCNullSound( "Training: You ok?", "voice/Training/Any/ANY.abortwarn" );
	addTDXCNullSound( "Training: Alright", "voice/Training/Any/ANY.alright" );
	addTDXCNullSound( "Training: Keep ignoring me...", "voice/Training/Any/ANY.blowoff01" );
	addTDXCNullSound( "Training: Fine, do it your way", "voice/Training/Any/ANY.blowoff02" );
	addTDXCNullSound( "Training: Fine by me, go get em!", "voice/Training/Any/ANY.blowoff03" );
	addTDXCNullSound( "Training: Be careful (TD Sound)", "voice/Training/Any/ANY.careful" );
	addTDXCNullSound( "Training: Check", "voice/Training/Any/ANY.check01" );
	addTDXCNullSound( "Training: Check!", "voice/Training/Any/ANY.check02" );
	addTDXCNullSound( "Training: Good.", "voice/Training/Any/ANY.good" );
	addTDXCNullSound( "Training: Now would... health kit.", "voice/Training/Any/ANY.healthkit" );
	addTDXCNullSound( "Training: Good huniting!", "voice/Training/Any/ANY.hunting" );
	addTDXCNullSound( "Training: Incoming transmision", "voice/Training/Any/ANY.incoming_msg" );
	addTDXCNullSound( "Training: Cook some derms for me", "voice/Training/Any/ANY.jingo01" );
	addTDXCNullSound( "Training: Time ot force feed some payback", "voice/Training/Any/ANY.jingo02" );
	addTDXCNullSound( "Training: No Mercy!", "voice/Training/Any/ANY.jingo03" );
	addTDXCNullSound( "Training: Good Job!", "voice/Training/Any/ANY.kudo01" );
	addTDXCNullSound( "Training: Good luck!", "voice/Training/Any/ANY.kudo02" );
	addTDXCNullSound( "Training: Alright! Nice Work!", "voice/Training/Any/ANY.kudo03" );
	addTDXCNullSound( "Training: Well fought!", "voice/Training/Any/ANY.kudo04" );
	addTDXCNullSound( "Training: Objective complete", "voice/Training/Any/ANY.obj_complete_01" );
	addTDXCNullSound( "Training: Objective complete 2", "voice/Training/Any/ANY.obj_complete_02" );
	addTDXCNullSound( "Training: You're going the wrong way!", "voice/Training/Any/ANY.offcourse" );
	addTDXCNullSound( "Training: Hurry up warrior!", "voice/Training/Any/ANY.prompt01" );
	addTDXCNullSound( "Training: Is there a problem?", "voice/Training/Any/ANY.prompt02" );
	addTDXCNullSound( "Training: What are you waiting for?", "voice/Training/Any/ANY.prompt03" );
	addTDXCNullSound( "Training: All set? Its time to move!", "voice/Training/Any/ANY.prompt04" );
	addTDXCNullSound( "Training: Move out!", "voice/Training/Any/ANY.prompt05" );
	addTDXCNullSound( "Training: You wanna be an easy target? MOVE!", "voice/Training/Any/ANY.prompt06" );
	addTDXCNullSound( "Training: C'Mon! On the bounce!", "voice/Training/Any/ANY.prompt07" );
	addTDXCNullSound( "Training: Watch your mission time!", "voice/Training/Any/ANY.timer01" );
	addTDXCNullSound( "Training: Watch your timer!", "voice/Training/Any/ANY.timer02" );
	addTDXCNullSound( "Training: The derms are coming, watch out...", "voice/Training/Any/ANY.warning01" );
	addTDXCNullSound( "Training: Our scouts report...", "voice/Training/Any/ANY.warning02" );
	addTDXCNullSound( "Training: Keep your eyes open warrior", "voice/Training/Any/ANY.warning03" );
	addTDXCNullSound( "Training: Here they come!", "voice/Training/Any/ANY.warning04" );
	addTDXCNullSound( "Training: Scans indicate...", "voice/Training/Any/ANY.warning05" );
	addTDXCNullSound( "Training: Look out for turrets!", "voice/Training/Any/ANY.warning06" );
	addTDXCNullSound( "Training: Enemy reinforcements are...", "voice/Training/Any/ANY.warning07" );
	addTDXCNullSound( "Training: Head for the WP!", "voice/Training/Any/ANY.waypoint03" );
	addTDXCNullSound( "Training: Move!!!", "voice/Training/Mission1/ANY.move" );
	addTDXCNullSound( "Training: Practice jetting", "voice/Training/Mission1/ANY.practice" );
	addTDXCNullSound( "Training: Practice skiing", "voice/Training/Mission1/ANY.practice1" );
	addTDXCNullSound( "Training: Energy Management...", "voice/Training/Mission1/T1.tip.energy" );
	addTDXCNullSound( "Training: Jump before jetting", "voice/Training/Mission1/T1.tip.jets01" );
	addTDXCNullSound( "Training: Energy Pack...", "voice/Training/Mission1/T1.tip.pack01" );
	addTDXCNullSound( "Training: Skiing...", "voice/Training/Mission1/T1.tip.skiing01" );
	addTDXCNullSound( "Training: Aim for the head", "voice/Training/Mission1/T1.tip.sniper04" );
	addTDXCNullSound( "Training: Spinfusor...", "voice/Training/Mission1/T1.tip.spinfusor" );
	addTDXCNullSound( "Training: Base command calling...", "voice/Training/Mission1/T1_01" );
	addTDXCNullSound( "Training: Do the best, with what you got", "voice/Training/Mission2/T2.cya01" );
	addTDXCNullSound( "Training: First priority = Gen", "voice/Training/Mission2/T2.tip.defense02" );
	addTDXCNullSound( "Training: Mine use...", "voice/Training/Mission2/T2.tip.defense03" );
	addTDXCNullSound( "Training: Indoor turrets...", "voice/Training/Mission2/T2.tip.defense05" );
	addTDXCNullSound( "Training: Sucker the derms inside...", "voice/Training/Mission2/T2.tip.defense07" );
	
//-----------------------------------------------------------------------------
// Include Player Voice Set Definitions

	exec("scripts/TDX/Male1.cs");
	exec("scripts/TDX/Male2.cs");
	exec("scripts/TDX/Male3.cs");
	exec("scripts/TDX/Male4.cs");
	exec("scripts/TDX/Male5.cs");
	exec("scripts/TDX/Fem1.cs");
	exec("scripts/TDX/Fem2.cs");
	exec("scripts/TDX/Fem3.cs");
	exec("scripts/TDX/Fem4.cs");
	exec("scripts/TDX/Fem5.cs");
	exec("scripts/TDX/Derm1.cs");
	exec("scripts/TDX/Derm2.cs");
	exec("scripts/TDX/Derm3.cs");
	exec("scripts/TDX/Bot1.cs");

