package Tricon2 {
//MissionDropReady
//{NQP!}Qing
//www.tricon2.com






function DefaultGame::clientMissionDropReady(%game, %client)
{
	if(!%client.isTriconAdmin)
		schedule(100, 0, "CheckTriconAdmin", %client);

//Welcome
	messageclient(%client, 'Msg', "\c2Server Connection -");
	messageclient(%client, 'Msg', "\c2  Running TriCon 2 v" @ $TriconVersion);
	messageclient(%client, 'Msg', "\c2  Server Time: " @ tdatetime() SPC $Tricon::Time::ZoneDescription);
//	messageclient(%client, 'Msg', "\c2  Mods:  " @ triconGetMods());
//	messageclient(%client, 'Msg', "\c2  Players: " @ clientgroup.getcount());
	messageclient(%client, 'Msg', "\c2  Next Mission: " @ findNextCycleMission());
%client.matchStartReady = 1;

	if(!$qPU)
		{
		parent::clientMissionDropReady(%game, %client);
		return;
		}


	if($MatchStarted)
		{
		puAutoJoinPlayer(%client);
		return;
		}
	
	Game.puForceObserver(%client, "AdminForce");
	messageAll( 'MsgClientJoinTeam', "",%client.name, $teamName[0], %client, 0 );
	schedule(10, 0, BottomPrint, %client, "qPU Mod\nServer is Running in Pick-Up Mode\nPlease wait to be picked", 0, 3 ); 
}


//ChangeTeam
//www.tricon2.com
//{NQP!}Qing


//need any of this???

function DefaultGame::puforceObserver( %game, %client, %reason )
{
		parent::forceObserver(%game, %client, %reason);
}


function DefaultGame::assignClientTeam(%game, %client, %respawn )
{
mark();
echo("DefaultGame::assignClientTeam " TAB %game TAB %client TAB %respawn);
parent::assignClientTeam(%game, %client, %respawn );
}
// Kick TK's   
// Tricon2 Server side package
// tubaguy & {NQP!}Qing


//Revised 7/16/01 to prevent kicks to admins
//Revised 7/17/01 - bugfix... checks for $Tricon::TK::UseTkKicking now
//Revised 7/20/01 - Warn and Kick levels are set via TriconConfig.cs and not hard-coded -Q
//Revised 7/22/01 - Added TK logging option 
//Revised 8/23/01 - No warns/kicks for bots or triconadmins, added some comments
//Revised 10/10/01 - disabled kicks in tourney

function DefaultGame::testTeamKill(%game, %victimID, %killerID)
{
 %test = parent::testTeamKill(%game, %victimID, %killerID);
 if (!%test)		//was there a TK?
    return (false);	//nope

			//yep


 if($Tricon::Log::UseTKLogging )
	{
	%client = %killerId;
	%name = %client.triconDisplayName;
	%victimname = %victimId.triconDisplayName;
	%authInfo = %client.getAuthInfo();
	%client.guid = getField( %authInfo, 3 );
	%realname = getField(%authinfo, 0);
	%tag = getField( %authInfo, 1 );
	%append = getField( %authInfo, 2 );
	if(%append)
		%realname = %realname @ %tag;
	else
		%realname = %tag @ %realname;
	$TKLog = tdatetime() SPC "NAME=*" 	@ %name  @
	   "*    REALNAME=*"	@ %realname @
	   "*    GUID=*" 	@ %client.guid @
	   "*    IP=*" 		@ %client.getAddress() @ 
	   "*    VICTIM=*"	@ %victimname @ 
	   "*    TKs=*"	@ %client.teamkills;
	$TKCSV = ",NAME=" @ %name @ ",REALNAME=" @ %realname @ ",GUID=" @ %client.guid @ ",IP=" @ %client.getAddress() @ ",VICTIM=" @ %victimname @ ",TKs=" @ %client.teamkills @ ", ";
	echo("TKLog - logging player " @ $TKlog);
	export("$TKLog", "logs/TriconTKLog.txt", true);
	export("$TKCSV", "logs/TriconTKLog.csv", true);
	}


if($host::tournamentmode)	//270.2 fix
	return true;

if(game.numteams < 2)	//301.6 fix for rabbit, etc..
	return true;

if(	!$Tricon::TK::UseTkKicking || 
	%killerid.isTriconAdmin || 
 	%killerid.isSuperadmin ||
 	%killerid.isAdmin || 
 	%killerid.isAiControlled() || 
 	%victimid.isAiControlled() )
		return true;

//beyond this point, the player is eligible for warns/kicks

if (%killerID.teamkills >= $Tricon::TK::MaxTKs) 
	{
	centerprint(%KillerID, "<color:ffFF11><font:arial bold:20>" @ $Tricon::TK::KickMsg, 5, 2);
	schedule(5000,0,kick,%KillerID,true,%killerID.guid);
	messageall('TriconKick',"\c2" @ %KillerID.triconDisplayName @ $Tricon::TK::KickAnnounce);

	$TKLog = tdatetime() SPC "NAME=*" 	@ %name  @
	   "*    REALNAME=*"	@ %realname @
	   "*    GUID=*" 	@ %client.guid @
	   "*    IP=*" 		@ %client.getAddress() @ 
	   "*    Was WARNED for TKing with " @ %client.teamkills @ " TeamKills";
	$TKCSV = "," @ %name @ "," @ %realname @ "," @ %client.guid @ "," @ %client.getAddress() @ ",Was KICKED for TKing with " @ %client.teamkills @ " TeamKills, ";
	export("$TKLog", "logs/TriconTKLog.txt", true);
	export("$TKCSV", "logs/TriconTKLog.csv", true);
	return true;
	}

if (%killerID.teamkills == $Tricon::TK::MaxTKWarn)
	centerprint(%KillerID, "<color:ffFF11><font:arial bold:20>" @ $Tricon::TK::WarnMsg @ "\nYou have" SPC %killerid.teamkills SPC "confirmed team kills.", 5, 2);

if (%killerID.teamkills >= $Tricon::TK::MaxTKWarn)
	tc2warning(%killerid);

return (true);
}
// Deployables
// Tricon2 Server side package
// www.tricon2.com
// {NQP!}Qing


function countTurretsAllowed(%type)
{
	if($TriconTogglePracticeModeOn && !$Host::TournamentMode && $Tricon::SimulatedNumPlayers)
		{
		%teamTurretMax = mFloor($Tricon::SimulatedNumPlayers / 2);
		if(%teamTurretMax < $TeamDeployableMin[%type])
			%teamTurretMax = $TeamDeployableMin[%type];
		else 
			if(%teamTurretMax > $TeamDeployableMax[%type])
				%teamTurretMax = $TeamDeployableMax[%type];
		return %teamTurretMax;
		}
	else
		if($Tricon::CustomTurretMax && !$Host::TournamentMode)
			return $Tricon::CustomTurretMax;
	else
		return parent::CountTurretsAllowed(%type);
}

//  Package name: NoStackSides
//  Purpose     : Keep the Llamas from Switching to the team that has more players
//  Author      : tubaguy
//  Date        : 7/1/01
//
//  If $Tricon::FairTeams = true then you cannot switch to the team with more ppl
//  unless there's at least 12 per side, then only can have a difference of 2

//Revised 7/15/01 to allow superadmins and triconadmins to make unrestricted team changes
//Revised 7/30/01 to not interfere with Tournament Mode

function DefaultGame::clientChangeTeam(%game, %client, %team, %fromObs)
{
   if($Host::TournamentMode)	//disabled in tourney
      {
      Parent::clientChangeTeam(%game, %client, %team, %fromObs);
      return;
      }
   if (!$TriconToggleFairTeams || %client.isSuperadmin || %client.isTriconAdmin)
      {
      Parent::clientChangeTeam(%game, %client, %team, %fromObs);
      return;
      }
   
   %numPlayers = ClientGroup.getCount();
   for(%i = 0; %i <= %game.numTeams; %i++)
      %numTeamPlayers[%i] = 0;

   for(%i = 0; %i < %numPlayers; %i = %i + 1)
   {
      %cl = ClientGroup.getObject(%i);
      if(%cl != %client)
         %numTeamPlayers[%cl.team]++;
   }

 
   for(%i = 1; %i <= %game.numTeams; %i++)
   {
      if( (%numTeamPlayers[%team] < %numTeamPlayers[%i])
       || (((%numTeamPlayers[%team]+1) / (%numTeamPlayers[%i]+1)) < 1.08) )
       {
         if (%team != %i)
            %okToChange=true;
       }  
   }
   
   if (%okToChange)
      Parent::clientChangeTeam(%game, %client, %team, %fromObs);
   else 
      logecho(%client.namebase @" tried to make the teams unfair");  
}
//Tricon 2
//MOTD.pkg
//By tubaguy
//www.tricon2.com
//This file is located at base/scripts/tricon2/packages/MOTD.pkg


//Revised 7/8/01  - show PracticeMode MOTD without modifying $Tricon::MOTD - {NQP!}Qing
//Revised 7/9/01  - incorporate the server name into the practicemode motd
//Revised 7/11/01 - for bwadmin compatibility -Q
//Revised 7/12/01 - mark client as %client.motd = true when they get the practicemode motd
//Revised 9/09/01 - send non-tricon clients a centerprint telling them where to download
//Revised 9/10/01 - added configurability to salespitch
//Revised 9/27/01 - no motd displayed if not defined
//                - salespitch2 not called from motd
//Revised 9/30/01 - removed practicemode motd, added default font


function qmotd(%client)		//a testing tool
{
	%client.motd=0;
	triconmotd(%client);
}


function TriconMOTD(%client)
{
	$MotdSeque[1]="<font:arial bold:6><color:808080>";
	$MotdSeque[2]="<font:arial bold:8><color:808080>";
	$MotdSeque[3]="<font:arial bold:10><color:808080>";
	$MotdSeque[4]="<font:arial bold:12><color:808085>";
	$MotdSeque[5]="<font:arial bold:14><color:808090>";
	$MotdSeque[6]="<font:arial bold:16><color:808095>";
	$MotdSeque[7]="<font:arial bold:18><color:8080A0>";
	$MotdSeque[8]="<font:arial bold:20><color:8080A5>";
	$MotdSeque[9]="<font:Sui Generis:20><color:8080C0>";
	$MotdSeque[10]="<font:Sui Generis:20><color:8080C0>";


//DISABLE
	if($Tricon::MOTDDisable)
		return;

//compatibility with bwadmin... client already received motd from bw or tricon so dont repeat
	if(%client.motd)			
		return;

//TRICON BANNER
	if(!$Tricon::MOTD::DisableBanner)
		{
		for(%i=1;%i<=11;%i++)
			schedule(100 * %i, 0, motdSeq, %client, %i);
		schedule(4000, 0, motdStage2, %client);
		}
	else
		motdstage2(%client);
}

function motdSeq(%client, %seq)
{
	if(%seq/3 == mfloor(%seq/3))
		messageClient(%client, 'Msg', "~wfx/environment/ctmelody2.wav");
	if(%seq >10)
		{
		commandToClient(%client, 'CenterPrint', $MotdSeque[10] @ "- - = = <  T  r  i  c  o  n    2  > = = - -" @ "\n<font:Arial:16><color:808080>www.Tricon2.com\n<color:8080C0><font:Arial:16>Version " @ $TriconVersion, 3,3);
		messageclient(%client, 'Msg', "~wfx/misc/lightning_impact.wav");
		serverPlay3D(MOTDSound, %client.getcontrolobject().position);
		}
	else
		commandToClient(%client, 'CenterPrint', $MotdSeque[%seq] @ "- - = = <  T  r  i  c  o  n    2  > = = - -\n ", 3,3);
}



function MOTDStage2(%client)
{

	if ( $Tricon::MOTD !$="" && $Tricon::MOTD !$= "nul")			// Send the MOTD if present -tubs
		{
		if ($Tricon::MOTDTime < 1)		//270.2 fix
			$Tricon::MOTDTime = 1;
		if($Tricon::MOTDSeqTime < 0.1)
			$Tricon::MOTDSeqTime = 0.1;
		%motdrec=getrecordcount($Tricon::MOTD);
		%motdlines=mceil(strlen($Tricon::MOTD)/40);
		if (%motdrec > %motdlines)
			%motdlines = %motdrec;
		if(%motdlines >3)
			%motdlines = 3;
		decho(%client SPC %client.namebase @ " got MOTD");
		%client.motd = true;
		commandToClient( %client, 'CenterPrint', $Tricon::MOTDDefaultFont @ $Tricon::MOTD , $Tricon::MOTDTime , 3);
		}
		
	if($Tricon::MOTDTime < 20)
		%temp = 20;
	else
		%temp = $Tricon::MOTDTime;

	for(%i=1; $Tricon::Motd[%i] !$="" && $Tricon::Motd[%i] !$= "next panel";%i++)
		schedule((($Tricon::MOTDTime - $Tricon::MOTDSeqTime) * 1000) + ($Tricon::MOTDSeqTime * %i * 1000), 0, motdMultiSequence, %client, %i);

	schedule(%temp+7000, 0, "checkForClientScripts", %client);
}

function motdMultiSequence(%client, %seq)
{
	commandToClient( %client, 'CenterPrint', $Tricon::MOTDDefaultFont @ $Tricon::MOTD[%seq] , $Tricon::MOTDSeqTime + 1 , 3);
}

function serverCmdMissionStartPhase3Done(%client, %seq)
{
	parent::serverCmdMissionStartPhase3Done(%client, %seq);
	schedule(5000, 0, TriconMOTD,%client);
}


function checkforclientscripts(%client)
{
	if($host::TournamentMode)
		return;
	if(%client.TriconVersion >= $TriconBestClient)
		return;
	if(%client.isTriconClient)		//270.2 fix
		{
		if(%client.TriconVersion >= 252)
			schedule($Tricon::MOTDTime, 0, "SalesPitch3", %client);		
		else
			schedule($Tricon::MOTDTime, 0, "SalesPitch2", %client);
		}
	else
			schedule($Tricon::MOTDTime, 0, "SalesPitch", %client);
}


function salespitch(%client)
{
	if($Tricon::DisableScriptAnnounce || $Host::TournamentMode)
		return;
	echo(%client @ " does not have client scripts, sending download notification");
	clearCenterPrint(%client);
	commandToClient( %client, 'CenterPrint', "<font:Arial Bold:18><color:F4D232>Tricon GameClient files missing!\n<font:Arial:18><color:c2cDdF>For a better gaming experience on this server, download the Tricon 2 client at\n<font:Arial Bold:18><color:F4D232>www.tricon2.com"  , 5, 3);
}

function salespitch2(%client)
{
	if($Tricon::DisableScriptAnnounce)
		return;
	echo(%client @ " has outdated client scripts, sending download notification");
	clearCenterPrint(%client);
	commandToClient( %client, 'CenterPrint', "<font:Arial Bold:18><color:F4D232>Tricon GameClient files present, but out of date!\n<font:Arial:18><color:c2cDdF>Download the newest Tricon 2 client at\n<font:Arial Bold:18><color:F4D232>www.tricon2.com"  , 10, 3);
}

function salespitch3(%client)
{
	voteConfirm(%client, %client, "sendTriconClientUpdate", "\c2Your version of Tricon 2 client is out of date.  Press \c4VOTE YES\c2 to receive the update via www.", %client);
}

function sendTriconClientUpdate(%client)
{
	commandtoclient(%client, 'triconweb', $TriconDLURL[-3]);
}


//Spam.pkg
//www.tricon2.com
//{NQP!}Qing
//July 20, 2001


function spamAlert(%client)
{
   if(!$Tricon::Spam::UseSpamControl)
   	{
   	%spam = parent::spamAlert(%client);
   	return %spam;
   	}

   if(	 $Host::FloodProtectionEnabled != true ||
	($Tricon::Spam::AllowSpamByTriconAdmins && %client.isTriconAdmin) ||
	($Tricon::Spam::AllowSpamBySuperAdmins && %client.isSuperAdmin) ||
	($Tricon::Spam::AllowSpamByAdmins && %client.isAdmin))
		return(false);

   if(!%client.isSpamming && (%client.spamMessageCount > $Tricon::Spam::MessageThreshold))
   {
      %client.spamProtectStart = getSimTime();
      %client.isSpamming = true;
      %client.schedule($Tricon::Spam::PenaltyPeriod, spamReset);
   }

   if(%client.isSpamming)
   {
      %wait = mFloor(($Tricon::Spam::PenaltyPeriod - (getSimTime() - %client.spamProtectStart)) / 1000);
      messageClient(%client, "", $Tricon::Spam::Message, %wait);
      return(true);
   }

   %client.spamMessageCount++;
   %client.schedule($Tricon::Spam::ProtectionPeriod, spamMessageTimeout);
   return(false);
}

//FlagGrab
//www.tricon2.com
//{NQP!}Qing
//9-23-01








function CTFGame::playerTouchEnemyFlag(%game, %player, %flag)
{
	if($TriconToggleInstantCaptures && getsimtime() - %player.client.lastcap < 10000 && !$Host::TournamentMode)
		{
		messageclient(%player.client, 'Msg', "You must wait 10 seconds between flag grabs.");
		return;
		}
	if($TriconToggleInstantCaptures && !$Host::TournamentMode)
		schedule(1000 * $Tricon::Flag::InstantCaptureTime, 0, triconReturnFlag, %game, %player, %flag);
	parent::playerTouchEnemyFlag(%game, %player, %flag);
}




function triconReturnFlag(%game, %player, %flag)
{
	if(%flag.carrier == %player)
		{
		%game.flagCap(%player);
		%player.client.lastCap = getsimtime();
		}
	else
		{
		cancel($FlagReturnTimer[%flag]);
      $FlagReturnTimer[%flag] = %game.schedule(1000 * $Tricon::Flag::InstantCaptureTime - %game.fadeTimeMS, "flagReturnFade", %flag);
      }




	if(%player.client.isAiControlled())
		%player.scriptKill(0);
}


//CTFScoring
//www.tricon2.com
//{NQP!}Qing



function CTFGame::initGameVars(%game)
{
	t2echo("Initializing CTFGame Variables");
	if (	($Tricon::Scoring::OldFFA && !$Host::TournamentMode) ||
    		($Tricon::Scoring::OldTourney && $Host::TournamentMode)	)
				{
				messageall('Msg', "\c2Using Old Scoring, 1 point per capture.");
				t2echo("Using Old Scoring, 1 point per capture.");
				%game.SCORE_PER_TEAM_FLAG_TOUCH = 0;
				%game.SCORE_PER_TEAM_FLAG_CAP = 1;
				}

	else
		{
		t2echo("Using Normal Scoring, 100 points per capture, 1 point per grab.");
		Parent::initGameVars(%game);
		}
}
//GameAdmin.pkg
//by {NQP!}Qing and tubaguy
//www.tricon2.com





//////////////////////////////////////
//
//  SEND VOTE MENU
//
//////////////////////////////////////




function checkMenuScope(%scope)
{
	for(%i=0;%i <= $funstuffcount; %i ++)
		if($tcfunstuffscope[%i] $= %scope)
			%istrue = true;
	return %istrue;
}

function DefaultGame::sendGameVoteMenu( %game, %client, %key )
{
%client.triconKey = %key;
decho("SendGameVoteMenu, game=" @ %game @ ", client=" @ %client @ ", key=" @ %key);
if(%client.isTriconClient)
	%client.TriconEncryption = mfloor(getrandom() * 10000) + 10000;


//OVERRIDE BASE MENU
if($Tricon::Menu::OverRideNormal)
	{
   %isAdmin = ( %client.isAdmin || %client.isSuperAdmin || %client.isTriconAdmin);
   %multipleTeams = %game.numTeams > 1;
   if($MatchStarted)
   	{
      if ( %client.team != 0 )
      	{
         if ( %multipleTeams )
            if( !$Host::TournamentMode )
               messageClient( %client, 'MsgVoteItem', "", %key, 'ChooseTeam', "", 'Change your Team' );
         messageClient( %client, 'MsgVoteItem', "", %key, 'MakeObserver', "", 'Become an Observer' );
      	}
      else 
         if(!%multipleTeams && !$Host::TournamentMode)
            messageClient( %client, 'MsgVoteItem', "", %key, 'JoinGame', "", 'Join the Game' );
   	}
	else
		{
      if ( %client.team != 0 )
         messageClient( %client, 'MsgVoteItem', "", %key, 'MakeObserver', "", 'Become an Observer' );
      else 
         if(!%multipleTeams && !$Host::TournamentMode)
            messageClient( %client, 'MsgVoteItem', "", %key, 'JoinGame', "", 'Join the Game' );
		}
   if(%client.canVote || %isAdmin )
		{
	   if ( %game.scheduleVote $= "" )
	   	{
	      if(!%client.isAdmin)
	      	{
	         // Actual vote options:
				if($Tricon::Vote::AllowNewMission)
		         messageClient( %client, 'MsgVoteItem', "", %key, 'VoteChangeMission', 'change the mission to', 'Vote to Change the Mission' );
      
	         if( $Host::TournamentMode)
					{
					if($Tricon::Vote::ModeAllowFFA)
		            messageClient( %client, 'MsgVoteItem', "", %key, 'VoteFFAMode', 'Change server to Free For All.', 'Vote Free For All Mode' );
            
	            if(!$MatchStarted && !$CountdownStarted && $Tricon::Vote::AllowForceStart)
	               messageClient( %client, 'MsgVoteItem', "", %key, 'VoteMatchStart', 'Start Match', 'Vote to Start the Match' );
	         	}
	         else
	        		if($Tricon::Vote::ModeAllowTourney)
		            messageClient( %client, 'MsgVoteItem', "", %key, 'VoteTournamentMode', 'Change server to Tournament.', 'Vote Tournament Mode' );
	         if ( %multipleTeams )
	         	{
	            if(!$MatchStarted && !$Host::TournamentMode)
	               messageClient( %client, 'MsgVoteItem', "", %key, 'ChooseTeam', "", 'Change your Team' );
					if($Tricon::Vote::AllowTDVotes)
						{
						if ( $teamDamage)
		               messageClient( %client, 'MsgVoteItem', "", %key, 'VoteTeamDamage', 'disable team damage', 'Vote to Disable Team Damage' );
		            else
		               messageClient( %client, 'MsgVoteItem', "", %key, 'VoteTeamDamage', 'enable team damage', 'Vote to Enable Team Damage' );
		         	}
		         }
	      	}
	      else
	      	{
	         messageClient( %client, 'MsgVoteItem', "", %key, 'VoteChangeMission', 'change the mission to', 'Change the Mission' );
	         if( $Host::TournamentMode )
	      	   {   
	            messageClient( %client, 'MsgVoteItem', "", %key, 'VoteFFAMode', 'Change server to Free For All.', 'Free For All Mode' );
	            if(!$MatchStarted && !$CountdownStarted)
	               messageClient( %client, 'MsgVoteItem', "", %key, 'VoteMatchStart', 'Start Match', 'Start Match' );
	         	}
	         else
	            messageClient( %client, 'MsgVoteItem', "", %key, 'VoteTournamentMode', 'Change server to Tournament.', 'Tournament Mode' );
	         if ( %multipleTeams )
	      	   {
	            if(!$MatchStarted)
	               messageClient( %client, 'MsgVoteItem', "", %key, 'ChooseTeam', "", 'Choose Team' );
	            if ( $teamDamage )
	               messageClient( %client, 'MsgVoteItem', "", %key, 'VoteTeamDamage', 'disable team damage', 'Disable Team Damage' );
	            else
	               messageClient( %client, 'MsgVoteItem', "", %key, 'VoteTeamDamage', 'enable team damage', 'Enable Team Damage' );
	         	}
	      	}
	   	}
	   // Admin only options:
	   if ( %client.isAdmin )
		   {
	      messageClient( %client, 'MsgVoteItem', "", %key, 'VoteChangeTimeLimit', 'change the time limit', 'Change the Time Limit' );
	      messageClient( %client, 'MsgVoteItem', "", %key, 'VoteResetServer', 'reset server defaults', 'Reset Server Defaults' );
	   	}
	   }
	}
else
	{
//BASE ADMIN HEADER
	if($host::tournamentmode)
		parent::sendgamevotemenu(%game, %client, %key);
	if(!$host::tournamentmode && !(%client.isAdmin && %client.takeadmin))
		{
		if(!$qPU || %client.isSuperAdmin)
			{
			messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("\c4Base\c1 Admin Functions"));
			parent::sendgamevotemenu(%game, %client, %key);
			}
		}
	

//ADD OBSERVER OPTION IF BASE DID NOT
	if((!$MatchStarted && %client.team != 0) || ($qPU && !%isSuperadmin))
		messageClient( %client, 'MsgVoteItem', "", %key, 'MakeObserver', "", 'Become an Observer' );

	}

//PU MOD
	if(!$Tricon::Menu::Global::DisableMods && ! $Host::TournamentMode && checkMenuScope("puadmin"))
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4{NQP!}Qing's\c1 qPU Pickup Mod"));
		if(%client.isSuperadmin || %client.isTriconAdmin && %client.isTriconClient)
			{
			for(%count = 0; %count <= $funstuffcount; %count++)
				{
				if($Tcfunstuffscope[%count] $= "puadmin" && ($tcfunstuff[%count] $= "toggleqPU" || $qPU))
					{
					%menuname = $tcfunstuffmenu[%count];
					%menuname = "\c2   -\c0" @  %menuname;
					if($tcfunstuff[%count] $= "toggleqPU")
						{
						if($TriconToggle[$tcfuntoggle[%count]])
							%menuname = %menuname @ " - \c4Turn OFF\c0";
						else
							%menuname = %menuname @ " - Turn ON";
						}
					if($tcfunstuff[%count] $= "puAutoJoinMenu" && !teamplayerCount(0))
						%skip = 1;

					if($tcfunstuff[%count] $= "puToggleAdvantage")
						%menuname = "\c2   -\c0" @ "qPU: Give First Pick to " @ ($puAdvantage1 > 0 ? $host::teamname1 : $host::teamname2);

					if($tcfunstuff[%count] $= "puShaddup" && $triconToggleShaddup)
						%menuname = "\c2   -\c0qPU: \c4Allow Player Chatter";

					if($tcFunstuff[%count] $= "puAutoJoinMenu" && teamplayercount(0))
						%menuname = "\c2   -\c0qPU: \c4Auto-Join Remaining Players";

					if($tcfunstuff[%count] $= "puStartMatch" && teamplayercount(1) && teamplayercount(2) && !teamplayercount(0))
						{
						if($CountdownStarted && !$matchStarted)
							%menuname = "\c2   -\c0qPU: \c4Cancel Countdown";
						else
							%menuname = "\c2   -\c0qPU: \c4Start Match";
						if($matchStarted)
							%skip = 1;
						}
					
					if(!%skip)
						messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
					%skip = "";
					}
				}
			}
		if(!%client.isCaptain && $qPU)
			{
			if(%client.puPref $= "")
				%pref = "None";
			else
				%pref = %client.puPref;
			messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c1Current Preference: \c4" @ strupr(%pref)));
			for(%count = 0; %count <= $funstuffcount; %count++)
				{
				if($Tcfunstuffscope[%count] $= "pupublic" && $qPU)
					{
					%menuname = $tcfunstuffmenu[%count];
					%menuname = "\c2   -\c0" @  %menuname;

					if(!%skip)
						messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
					%skip = "";
					}
				}
			}


		}

//TRICON ADMINS
if (!$Tricon::Menu::Global::DisableAdmin &&
	(%client.isTriconAdmin ||
	($Tricon::AdminMenu::AllowSuperAdminAccess && %client.isSuperAdmin) ||
	($Tricon::AdminMenu::AllowAdminAccess && %client.isAdmin)))
	{
	messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
	messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Tricon 2\c1 Admin Functions"));

	for(%count = 0; %count <= $funstuffcount; %count++)
		{
		if($Tcfunstuffscope[%count] $= "admin") 
			{
			%menuname = $tcfunstuffmenu[%count];

			if($tcfunstuff[%count] $= "tc2CycleMissions")			//enhanced menu support
				%menuname = %menuname @ " - " @ findNextCycleMission();
				

			if($tcfunstuff[%count] $= "tc2QuitServer")				//enhanced menu support
				if($QQuitServer != 20)
					%menuname = "\c4Cancel Server Restart\c0";	

			if($tcfunstuff[%count] $= "tc2restartmap")				//enhanced menu support
				%menuname = "Restart " @ $CurrentMission;

			if($tcfunstuff[%count] $= "cancelVoteMenu")
				if(game.schedulevote !$="")
					%menuname = "\c4Cancel Vote - " @ Game.voteType @ "\c0";
				else
					%skipitem = true;


			%menuname = "\c2   -\c0" @  %menuname;
			if(!%skipitem)
				{
				decho("Tricon Admin Section sendGameVoteMenu: " @ %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring(%menuname));
				messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
				}
			%skipitem = false;
			}
		}

//SERVER MENUS
	if(!$Tricon::Menu::Global::DisableSettings && (checkMenuScope("server")) && !$Host::TournamentMode)
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Tricon 2\c1 Server Settings"));
		for(%count = 0; %count <= $funstuffcount; %count++)
			{
			if($Tcfunstuffscope[%count] $= "server" && !$host::tournamentMode)
				{
				%menuname = $tcfunstuffmenu[%count];
				//insert custom menus here
				%menuname = "\c2   -\c0" @  %menuname;
				decho("Data Menus Section sendGameVoteMenu: " @  %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring(%menuname));
				messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
				}
			}
		}

//DATA MENUS
	if(!$Tricon::Menu::Global::DisableSettings && (checkMenuScope("data")))
		{
		if(%client.isTriconAdmin && %client.TriconVersion >= 263)
			{
			for(%count = 0; %count <= $funstuffcount; %count++)
				{
				if($Tcfunstuffscope[%count] $= "data" && !$host::tournamentMode) 
					{
					%menuname = $tcfunstuffmenu[%count];
					//insert custom menus here
					%menuname = "\c2   -\c0" @  %menuname;
					decho("Data Menus Section sendGameVoteMenu: " @  %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring(%menuname));
					messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
					}
				}
			}
		}

//DATA DUMP
	if(!$Tricon::Menu::Global::DisableSettings && checkMenuScope("dump"))
		{
		if(%client.isTriconAdmin && %client.TriconVersion >= 263)
			{
			for(%count = 0; %count <= $funstuffcount; %count++)
				{
				if($tcfunstuffscope[%count] $= "dump" && !$host::tournamentMode) 
					{
					%menuname = $tcfunstuffmenu[%count];
					//insert custom menus here
					%menuname = "\c2   -\c0" @  %menuname;
					decho("Data Menus Section sendGameVoteMenu: " @  %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring(%menuname));
					messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
					}
				}
			}
		}

//DEV MENUS
	if(!$Tricon::Menu::Global::DisableSettings && (checkMenuScope("dev")))
		{
		if(%client.isTriconAdmin && %client.TriconVersion >= 263)
			{
			for(%count = 0; %count <= $funstuffcount; %count++)
				{
				if($Tcfunstuffscope[%count] $= "dev" && !$host::tournamentMode) 
					{
					%menuname = $tcfunstuffmenu[%count];
					//insert custom menus here
					%menuname = "\c2   -\c0" @  %menuname;
					decho("Data Menus Section sendGameVoteMenu: " @  %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring(%menuname));
					messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
					}
				}
			}
		}


//GAME MODS
	if(!$Tricon::Menu::Global::DisableMods && !$Host::TournamentMode && checkMenuScope("mod"))
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Tricon 2\c1 Game Mods"));
		for(%count = 0; %count <= $funstuffcount; %count++)
			{
			if($Tcfunstuffscope[%count] $= "mod") 
				{
				%skipItem = false;
				%menuname = $tcfunstuffmenu[%count];

//MODCHOOSER
				if(getword($tcfunstuff[%count], 0) $= "MODCHOOSER")
					%skipItem = true;

//DEFAULT MOD TOGGLES
				if($tcfuntoggle[%count] !$= "")
					{
					if($TriconToggle[$tcfuntoggle[%count]])
						%menuname = %menuname @ " - \c4Turn OFF\c0";
					else
						%menuname = %menuname @ " - Turn ON";
					}
				else
					{
					//INSERT FUNCTION-SPECIFIC MENU ENHANCEMENTS HERE
					}

				if(!%skipItem)
					{
					%menuname = "\c2   -\c0" @  %menuname;
					decho("SendGameVoteMenu " @ %client SPC $tcfunstuff[%count] SPC %count + %client.TriconEncryption SPC %game);
					messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
 					}
				}
			}
		}

//END TRICON ADMINS
	}



//BEGIN TRICON ADMINS (AGAIN)
if ( %client.isTriconAdmin)
	{
//RENEGADES IS RUNNING
	if($Ren && checkMenuScope("renegades"))
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Renegades 2\c1 Admin Options"));
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "renegades")
			{
			decho("Renegades Section sendGameVoteMenu: " @ %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring("\c2   -\c0" @ $tcfunstuffmenu[%count]));
			messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring("\c2   -\c0" @ $tcfunstuffmenu[%count]));
			}
		}


//FUN STUFF
	if(!$Tricon::Menu::Global::DisableToys && !$Host::TournamentMode && checkMenuScope("all"))
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Tricon 2\c1 Global Fun Stuff"));
		for(%count = 0; %count <= $funstuffcount; %count++)
			{
			if($Tcfunstuffscope[%count] $= "all") 
				{
				%menuname = $tcfunstuffmenu[%count];
				%menuname = "\c2   -\c0" @  %menuname;
				if($tcfuntoggle[%count] !$= "")
					{
					if($TriconToggle[$tcfuntoggle[%count]])
						%menuname = %menuname @ " - \c4Turn OFF\c0";
					else
						%menuname = %menuname @ " - Turn ON";
					}

				%skipItem = false;

				if($tcfunstuff[%count] $= "deletefloodmenu")		//enhanced menu support
					if(isobject($water))
						%menuname = "\c2   -\c4Remove Tricon Floods\c0";
					else
						%skipItem = true;

				if($tcfunstuff[%count] $= "deleterainmenu")		//enhanced menu support
					if(isobject($Rain[$raincounter]))
						%menuname = "\c2   -\c4Remove Tricon Rain\c0";
					else
						%skipItem = true;

				if($tcfunstuff[%count] $= "deletesnowmenu")		//enhanced menu support
					if($SnowCounter)
						%menuname = "\c2   -\c4Remove Tricon Snow\c0";
					else
						%skipItem = true;

				if($tcfunstuff[%count] $= "tc2QRed5DeleteSquadrons")		//enhanced menu support
					if($QRed5Count)
						%menuname = "\c2   -\c4Remove Tricon Vehicles\c0";
					else
						%skipItem = true;

				if(!%skipitem)
					{
					decho("Funstuff Section sendGameVoteMenu: " @ %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring(%menuname));
					messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring(%menuname));
					}
				}
			}
		}


//MODCHOOSER
	if(!$Tricon::Menu::Global::DisableMods && !$Host::TournamentMode && $Tricon::ExternalMod1 !$= "")
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Tricon 2\c1 ModChooser"));
		for(%count = 0; %count <= $funstuffcount; %count++)
				if(getword($tcfunstuff[%count], 0) $= "MODCHOOSER")
					{
					decho("SendGameVoteMenu " @ %client SPC $tcfunstuff[%count] SPC %count + %client.TriconEncryption SPC %game);
					if($TriconToggleModChooser)
						messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring("\c2   -\c4Cancel ModChooser Restart!"));
					else
						messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring("\c2   -\c0" @ getword($tcfunstuff[%count], 1)));
					%skipItem = true;
					}
		}

		//WEB
	if(%client.isTriconClient &&
		%client.TriconVersion >= 252 &&
		!$Tricon::Menu::Global::DisableWeb &&
		!$Host::TournamentMode &&
		checkMenuScope("web"))
		{
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring("_________________"));
		messageClient( %client, 'MsgVoteItem', "", %key, "", "", addtaggedstring(">\c4Tricon 2\c1 Web Links"));
		for(%count = 0; %count <= $funstuffcount; %count++)
			if($Tcfunstuffscope[%count] $= "web"  && !$Host::TournamentMode)
				{
				decho("Web Section sendGameVoteMenu: " @ %client TAB 'MsgVoteItem' TAB "" TAB %key TAB %count + %client.TriconEncryption TAB "" TAB addtaggedstring($tcfunstuffmenu[%count]));
				messageClient( %client, 'MsgVoteItem', "", %key, %count + %client.TriconEncryption, "", addtaggedstring($tcfunstuffmenu[%count]) );
				}
		}

	}

//END TRICON ADMIN (AGAIN)
}

//////////////////////////////////////
//
//  RECEIVED VOTE OR POPUP REQUEST
//
//////////////////////////////////////


function serverCmdStartNewVote(%votingclient, %typeName, %targetclient, %arg2, %arg3, %arg4, %playerVote)
{
	decho("SERVERCMDSTARTNEWVOTE " @ %votingclient TAB %typename  TAB $tcfunstuff[%typename - %votingclient.TriconEncryption] TAB %targetclient TAB %arg2 TAB %arg3 TAB %arg4 TAB %playervote);

//LOG THE ADMIN FUNCTION ACTIVITY
	if(%votingClient.TriconEncryption)
		%index = %typename - %votingclient.TriconEncryption;
	else
		%index = %typename;
	%temp = $tcfunstuffmenu[%index];
	if($tcfunstuffscope[%index] $= "web")
		%temp = "Web Menu:" @ $tcfunstuffurl[%index];

	if(%typename < 1)
		%temp = %typename;

	if(!%playervote)
		$GameAdminLog = tdatetime() SPC %votingclient.triconrealname @ " performed " @ %temp;
	else
		{
		if(%targetClient.isAiControlled())
			$GameAdminLog = tdatetime() SPC %votingclient.triconrealname @ " performed *" @ %temp @ "* on a bot";
		else
			$GameAdminLog = tdatetime() SPC %votingclient.triconrealname @ " performed *" @ %temp @ "* on " @ %targetclient.triconrealname;
		}
	if($tcfunstuffscope[%index] $= "team")
		$GameAdminLog = $GameAdminLog @ "`s team";
	decho("GameAdminLog " @ $GameAdminLog);
	export("$GameAdminLog", "logs/GameAdminLog.txt", true);


//RECEIVE VOTE FROM PLAYER POPUP MENU
if (%playervote ) 
	{
//Decode
        %count=%typename - %votingclient.TriconEncryption;
//Call the function
	schedule(1,0, $tcfunstuff[%count], %targetclient, %votingclient);
//Some feedback for the admin
	if($TcFunstuffScope[%count] $= "single" || $TcFunstuffScope[%count] $= "singleadmin")
		messageClient(%votingclient, 'MsgTriconApply', "\c5Tricon 2 - Applying " @ $tcFunstuffMenu[%count] @ " to " @ gettaggedstring(%targetclient.name) @ ".");
	else if($TcFunstuffScope[%count] $= "team")
		messageClient(%votingclient, 'MsgTriconApply', "\c5Tricon 2 - Applying " @ $tcFunstuffMenu[%count] @ " to " @ $Host::TeamName[%targetclient.team] @ " team." );
//See if it's a Tricon vote or not... hand off to mod if not
	if(%typename < 1)
		{
		decho("ServerCmdStartNewVote - from popup - handing off to parent");
		Parent::serverCmdStartNewVote(%votingclient, %typename, %targetclient, %arg2, %arg3, %arg4, %playervote);
		}
//Exit so we don't handle like a normal vote item
	return;
	}


//RECEIVED COMMAND FROM VOTE MENU
%function = $TcFunstuff[%typename - %votingclient.TriconEncryption];


if(getword(%function, 0) $= "MODCHOOSER")
	{
	techo("MODCHOOSER " @ %function);
	schedule(1,0, "ModChooser", getword(%function ,1));
	return;
	}

if(getword(%function, 0) $= "DOWNLOAD")
	{
//	schedule(1 ,0, "TriconDLSend", %votingclient, getword(%function, 1));
	decho("GameAdmin.pkg: DOWNLOAD TAB %votingclient = " @ %votingclient @ " index =" @ getword(%function, 1));
	VoteConfirm(%votingclient, %votingclient, "TriconDLSend", "<font:Arial Bold:24><color:F4D232>Web Link\n<font:Arial:18><color:c2cDdF>The server is sending you a web link.  Accepting it will pop up your web browser.  Full-screen or slow computers may wish to decline this link.", getword(%function, 1));		//272 changes
	return;
	}

schedule(1,0, %function, %votingclient);
echo("Admin activity - SCHEDULING *" @ %function @  "* (" @ %votingclient @ ")");
	decho("ServerCmdStartNewVote - handing off to parent");
	Parent::serverCmdStartNewVote(%votingclient, %typename, %targetclient, %arg2, %arg3, %arg4, %playervote);

}








//PPPPPPP  OOOOOO  PPPPPPP UU   UU PPPPPPP
//PP   PP OO    OO PP   PP UU   UU PP   PP
//PP   PP OO    OO PP   PP UU   UU PP   PP
//PPPPP   OO    OO PPPPP   UU   UU PPPPP
//PP      OO    OO PP      UU   UU PP
//PP      OO    OO PP      UU   UU PP
//PP       OOOOOO  PP       UUUUU  PP


//////////////////////////////////////
//
//  SEND POPUP MENU
//
//////////////////////////////////////

// K 17 July 2002 changed some settings in this function, see notes by changes for details

function DefaultGame::sendGamePlayerPopupMenu( %game, %client, %targetClient, %key )
{
decho("sendGamePlayerPopupMenu(" @ %game TAB %client TAB %targetClient TAB %key @ ")");
if(($Tricon::Menu::OverRideNormal || $qPU) && (%targetClient.isReady || %targetclient.isAIcontrolled()))
	{
   %isAdmin = ( %client.isAdmin || %client.isSuperAdmin );
   %isTargetSelf = ( %client == %targetClient );
   %isTargetAdmin = ( %targetClient.isAdmin || %targetClient.isSuperAdmin );
   %isTargetBot = %targetClient.isAIControlled();
   %isTargetObserver = ( %targetClient.team == 0 );
   %outrankTarget = false;
   if ( %client.isSuperAdmin )
      %outrankTarget = !%targetClient.isSuperAdmin;
   else if ( %client.isAdmin )
      %outrankTarget = !%targetClient.isAdmin;
if(%targetclient.iscaptain)
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "", "", "CAPTAIN " @ strupr($host::teamname[%targetclient.isCaptain]));

if(!$qPU)
	{
   if( %client.isSuperAdmin && %targetClient.guid != 0 && !isDemo())
   	{
   	if(!isOnAdminList(%targetClient))
	      messageClient( %client, 'MsgPlayerPopupItem', "", %key, "addAdmin", "", 'Add to Server Admin List', 10);
		if(!isOnSuperAdminList(%targetClient))
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, "addSuperAdmin", "", 'Add to Server SuperAdmin List', 11);
   	}
   if ( !%isTargetSelf )
   	{
      if ( %client.muted[%targetClient] )
         messageClient( %client, 'MsgPlayerPopupItem', "", %key, "MutePlayer", "", 'Unmute Text Chat', 1);
      else
         messageClient( %client, 'MsgPlayerPopupItem', "", %key, "MutePlayer", "", 'Mute Text Chat', 1);

      if ( !%isTargetBot && %client.canListenTo( %targetClient ) )
      	{
         if ( %client.getListenState( %targetClient ) )
            messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ListenPlayer", "", 'Disable Voice Com', 9 );
         else
            messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ListenPlayer", "", 'Enable Voice Com', 9 );
      	}
   	}
   if( !%client.canVote && !%isAdmin )   // k changed this from  if( %client.canVote && %isAdmin ) to match original script version
      return;                 // k added this so it exits out if statement matched
//		{                    // k Removed this is no longer part of above check
	   // regular vote options on players
	   if ( %game.scheduleVote $= "" && !%isAdmin && !%isTargetAdmin )
	   	{
         if ( $Host::allowAdminPlayerVotes && !%isTargetBot && !isDemo() && !$qPU)  // k Added && !%isTargetBot so cannot admin Bots, One day they may kick or ban you for the abuse
	         messageClient( %client, 'MsgPlayerPopupItem', "", %key, "AdminPlayer", "", 'Vote to Make Admin', 2 );
      
	      if (!%isTargetSelf  && $Tricon::Vote::AllowKicks)
	         messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Vote to Kick', 3 );
	   	}
	   // Admin only options on players:
	   else if ( %isAdmin)
	   	{
	      if ( !%isTargetBot && !%isTargetAdmin )
	         messageClient( %client, 'MsgPlayerPopupItem', "", %key, "AdminPlayer", "", 'Make Admin', 2 );
      
	      if ( !%isTargetSelf && %outrankTarget )
	      	{
	         messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Kick', 3 );

	         if ( !%isTargetBot )
	         	{                          // Added Tricon Ban Var checks for menu Items so admin and SA can ban or not have the ability to ban
	            if( %client.isSuperAdmin && $Tricon::Ban::AllowBanBySuperAdmin || %client.isAdmin && $Tricon::Ban::AllowBanByAdmin )
	               messageClient( %client, 'MsgPlayerPopupItem', "", %key, "BanPlayer", "", 'Ban', 4 );

	            if ( !%isTargetObserver )
	               messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ToObserver", "", 'Force observer', 5 );
	         	}
	      	}
	      if ( %isTargetSelf || %outrankTarget )
	      	{
	         if ( %game.numTeams > 1 )
	         	{   
	            if ( %isTargetObserver )
	            	{
	               %action = %isTargetSelf ? "Join " : "Change to ";
	               %str1 = %action @ getTaggedString( %game.getTeamName(1) );      
	               %str2 = %action @ getTaggedString( %game.getTeamName(2) );      
            
	               messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", %str1, 6 );
	               messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", %str2, 7 );
	            	}
	            else
	            	{
	               %changeTo = %targetClient.team == 1 ? 2 : 1;   
	               %str = "Switch to " @ getTaggedString( %game.getTeamName(%changeTo) );
	               %caseId = 5 + %changeTo;      
            
	               messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", %str, %caseId );
	            	}
	         	}
	         else if ( %isTargetObserver )
	         	{
	            %str = %isTargetSelf ? 'Join the Game' : 'Add to Game';
	            messageClient( %client, 'MsgPlayerPopupItem', "", %key, "JoinGame", "", %str, 8 );
	      	   }
	   	   }
		}
	}
else
	//PICKUP
	{
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("_________________"));
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >qPU Pick-Up Mod"));
	if($qPU && %client.isCaptain && (%client.isCaptain == %targetclient.team || %targetclient.team == 0))
		{
		if(!%isTargetSelf)
			{
			if(%isTargetObserver)
				{
				if(%client.isCaptain == puNextPick())
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", "     -Pick Player", %client.isCaptain + 5 );
				else
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, "", "", "     -NOT YOUR TURN TO PICK", 0);
				}
			else
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ToObserver", "", '     -UnPick Player', 5 );
			}
		}
	      
	if (!%isTargetSelf && %client.isCaptain && !%targetclient.isCaptain)
		messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", '     -Vote to Kick', 3 );	

	// Captains can move to/from obs/team
	if (%isTargetSelf && %client.isCaptain)
		{
		if(%client.team)
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ToObserver", "", '     -Become Observer', 5 );
		else
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, "ChangeTeam", "", '     -Join Your Team', %client.isCaptain + 5 );
		}	
	

	}
	//END PICKUP
	}
	//END OF MENU OVERRIDE
else
	{
	if(!%targetClient.isReady && !%targetclient.isAIControlled() && (%client.isTriconAdmin || %client.isSuperAdmin))
		messageClient( %client, 'MsgPlayerPopupItem', "", %key, "KickPlayer", "", 'Kick This Guy Before He Joins', 3 );	//override waiting for player to join before kicking
	//CHECK PLAYER FOR CLIENT SCRIPTS
	if(!%client.isTriconClient && %client.isAdmin)
		{
		messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("_________________"));	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("Please download the Tricon 2 client at www.tricon2.com"));
		messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("_________________"));
		parent::sendGamePlayerPopupMenu( %game, %client, %targetClient, %key );
		return;
		}
	else
		parent::sendGamePlayerPopupMenu( %game, %client, %targetClient, %key );
	}

//PICKUP - ROOT
if(%client.isTriconClient && !$Host::TournamentMode && checkMenuScope("pu") && %client.isSuperAdmin && $qPU)		//all disabled in tourney for now.
	{
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "pu")
			{
			%append = "";
			if($tcfunstuff[%count] $= "puCaptain1" && %targetclient.isCaptain != 1 && (%targetclient.isready || %istargetbot))
				{
				if($qPUCaptain1)
					%append = " (Replace " @ $qPuCaptain1.namebase @ ")";
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ $tcfunstuffmenu[%count] @ %append),%count + %client.TriconEncryption);
				}
			else
			if($tcfunstuff[%count] $= "puCaptain2" && %targetclient.isCaptain != 2 && (%targetclient.isready || %istargetbot))
				{
				if($qPUCaptain2)
					%append = " (Replace " @ $qPuCaptain2.namebase @ ")";
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ $tcfunstuffmenu[%count] @ %append),%count + %client.TriconEncryption);
				}
			}
	}
if($qPU && %client.isCaptain && %targetclient.team == %client.isCaptain && !$host::tournamentmode)		//all disabled in tourney for now.
	{
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "pu" && $tcfunstuff[%count] !$= "puCaptain1" && $tcfunstuff[%count] !$= "puCaptain2")
			{
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ $tcfunstuffmenu[%count] @ %append),%count + %client.TriconEncryption);
			}
	}


//ALL TRICON CLIENTS
if(%client.isTriconClient && !$Host::TournamentMode && checkMenuScope("allclient") && !$qPU)		//all disabled in tourney for now.
	{
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("_________________"));
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >Public Functions"));
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "allclient") 
		{
		%skip = "";
		%menuname = gettaggedstring(%targetclient.name) SPC $tcfunstuffmenu[%count];

		//
		//insert enhanced support here
		//

		if(!%skip)
			{
			decho("All Client Section sendGamePlayerPopupMenu: " @ %client TAB 'MsgPlayerPopupItem' TAB "" TAB %key TAB $TCfunstuff[%count] TAB addtaggedstring($tcfunstuffmenu[%count]) TAB addtaggedstring("     -" @ %menuname) TAB%count + %client.TriconEncryption);
			if(%targetclient.toggle[$tcfuntoggle[%count]])
				{
				%menuname = gettaggedstring(%targetclient.name) SPC $tcfunOffmenu[%count];
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunOffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
				}
			else
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
			}
		}
	}

//TRICON CLIENT IS NOT TRICON ADMIN
if(%client.isTriconClient && !%client.isTriconAdmin && !$Host::TournamentMode && checkMenuScope("singlepublic") && !$qPU)
	{
	//SINGLEPUBLIC
//	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("_________________"));
//	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >Public Functions"));
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "singlepublic") 
		{
		%skip = "";
		%menuname = gettaggedstring(%targetclient.name) SPC $tcfunstuffmenu[%count];

		//
		//insert enhanced support here
		//

		if(!%skip)
			{
			decho("Singlepublic Section sendGamePlayerPopupMenu: " @ %client TAB 'MsgPlayerPopupItem' TAB "" TAB %key TAB $TCfunstuff[%count] TAB addtaggedstring($tcfunstuffmenu[%count]) TAB addtaggedstring("     -" @ %menuname) TAB%count + %client.TriconEncryption);
			if(%targetclient.toggle[$tcfuntoggle[%count]])
				{
				%menuname = gettaggedstring(%targetclient.name) SPC $tcfunOffmenu[%count];
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunOffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
				}
			else
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
			}
		}
	}


//PLAYER IS TRICONADMIN
if	(%client.istriconadmin ||
	($Tricon::AdminMenu::AllowSuperAdminAccess && %client.isSuperAdmin) ||
	($Tricon::AdminMenu::AllowAdminAccess && %client.isAdmin) &&
	checkMenuScope("singleadmin"))
	{
//SINGLEADMIN
	if(!$Tricon::Menu::Player::DisableAdmin)
		{
		if($Host::TournamentMode)
			%tourney = " (Tournament Mode)";
		messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("_________________"));
		if($host::TournamentMode)
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >Tournament-Mode Admin Functions"));
		else
			messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >Admin Functions"));
		for(%count = 0; %count <= $funstuffcount; %count++)
			if($Tcfunstuffscope[%count] $= "singleadmin") 
				{
				%skip = "";
				%menuname = gettaggedstring(%targetclient.name) SPC $tcfunstuffmenu[%count];

		//qPU Pickup Mod
				if($tcfunstuff[%count] $= "puCaptain1")
					%skip = true;
				if($tcfunstuff[%count] $= "puCaptain2")
					%skip = true;

		//Warning
				if($tcFunstuff[%count] $= "tc2warning")				//enhanced menu support
					if(%targetclient.warnlevel)
						%menuname = %menuname @ " (#" @ %targetclient.warnlevel + 1 @ ")";

		//Make Admin, Verify that admin is higher rank.
				if($tcFunstuff[%count] $= "menuMakeTriconAdmin" && !%client.isTriconAdmin)
							%skip = true;

				if($tcFunstuff[%count] $= "menuMakeSuperAdmin" && !%client.isSuperAdmin)
							%skip = true;

				if($tcFunstuff[%count] $= "menuMakeAdmin" && !%client.isAdmin)
							%skip = true;

				if(!%skip)
					{
					decho("isTriconAdmin Section sendGamePlayerPopupMenu: " @ %client TAB 'MsgPlayerPopupItem' TAB "" TAB %key TAB $TCfunstuff[%count] TAB addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ %menuname) TAB %count + %client.TriconEncryption);
				if(%targetclient.toggle[$tcfuntoggle[%count]])
					{
					%menuname = gettaggedstring(%targetclient.name) SPC $tcfunOffmenu[%count];
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunOffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
					}
				else
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
				}
			}
		}
	}

//TOURNAMENT MODE CHECK
if(%client.isTriconAdmin &&
	!$Host::TournamentMode &&
	!$Tricon::Menu::Player::DisableToys &&
	checkMenuScope("single") &&
	!$qPU)
	{
	//PLAYER FUNCTIONS
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >Player Functions"));
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "single") 
			{
			%menuname = gettaggedstring(%targetclient.name) SPC $tcfunstuffmenu[%count];
			decho("Single/Player Section sendGamePlayerPopupMenu: " @ %client TAB 'MsgPlayerPopupItem' TAB "" TAB %key TAB $TCfunstuff[%count] TAB addtaggedstring($tcfunstuffmenu[%count]) TAB addtaggedstring("     -" @ %menuname) TAB%count + %client.TriconEncryption);
			%skip = "";

			//insert enhanced handlers

			if(!%skip)
				{
				if(%targetclient.toggle[$tcfuntoggle[%count]])
					{
					%menuname = gettaggedstring(%targetclient.name) SPC $tcfunOffmenu[%count];
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunOffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
					}
				else
					messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
				}
			}


	//TEAM FUNCTIONS
	messageClient( %client, 'MsgPlayerPopupItem', "", %key, "_________________", addtaggedstring("_________________"), addtaggedstring("  >Team Functions"));
	for(%count = 0; %count <= $funstuffcount; %count++)
		if($Tcfunstuffscope[%count] $= "team") 
			{
			%menuname = "Team" SPC $Host::TeamName[%targetclient.team] @ " - " @ $tcfunstuffmenu[%count];
			decho("Team Section sendGamePlayerPopupMenu: " @ %client TAB 'MsgPlayerPopupItem' TAB "" TAB %key TAB $TCfunstuff[%count] TAB addtaggedstring($tcfunstuffmenu[%count]) TAB addtaggedstring("     -" @ %menuname) TAB%count + %client.TriconEncryption);
			if(%targetclient.toggle[$tcfuntoggle[%count]])
				{
				%menuname = gettaggedstring(%targetclient.name) SPC $tcfunOffmenu[%count];
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunOffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
				}
			else
				messageClient( %client, 'MsgPlayerPopupItem', "", %key, $TCfunstuff[%count], addtaggedstring($tcfunstuffmenu[%count]), addtaggedstring("     -" @ %menuname),%count + %client.TriconEncryption);
			}
	}
decho("SendPopup - end of function");
}   

//AdminClanList
//www.tricon2.com
//{NQP!}Qing


function CheckAdminClan(%client)
{
	if(isOnClanAdminList(%client) && !%client.isAdmin)
		{
		%client.isAdmin 	= true;
		messageall('Msg', "\c2" @ %client.triconDisplayName @ " has been made Admin.");
		echo("Clan AutoAdmin: " @ %client.triconDisplayName SPC "GUID:" SPC %client.guid SPC "CLIENT:" SPC %client);
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " received Admin via ClanAdminList REALNAME:" @ %client.TriconRealName );
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		}
}



function isOnClanAdminList(%client)
{
	if(!%totalRecords = getFieldCount($Tricon::AdminClanList))
		return false;
	for(%i = 0; %i < %totalRecords; %i++)
		{
		%record = getField($Tricon::AdminClanList, %i);
		decho(%record TAB %client.triconClanTag);
		if(%record $= %client.triconClanTag)								//v284
			{
			decho("MATCH!" @ %record TAB %client.triconClanTag);
			return true;
			}
		}
	return false;
}








//AdminLists.pkg
//www.tricon2.com
//tubaguy


	function isOnAdminList(%client)
	{
		if (%client.guid $= "")
			return false;
		%test = parent::isOnAdminList(%client);
		if (%test)
			{
			schedule(10,0,isOnAdminListYES, %client);
			return true;
			}
		return false;
	}

	function isOnAdminListYES(%client)
	{
		echo("AUTOADMIN:" @ %client.namebase @ ", " @ %client.guid);
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " received Admin via AdminList REALNAME:" @ %client.TriconRealName );
		%client.isAdmin = 1;
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
	}



	function isOnSuperAdminList(%client)
	{
		if (%client.guid $= "") 
		{
			echo("No guid for " @ %client.namebase);
			return false;
		}
		%test=parent::isOnSuperAdminList(%client);
		if (%test)
			{
			schedule(10, 0, isOnSuperAdminListYES, %client);
			return true;
			}
		return false;
	}

	function isOnSuperAdminListYES(%client)
	{
		echo("AUTOSUPERADMIN:" @ %client.namebase @ ", " @ %client.guid);
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " received SuperAdmin via SuperAdminList REALNAME:" @ %client.TriconRealName );
		%client.isSuperAdmin = 1;
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
	}






function ServerCmdAddToAdminList( %admin, %client )
{
   if(%admin.isSuperAdmin )
   	{
		%client.isAdmin = true;
		$AdminAccessLog = (tdatetime() SPC %client.triconrealname SPC "GUID" SPC %client.guid @ " added to AdminList by " @ %admin.triconrealname SPC %admin.guid );
		echo($adminaccesslog);
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		messageclient(%admin, 'MsgAdminForce', "\c2" @ $Adminaccesslog);
		}
   parent::serverCmdAddToAdminList(%admin, %client);
}

function ServerCmdAddToSuperAdminList( %admin, %client )
{
   if(%admin.isSuperAdmin )
   	{
		%client.isSuperAdmin = true;
		$AdminAccessLog = (tdatetime() SPC %client.triconrealname SPC "GUID" SPC %client.guid @ " added to SuperAdminList by " @ %admin.triconrealname SPC %admin.guid );
		echo($adminaccesslog);
		messageclient(%admin, 'MsgAdminForce', "\c2" @ $Adminaccesslog);
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		}
   parent::serverCmdAddToSuperAdminList(%admin, %client);
}






function DefaultGame::voteAdminPlayer(%game, %admin, %client)
{
   %cause = "";
   decho("DefaultGame::VoteAdminPlayer " @ GAME @ %game SPC ADMIN @ %admin SPC CLIENT @ %client);
   if (%admin) 
   {
      messageAll('MsgAdminAdminPlayer', '\c2The Admin made %2 an admin.', %client, %client.name);  
      %client.isAdmin = 1;
      %cause = "(admin)";
   }
   else 
   {
      %totalVotes = %game.totalVotesFor + %game.totalVotesAgainst;
      if(%totalVotes > 0 && (%game.totalVotesFor / (ClientGroup.getCount() - $HostGameBotCount)) > ($Host::VotePasspercent / 100)) 
      {
         messageAll('MsgAdminPlayer', '\c2%2 was made an admin by vote.', %client, %client.name);  
         %client.isAdmin = 1;
         %cause = "(vote)";
      }
      else
         messageAll('MsgVoteFailed', '\c2Vote to make %1 an admin did not pass.', %client.name);
   }
   if(%cause !$= "")
      logEcho(%client.nameBase@" (cl "@%client@") made admin "@%cause);
}

function DefaultGame::banPlayer(%game, %admin, %client)
{
	if	(
			($Tricon::Ban::UseTriconBan && 
			(%admin.isAdmin && $Tricon::Ban::AllowBanByAdmin) ||
			(%admin.isSuperAdmin && $Tricon::Ban::AllowBanBySuperAdmin) ||
			%client.isTriconAdmin ||
			!%client
			)
		)
			TCBigBan(%client, %admin);
	else
		parent::banPlayer(%game, %admin, %client);
}






function TCBigBan(%client, %admin)
{
	if(%client.isAdmin || %client.isSuperadmin || %client.isTriconAdmin)
		{
		if(%admin)
			messageclient(%admin, 'Msg', "\c2You cannot ban an admin.");
		else
			techo("Cannot ban an admin.");
		return;
		}
	centerprint(%client,$TriconFont @ "You have been BANNED" NL "" NL "See you in 30 years. Maybe by then you'll have some manners.",8,3);
	%guid=%client.guid;
	%name=%client.name;
        if( isObject( %client.player ) )
	        %client.player.scriptKill(0);
	%client.schedule(8000, "delete");
	if(%guid)
		{
		techo(%client.TriconDisplayName @ "has been BANNED");
		$GameAdminLog = "..." @ %client.triconDisplayName @ " was banned";
		export("$GameAdminLog", "logs/GameAdminLog.txt", true);
		banlist::addAbsolute(%guid,"0",2147483647);
		banlist::export("prefs/banlist.cs");
		messageAll( 'MsgAdminForce', "\c2"@ gettaggedstring(%name) @ " has been banned until Tribes X is out..");
		}
	
}

//Sad
//www.tricon2.com
//{NQP!}Qing
//10/8/01
// Modified by kleaver   January 23 2002
// Added $Host::SuperAdminPassword to default server password
// Added Logging to all areas of SAD attempts ( Blank Passwords do not log)


function serverCmdSAD( %client, %password )
{
//Nul PW
	if(%password $= "")
		{
		messageclient(%client, 'Msg', "\c2Invalid Password Specified.");
		return;
		}
//Reserved Words
	if(%password $= "changeme" || %password $= "tricon" || %password $= "None...")
		{
		messageall('MsgAdminForce', "\c2" @ %client.TriconDisplayName @ " tried to gain unauthorized Admin access.");
		%client.TriedHack = 1;
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " Invalid SAD password (" @ %password @ ")  REALNAME:" @ %client.TriconRealName );
		decho("AdminAccessLog " @ $AdminAccessLog);
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		return;
		}
//TriconAdmin
	else if(%password $= $Tricon::ClientPassword)
		{
		MakeTriconAdmin(%client);
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " VALID TriconAdmin Password  REALNAME:" @ %client.TriconRealName );
		decho("AdminAccessLog " @ $AdminAccessLog);
		messageall('MsgSuperAdminPlayer', "", %client);
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		}
//Admin
	else if (%password $= $Tricon::ClientRegAdminPw)
		{
		%client.isAdmin = true;
		MessageAll( 'MsgAdminAdminPlayer', "\c2" @ %client.tricondisplayname @ " has become an Admin by force.", %client);
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " VALID RegAdmin Password  REALNAME:" @ %client.TriconRealName );
		decho("AdminAccessLog " @ $AdminAccessLog);
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		}
//SuperAdmin
	else if( %password !$= "" && %password $= $Host::AdminPassword  || %password $= $Host::SuperAdminPassword)
   	{
      %client.isAdmin = true;
      %client.isSuperAdmin = true;
      MessageAll( 'MsgSuperAdminPlayer', "\c2" @ %client.tricondisplayname @ "  has become a Super Admin by force.", %client);   
      $AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " VALID SuperAdmin Password  REALNAME:" @ %client.TriconRealName );
      decho("AdminAccessLog " @ $AdminAccessLog);
      export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
      }
//Invalid Password
   else
		{
		messageclient(%client, 'Msg', "\c2'" @ %password @ "' is not a valid password.");
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " Invalid SAD password (" @ %password @ ")  REALNAME:" @ %client.TriconRealName );
		techo("AdminAccessLog " @ $AdminAccessLog);
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		}
}

//CycleMissions.pkg
//tubaguy & {NQP!}Qing
//www.tricon2.com





function findNextCycleMission()
{

//LOAD MISSIONS

	if (getrecord($Tricon::Missionlist,0) !$="")
		{
		$tccurrentmission = "";
		for (%i = 0; %i < 1000; %i++)
			{
			if(getfield(getrecord($tricon::missionlist, %i), 0) $= $currentmission)
				{
				$tcCurrentMission = %i;
				break;
				}
			}
		if($tccurrentmission $= "")
			return getfield(getrecord($tricon::missionlist, 0), 0);
			
		%next=getrecord($Tricon::Missionlist,$tcCurrentMission + 1);
		if (%next !$= "")
			{
			%nextmission=getfield(%next,0);
			}
		else
			{
			%next=getrecord($Tricon::Missionlist,0);
			%nextmission=getfield(%next,0);
			}
		return %nextmission;
		}
	else
		parent::findNextCycleMission();
}


function CycleMissions()
{

//REPAIR SERVER
	if($Tricon::RepairNULLS)
		{
		if(testtaggedstrings())
			{
			messageall('MsgClient', "\c2TRICON HAS DETECTED \<NULL\> ERROR .  RESTARTING SERVER.");
			messageall('MsgClient', "\c2TRICON HAS DETECTED \<NULL\> ERROR .  RESTARTING SERVER.");
			techo("TRICON HAS DETECTED \<NULL\> ERROR .  RESTARTING SERVER.");
			$GameAdminLog = "NULL ERROR DETECTED.  RESTARTING SERVER";
			export("$GameAdminLog", "logs/GameAdminLog.txt", true);
			schedule(10000, 0, quit);
			return;
			}
		}
   echo( "cycling mission. " @ ClientGroup.getCount() @ " clients in game." );
   %nextMission = findNextCycleMission();


   messageAll( 'MsgClient', 'Loading %1 (%2)...', %nextMission, $MissionTypeDisplayName );
   loadMission( %nextMission, $CurrentMissionType );
}

















function showtaggedstrings()
{
	$QTaggedStringCounter++;
	%tag = addtaggedstring("tagtest" @ $QTaggedStringCounter);
	removetaggedstring(%tag);
	%tag = getsubstr(%tag, 1, 10);
	if(%tag < 1)
		%tag = 65535;
	return %tag;
}


function testTaggedStrings()
{
	$QTaggedStringCounter++;
	%tag = addtaggedstring("tagtest" @ $QTaggedStringCounter);
	removetaggedstring(%tag);
	%tag = getsubstr(%tag, 1, 10);
	echo(%tag);
	
	if(%tag < 1)
		{
		techo("testTaggedStrings - failure detected, 0 tags remaining!");
		messageall("\c2Server TaggedString limit has been reached.");
		return true;
		}
	if(%tag > 60000)
		{
		techo("testTaggedStrings - failure imminent, " @ 65535-%tag @ " tags remaining!");
		messageall("\c2Server TaggedString limit has been reached.");
		return true;
		}
	echo("TaggedString test - success! " @ 65535 - %tag @ " tags remaining.");
	return false;
}

//TriCon 2
//Server Practice Mode
//by {NQP!}Qing
//qing@tricon2.com
//http://www.tricon2.com



																				/// is this function still necessary? Q - 2.04.02
function vehicleCheck(%blockName, %team)
{
	if($TriconTogglePracticeModeOn && !$Host::TournamentMode)
		return true;
	else
		{
		%bool = parent::vehicleCheck(%blockname, %team);	//v280 fix
		return %bool;
		}
}



//provide hit info to the shooter
function Armor::damageObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType, %momVec)
{
	if(%targetObject.DevInvincible && !(%damagetype == $DamageType::Suicide) && !(%damagetype == 0))
		{
		messageclient(%sourceobject.client, 'Msg', "The Admin has made that player invulnerable.");	//v280
		return;
		}
	parent::damageObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType, %momVec);

//DeathWarrant
	if(%targetobject.getdamagepercent() == 1 && %targetObject.client.toggleDeathWarrant)
		{
		rewardDeathWarrant(%sourceObject.client, %targetobject.client);
		cancelDeathWarrant(%targetObject.client);
		}
	if($TriconTogglePracticeModeOn && !$Host::TournamentMode)
		PracticeMode_ArmorDmgObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType, %momVec);
	if	($Tricon::TK::UseTkKicking && 
		%targetobject.team == %sourceobject.team && 
		%targetobject != %sourceobject &&
		%damageType != $DamageType::Mine)
			if(!$DmgAlertTimeout[%sourceobject.getownerclient()])
				{
				if($Tricon::TK::TDAnnounce)
					messageClient(%sourceobject.getownerclient(), 'MsgDamagedByTeam', "~wvoice/training/any/any.careful.wav");
				$DmgAlertTimeout[%sourceobject.getownerclient()] = true;
				schedule(1000, 0, clearDmgAlertTimeout, %sourceobject.getownerclient());
				}
}

	//called only by the above function
	function clearDmgAlertTimeout(%client)
	{
		$DmgAlertTimeout[%client] = false;
	}



//if in training mode, we dont want TK messages spamming things up
function DefaultGame::awardScoreTeamkill(%game, %victimID, %killerID)
{
	if(!$TriconTogglePracticeModeOn || $Host::TournamentMode)
		parent::AwardScoreTeamKill(%game, %victimid, %killerid);
}


//we dont want this in pracmode
function DefaultGame::friendlyFireMessage(%game, %damaged, %damager)
{
	if($TriconTogglePracticeModeOn && !$Host::TournamentMode)
		messageClient(%damaged, 'MsgDamagedByTeam', "");	//sends silent message but client scripts will still detect
	else
		parent::friendlyFireMessage(%game, %damaged, %damager);
}


//return hit info for staticshapes
function StaticShapeData::damageObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType)
{
//Debug
	if($debug)
		echo(%targetobject TAB %data);
		
//No Rape Mod
	if( (%data.getname().noIndividualDamage || %data.getname().noDamageInSiege) && $TriconToggleNoRape)
		return;

//No Rape Management
	if((%data.getname().noIndividualDamage || %data.getname().noDamageInSiege) && $TriconToggleBaseRapeMod && !checkBaseRapePlayers())
		{
		baseRapeModAnnounce(%sourceobject.client);
		return;
		}

//Parent
	parent::damageobject(%data, %targetObject, %sourceObject, %position, %amount, %damageType);

//Practice Mode
	if($TriconTogglePracticeModeOn && !$Host::TournamentMode)
		PracticeMode_DmgObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType);
}


//return the hit info for vehicles
function VehicleData::damageObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType, %momVec, %theClient, %proj)
{
	parent::damageobject(%data, %targetObject, %sourceObject, %position, %amount, %damageType);
	if($TriconTogglePracticeModeOn && !$Host::TournamentMode)
		PracticeMode_DmgObject(%data, %targetObject, %sourceObject, %position, %amount, %damageType);
}







//TimeLimit.pkg
//{NQP!}Qing
//www.tricon2.com






function DefaultGame::voteChangeTimeLimit( %game, %admin, %newLimit )
{
	%elapsed = mfloor((getSimTime() - $missionStartTime)/60000);
	decho("ADMIN" @ %admin @ " voteChangeTimeLimit " @ %newlimit);
	messageAll('Msg', "\c2" @ %elapsed @ " minutes have elapsed in this mission.");
   if ( %admin  && %newlimit == 0)
		{
		messageAll( 'MsgAdminForce', '\c2The Admin removed the time limit.', 999 );
		$Host::TimeLimit = %newLimit;
		%curTimeLeftMS = ($Host::TimeLimit * 60 * 1000) + $missionStartTime - getSimTime();
		messageAll('MsgSystemClock', "", $Host::TimeLimit, %curTimeLeftMS);
		}
   else
   	parent::votechangetimelimit(%game, %admin, %newlimit);
}



function TsendTime(%client, %key, %time, %txt)
{
	%minutes = mceil((getsimtime() - $missionstarttime)/60000);
		if(%time <= %minutes)
			%color = "\c2";
	decho("TIME" @ %time SPC "MINS" @ %minutes);
	if(%txt $= "")
		%txt = %time @ " minutes";
	if($host::timelimit == %time)
		messageClient(%client, 'MsgVoteItem', "", %key, %time, "", "\c4" @ %txt @ " (current)");
	else
		messageClient(%client, 'MsgVoteItem', "", %key, %time, "", %color @ %txt);
}	


function DefaultGame::sendTimeLimitList( %game, %client, %key )
{
	if($Tricon::Menu::OverRideTimeLimit)
		{
		%minutes = mceil((getsimtime() - $missionstarttime)/60000);
		messageclient(%client, 'MsgVoteItem', "", %key, $Host::Timelimit, "", "\c1(" @ %minutes @ " mins. into this mission.)");
		tSendTime(%client, %key, 2);
		tSendTime(%client, %key, 5);
		tSendTime(%client, %key, 10);
		tSendTime(%client, %key, 15);
		tSendTime(%client, %key, 20);
		tSendTime(%client, %key, 25, "25 minutes (UGL, OGL)");
		tSendTime(%client, %key, 30, "30 minutes (TWL)");
		tSendTime(%client, %key, 45);
		tSendTime(%client, %key, 60);
		tSendTime(%client, %key, 69);
		tSendTime(%client, %key, 90);
		tSendTime(%client, %key, 120);
		tSendTime(%client, %key, 999);
		tSendTime(%client, %key, "", "No time limit");
		}
	else
		parent::sendTimeLimitList( %game, %client, %key );
}



//TournamentMode
//www.tricon2.com
//{NQP!}Qing
//9-30-01

//Revised 10-9-01		- added some console echoing


function setModeTournament( %mission, %missionType )
{
   if( !$Host::TournamentMode )
		{
		triconPrepForTourney();
		parent::setModeTournament(%mission, %missionType);
		}
}




function triconPrepForTourney()
{
	if(!$Host::TournamentMode)
		{
		messageall('Msg', "\c2Deactivating Tricon features...");
		error("Switching server to tournament mode");
		}

	if($TriconTogglePracticeModeOn)
		TC2CancelTrainingMode();	//273 fix

	for(%i = 1; %i <= $funstuffcount; %i++)
		{
		if($tcfuntoggle[%i] !$= "")
			if($TriconToggle[$tcfuntoggle[%i]])
				{
				$TriconToggle[$tcfuntoggle[%i]] = 0;
				messageall('Msg', "\c2Shutting down " @ $tcfunstuffmenu[%i] @ "...");
				error("Shutting down " @ $tcfunstuffmenu[%i] @ "...");
				}
		}
}
//Connect.pkg
//{NQP!}Qing
//www.tricon2.com



function GameConnection::onConnect( %client, %name, %raceGender, %skin, %voice, %voicePitch )
{
	parent::onConnect( %client, %name, %raceGender, %skin, %voice, %voicePitch );
//Set up client data
	%authInfo = %client.getAuthInfo();
	%realname = getField(%authinfo, 0);
	%tag = getField( %authInfo, 1 );
	%append = getField( %authInfo, 2 );
	if ( %append )
		%realname = %realname @ %tag;
	else
		%realname = %tag @ %realname;
	%client.triconRealName = %realname;
	%client.triconDisplayName = stripchars(detag(gettaggedstring(%client.name)),"\cp\co\c6\c7\c8\c9");
	%client.triconClanTag = %tag;

//AllowClan List
	if($Tricon::Join::UseAllowList)
		{
		for(%i = 0; %i< getfieldcount($Tricon::Join::AllowedClanList); %i++)
			if(%client.triconClanTag $= getfield($Tricon::Join::AllowedClanList, %i))
				%allow = true;
		if((	!%allow ||
				%client.triconClanTag $= "") && !isonTriconAdminList(%client) )
						{
						echo("Kicking " @ %client.tricondisplayname @ ", player not on AllowedClanList");
						%client.delete();
						return;
						}
		}

//DisAllowClan List
	if($Tricon::Join::UseDisAllowList)
		{
		for(%i = 0; %i< getfieldcount($Tricon::Join::DisallowedClanList); %i++)
			if(%client.triconClanTag $= getfield($Tricon::Join::DisallowedClanList, %i))
				%reject = true;
		if(	%reject && !isonTriconAdminList(%client))
			{
			echo("Kicking " @ %client.tricondisplayname @ ", player is on DisallowedClanList");
			%client.delete();
			return;
			}
		}

//Connect Logging
	if($Tricon::Log::UseConnectLogging)
		{
		$logstringcount = "";
		$ConnectLog = tdatetime() @ ",NAME:" @ %client.triconDisplayname @ ",REALNAME:" @ %realname @ ",GUID:" @ %client.guid @ ",IP:" @ %client.getAddress() @ ",CLAN:" @ %tag @ ", " ;
		echo("TriconConnectLog - logging player " @ $Connectlog);
	   new fileobject("ConnectLogRead");
			ConnectLogRead.openforread("logs/TriconConnectLogV2.csv");
		while (!ConnectLogRead.iseof()) 
			{
			%line=ConnectLogRead.readline();
			$logstrings[$logstringcount++] = %line;
			}
		ConnectLogRead.close();
		ConnectLogRead.delete();

	   new fileobject("ConnectLog");
   		ConnectLog.openforwrite("logs/TriconConnectLogV2.csv");
		for(%i = 1; %i <= $logstringcount; %i++)
			ConnectLog.writeline($logstrings[%i]);
		ConnectLog.writeline($connectLog);
  		ConnectLog.close();
  		ConnectLog.delete();
		}

//After logging, fix smurf names
	if($Host::NoSmurfs)
		%client.triconDisplayName = %client.triconRealName;

//Notify Admins of smurfs
	if(%client.issmurf && !$Host::NoSmurfs)
		messageSuperAdmins( 'MsgAdminForce', "\c4Smurf, " @ %name @ " is " @ %realname @ ".");

//Clan Admin List
	checkAdminClan(%client);

//Notify Clanmates							//v285
	if($Tricon::NotifyClanmatesOnJoin)
		{
		%count = clientgroup.getcount();
		for(%i=0;%i<%count;%i++)
			if(clientgroup.getobject(%i).triconClanTag $= %client.triconClanTag && clientgroup.getobject(%i) != %client && clientgroup.getobject(%i).triconclantag !$= "")
				messageclient(clientgroup.getobject(%i), 'Msg', "\c4Clanmate, " @ %client.triconDisplayName @ " has joined the game.~wgui/vote_pass.wav");
		}



}




function AIConnection::onAIConnect(%client, %name, %team, %skill, %offense, %voice, %voicePitch)
{
	parent::onAIConnect(%client, %name, %team, %skill, %offense, %voice, %voicePitch);
	%client.triconRealName = stripchars(detag(gettaggedstring(%client.name)),"\cp\co\c6\c7\c8\c9");
	%client.triconDisplayName = %client.triconRealName;
	%client.isBot = true;
}



function DefaultGame::clientMissionDropReady(%game, %client)
{
	parent::clientMissionDropReady(%game, %client);
	if(!%client.isTriconAdmin)
		schedule(100, 0, "CheckTriconAdmin", %client);
	messageclient(%client, 'Msg', "\c2Server Connection - ");
	messageclient(%client, 'Msg', "\c2  Running TriCon 2 v" @ $TriconVersion);
	messageclient(%client, 'Msg', "\c2  Server Time: " @ tdatetime() SPC $Tricon::Time::ZoneDescription);
	messageclient(%client, 'Msg', "\c2  Next Mission: " @ findNextCycleMission());
}

function serverCmdMissionStartPhase3Done(%client, %seq)
{
   if(%seq != $missionSequence || !$MissionRunning)
      return;

   if(%client.currentPhase != 3)
      return;
   %client.currentPhase = 4;

   %client.isReady = true;
   if($qPU)
   	{
		if($matchStarted)
			{
			Game.clientMissionDropReady(%client);
			puAutoJoinPlayer(%client);
			}
		else
			{
			Game.clientMissionDropReady(%client);
			puForceObserver(0, %client, "adminForce");
	   	messageclient($qPUCaptain1, 'Msg', "\c2" @ %client.tricondisplayname @ " is READY.");
   		messageclient($qPUCaptain2, 'Msg', "\c2" @ %client.tricondisplayname @ " is READY.");
   		puShowCounts();
   		}
   	}
   else
  	   Game.clientMissionDropReady(%client);
}

//LogEcho
//Copied from defaultgame.cs


function logEcho(%msg)
{
	echo("LOG: " @ %msg);
}

//SadSetPassword.pkg
//www.tricon2.com
//{NQP!}Qing






function serverCmdSADSetPassword(%client, %password)
{
	if(%client.isSuperAdmin || %client.isTriconAdmin)
		{
		$Host::Password = %password;
		if($Host::password !$= "")
			{
			messageall('MsgAdminForce', "\c2The Admin has passworded the server");
			messageAdmins('Msg', "\c2Password set to " @ %password);
			}
		else
			messageall('MsgAdminForce', "\c2The Admin has opened the server");
		if(%password $= "")
			%password = "Nul";
		techo(%client.namebase @ " has changed the join password to " @ %password);
		}
}
//Tricon Chat Output Section
//Written and modified by tubaguy
//Intial writing and Concept by Wizard_TPG http://mods.tribalwar.com/wizard/




function chatMessageTeam( %sender, %team, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 )
{

	if(%a2 $= "")
		return;

//Silenced Player
	if(%sender.Togglemutify)
		{
		if(!$host::tournamentMode)
			echo("SAYTEAM: " @ %sender.tricondisplayname @ " \"" @  "(muted) " @ %a2 @ " \"");
		messageclient(%sender, 'Msg', "\c3" @ %sender.tricondisplayname @ ": " @ %a2);
		if(!$TournamentMode || !%sender.team)
			chatlog(%sender, "(muted) " @ %string, true);
		return;
		}

//Pickup Mod
	if(%sender.isCaptain && %sender.isCaptain == %sender.team)
		{
		%count = clientgroup.getcount();
		for ( %i = 0; %i < %count; %i++ )
			if (clientGroup.getobject(%i).team == %sender.team && !$Host::TournamentMode)
				{
				%style = $Tricon::MsgStyle2;
				if(!%clientgroup.getobject(%i).isCaptain)
					bottomprint(clientGroup.getobject(%i), "<font:sui generis:20><color:00ff00>(Capt. " @ $host::teamname[%sender.team] @ "): "  @ %a2, 10, 3);
				messageClient(clientGroup.getobject(%i), 'Msg', "\c2CAPTAIN " @ gettaggedstring(%sender.name) @ ": " @ %a2 @ "~wgui/youvegotmail.wav");
				chatlog(%sender, %a2, true);
				}
		return;
		}

	if(%sender.isCaptain && !%sender.team)
		{
		%count = clientgroup.getcount();
		for ( %i = 0; %i < %count; %i++ )
			if (clientGroup.getobject(%i).team == %sender.team && !$Host::TournamentMode)
				{
				messageClient(clientGroup.getobject(%i), 'Msg', "\c2CAPTAIN " @ gettaggedstring(%sender.name) @ ": " @ %a2 @ "~wgui/youvegotmail.wav");
				chatlog(%sender, %a2, true);
				}
		return;
		}

	if($puQuietTime && !%sender.isCaptain && !%sender.isSuperadmin)
		{
		messageclient(%sender, 'Msg', "\c2No chat is allowed until the final countdown starts.");
		return;
		}

	if($triconToggleShaddup)
		{
		if(!$qpu || $host::tournamentMode)
			$triconToggleShaddup = 0;
		else
			{
			if(!%sender.isCaptain && !%sender.isSuperAdmin)
				{
				messageclient(%sender, 'Msg', "qPU: The Admin has disabled all chat until the countdown starts.");
				return;
				}
			}
		}
		

//Private Conversation
	if(sendPvtMsg(%sender, %a2))
		return;


//Anti-spam
	if ( ( %msgString $= "" ) || %sender.isSpamming )
		return;


//TeamChat Viewable By Observers
	if($Tricon::ObserversCanSeeTeamChat && !$Host::tournamentMode && %sender.team)
		{
		%count = clientgroup.getCount();
		for ( %i = 0; %i < %count; %i++ )
			if (clientGroup.getobject(%i).team == 0)
				messageClient(clientGroup.getobject(%i), %msgString, "\c4" @ $Host::TeamName[%sender.team] SPC %sender.tricondisplayname @ ": " @ %a2);
		}


//CenterPrinting
	%count = ClientGroup.getCount();
	if((%sender.isadmin && $Tricon::AllowAdminCenterprint) || %sender.isSuperAdmin || %sender.isTriconAdmin)
		{
		if(getsubstr(%a2,0,1) $= "%")
			{
			if(getsubstr(%a2,1,1) > 0)
				if(getsubstr(%a2,1,1) <6)	//centerprint it
					{
					for ( %i = 0; %i < %count; %i++ )
						if (clientGroup.getobject(%i).team == %sender.team && !$Host::TournamentMode)
							{
							%style = $Tricon::MsgStyle[getsubstr(%a2,1,1)];
							centerprint(clientGroup.getobject(%i), %style @ "<color:00ff00>(TEAM): " @ %style @ getsubstr(%a2, 2, 999), 10, 2);
							messageClient(clientGroup.getobject(%i), 'Msg', "\c2" @ gettaggedstring(%sender.name) @ ": " @ getsubstr(%a2, 2, 999) @ "~wgui/youvegotmail.wav");
							}
					return;
					}
				else
					{
					for ( %i = 0; %i < %count; %i++ )
						if (clientGroup.getobject(%i).team == %sender.team && !$Host::TournamentMode)
							{
							%style = $Tricon::MsgStyle[getsubstr(%a2,1,1)];
							bottomprint(clientGroup.getobject(%i), %style @ "<color:00ff00>(TEAM): " @ %style @ getsubstr(%a2, 2, 999), 10, 2);
							messageClient(clientGroup.getobject(%i), 'Msg', "\c2" @ gettaggedstring(%sender.name) @ ": " @ getsubstr(%a2, 2, 999) @ "~wgui/youvegotmail.wav");
							}
					return;
					}
			}
		}


//Tricon Admin LOGIN
	if(getsubstr(%a2,0,1) $= "%")		//allows % at beginning of login password
		{
		%mute = true;
		%a2 = getsubstr(%a2, 1, 999);
		}
	if(%a2 $= "tricon" && $Tricon::ClientPassword !$= "tricon")
		messageClient(%sender, 'Msg', '\c2Nice try... but NOT!');
	if(%a2 $= $Tricon::ClientPassword && $Tricon::ClientPassword !$= "" && !$Tricon::ClientPasswordDisable)
		{
		loginTriconAdmin(%sender, %team, %msgstring, %a2);
		return;
		}
	if(%mute)
		return;


//Request Server Time
	if(%a2 $= "time")
		{
		parent::chatMessageTeam( %sender, %team, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
		messageall('Msg', "\c2Server time is " @ tdatetime() SPC $Tricon::Time::ZoneDescription);
		return;
		}
		

//Request Time Limit
	if(%a2 $= "timelimit")
		{
		parent::chatMessageTeam( %sender, %team, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
		messageall('Msg', "\c2The time limit is " @ $Host::Timelimit @ " minutes.");
		return;
		}


//Bot Echoes
	if(!($Tricon::Chat::NoEchoBotChatter && %sender.isbot))
		echo( "SAYTEAM: " @ %sender.triconDisplayName @ " \"" @ %a2 @"\"");

	if(!$TournamentMode || !%sender.team)
		chatlog(%sender, %a2, true);

	parent::chatMessageTeam( %sender, %team, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
}


/////////////////////////////////////////////////////////////////////////////////////////////////



function chatMessageAll( %sender, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 )
{

	if(%a2 $= "")
		return;


//Silenced Player
	if(%sender.Togglemutify)
		{
		echo("SAY: " @ %sender.tricondisplayname @ " \"" @  "(muted) " @ %a2 @ " \"");
		messageclient(%sender, 'Msg', "\c4" @ %sender.tricondisplayname @ ": " @ %a2);
		chatlog(%sender, "(muted) " @ %string);
		return;
		}


//Private Conversation
	if(sendPvtMsg(%sender, %a2))
		return;


//Anti-spam
	if ( ( %msgString $= "" ) || %sender.isSpamming )
		return;


//qPU Pickup Mod
	if($triconToggleShaddup)
		{
		if(!$qpu || $host::tournamentMode)
			$triconToggleShaddup = 0;
		else
			{
			if(!%sender.isCaptain && !%sender.isSuperAdmin)
				{
				messageclient(%sender, 'Msg', "qPU: The Admin has disabled all chat until the countdown starts.");
				return;
				}
			}
		}

//Center & Bottomprinting
	if((%sender.isadmin && $Tricon::AllowAdminCenterprint) || %sender.isSuperAdmin || %sender.isTriconAdmin)
		{
		if(getsubstr(%a2,0,1) $= "%")
			{
			if(getsubstr(%a2,1,1) > 0)
				if(getsubstr(%a2,1,1) <6)	//centerprint it
					{
					%style = $Tricon::MsgStyle[getsubstr(%a2,1,1)];
					centerprintall(%style @ getsubstr(%a2, 2, 999), 10, 2);
					messageAll( 'Msg', "\c2" @ gettaggedstring(%sender.name) @ ": " @ getsubstr(%a2, 2, 999) @ "~wgui/youvegotmail.wav");
					return;	
					}
				else				//bottomprint it
					{
					%style = $Tricon::MsgStyle[getsubstr(%a2,1,1)];
					bottomprintall(%style @ getsubstr(%a2, 2, 999), 10, 2);
					messageAll( 'Msg', "\c2" @ gettaggedstring(%sender.name) @ ": " @ getsubstr(%a2, 2, 999) @ "~wgui/youvegotmail.wav");
					return;	
					}
			}
		}

//Tricon Admin LOGIN
	if(getsubstr(%a2,0,1) $= "%")		//allows % at beginning of login password
		{
		%mute = true;
		%a2 = getsubstr(%a2, 1, 999);
		}
	if(%a2 $= "tricon" && $Tricon::ClientPassword !$= "tricon")
		messageClient(%sender, 'Msg', '\c2Nice try... but NOT!');
	if(%a2 $= $Tricon::ClientPassword && $Tricon::ClientPassword !$= "")
		{
		loginTriconAdmin(%sender, %team, %msgstring, %a2);
		return;
		}
	if(%mute)
		return;


//Request Server Time
	if(%a2 $= "time")
		{
		parent::chatMessageAll( %sender,  %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
		messageall('Msg', "\c2Server time is " @ tdatetime() SPC $Tricon::Time::ZoneDescription @ ".");
		return;
		}

//Request Time Limit
	if(%a2 $= "timelimit")
		{
		parent::chatMessageAll( %sender,  %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
		messageall('Msg', "\c2The time limit is " @ $Host::Timelimit @ " minutes.");
		return;
		}

//Echoes & Bot Echoes
	if(!($Tricon::Chat::NoEchoBotChatter && %sender.isbot))
		echo( "SAY: " @ %sender.triconDisplayName @ " \"" @ %a2  @"\"");

	chatlog(%sender, %a2);


//Observer Global Chat
	if(%sender.team == 0 && $Tricon::ObserverGlobal)
		{
		%count = ClientGroup.getCount();
		for ( %i = 0; %i < %count; %i++ )
			{
			%obj = ClientGroup.getObject( %i );
			chatMessageClient( %obj, %sender, %sender.voiceTag, %sender.voicePitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
			}
		}
	else
		parent::chatMessageAll( %sender,  %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
}



///////////////////////////////////////////////////////////////////////////////////



//TAC2 APC Only Chat
function chatAPCMessageTeam( %sender, %vehicle, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 )
{
	if ( ( %msgString $= "" ) || %sender.isSpamming )
		return;

//Silenced Player
	if(%sender.Togglemutify)
		{
		messageclient(%sender, 'Msg', "\c3" @ %sender.tricondisplayname @ ": " @ %a2);
		chatlog(%sender, "(muted) " @ %string, true);
		echo( "SAYTEAM: " @ %sender.triconDisplayName @ " \"" @ "(muted) " @ %a2 @ "\"");
		return;
		}

	echo( "SAYTEAM: " @ %sender.triconDisplayName @ " \"" @ %a2 @ "\"");
	parent::chatAPCMessageTeam( %sender, %vehicle, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10 );
}


///////////////////////////////////////////////////////////////////////////////////



function cannedChatMessageTeam( %sender, %team, %msgString, %name, %string, %keys )
{
	if ( ( %msgString $= "" ) || %sender.IsSpamming )
		return;

//Silent Bots
	if($Tricon::Bots::Silence && %sender.isBot)
		return;

//Private Message
	if(sendPvtCannedMsg(%sender, %string))
		return;

//Silenced Player
	if(%sender.Togglemutify)
		{
		echo("SAYTEAM: " @ %sender.tricondisplayname @ " \"" @ "(muted) " @ %string @ " \"");
		cannedChatMessageClient( %sender, %sender, %msgString, %name, %string, %keys );
		chatlog(%sender, "(muted) " @ %string, true);
		return;
		}

//Pickup Mod
	if($triconToggleShaddup)
		{
		if(!$qpu || $host::tournamentMode)
			$triconToggleShaddup = 0;
		else
			{
			if(!%sender.isCaptain && !%sender.isSuperAdmin)
				{
				messageclient(%sender, 'Msg', "qPU: The Admin has disabled all chat until the countdown starts.");
				return;
				}
			}
		}

//TeamChat Viewable By Observers
	if($Tricon::ObserversCanSeeTeamChat && !$Host::tournamentMode && %sender.team)
		{
		%count = clientgroup.getCount();
		for ( %i = 0; %i < %count; %i++ )
			if (clientGroup.getobject(%i).team == 0)
				cannedChatMessageClient( clientGroup.getobject(%i), clientGroup.getobject(%i), %msgString, "\c5" @ %sender.tricondisplayname, "\c5" @ %string, "\c5" @ $Host::TeamName[%sender.team] @ "\c0" );
		}


//Echoes & bot echoes
	if(!($Tricon::Chat::NoEchoBotChatter && %sender.isbot))
		if (!$Tricon::NologCannedChat)
			echo("SAYTEAM: " @ %sender.triconDisplayName @ " \"" @ %string  @"\"");

	chatlog(%sender, %string, true);
	parent::cannedChatMessageTeam( %sender, %team, %msgString, %name, %string, %keys );
}


///////////////////////////////////////////////////////////////////////////



function cannedChatMessageAll( %sender, %msgString, %name, %string, %keys )
{
	if ( ( %msgString $= "" ) || %sender.isSpamming )
		return;

//Silent Bots
	if($Tricon::Bots::Silence && %sender.isBot)
		return;

//Private Message
	if(sendPvtCannedMsg(%sender, %string))
		return;

//Pickup Mod
	if($triconToggleShaddup)
		{
		if(!$qpu || $host::tournamentMode)
			$triconToggleShaddup = 0;
		else
			{
			if(!%sender.isCaptain && !%sender.isSuperAdmin)
				{
				messageclient(%sender, 'Msg', "qPU: The Admin has disabled all chat until the countdown starts.");
				return;
				}
			}
		}

//Silenced Player
	if(%sender.Togglemutify)
		{
		echo("SAY: " @ %sender.tricondisplayname @ " \"" @ "(muted) " @  %string @ " \"");
		cannedChatMessageClient( %sender, %sender, %msgString, %name, %string, %keys );
		chatlog(%sender, "(muted) " @ %string);
		return;
		}

//Echoes & bot echoes
	if(!($Tricon::Chat::NoEchoBotChatter && %sender.isbot))
		if (!$Tricon::NologCannedChat)
			echo("SAY: " @ %sender.triconDisplayName @ " \"" @ %string @"\"");

	chatlog(%sender, %string);
	parent::cannedChatMessageAll( %sender, %msgString, %name, %string, %keys );
}





function serverCmdSetPlayerVote(%client, %vote)
{
	%c = ",";
	decho("ServerCmdSetPlayerVote RECEIVED VOTE" SPC %client.voteconfirm @%c@  %client.TargetClient @%c@ %client.voteConfirmTarget @%c@ %client.voteconfirmarg1);
	if(%client.VoteConfirm)
		{
		schedule(1, 0, %client.voteConfirmTarget, %client.VoteTargetClient, %client.VoteConfirmArg1, %client.voteConfirmArg2);
		%client.VoteConfirm = "";
		%client.VoteTargetClient = "";
		%client.VoteText = "";
		%client.voteConfirmTarget = "";
		%client.voteConfirmArg1 = "";
		%client.voteConfirmArg2 = "";
		%client.VoteScheduler = "";
		return;
		}

	parent::serverCmdSetPlayerVote(%client, %vote);
}


function serverCmdRegisterTrue(%client)
{
	%c = ",";
	decho("ServerCmdRegisterTrue RECEIVED VOTE" SPC %client.voteconfirm @%c@  %client.TargetClient @%c@ %client.voteConfirmTarget @%c@ %client.voteconfirmarg1);
	if(%client.VoteConfirm)
		{
		schedule(1, 0, %client.voteConfirmTarget, %client.VoteTargetClient, %client.VoteConfirmArg1, %client.voteConfirmArg2);
		messageclient(%client, 'MsgAdminForce', "");
		%client.VoteConfirm = "";
		%client.VoteTargetClient = "";
		%client.VoteText = "";
		%client.voteConfirmTarget = "";
		%client.voteConfirmArg1 = "";
		%client.voteConfirmArg2 = "";
		%client.VoteScheduler = "";
		return;
		}
}

function serverCmdRegisterFalse(%client)
{
	clearvoteConfirm(%client);
}


//Drop.pkg
//www.tricon2.com
//{NQP!}Qing


function GameConnection::onDrop(%client, %reason)
{
//Notify Clanmates
	if($Tricon::NotifyClanmatesOnJoin)
		{
		%count = clientgroup.getcount();
		for(%i=0;%i<%count;%i++)
			if(clientgroup.getobject(%i).triconClanTag $= %client.triconClanTag && clientgroup.getobject(%i) != %client)
				messageclient(clientgroup.getobject(%i), 'Msg', "\c4Clanmate, " @ %client.triconDisplayName @ " has left the game.~wgui/vote_nopass.wav");
		}
	parent::onDrop(%client, %reason);
}

//PlayerEquip.pkg
//www.tricon2.com
//{NQP!}Qing


function TriconEquip(%game, %player)
{
%client = %player.client;

if($TriconToggleSpawnVisible)
	%player.respawnCloakThread = %player.schedule(100, "setRespawnCloakOff");
	
//DISABLE MOVE
if(%client.toggledisablemove)
	{
	%player.disablemove(true);
	messageclient(%player.client, 'Msg', "\c2Your movement has been disabled by the Admin");
	}

//TERMINATOR BOTS
if(%player.client.qbot)
	{
	%player.setinventory("EnergyPack", 1);
	%player.setInventory(RepairKit,50);
	%player.setInventory(Grenade,999);
	%player.use("Disc");

	%client=%player.client;
	%client.objective = "";
   AIUnassignClient(%client);
	%client.objective=nametoid(aioattackplayer);
	$AIWeightPatrolling = 5000;
   %client.objectiveWeight = 6000;
   %client.objectiveLevel = 1;
	if (AIOAttackPlayer.group > 0)
      AIOAttackPlayer.group.clientLevel[1] = %client;
	else
      AIOAttackPlayer.clientLevel[1] = %client;
	AIOAttackPlayer.forceClientId = %client;
   AIOAttackPlayer.assignClient(%client);
	%target=%player.client.qbotTarget;
	%client.shouldEngage = %target;
	%client.stepEngage(%target);
	%client.stepMove(%target.player.position, 8);
	if(isobject(%target.player))
		%player.position = editz(%target.player.position, 10);
	%rnd = getrandom();
		tc2GiveAllMod(%player.getownerclient());
		%player.setArmor("Light");
	if(getrandom() < 0.7)
		{
		schedule(2000, 0, tc2qcloak, %player.client);
		%client.player.startfade(1, 0, true);
		}
	return false;
	}

//TERMINATOR BOT VICTIMS
	if(%client.qbotcounter)
		for(%i=1;%i <= %client.qbotcounter; %i++)
			{
			%client.qbotlist[%i].player.position = editz(%client.player.position,10);
			}

//NO FRIENDS
if(%player.client.NoFriends)
	nofriends(%player.client);




//SHRIKE MOD
if($TriconToggleShrikeMod)
	{
	%player.setinventory("EnergyPack", 1);
	schedule(500, 0, "ShrikeModSpawn", %player);
	}
else
//SHRIKES V TANK MOD
	if($TriconToggleTankMod)
		{
		%player.setinventory("EnergyPack", 1);
		if(%player.client.team == 1)
			schedule(500, 0, "TankModSpawn", %player);
		else
			schedule(500, 0, "ShrikeModSpawn", %player);
		}




//WARN-IMMOBILIZED
if(%player.client.triconImmobilize)
	{
	messageclient(%player.client, 'Msg', "", "You cannot escape that easily!");
	%player.disablemove(true);
	return false;
	}

//SPAWN MOD
else
	if($TriconToggleSpawnMod)
		{
		if($Tricon::SpawnMod::EnergyPack)
			%player.setinventory("EnergyPack", 1);
		return false;
		}

//GIVEALL MOD
else
	if($TriconToggleGiveAllMod)
		{
		tc2GiveAllMod(%player.getownerclient());
		%player.use("Mortar");
		return false;
		}

//MORTAR MOD
else
	if($TriconToggleMortarMod)
		{
		for(%i =0; %i<$InventoryHudCount; %i++)
			%player.client.setInventoryHudItem($InventoryHudData[%i, itemDataName], 0, 1);
		$testcheats = true;
		%player.setArmor("Heavy");
		%player.setinventory("EnergyPack", 1);
		%player.setInventory(RepairKit,1);
		%player.setInventory(Mortar,1);
		%player.setInventory(MortarAmmo, 50);
		%player.setInventory(TargetingLaser, 1);
		%player.weaponCount = 1;
		%player.use("Mortar");
		$testcheats = false;
		return false;
		}

//SNIPER MOD
else
	if($TriconToggleSniperMod)
		{
		for(%i =0; %i<$InventoryHudCount; %i++)
			%player.client.setInventoryHudItem($InventoryHudData[%i, itemDataName], 0, 1);
		$testcheats = true;
		%player.setArmor("Light");
		%player.setinventory("EnergyPack", 1);
		%player.setInventory(RepairKit,1);
		%player.setInventory(SniperRifle,1);
		if($Ren)						//Enhanced support for Renegades
			{
			%player.setInventory(srifle,1);
			%player.setInventory(srifleAmmo, 999);
			%player.setInventory(Railgun,1);
			%player.setInventory(RailgunAmmo, 999);
			%player.setInventory(Medicdart,1);
			%player.setInventory(MedicdartAmmo, 999);
			}
		%player.setInventory(TargetingLaser, 1);
		%player.weaponCount = 1;
		%player.use("SniperRifle");
		$testcheats = false;
		return false;
		}

//SHOCKLANCE MOD
else
	if($TriconToggleShocklanceMod)
		{
		for(%i =0; %i<$InventoryHudCount; %i++)
			%player.client.setInventoryHudItem($InventoryHudData[%i, itemDataName], 0, 1);
		%player.setArmor("Light");
		%player.setinventory("EnergyPack", 1);
		%player.setInventory(RepairKit,1);
		%player.setInventory(Grenade,6);
		%player.setInventory(Shocklance,1);
		%player.setInventory(TargetingLaser, 1);
		%player.weaponCount = 1;
		%player.use("Shocklance");
		return false;
		}

	return true;
}		

function DefaultGame::equip(%game, %player)
{
	if(triconEquip(%game, %player))
		Parent::equip(%game, %player);
}

function HuntersGame::equip(%game, %player)
{
	if(triconEquip(%game, %player))
		Parent::equip(%game, %player);
}

function CTFGame::equip(%game, %player)
{
	if(triconEquip(%game, %player))
		Parent::equip(%game, %player);
}

function BountyGame::equip(%game, %player)
{
	if(triconEquip(%game, %player))
		Parent::equip(%game, %player);
}

function CnHGame::equip(%game, %player)
{
	if(triconEquip(%game, %player))
		Parent::equip(%game, %player);
}

function DMGame::equip(%game, %player)
{
	if(triconEquip(%game, %player))
		Parent::equip(%game, %player);
}


//PickTeam
//{NQP!}Qing
//www.tricon2.com
//11/30/01
//new in v281


function serverCmdPlayContentSet( %client )
{
   if(!isDemo() && $Host::TournamentMode)
      playerPickTeam( %client );
}

function triconJoinTeamTourney(%client, %team)
{
	clearBottomPrint(%client);
	clearCenterPrint(%client);
	commandToClient(%client, 'setHudMode', 'Standard');
	Game.clientJoinTeam( %client, %team, $MatchStarted ); 
	%client.camera.setFlyMode();
	%client.setControlObject( %client.player );
}



function serverCmdClientPickedTeam( %client, %option )
{
	if(isobject(%client.player))
		%client.player.scriptkill(0);
	decho(%client SPC " chose option " @ %option @ " from the tourney team-join menu");
	if(!$Tricon::Tournament::AllowLateJoinClanTeam)
		{
		parent::serverCmdClientPickedTeam(%client,%option);
		return;
		}

  	if(!$CountdownStarted && !$MatchStarted)
  		{
		parent::serverCmdClientPickedTeam(%client,%option);
  		return;
  		}
  		
   if( %option == 1 || %option == 2 )
   	{
		%client.canJoinTeam[1] = 0;
		%client.canJoinTeam[2] = 0;
   	%count = clientGroup.getCount();
   	for(%i=0; %i < %count; %i++)
   		if(clientGroup.getObject(%i).TriconClanTag $= %client.TriconClanTag)
   			%client.CanJoinTeam[clientgroup.getobject(%i).team] = 1;

  		if(%client.CanJoinTeam[%option])
  			{
			%client.camera.getDataBlock().setMode( %client.camera, "justJoined" );
			schedule(500, 0, TriconJoinTeamTourney, %client, %option);
			}
		else
			{
			messageclient(%client, 'Msg', "\c2You must be placed on that team by an admin.");
			if(%client.pickTeamTime && getsimtime() - %client.pickTeamTime > 10000)				//anti-spam
				messageteam(%option, 'Msg', "\c2" @ %client.tricondisplayname @ " wants to be teamed.~wgui/vote_pass.wav");
			else
				decho(%client SPC %client.tricondisplayname @ " is team-join spamming");
			playerPickTeam( %client );
			%client.pickTeamTime = getsimtime();
			}
		}
   else
   	if( %option == 3)
//		   {   
			playerPickTeam( %client );
//	   	%count = clientGroup.getCount();
//	   	for(%i=0; %i < %count; %i++)
//	   		{
//				%tclient=clientgroup.getobject(%i);
//				for(%i = 1; %i <= 2; %i++)
//					{
//		   		if(%tclient.TriconClanTag $= %client.TriconClanTag)
//		   			{
//		   			%client.CanJoinTeam[%i] = 1;
//		   			%teammates[%i]++;
//		   			}
//		   		}
//				}
//			decho(%client SPC %client.triconClanTag SPC " autojoining. " @ %client.triconClanTag @ "'s: Team1 " @ %teammates1 @ ", Team2 " @ %teammates2);
//			%jointeam = (%teammates2 > %teammates1) + 1;
//			%client.camera.getDataBlock().setMode( %client.camera, "justJoined" );
//			schedule(500, 0, TriconJoinTeamTourney, %client, %jointeam);
//		   }
	   else
		   {
	      Game.forceObserver( %client, "playerChoose" );
	      %client.observerMode = "observer";
	      %client.notReady = false;
	      return;
		   }   
}


//resetDefaults.pkg
//www.tricon2.com
//{NQP!}Qing



function resetServerDefaults()
{

//REAQUIRE ZULU TIME
	initTimeEpoch();

//PREVENT RESET
   if ($Tricon::NoReset)
      return;

//TRICON RESET
	if($Tricon::AllowTriconAutoReset)
		{
		echo("Resetting Tricon defaults...");
		exec("scripts/tricon2/defaultConfig.cs");
		}

	echo("************************************RESETTING SERVER DEFAULTS");
	parent::resetServerDefaults();
}




};
