// #name = TracerDXChat
// #version = 3.0b
// #date = October 08, 2002
// #author = <spush><a:tribe	Zone of Control>|zoc|</a><a:player	TracerDX>TracerDX</a><spop>
// #warrior = TracerDX
// #email = tracer@synadyne.net
// #web = http://tracerdx.zoneofcontrol.net
// #description = Enhanced Voice Chat Binds Menu and SoundFX Keys
// #category = TracerDX's Scripts
// #status = Ongoing Release
// #Credits = Thanks to my comrades in |zoc| for helping me test this thing!

//Set environment variables____________
//---------------------------------------
if ($TDXLoaded == NULL) {
	$AwwwState = 1;
	$DanceState = 1;
	$MooState = 1;
	$TracerDanceItem = 0;
	$VoicePackage2Count = 0;
	$TDXCGroupCount = 0;
	$TDXCNullGroupCount = 0;
	$VP2EscapeSequence = "~wK";
	
	//Register with HUD Mover:
	


	deactivatePackage(TracerDXChat);

	//Support VP1.0 if VPDX not present____________________
	//-------------------------------------------------------
	if(!isFile("scripts/autoexec/VoicePackDX.cs"))
		exec("scripts/TDX/VoicePackOverride.cs");
}

package TracerDXChat {

//Dance Mode Functions_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	// Activate/Deactivate Dance Loop
	function RandomDanceToggle()
	{

		//Disable other Dances
		$AwwwState = 0;
		$MooState = 0;
		$AwwwCounter = 0;
		$MooCounter = 0;
		
		//Toggle Variable
		$DanceCounter++;
		
		if($DanceCounter < 4)
		{
			
			//Time to Dance
			$DanceState = true;
			doRandomDance();

			//Display message to user (Once)
			if($DanceCounter == 1)
			{
			
				addMessageHudLine("\c1Dance Mode is \c3Enabled\c1.");

			}
			

		} else {
			
			//Take Five
			$DanceState = false;
			$DanceCounter = 0;
			addMessageHudLine("\c1Dance Mode is \c3Disabled\c1.");
			

		}

	}

	//Processes the actual dance sequence
	function doRandomDance()
	{
		if($DanceState == true)
		{
			
			commandToServer('CannedChat', $TracerDanceList[$TracerDanceItem], false);
			schedule($TracerDanceTime[$TracerDanceItem], 0, "doRandomDance");
			
			$TracerDanceItem++;

			if($TracerDanceItem > $TracerDanceMoves)
			{

				$TracerDanceItem = 0;

			}
		}
	}

	//Loads in a predetermined dance sequence
	//TO DO: Develope GUI for customizing this shit...
	function formatDefaultDanceList()
	{

		//TO DO: Make GUI to edit this shit :)
		
		
		$TracerDanceList[0] = 'ChatAnimDance';
		$TracerDanceTime[0] = 1500;
		
		$TracerDanceList[1] = 'ChatAnimSpec2';
		$TracerDanceTime[1] = 1000;
		
		$TracerDanceList[2] = 'ChatAnimSpec2';
		$TracerDanceTime[2] = 2000;
		
		$TracerDanceList[3] = 'ChatAnimDance';
		$TracerDanceTime[3] = 1500;
		
		$TracerDanceList[4] = 'ChatAnimAnnoyed';
		$TracerDanceTime[4] = 2000;
		
		$TracerDanceList[5] = 'ChatAnimSalute';
		$TracerDanceTime[5] = 700;
		
		$TracerDanceList[6] = 'ChatAnimWave';
		$TracerDanceTime[6] = 1500;
		
		$TracerDanceList[7] = 'ChatAnimGetSome';
		$TracerDanceTime[7] = 1000;

		$TracerDanceMoves = 7;

	}

//End Dance Mode Functions_______________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Awwww Mode Functions_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	// Activate/Deactivate Awwwwwwwww... Loop
	function AwwwSpamToggle()
	{

		//Disable other Dances
		$DanceState = 0;
		$DanceCounter = 0;
		$MooState = 0;
		$MooCounter = 0;

		//Toggle Variable
		$AwwwCounter++;
		
		if($AwwwCounter < 4)
		{
			//Time to Spam
			$AwwwState = true;
			doAwww();

			//Display message to user (Once)
			if($AwwwCounter == 1)
			{
			
				addMessageHudLine("\c1Awww Spam is \c3Enabled\c1.");

			}

		} else {
			
			//Rest your vocal cords
			$AwwwState = 0;
			$AwwwCounter = false;
			addMessageHudLine("\c1Awww Spam is \c3Disabled\c1.");

		}

	}

	// Function handles Awww animation loop
	function doAwww() {

		if($AwwwState == true)
		{
			
			commandToServer('CannedChat', 'ChatAnimSpec2', false);
			schedule(800, 0, "doAwww");

		}

	}

//End Awwww Mode Functions_______________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Moove Mode Functions_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	// Activate/Deactivate Mooove Loop
	function MooToggle()
	{

		//Disable other Dances
		$DanceState = 0;
		$DanceCounter = 0;
		$AwwwCounter = 0;
		$AwwwState = 0;

		//Toggle Variable
		$MooCounter++;
		
		if($MooCounter < 4)
		{
			//Time to Spam
			$MooState = true;
			doMoo();

			//Display message to user (Once)
			if($MooCounter == 1)
			{
			
				addMessageHudLine("\c1Cow Mode is \c3Enabled\c1.");

			}

		} else {
			
			//Rest your vocal cords
			$MooState = 0;
			$MooCounter = false;
			addMessageHudLine("\c1Cow Mode is \c3Disabled\c1.");

		}

	}

	
	function doMoo() {

		if($MooState == true)
		{
			
			commandToServer('CannedChat', 'ChatAnimAnnoyed', false);
			schedule(700, 0, "doMoo");

		}

	}

//End Moove Mode Functions_______________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Quick Fun Chat Functions_____________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function TDXCCycleVoice( %val ) {

		if(%val) {

			if ($pref::TDXCNullVoice) {

				switch$ ($TDXCVoice) {

					case "Bot1": //Bot Voice
						$TDXCVoice = "Derm1";

					case "Derm1": //Warrior
						$TDXCVoice = "Derm2";

					case "Derm2": //Monster
						$TDXCVoice = "Derm3";

					case "Derm3": //Predator
						$TDXCVoice = "Fem1";

					case "Fem1": //Heroine
						$TDXCVoice = "Fem2";

					case "Fem2": //Professional
						$TDXCVoice = "Fem3";

					case "Fem3": //Cadet
						$TDXCVoice = "Fem4";

					case "Fem4": //Veteran
						$TDXCVoice = "Fem5";

					case "Fem5": //Amazon
						$TDXCVoice = "Male1";

					case "Male1": //Hero
						$TDXCVoice = "Male2";

					case "Male2": //Iceman
						$TDXCVoice = "Male3";

					case "Male3": //Rogue
						$TDXCVoice = "Male4";

					case "Male4": //Hardcase
						$TDXCVoice = "Male5";

					case "Male5": //Psyco
						$TDXCVoice = "Bot1";

				}

				%text = TDXCGetDisplayVoice( $TDXCVoice );

				addMessageHudLine("\c1Voice Set to \c3" @ %text @ "\c1.");
				activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);

			} else
				addMessageHudLine("\c1Voice cycle only available in \c3Null Voice Mode\c1.");
		

			$TracerCycle = 0;

		}

		$TracerCycle++;

	}

	
	function TDXCCycleVoiceBack( $val ) {

		if(%val) {

			if ($pref::TDXCNullVoice) {

				switch$ ($TDXCVoice) {

					case "Bot1": //Bot Voice
						$TDXCVoice = "Male5";

					case "Derm1": //Warrior
						$TDXCVoice = "Bot1";

					case "Derm2": //Monster
						$TDXCVoice = "Derm1";

					case "Derm3": //Predator
						$TDXCVoice = "Derm2";

					case "Fem1": //Heroine;
						$TDXCVoice = "Derm3";

					case "Fem2": //Professional
						$TDXCVoice = "Fem1";

					case "Fem3": //Cadet
						$TDXCVoice = "Fem2";

					case "Fem4": //Veteran
						$TDXCVoice = "Fem3";

					case "Fem5": //Amazon
						$TDXCVoice = "Fem4";

					case "Male1": //Hero
						$TDXCVoice = "Fem5";

					case "Male2": //Iceman
						$TDXCVoice = "Male1";

					case "Male3": //Rogue
						$TDXCVoice = "Male2";

					case "Male4": //Hardcase
						$TDXCVoice = "Male3";

					case "Male5": //Psyco
						$TDXCVoice = "Male4";

				}

				%text = TDXCGetDisplayVoice( $TDXCVoice );

				addMessageHudLine("\c1Voice Set to \c3" @ %text @ "\c1.");
				activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);

			} else
				addMessageHudLine("\c1Voice cycle only available in \c3Null Voice Mode\c1.");
		

			$TracerCycle = 0;

		}

		$TracerCycle++;

	}

	function TDXCGetDisplayVoice( %VoiceDir ) {

		switch$ (%VoiceDir) {

			case "Bot1": //Bot Voice
				return "Bot";

			case "Derm1": //Warrior
				return "Bioderm Warrior";

			case "Derm2": //Monster
				return "Bioderm Monster";

			case "Derm3": //Predator
				return "Bioderm Predator";

			case "Fem1": //Heroine
				return "Female Heroine";

			case "Fem2": //Professional
				return "Female Professional";

			case "Fem3": //Cadet
				return "Female Cadet";

			case "Fem4": //Veteran
				return "Female Veteran";

			case "Fem5": //Amazon
				return "Female Amazon";

			case "Male1": //Hero
				return "Male Hero";

			case "Male2": //Iceman
				return "Male Iceman";

			case "Male3": //Rogue
				return "Male Rogue";

			case "Male4": //Hardcase
				return "Male Hardcase";

			case "Male5": //Psyco
				return "Male Psyco";
				

		}

		return null;

		

	}
	

	function TracerSHUTUP() {
		
		if($TracerShutUp > 1) {

			//Determine the Text version of what this voice set will say

			switch$ ($TDXCVoice) {

				case "Bot1": //Bot Voice
					%text = "Quiet please!!!";

				case "Derm1": //Warrior
					%text = "SILENCE!!!";

				case "Derm2": //Monster
					%text = "SHUT UP!!!";

				case "Derm3": //Predator
					%text = "BE SILENT!!!";

				case "Fem1": //Heroine
					%text = "QUIET PLEASE!!!";

				case "Fem2": //Professional
					%text = "QUIET!!!";

				case "Fem3": //Cadet
					%text = "QUIET!!! Huh.";

				case "Fem4": //Veteran
					%text = "QUIET!!! UH!";

				case "Fem5": //Amazon
					%text = "SHUT UP!!!";

				case "Male1": //Hero
					%text = "QUIET PLEASE!!!";

				case "Male2": //Iceman
					%text = "SILENCE!!!";

				case "Male3": //Rouge
					%text = "QUIET! OK?!?";

				case "Male4": //Hardcase
					%text = "PIPE DOWN!!!";

				case "Male5": //Psyco
					%text = "WILL YOU BE QUIET!?!?!?";

			}

			if ($pref::TDXCNullVoice)
				%sound = "~wvoice/" @ $TDXCVoice @ "/vqk.quiet.wav";
			else
				%sound = "~wvqk.quiet";

			commandToServer('messageSent', %text @ %sound);
			$TracerShutUp = 0;

		}
		$TracerShutUp++;

	}

	function TracerDeath() {

		
		if($TracerDeathC > 1) {

			if ($pref::TDXCNullVoice)
				%sound = "~wvoice/" @ $TDXCVoice @ "/avo.deathcry_01.wav";
			else
				%sound = "~wavo.deathcry_01";

			commandToServer('messageSent', "Arrrwwrwrwrwrwrww..." @ %sound);
			$TracerDeathC = 0;

		}
		$TracerDeathC++;

	}

	function TracerUmph() {

		if ($pref::TDXCNullVoice)
			%sound = "~wvoice/" @ $TDXCVoice @ "/avo.pain.wav";
		else
			%sound = "~wavo.pain";
		
		if($TracerUmphC > 1) {

			commandToServer('messageSent', "Umphhh!" @ %sound);
			$TracerUmphC = 0;

		}
		$TracerUmphC++;

	}
	
	function TracerUmph2() {

		if ($pref::TDXCNullVoice)
			%sound = "~wvoice/" @ $TDXCVoice @ "/avo.grunt.wav";
		else
			%sound = "~wavo.grunt";
		
		if($TracerUmph2C > 1) {

			commandToServer('messageSent', "Uhhnn!" @ %sound);
			$TracerUmph2C = 0;

		}
		$TracerUmph2C++;

	}

//End Quick Fun Chat Functions___________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Chat Menu Handler Functions__________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function activateTDXCMenuHud(%make){
		if(%make && !TaskHudDlg.isVisible()) {
			
			showTDXCMenuHud();

		}
	}

	function showTDXCMenuHud() {
		Canvas.pushDialog(TDXCMenuHudDlg);
		TDXCMenuHudDlg.setVisible(true);
		setTDXCMenu("Tracer Chat", $RootTDXCMenu); //WORKING
	}
	
	function setTDXCMenu( %name, %menu ) {
		for ( %i = 0; %i < $TDXCMenuHudLineCount; %i++ )
			TDXCMenuHud.remove( $TDXCMenuHudText[%i] );

		$TDXCMenuHudLineCount = %menu.optionCount + 1;
		TDXCMenuHud.extent = "170" SPC ( $TDXCMenuHudLineCount * 15 ) + 8;

		// First add the menu title line:
		$TDXCMenuHudText[0] = new GuiTextCtrl() {
			profile = "GuiHudVoiceMenuProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "5 3";
			extent = "165 20";
			minExtent = "8 8";
			visible = "1";
			setFirstResponder = "0";
			modal = "1";
			helpTag = "0";
			text = "\c2" @ %name @ " Menu:";
		};
		TDXCMenuHud.add( $TDXCMenuHudText[0] );

		// Now add all of the menu options:
		for ( %option = 0; %option < %menu.optionCount; %option++ ) {
			%yOffset = ( %option * 15 ) + 18;

			if ( %menu.isMenu[%option] == 1 ) {
				$TDXCMenuHudText[%option + 1] = new GuiTextCtrl() {
					profile = "GuiHudVoiceMenuProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 " @ %yOffset;
					extent = "165 20";
					minExtent = "8 8";
					visible = "1";
					setFirstResponder = "0";
					modal = "1";
					helpTag = "0";
					text = "  " @ %menu.option[%option];
				};
			}
			else {
				$TDXCMenuHudText[%option + 1] = new GuiTextCtrl() {
					profile = "GuiHudVoiceCommandProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 " @ %yOffset;
					extent = "165 20";
					minExtent = "8 8";
					visible = "1";
					setFirstResponder = "0";
					modal = "1";
					helpTag = "0";
					text = "  " @ %menu.option[%option];
				};
			}
			TDXCMenuHud.add( $TDXCMenuHudText[%option + 1] );
		}

		%menu.bindCmd(keyboard, "anykey", "cancelTDXCMenu();", "");
		%menu.bindCmd(keyboard, "escape", "cancelTDXCMenu();", "");
		$CurrentTDXCMenu.pop();
		$CurrentTDXCMenu = %menu;
		%menu.push();
	}

	function cancelTDXCMenu() {
		$CurrentTDXCMenu.pop();
		$CurrentTDXCMenu = $RootTDXCMenu;
		Canvas.popDialog(TDXCMenuHudDlg);
		TDXCMenuHudDlg.setVisible(false);
	}

//End Chat Menu Handler Functions________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//GUI Handler Functions________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function TDXCEditMenu::onWake( %this ) {

		//Setup VoiceMode List (2 Items)
		TDXCVoiceMode.clear();
		TDXCVoiceMode.add("Normal", 0);
		TDXCVoiceMode.add("Null Voice", 1);
		
		TDXCVoiceMode.setSelected($pref::TDXCNullVoice);

		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
		fillTDXCMenuTree();

	}

	function TDXCVoiceMode::onSelect( %this ) {
		
		if ( TDXCGuiTree.dirty )
			MessageBoxYesNo( "CHANGES", "Do you want to save your changes?", "saveTDXCMenu(); TDXCReallySelectMode();", "TDXCReallySelectMode();" );
		else
			TDXCReallySelectMode();
		
	}

	function TDXCReallySelectMode() {

		$pref::TDXCNullVoice = TDXCVoiceMode.getSelected();

		doLoadTDXCMenu();

	}

	function fillTDXCMenuTree() {
		TDXCGuiTree.clear();
		%guiRoot = TDXCGuiTree.getFirstRootItem();
		if ($pref::TDXCNullVoice)
			%newGuiId = TDXCGuiTree.insertItem( %guiRoot, "TDX NULL CHAT MENU: "@TDXCGetDisplayVoice($TDXCVoice), 0 );
		else
			%newGuiId = TDXCGuiTree.insertItem( %guiRoot, "TDX NORMAL CHAT MENU: "@TDXCGetDisplayVoice($TDXCVoice), 0 );
		traverseTDXCMenu( %newGuiId, $RootTDXCMenu );
		TDXCGuiTree.expandItem( %newGuiId );
		TDXCGuiTree.selectItem( %newGuiId );
		TDXCGuiTree.dirty = false;
	}

	function EditTDXCMenuGui::onSleep( %this ) {
		TDXCGuiTree.clear();
		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
	}

	function traverseTDXCMenu( %guiID, %menu ) {
		for ( %i = 0; %i < %menu.optionCount; %i++ ) {
			%text = %menu.option[%i];
			if (%menu.isVoicePack[%i])
				%text = "\c4" @ %text;

			if ( %menu.isMenu[%i] ) {
				%newGuiID = TDXCGuiTree.insertItem( %guiID, %text, 0 );
				traverseTDXCMenu( %newGuiID, %menu.command[%i] );
			}
			else {
				%text = %text @ " - (" @ %menu.command[%i] @ ")";
				TDXCGuiTree.insertItem( %guiID, %text, 1 );
			}
		}
	}	

	function TDXCGuiTree::onRightMouseDown( %this, %item, %pos )
	{
	   // launch the action menu...
	   TDXCGuiTree.selectItem( %item );
	   TDXCItemActionPopup.awaken( %item, %pos );
	}

	function TDXCItemActionPopup::awaken( %this, %item, %pos ) {
		%this.position = %pos;
		%this.clear();

		%treeRoot = TDXCGuiTree.getFirstRootItem();
		%isMenu = ( strcmp( TDXCGuiTree.getItemValue( %item ), "0" ) == 0 );

		if ( %item != %treeRoot )
		%this.addEntry( "Edit", 0 );

		if ( %isMenu ) {
			%this.addEntry( "Add menu", 1 );
			%this.addEntry( "Add command", 2 );
		}

		if ( TDXCGuiTree.getPrevSibling( %item ) )
			%this.addEntry( "Move up", 3 );

		if ( TDXCGuiTree.getNextSibling( %item ) )
			%this.addEntry( "Move down", 4 );

		if ( %item != %treeRoot )
			%this.addEntry( "Delete", 5 );

		if ( %this.numEntries == 0 )
			return;

		Canvas.pushDialog( TDXCItemActionDlg ); 
		%this.forceOnAction();
	}

	function TDXCItemActionPopup::addEntry( %this, %text, %id ) {
		%this.numEntries++;
		%this.add( %text, %id );
	}

	function TDXCItemActionPopup::reset( %this ) {
		%this.numEntries = 0;
		%this.forceClose();
		Canvas.popDialog( TDXCItemActionDlg );
	}

	function TDXCItemActionPopup::onSelect( %this, %id, %text ) {
		%item = TDXCGuiTree.getSelectedItem();
		%temp = TDXCGuiTree.getItemText( %item );
		if ((getSubStr(%temp,0,1) $= "\c4") || (getSubStr(%temp,1,1) $= "-")) {

			MessageBoxOK( "VOICE PACK", "This item is part of a custom voice pack, and cannot be edited!" );

		} else {
			switch ( %id ) {
				case 0: // Edit
					%temp = TDXCGuiTree.getItemText( %item );
					%key = getSubStr( %temp, 0, strpos(%temp, ":") );
					%text = getSubStr(%temp, (strpos(%temp, ":")+2), (strlen(%temp) - (strpos(%temp, ":")+2)));
					%command = TDXCGuiTree.getItemValue( %item );
					if ( strcmp( %command, "0" ) == 0 )
						editTDXCMenu( %key, %text, "doEditTDXCMenu" );
					else {
						editSelectedTDXCItem();
					}
				case 1: // Add menu
					editTDXCMenu( "", "", "doNewTDXCMenu" );         
				case 2: // Add command
					editTDXCCommand( "", "", "", "doNewTDXCCommand" );
				case 3: // Move up
					TDXCGuiTree.moveItemUp( %item );
					TDXCGuiTree.dirty = true;
				case 4: // Move down
					%nextItem = TDXCGuiTree.getNextSibling( %item );
					TDXCGuiTree.moveItemUp( %nextItem );
					TDXCGuiTree.dirty = true;
				case 5: // Delete
					TDXCGuiTree.removeItem( %item );
					TDXCGuiTree.dirty = true;
			}
		}
		%this.reset();
	}

	function TDXCItemActionPopup::onCancel( %this ) {
		%this.reset();
	}

	function editSelectedTDXCItem() {
		%item = TDXCGuiTree.getSelectedItem();
		if ( %item != TDXCGuiTree.getFirstRootItem() ) {
			%temp = TDXCGuiTree.getItemText( %item );
			if ((getSubStr(%temp,0,1) $= "\c4") || (getSubStr(%temp,1,1) $= "-")) {

				MessageBoxOK( "VOICE PACK", "This item is part of a custom voice pack, and cannot be edited!" );

			} else {
				if ( strlen( %temp ) > 0 ) {
					%key = getSubStr( %temp, 0, strpos(%temp, ":") );
					%text = getSubStr(%temp, (strpos(%temp, ":")+2), (strlen(%temp) - (strpos(%temp, ":")+2)));
					%command = TDXCGuiTree.getItemValue( %item );

					if ( %command $= "0" )
						editTDXCMenu( %key, %text, "doEditTDXCMenu" );
					else {

						%cmdSpot = strpos(%text, " - (");
						%cmdName = getSubStr(%text, 0, %cmdSpot);
						%cmdText = getSubStr(%text, (%cmdSpot + 4), (strlen(%text) - (strlen(%cmdName) + 5)));
						editTDXCCommand( %key, %cmdName, %cmdText, "doEditTDXCCommand" );
					}
				}
			}
		}
	}

	function editTDXCCommand( %key, %text, %command, %callback ) {
		$TDXECI::key = %key;
		$TDXECI::text = %text;
		
		//First determine if this is an enhanced chat item or a regular canned chat
		if( getSubStr(%command,0,1) $= "~") {
			// Canned Chat Item
			$TDXECI::cannedchatitem = getSubStr(%command, 1, (strlen(%command) - 1));
			$TDXECI::sound = "";
			$TDXECI::team = 0;
			$TDXECI::command = "";

		} else {

			// Enchanced Chat Item
			
			//Next, Check for Team or Global
			$TDXECI::command = getSubStr( %command, 0, strpos(%command, "~w") );
			%temp = getSubStr(%command, strpos(%command, "~w") + 2, (strlen(%command) - (strlen(%cmdName) + 3)));
			if(strpos(%temp, " `(TEAM)") == -1) {
			//Global - No Splicing needed
				$TDXECI::team = 0;
			} else {
				//Team - Need to remove tag and set variable
				%temp = getSubStr(%temp, 0, strpos(%temp, " `(TEAM)"));
				$TDXECI::team = 1;
			}
		
			//Set Sound Value
			$TDXECI::sound = %temp;
			$TDXECI::cannedchatitem = "- Use Enhanced Chat -";
		}
		$TDXECI::OKCommand = %callback @ "($TDXECI::key, $TDXECI::text, $TDXECI::command);";
		Canvas.pushDialog( EditTDXCCommandDlg );
	}

	function editTDXCMenu( %key, %text, %callback ) {
		$TDXECI::key = %key;
		$TDXECI::text = %text;
		$TDXECI::OKCommand = %callback @ "($TDXECI::key, $TDXECI::text);";
		Canvas.pushDialog( EditTDXCMenuDlg );
	}
	
	function doNewTDXCMenu( %key, %text ) {
		if ( strlen( %key ) && strlen( %text ) ) {
			Canvas.popDialog( EditTDXCMenuDlg );
			%item = TDXCGuiTree.getSelectedItem();
			%temp = TDXCGuiTree.getItemText( %item );
			if ((getSubStr(%temp,0,1) $= "\c4") || (getSubStr(%temp,1,1) $= "-")) {

				MessageBoxOK( "VOICE PACK", "This item is part of a custom voice pack, and cannot be added to!" );

			} else {
				%newText = %key @ ": " @ %text;
				%newItem = TDXCGuiTree.insertItem( %item, %newText, "0" );
				TDXCGuiTree.expandItem( %item );
				TDXCGuiTree.selectItem( %newItem );
				CheckTDXCSiblings( %newItem );
				TDXCGuiTree.dirty = true;
			}
   		}
	}

	function doNewTDXCCommand( %key, %text, %command ) {

		if ( (strlen( %key ) && strlen( %text ) && strlen( %command )) || (%canneditem !$= "- Use Enhanced Chat -") ) {
			//Check if user chose Canned or Enhanced item

			%canneditem = TDXCCannedItem.getValue();

			if (%canneditem $= "- Use Enhanced Chat -") {
				
				// Not a canned chat item, is enhanced chat item
				
				%b=TDXCSound.getValue();

				if ($pref::TDXCNullVoice) {
					for(%d=1; $TDXCNullSoundList[%d]!$=""; %d++)
					{
						if($TDXCNullSoundList[%d]$=%b)
						{
							%Sound=$TDXCNullSoundFile[%d];
						}
					}
				} else {
					for(%d=1; $TDXCSoundList[%d]!$=""; %d++)
					{
						if($TDXCSoundList[%d]$=%b)
						{
							%Sound=$TDXCSoundFile[%d];
						}
					}
				}
				//Team Chat - Tag if set
				if(TDXCScope.getValue() $= "Team Chat") 
					%team = " `(TEAM)";
				else
					%team = "";
				if(%sound $= "") {
					%newText = %key @ ": " @ %text @ " - (" @ %command @ ")";
				} else {
					%newText = %key @ ": " @ %text @ " - (" @ %command @ "~w" @ %sound @ %team @ ")";
				}
				
			} else {
				// Is a Canned Chat Item
				
				%newText = %key @ ": " @ %text @ " - (~" @ %canneditem @ ")";
			}
			Canvas.popDialog( EditTDXCCommandDlg );
			%item = TDXCGuiTree.getSelectedItem();	
			%newItem = TDXCGuiTree.insertItem( %item, %newText, "1" );
			TDXCGuiTree.expandItem( %item );
			TDXCGuiTree.selectItem( %newItem );
			CheckTDXCSiblings( %newItem );
			TDXCGuiTree.dirty = true;
			
		}
		
	}

	function doEditTDXCMenu( %key, %text ) {
		if ( strlen( %key ) && strlen( %text ) ) {
			Canvas.popDialog( EditTDXCMenuDlg );
			%item = TDXCGuiTree.getSelectedItem();
			%newText = %key @ ": " @ %text;
			TDXCGuiTree.editItem( %item, %newText, "0" );
			CheckTDXCSiblings( %item );
			TDXCGuiTree.dirty = true;
		}
	}

	function doEditTDXCCommand( %key, %text, %command ) {
		
		%canneditem = TDXCCannedItem.getValue();
		
		if ( (strlen( %key ) && strlen( %text ) && strlen( %command )) || (%canneditem !$= "- Use Enhanced Chat -") ) {
			
			//Check if user chose Canned or Enhanced item
			if (%canneditem $= "- Use Enhanced Chat -") {
				
				// Not a canned chat item, is enhanced chat item
				
				%b=TDXCSound.getValue();

				if ($pref::TDXCNullVoice) {
					for(%d=1; $TDXCNullSoundList[%d]!$=""; %d++)
					{
						if($TDXCNullSoundList[%d]$=%b)
						{
							%Sound=$TDXCNullSoundFile[%d];
						}
					}
				} else {
					for(%d=1; $TDXCSoundList[%d]!$=""; %d++)
					{
						if($TDXCSoundList[%d]$=%b)
						{
							%Sound=$TDXCSoundFile[%d];
						}
					}
				}
				//Team Chat - Tag if set
				if(TDXCScope.getValue() $= "Team Chat") 
					%team = " `(TEAM)";
				else
					%team = "";
				if(%sound $= "") {
					%newText = %key @ ": " @ %text @ " - (" @ %command @ ")";
				} else {
					%newText = %key @ ": " @ %text @ " - (" @ %command @ "~w" @ %sound @ %team @ ")";
				}
				
			} else {
				// Is a Canned Chat Item
				
				%newText = %key @ ": " @ %text @ " - (~" @ %canneditem @ ")";
			}

			%item = TDXCGuiTree.getSelectedItem();
			Canvas.popDialog( EditTDXCCommandDlg );
			TDXCGuiTree.editItem( %item, %newText, "1" );
			CheckTDXCSiblings( %item );
			TDXCGuiTree.dirty = true;
		}
	}


	function CheckTDXCSiblings( %item ) {
		%allClear = true;
		%sibling = TDXCGuiTree.getPrevSibling( %item );
		while ( %sibling != 0 ) {
			%siblingKey = getSubStr( TDXCGuiTree.getItemText( %sibling ), 0, strpos(TDXCGuiTree.getItemText( %sibling ), 

":") );
			if ( %siblingKey $= $TDXECI::key ) {
				%allClear = false;
				break;
			}
			%sibling = TDXCGuiTree.getPrevSibling( %sibling );
		}

		if ( %allClear ) {
			%sibling = TDXCGuiTree.getNextSibling( %item );
			while ( %sibling != 0 ) {
				%siblingKey = getSubStr( TDXCGuiTree.getItemText( %sibling ), 0, strpos(TDXCGuiTree.getItemText( %sibling ), ":") );
				if ( %siblingKey $= $TDXECI::key ) {
					%allClear = false;
					break;
				}
				%sibling = TDXCGuiTree.getNextSibling( %sibling );
			}
		}




		if ( !%allClear ) {
			if ( TDXCGuiTree.getItemValue( %item ) $= "0" )
				%text1 = restWords( TDXCGuiTree.getItemText( %item ) );
			else {
				%temp = TDXCGuiTree.getItemText( %item );
				%text1 = getWords( %temp, 1, getWordCount( %temp ) - 5 );
			}

			if ( TDXCGuiTree.getItemValue( %sibling ) $= "0" )
				%text2 = restWords( TDXCGuiTree.getItemText( %sibling ) );
			else {
				%temp = TDXCGuiTree.getItemText( %sibling );
				%text2 = getWords( %temp, 1, getWordCount( %temp ) - 5 );
			}
			MessageBoxOK( "WARNING", "Menu siblings \"" @ %text1 @ "\" and \"" @ %text2 @ "\" are both bound to the \'" @ %siblingKey @ "\' key!" );
		}
		return %allClear;
	}

	function EditTDXCCommandDlg::onWake(%this) {
		
		//Setup Canned Chat Item List
		TDXCCannedItem.clear();
		TDXCCannedItem.add("- Use Enhanced Chat -", 0);
		TDXCCannedItem.setSelected(0);
		for(%e=1; $TDXCCannedList[%e]!$=""; %e++) {
			TDXCCannedItem.add($TDXCCannedList[%e], %e + 1);
			if($TDXECI::cannedchatitem $= $TDXCCannedList[%e])
				TDXCCannedItem.setSelected(%e + 1);
			
		}
		
		//Setup Enhanced Sound List
		TDXCSound.clear();
		TDXCSound.add("- None -",0);
		if ($pref::TDXCNullVoice) {
			for(%e=1; $TDXCNullSoundList[%e]!$=""; %e++) {
				TDXCSound.add($TDXCNullSoundList[%e], %e + 1);
				if($TDXECI::sound $= $TDXCNullSoundFile[%e])
					TDXCSound.setSelected(%e + 1);
				
			}
		} else {
			for(%e=1; $TDXCSoundList[%e]!$=""; %e++) {
				TDXCSound.add($TDXCSoundList[%e], %e + 1);
				if($TDXECI::sound $= $TDXCSoundFile[%e])
					TDXCSound.setSelected(%e + 1);
				
			}
		}
		

		//Setup Scope List (2 Items)
		TDXCScope.clear();
		TDXCScope.add("Global Chat", 0);
		TDXCScope.add("Team Chat", 1);
		
		TDXCScope.setSelected($TDXECI::team);

		//Clear Sound Explorer in case Voice Mode has changed
		TDXCSoundItemList.clear();
	

	}
 
	function TDXCPlaySound() {

		//Determine if canned chat item is selected
		%canneditem = TDXCCannedItem.getValue();
		
		if ( %canneditem !$= "- Use Enhanced Chat -" ) {
			
			for(%d=1; $TDXCCannedList[%d]!$=""; %d++)
			{
				
				if($TDXCCannedList[%d]$=%canneditem)
				{
					%cmdID = $TDXCCannedItems[%d];
				}

			}
			
			//This is a Tribes 2 defined function, used to test sounds in the original chat item select
			testChatCommand(%canneditem);

		} else {

			%b=TDXCSound.getValue();

			if ($pref::TDXCNullVoice) {

				for(%d=1; $TDXCNullSoundList[%d]!$=""; %d++)
				{
					if($TDXCNullSoundList[%d]$=%b)			
						%MsgNum=%d;
				}

				%temp = ($TDXCNullSoundFile[%MsgNum] @ ".wav");

				//Search for `voice` - (Insert voice dir, to over-ride NULL voice)
				%pos = strpos( %temp, "`voice`");
				if (%pos != -1)
					%temp = ( getSubStr( %temp, 0, %pos ) @ "voice/" @ $TDXCVoice @ getSubStr(%temp, (%pos + 7), strlen(%temp)) );


			} else {

				for(%d=1; $TDXCSoundList[%d]!$=""; %d++)
				{
					echo("'" @ $TDXCSoundList[%d] @ "' $= '" @ %b @ "' = " @ ($TDXCSoundList[%d]$=%b));
					if($TDXCSoundList[%d]$=%b)			
						%MsgNum=%d;
				}

				%temp = "voice/" @ $TDXCVoice @ "/" @ $TDXCSoundFile[%MsgNum] @ ".wav";

				

			}

			alxPlay(  alxCreateSource( AudioGui, %temp ) );

		}

	}

	function saveTDXCMenu() {
		doSaveTDXCMenu( "scripts/TDXMenu" @ $TDXCVoice @ ".cs" );
	}

	function doSaveTDXCMenu( %filename ) {

		if ($pref::TDXCNullVoice)
			%filename = ("scripts/TDXNull" @ $TDXCVoice @ ".cs");
		else
			%filename = ("scripts/TDXMenu" @ $TDXCVoice @ ".cs");

		if ( %filename $= "" )
			return;

		new fileObject( "saveFile" );
		saveFile.openForWrite( %filename );

		saveFile.writeLine( "//----------------------------------------------------------------------------\\\\" );
		saveFile.writeLine( "//                                                                            \\\\" );
		saveFile.writeLine( "//             TracerDX's Enhanced Chat - Menu Definition File                \\\\" );
		saveFile.writeLine( "//                                                                            \\\\" );
		saveFile.writeLine( "//                Written by TracerDX (tracer@synadyne.net)                   \\\\" );
		saveFile.writeLine( "//                    http://www.synadyne.net/TracerDX                        \\\\" );
		saveFile.writeLine( "//                                                                            \\\\" );
		saveFile.writeLine( "//----------------------------------------------------------------------------\\\\" );
		saveFile.writeLine( " " );

		%rootItem = TDXCGuiTree.getFirstRootItem();
		writeTDXCTreeNode( saveFile, TDXCGuiTree.getChild( %rootItem ), "" );

		saveFile.close();
		saveFile.delete();

		TDXCGuiTree.dirty = false;

		activateTDXCMenu( "sctipts/TDXMenu" @ $TDXCVoice);

		MessageBoxOK( "SAVED", "Save successful. Menu Updated" );
	}

	function writeTDXCTreeNode( %file, %item, %space ) {
		%temp = TDXCGuiTree.getItemText( %item );

		//If this a Voice Pack item, don't save it!
		if (getSubStr(%temp, 1, 1) !$= "-" && getSubStr(%temp, 0, 1) !$= "\c4" ) {
			%key = getSubStr( %temp, 0, strpos(%temp, ":") );
			%text = getSubStr(%temp, (strpos(%temp, ":")+2), (strlen(%temp) - (strpos(%temp, ":")+2)));
			%command = TDXCGuiTree.getItemValue( %item );

			if ( strcmp( %command, "0" ) == 0 ) {
				%file.writeLine( %space @ "startTDXCMenu( \"" @ %key @ ": " @ %text @ "\" );" );
				%child = TDXCGuiTree.getChild( %item );
				if ( %child )
					writeTDXCTreeNode( %file, %child, ("    " @ %space) );
				%file.writeLine( %space @ "endTDXCMenu(); // " @ %text );
				%file.writeLine( " ");
			}
			else {
				%cmdSpot = strpos(%text, " - (");
				%cmdName = getSubStr(%text, 0, %cmdSpot);
				%cmdText = getSubStr(%text, (%cmdSpot + 4), (strlen(%text) - (strlen(%cmdName) + 5)));

				%file.writeLine( %space @ "addTDXC( \"" @ %key @ ": " @ %cmdName @ "\", \"" @ %cmdText @ "\" );" );
			}

			%sibling = TDXCGuiTree.getNextSibling( %item );
			if ( %sibling != 0 )
				writeTDXCTreeNode( %file, %sibling, %space );
		}
	}

	function leaveTDXCMenuEditor() {
		if ( TDXCGuiTree.dirty )
			MessageBoxYesNo( "CHANGES", "Do you want to save your changes?", "saveTDXCMenu(); reallyLeaveTDXCMenuEditor();", "reallyLeaveTDXCMenuEditor();" );
		else
			reallyLeaveTDXCMenuEditor();
	}


	function reallyLeaveTDXCMenuEditor() {
		activateTDXCMenu( "sctipts/TDXMenu" @ $TDXCVoice);
		TDXCGuiTree.clear();
		Canvas.popDialog( EditTDXCMenuGui );
		Canvas.popDialog( TDXCEditMenu );
	}

	function resetTDXCMenu() {
		doLoadTDXCMenu( "scripts/TDXMenu" @ $TDXCVoice);
	}

	function doLoadTDXCMenu( %filename ) {
		TDXCGuiTree.clear();
		activateTDXCMenu( %filename );
		fillTDXCMenuTree();
	}

	function newTDXCMenu() {
		TDXCGuiTree.clear();
		%guiRoot = TDXCGuiTree.getFirstRootItem();
		TDXCGuiTree.insertItem( %guiRoot, "TRACER CHAT MENU ROOT", 0 );
		TDXCGuiTree.dirty = true;
	}

//GUI Handler Functions__________________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Sound List Builder Functions_________________________________________________________________________
//-------------------------------------------------------------------------------------------------------
	
	function addTDXCNullGroup( %Label )
	{

		//Finish off last group with "NULL Term"
		addTDXCNullSound("+++" @ %Label @ "+++", "");

		$TDXCNullGroupLabel[$TDXCNullGroupCount] = %Label;
		$TDXCNullGroupStart[$TDXCNullGroupCount] = $TDXCNullSoundCount + 1;
		
		$TDXCNullGroupCount++;

	}

	function addTDXCGroup( %Label )
	{

		//Finish off last group with "NULL Term"
		addTDXCSound("+++" @ %Label @ "+++", "");

		$TDXCGroupLabel[$TDXCGroupCount] = %Label;
		$TDXCGroupStart[$TDXCGroupCount] = $TDXCSoundCount + 1;
		
		$TDXCGroupCount++;

	}

	function addTDXCNullSound( %message, %sound )
	{

		$TDXCNullSoundCount++;
		$TDXCNullSoundList[$TDXCNullSoundCount] = %message;
		$TDXCNullSoundFile[$TDXCNullSoundCount] = %sound;
		

	}

	function addTDXCSound( %message, %sound )
	{

		$TDXCSoundCount++;
		$TDXCSoundList[$TDXCSoundCount] = %message;
		$TDXCSoundFile[$TDXCSoundCount] = %sound;
		

	}


//End Sound List Builder Functions_______________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Sound Selector GUI Functions_________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function TDXCSoundSelect::onWake( %this ) {

	}

	function TDXCSoundSelect::onSleep( %this ) {


	}

	function TDXCGroupList::fillList( %this )
	{
		%this.clear();
		if ($pref::TDXCNullVoice) {
			for ( %i = 0; %i < $TDXCNullGroupCount; %i++ )
				%this.addRow( %i, $TDXCNullGroupLabel[%i]  );
		} else {
			for ( %i = 0; %i < $TDXCGroupCount; %i++ )
				%this.addRow( %i, $TDXCGroupLabel[%i]  );
		}

	}

	function TDXCSoundItemList::fillList( %this ) {

		%selId = TDXCGroupList.getSelectedId();

		%this.clear();
		if ($pref::TDXCNullVoice) {
			for (%i = $TDXCNullGroupStart[%selId]; $TDXCNullSoundFile[%i] !$= ""; %i++)
				if ($TDXCNullSoundFile[%i] !$= "-")
					%this.addRow( %i, ($TDXCNullSoundList[%i] @ " | " @ $TDXCNullSoundFile[%i] )  );
				else
					%this.addRow( %i, "\c4" @ $TDXCNullSoundList[%i]  );
		} else {
			for (%i = $TDXCGroupStart[%selId]; $TDXCSoundFile[%i] !$= ""; %i++)
				if ($TDXCSoundFile[%i] !$= "-")
					%this.addRow( %i, ($TDXCSoundList[%i] @ " | " @ $TDXCSoundFile[%i] )  );
				else
					%this.addRow( %i, "\c3" @ $TDXCSoundList[%i]  );
		}


	}

	function TDXCTestSelSound() {

		%selItm = TDXCSoundItemList.getSelectedId();
		if ($pref::TDXCNullVoice)
			%temp = ($TDXCNullSoundFile[%selItm] @ ".wav");
		else
			%temp = ("voice/" @ $TDXCVoice @ "/" @ $TDXCSoundFile[%selItm] @ ".wav");


		//Search for `voice` - (Insert voice dir, to over-ride NULL voice)
		%pos = strpos( %temp, "`voice`");
		if (%pos != -1)
			%temp = ( getSubStr( %temp, 0, %pos ) @ "voice/" @ $TDXCVoice @ getSubStr(%temp, (%pos + 7), strlen(%temp)) );

		echo(%temp);

		alxPlay(  alxCreateSource( AudioGui, %temp ) );


	}

	function TDXCselectSound() {

		if ($pref::TDXCNullVoice) {

			%selItem = ( TDXCSoundItemList.getSelectedId() );

			if (($TDXCNullSoundFile[%selItem] !$= "-") && ($TDXCNullSoundFile[%selItem] !$= "")) {

				TDXCSound.setSelected(%selItem + 1);

				Canvas.popDialog(TDXCSoundSelect);

			}

		} else {

			%selItem = ( TDXCSoundItemList.getSelectedId());

			if (($TDXCSoundFile[%selItem] !$= "-") && ($TDXCSoundFile[%selItem] !$= "")) {

				TDXCSound.setSelected(%selItem + 1);

				Canvas.popDialog(TDXCSoundSelect);

			}

		}

	}

//Sound Selector GUI Functions___________________________________________________________________________
//-----------------------------------------------------------------------------------------------------


//Canned Chat Item List Builder Functions______________________________________________________________
//-------------------------------------------------------------------------------------------------------
	
	function addTDXCCannedItem( %chatitem, %message )
	{

		$TDXCCannedCount++;
		$TDXCCannedList[$TDXCCannedCount] = %message;
		$TDXCCannedItems[$TDXCCannedCount] = %chatitem;

	}

	function addTDXCCIHeader( %message )
	{

		$TDXCCannedCount++;
		$TDXCCannedList[$TDXCCannedCount] = %message;
		$TDXCCannedItems[$TDXCCannedCount] = "";

	}

	function clearTDXCCannedItems()
	{

		$TDXCCannedCount = 0;

	}

//End Canned Chat Item List Builder Functions____________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Events to re-load menu Functions_____________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function StartHostedGame()
	{
		getPlayerVoice();
		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
		parent::StartHostedGame();
	}

	function JoinGame(%address)
	{
		getPlayerVoice();
		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
		parent::JoinGame(%address);
	}

//End Events to re-load menu Functions___________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Special Info Request handling Functions______________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function getPlayerVoice() {

		%playerPref = $pref::Player[$pref::Player::Current];

		$TDXCVoice = getField( %playerPref, 3 );

	}

	

//Special Info Request handling Functions________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Function Over-ride Functions_________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function updateActionMaps()
	{
		parent::updateActionMaps();
		
		//Rebind Keys when Hud Modes change (Enter a vehicle and stuff)...
		switch$ ($HudMode)
		{
			case "Pilot": //Piloting Vehicle
				//TDX Enhanced Menu
				passengerKeys.copyBind( moveMap, activateTDXCMenuHud );
				//Tracer Dance...
				passengerKeys.copyBind( moveMap, RandomDanceToggle);
				//Tracer Awwww...
				passengerKeys.copyBind( moveMap, AwwwSpamToggle);
				//Tracer Moo
				passengerKeys.copyBind( moveMap, MooToggle);
				//Shut up!
				passengerKeys.copyBind( moveMap, TracerSHUTUP);
				//Tracer Death Cry
				passengerKeys.copyBind( moveMap, TracerDeath);
				//Tracer Umph
				passengerKeys.copyBind( moveMap, TracerUmph);
				//Tracer Umph2
				passengerKeys.copyBind( moveMap, TracerUmph2);
				//Voice Cycler
				passengerKeys.copyBind( moveMap, TDXCCycleVoice);
				//Voice Cycler Back
				passengerKeys.copyBind( moveMap, TDXCCycleVoiceBack);
				//In-Game menu
				passengerKeys.copyBind( moveMap, showTDXMenu);
				
				
		}
		//addMessageHudLine("\c1Hud Mode: " @ $HudMode);

	}

	function DebriefGui::onWake( %this ) {

		parent::onWake( %this );

		//Copy our binds to debrief bind map
		//TDX Enhanced Menu
		debriefMap.copyBind( moveMap, activateTDXCMenuHud );
		//Tracer Dance...
		debriefMap.copyBind( moveMap, RandomDanceToggle);
		//Tracer Awwww...
		debriefMap.copyBind( moveMap, AwwwSpamToggle);
		//Tracer Moo
		debriefMap.copyBind( moveMap, MooToggle);
		//Shut up!
		debriefMap.copyBind( moveMap, TracerSHUTUP);
		//Tracer Death Cry
		debriefMap.copyBind( moveMap, TracerDeath);
		//Tracer Umph
		debriefMap.copyBind( moveMap, TracerUmph);
		//Tracer Umph2
		debriefMap.copyBind( moveMap, TracerUmph2);
		//Voice Cycler
		debriefMap.copyBind( moveMap, TDXCCycleVoice);
		//Voice Cycler going back
		debriefMap.copyBind( moveMap, TDXCCycleVoiceBack);

	}


//End Function Over-ride Functions_______________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Define Control Key Binds_____________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function OptionsDlg::onWake(%this)
	{
		
		if (!$TDXBindsSet) {

			//Key Mapping Add Tracer Dance
			$RemapName[$RemapCount] = "Tracer Dance ON/OFF";
			$RemapCmd[$RemapCount]  = "RandomDanceToggle";
			$RemapCount++;
		
			//Key Mapping Add Tracer Awww...
			$RemapName[$RemapCount] = "Tracer Aww ON/OFF";
			$RemapCmd[$RemapCount]  = "AwwwSpamToggle";
			$RemapCount++;

			//Key Mapping Add Tracer Mooooooo...
			$RemapName[$RemapCount] = "Tracer Moo! ON/OFF";
			$RemapCmd[$RemapCount]  = "MooToggle";
			$RemapCount++;

			//Key Mapping Add Tracer SHUTUP!
			$RemapName[$RemapCount] = "Tracer SHUTUP!";
			$RemapCmd[$RemapCount]  = "TracerSHUTUP";
			$RemapCount++;

			//Key Mapping Add Tracer Death!
			$RemapName[$RemapCount] = "Tracer DeathCry";
			$RemapCmd[$RemapCount]  = "TracerDeath";
			$RemapCount++;

			//Key Mapping Add Tracer Umph!
			$RemapName[$RemapCount] = "Tracer Umph";
			$RemapCmd[$RemapCount]  = "TracerUmph";
			$RemapCount++;

			//Key Mapping Add Tracer Umph!
			$RemapName[$RemapCount] = "Tracer Uhhnn";
			$RemapCmd[$RemapCount]  = "TracerUmph2";
			$RemapCount++;

			//Key Mapping Add Tracer Chat Menu
			$RemapName[$RemapCount] = "Tracer Chat Menu";
			$RemapCmd[$RemapCount]  = "activateTDXCMenuHud";
			$RemapCount++;

			//Key mapping to ingame edit
			$RemapName[$RemapCount] = "Tracer In Game Edit";
			$RemapCmd[$RemapCount]  = "showTDXMenu";
			$RemapCount++;

			//Key mapping to ingame edit
			$RemapName[$RemapCount] = "Tracer Cycle Voice";
			$RemapCmd[$RemapCount]  = "TDXCCycleVoice";
			$RemapCount++;

			//Key mapping to ingame edit
			$RemapName[$RemapCount] = "Tracer Cycle Back";
			$RemapCmd[$RemapCount]  = "TDXCCycleVoiceBack";
			$RemapCount++;

			//Run Once
			$TDXBindsSet = true;
		
		}

		//Pass on handling...
		parent::onWake(%this);

	}

//End Define Control Key Binds___________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Voice Pack Handler Functions_________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function startChatMenu(%heading) {

		//Since VoicePack.cs uses the same function the normal menu uses, it makes it hard for me to know which is which.
		//I have built a list of menu headings to be ignored so the regular chat menu doesn't get built into mine
		//(I already designed a more dynamic copy)

		

		%key = getSubStr( %heading, 0, strpos(%heading, " ") );
		%text = getSubStr(%heading, (strpos(%heading, " ")+1), (strlen(%heading) - (strpos(%heading, ":")+2)));
		%menu = new ActionMap();
		TDXCMenuList.add( %menu );
		%cm = $CurrentTDXCMenu;
		%cm.bindCmd(keyboard, %key, "setTDXCMenu(\"" @ %text @ "\", " @ %menu @ ");", "");
		%cm.option[%cm.optionCount] = %key @ "- " @ %text;
		%cm.command[%cm.optionCount] = %menu;
		%cm.isMenu[%cm.optionCount] = 1;
		%cm.optionCount++;
		%menu.parent = %cm;
		%menu.bindCmd(keyboard, escape, "cancelTDXCMenu();", "");
		%menu.optionCount = 0;
		$CurrentTDXCMenu = %menu;

		parent::startChatMenu(%heading);

	}

	function endChatMenu() {
		$CurrentTDXCMenu = $CurrentTDXCMenu.parent;

		parent::endChatMenu();
	}


	function addChat(%keyDesc, %command) {
		%key = getSubStr( %keyDesc, 0, strpos(%keyDesc, " ") );
		%text = getSubStr(%keyDesc, (strpos(%keyDesc, " ")+1), (strlen(%keyDesc) - (strpos(%keyDesc, ":")+2)));
		%cm = $CurrentTDXCMenu;
		%cm.bindCmd(keyboard, %key, "issueTDXCCmd(" @ %cm @ "," @ %cm.optionCount @ ");", "");
		%cm.option[%cm.optionCount] = %key @ "- " @ %text;
		//Build list of commands to be executed and insert ID
		$TDXCVoicePackCMD++;
		$TDXCVoicePackList[$TDXCVoicePackCMD] = %command;

		%cm.command[%cm.optionCount] = "`" @ $TDXCVoicePackCMD;
		%cm.isMenu[%cm.optionCount] = 0;
		%cm.optionCount++;

		parent::addChat(%keyDesc, %command);
	}


//End Voice Pack Handler Functions_______________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Chat Menu Builder Functions__________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function activateTDXCMenu( %filename ) {

		if ($pref::TDXCNullVoice)
			%filename = ("scripts/TDXNull" @ $TDXCVoice);
		else
			%filename = ("scripts/TDXMenu" @ $TDXCVoice);

		if ( isFile( %filename @ ".cs" ) ) {
			TDXCMenuList.clear();

			$RootTDXCMenu = new ActionMap();
			TDXCMenuList.add( $RootTDXCMenu );
			$CurrentTDXCMenu = $RootTDXCMenu;
			$CurrentTDXCMenu.optionCount = 0;
			$CurrentTDXCMenu.bindCmd(keyboard, escape, "cancelTDXCMenu();", "");

			exec( %filename @ ".cs" );
		}
		else {

			error( "Chat menu file \"" @ %filename @ ".cs\" not found! Attempting to use default..." );

			if ( isFile( %filename @ "Default.cs" ) ) {

				$RootTDXCMenu = new ActionMap();
				TDXCMenuList.add( $RootTDXCMenu );
				$CurrentTDXCMenu = $RootTDXCMenu;
				$CurrentTDXCMenu.optionCount = 0;
				$CurrentTDXCMenu.bindCmd(keyboard, escape, "cancelTDXCMenu();", "");

				exec( %filename @ "Default.cs" );
			} else {

				error( "Unable to open default menu file: " @ %filename @ "Default.cs" );

			}

		}
		
		//Now Load in VoicePackDX
		if (isobject(VoicePackDX))
			RebuildTDXCMenus();

		//Now load in voice pack...
		%scriptname = "scripts/" @ $voicePackTable[$pref::Audio::defaultVoicePack] @ "VoicePack.cs";
		echo("Pack Selected to Exec: "@%scriptname);
		exec(%scriptname);

		//Clean Up Mess we made of the Original T2 Voice Bind Menu ;)
		//TO DO: Can't EXEC VoicePackActivate(); ... It'll fuck my shit up.

	}

	function startTDXCMenu(%heading) {
		%key = getSubStr( %heading, 0, strpos(%heading, ":") );
		%text = getSubStr(%heading, (strpos(%heading, ":")+2), (strlen(%heading) - (strpos(%heading, ":")+2)));
		%menu = new ActionMap();
		TDXCMenuList.add( %menu );
		%cm = $CurrentTDXCMenu;
		%cm.bindCmd(keyboard, %key, "setTDXCMenu(\"" @ %text @ "\", " @ %menu @ ");", "");
		%cm.option[%cm.optionCount] = %key @ ": " @ %text;
		%cm.command[%cm.optionCount] = %menu;
		%cm.isMenu[%cm.optionCount] = 1;
		%cm.optionCount++;
		%menu.parent = %cm;
		%menu.bindCmd(keyboard, escape, "cancelTDXCMenu();", "");
		%menu.optionCount = 0;
		$CurrentTDXCMenu = %menu;
	}


	function endTDXCMenu() {
		$CurrentTDXCMenu = $CurrentTDXCMenu.parent;
	}


	function addTDXC(%keyDesc, %command) {
		%key = getSubStr( %keyDesc, 0, strpos(%keyDesc, ":") );
		%text = getSubStr(%keyDesc, (strpos(%keyDesc, ":")+2), (strlen(%keyDesc) - (strpos(%keyDesc, ":")+2)));
		%cm = $CurrentTDXCMenu;
		%cm.bindCmd(keyboard, %key, "issueTDXCCmd(" @ %cm @ "," @ %cm.optionCount @ ");", "");
		%cm.option[%cm.optionCount] = %key @ ": " @ %text;
		%cm.command[%cm.optionCount] = %command;
		%cm.isMenu[%cm.optionCount] = 0;
		%cm.optionCount++;
	}

//End Chat Menu Builder Functions________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Add Edit Binds button to Warrior Pane________________________________________________________________
//-------------------------------------------------------------------------------------------------------
	
	//function LoadVoicePacks2() {

		//echo("\c3Voice Packs Loaded!");

	//}

	//Do after the system GUI is activated...
	function DispatchLaunchMode()
	{
		
		//Load in GUIs_________________________________________
		//-------------------------------------------------------
		exec("scripts/TracerDXChat.gui");

		//Load in Voice Packs__________________________________
		//-------------------------------------------------------
		//LoadVoicePacks2();
		
		//Load in Chat Menu____________________________________
		//-------------------------------------------------------
		getPlayerVoice();
		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
		
		//Load in Default Dance Sequence_______________________
		//-------------------------------------------------------
		formatDefaultDanceList();

		//Define List of Sounds to choose______________________
		//-------------------------------------------------------
		exec("scripts/TracerDXSounds.cs");
		exec("scripts/TracerDXNullSounds.cs");
		

		//Define list of Canned Chat Items_____________________
		//-------------------------------------------------------
		clearTDXCCannedItems();
		exec("scripts/TracerDXChatItems.cs");

		//Register Chat HUD with LabRat's HudMover_____________
		//-------------------------------------------------------
		hudmover::addhud(TDXCMenuHud,"TDXC Chat Menu");
		

		//GUI Button Addition__________________________________
		//-------------------------------------------------------
		new ShellBitmapButton(GMW_TDXButton) {
			profile = "ShellButtonProfile";
			horizSizing = "left";
			vertSizing = "top";
			position = "94 305";
			extent = "150 38";
			minExtent = "32 38";
			visible = "1";
			command = "showTDXMenu(true);";
			helpTag = "0";
			text = "CHAT BINDS";
			simpleStyle = "0";
		};

		%obj = GM_WarriorPane.getObject(2);
		%obj.extent = "257 372";
		%obj.add(GMW_TDXButton);
		
		parent::DispatchLaunchMode();

		//Display Console Ready Message :)_____________________
		//-------------------------------------------------------
		echo("\c5TracerDX's Chat Suite v3.0 - Ready to OWN!");

	}
	

	function showTDXMenu( %VoiceModeVis ) {

		TDXCVoiceMode.visible = %VoiceModeVis;

		if (!%VoiceModeVis) {

			if ($pref::TDXCNullVoice) {
				TDXCVoiceNull.visible = true;
				TDXCVoiceNormal.visible = false;
			} else {
				TDXCVoiceNormal.visible = true;
				TDXCVoiceNull.visible = false;
			}

			
		} else {
			TDXCVoiceNull.visible = false;
			TDXCVoiceNormal.visible = false;
			getPlayerVoice();
		}

		$TDXCVoiceVisMode = %VoiceModeVis;

		Canvas.pushDialog( TDXCEditMenu );

	}

//End Add Edit Binds button to Warrior Pane______________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Voice Pack v2.0 Implementation_______________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function addVoicePackage2( %name, %packagePath, %defaultKey ) {

		$VoicePackage2List[$VoicePackage2Count] = %packagePath;
		$VoicePackage2Binds[$VoicePackage2Count] = %defaultKey;
		$VoicePackage2Names[$VoicePackage2Count] = %name;

		$VoicePackage2Count++;

		echo( "\c4Voice Package #" @ $VoicePackage2Count @ ": " @ %name @ " [" @ %packagePath @ "] Logged Successfully" );			

	}




//End Voice Pack v2.0 Implementation_____________________________________________________________________
//-----------------------------------------------------------------------------------------------------


//Ingoing/Outgoing Messages Handler____________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function issueTDXCCmd( %menu, %index ) 
	{

		%temp = %menu.command[%index];

		//%escpos = strpos(%temp ,$VP2EscapeSequence);

		//VoicePack v2.0 Outgoing Handler
		//if(%escpos != -1) {

		

		//} else {

			if(getSubStr(%temp,0,1) $= "`") {
			
				//Handles Voice Pack Items added to my menu.

				%cmdNum = getSubStr(%temp,1,100);
				%command = $TDXCVoicePackList[%cmdNum];
				%cmdCode = getWord( %command, 0 );
				%cmdId = getSubStr( %cmdCode, 1, strlen( %command ) - 1 );
				%cmdString = getWord( %command, 1 );
				%chatItem = $ChatTable[%cmdId];
				%message = %chatItem.text @ "~w" @ %chatItem.audioFile;   //construct the full message
				if ( %chatItem.teamOnly ) {
					commandToServer('teamMessageSent', %message);
				} else {
				commandToServer('messageSent', %message);
				}

			} else {

				//Determine if this is a Canned Chat Item or an Enhanced Chat item.
				if(getSubStr(%temp,0,1) $= "~") {

					//Is Canned Chat
					%b = getSubStr(%temp, 1, (strlen(%temp) - 1));

					for(%d=1; $TDXCCannedList[%d]!$=""; %d++)
					{
						%test = $TDXCCannedList[%d];
						if($TDXCCannedList[%d]$=%b)
						{
							%cmdID = $TDXCCannedItems[%d];
						}

					}
		
					commandToServer( 'CannedChat', %cmdID, false);

				} else {
			
					//Is Enchanced Chat
					//Search for `voice` - (Insert voice dir, to over-ride NULL voice)
					%pos = strpos( %temp, "`voice`");
					if (%pos != -1)
						%temp = ( getSubStr( %temp, 0, %pos ) @ "voice/" @ $TDXCVoice @ getSubStr(%temp, (%pos + 7), strlen(%temp)) );
					//Now determine if it is a team message or not.
					if(strpos(%temp, " `(TEAM)") == -1) {

						if (($pref::TDXCNullVoice) && (strpos(%temp, "~w") != -1))
							%temp = %temp @ ".wav";

						commandToServer( 'messageSent', %temp);

					} else {

						%temp = getSubStr( %temp, 0, strpos(%temp, " `(TEAM)") );

						if ($pref::TDXCNullVoice)
							%temp = %temp @ ".wav";

						commandToServer( 'teammessageSent', %temp );

					}

				
				
				}

			}

		//}

		cancelTDXCMenu();

	}

	// Now this little beauty of an over-ride is what enables us to have a NULL voice, so we can "say" any sound we want :)
	function connect( %address, $JoinGamePassword, %playerName, %playerRaceGender, %playerSkin, %playerVoice, %playerVoicePitch ) {

		if ($pref::TDXCNullVoice)
			%playerVoice = "";

		parent::connect( %address, $JoinGamePassword, %playerName, %playerRaceGender, %playerSkin, %playerVoice, %playerVoicePitch );

	}

	function localConnect( %playerName, %playerRaceGender, %playerSkin, %playerVoice, %playerVoicePitch ) {

		if ($pref::TDXCNullVoice)
			%playerVoice = "";

		parent::localConnect( %playerName, %playerRaceGender, %playerSkin, %playerVoice, %playerVoicePitch );

	}

//End Ingoing/Outgoing Messages Handler__________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//In Game Edit Function________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------
	function TDXCEditNow() {

		showTDXMenu(false);

	}
//In Game Edit Function__________________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

};

if ($TDXLoaded == NULL) {
	//Create Chat Menu Sim Object__________________________
	//-------------------------------------------------------		
	new SimSet( TDXCMenuList );

	//Activate Script______________________________________
	//-------------------------------------------------------
	activatePackage(TracerDXChat);

	//Mark as loaded_______________________________________
	//-------------------------------------------------------
	$TDXLoaded = true;

} else {
	
	error("TracerDXChat has already been loaded!");

}