//WebMenus
//www.tricon2.com
//{NQP!}Qing
//9-15-01

// Revised 9/22/01 	- updated url for renegades client
//							- renamed vars


function initWebMenus()
{
	if($Tricon::DisableWebMenus)
		return;

//define vars that will not be exported to config file
	$TriconDLURL[-5] = "http://www.tricon2.com";
	$TriconDL[-5]	  = "Visit Tricon 2 Website";
	$TriconDlURL[-4] = "http://www.tricon2.com/files/Tricon2Server.zip";
	$TriconDL[-4]	  = "Download Tricon 2 Server Pack";
	$TriconDLURL[-3] = "http://www.tricon2.com/files/Tricon2GameClient.zip";
	$TriconDL[-3]	  = "Download Tricon 2 Client Pack Update";
	if($Ren)
		{
		$TriconDLURL[-2] = "http://planetrenegades.com";
		$TriconDL[-2] = "Visit Renegades Website";
		$TriconDLURL[-1] = "http://www.planetrenegades.com/downloads/renegades_client.exe";
		$TriconDL[-1] = "Download Renegades Client Pack";
		}
	else	
		{
		$TriconDL[-2] = ".";
		$TriconDL[-1] = ".";
		}
	$TriconDL[0] = ".";	//placeholders for future use

//setup vars from the config file
	for(%i = 1; %i <1000; %i++)
		{
		$TriconDL[%i] = $Tricon::WebMenu[%i];
		$TriconDLURL[%i] = $Tricon::WebURL[%i];
		}

	for(%i = 0; %i < $funstuffcount; %i++)
		if(getword($tcfunstuff[%i], 0) $= "DOWNLOAD")
			{
			t2echo("Clearing old WebMenu, " @ $tcfunstuffmenu[%i]);
			$tcfunstuff[%i] = "";
			$tcfunstuffurl[%i] = "";
			$tcfunstuffmenu[%i] = "";
			$tcfunstuffscope[%i] = "";
			}
	for(%i = -5; ($TriconDL[%i] !$= "") ; %i++)
		{
		if($TriconDL[%i] !$= ".")
			{
			t2echo("Creating Tricon Web Menu, " @ $TriconDLURL[%i] @ " as " @ $TriconDL[%i] @ ".  Counter = " @ %i);
			$funstuffcount++;
			$tcfunstuff[$funstuffcount]="DOWNLOAD " @ $funstuffcount ;	//Special setting, we will not pass this to the normal functions
			$tcfunstuffUrl[$funstuffcount] = $TriconDlURL[%i];
			$tcfunstuffmenu[$funstuffcount] = "\c2   -\c0" @ $TriconDL[%i];
			$tcfunstuffscope[$funstuffcount]="web";
			}
		}
}

//VoteConfirm
//www.tricon2.com
//{NQP!}Qing
//September, 2001

//Creates portal to client for yes/no confirmation dialogue, passes approval to a variable function


function voteConfirm(%client, %targetclient, %call, %voteText, %arg1, %arg2)
{
	decho("VOTE CONFIRM " @ %client @ "," @ %targetclient @ "," @ %call @ "," @ %votetext @ "," @ %arg1 @ "," @ %arg2);
	%client.VoteConfirm = true;
	%client.VoteTargetClient = %targetclient;
	%client.VoteText = %votetext;
	%client.VoteConfirmTarget = %call;
	%client.voteConfirmArg1 = %arg1;
	%client.voteConfirmArg2 = %arg2;
//	%client.VoteScheduler = schedule(10000, 0, clearVoteConfirm, %client);
	decho("SENDING MESSAGE TO " @ %client.namebase @ ", message is:" @ %client.votetext);
//	messageclient(%client, 'Msg', "\c2" @ %client.voteText);
	CommandToClient(%client, 'TriconConfirm', addtaggedstring("CONFIRM"), addtaggedstring(%votetext));
	removetaggedstring("CONFIRM");
	removetaggedstring(%votetext);
}


function clearVoteConfirm(%client)
{
	%client.voteScheduler = "";
	%client.VoteTargetClient = "";
	%client.VoteText = "";
	%client.voteConfirm = "";
	%client.voteConfirmTarget = "";
	%client.voteConfirmArg1 = "";
	%client.voteConfirmArg2 = "";
}
		
$TriconVersion = "301.9";
$TriconBestClient = 301;


//271		Modchooser2

//272		270.3 fixes added to 271, webmenu confirmations

//273		270.4 fixes, full deactivation of practicemode when switching to tourney
//			270.5 fixes, telnet gui workaround... changed prompt to ""
//			270.6 fixes, logecho restored to original, fixes some missing gui info
//			fixed $Tricon::NoReset, was not working.
//			improved load echoing
//			added bot chat echoing option
//			tricon fake death
//			server log data dumps to client
//			blow all to hell menuitem
//			telgui support for deployables
//			improvements to modchooser, particularly with the default mod

//274		menuitem - list game admins
//			send data dumps to client in new format to accomodate filewrites

//275		listgameAdmins now echoes to gui as well
//			new menuitem - repair base & return flags
//			fixed problem with modchooser causing syntax error in autoexec.cs
//			added fileViewer
//			funstuffscope "all" now shows in both admin menu and player/all menu

//276		fixed ren oob damage gui menu format
//			added $Tricon::FakeDeath entry in defaultconfig, was missing
//			removed modchooser code that wrote $Tricon::ExternalModDefault to autoexec.cs, added code to remove existing $Tricon::ExternalModDefault lines
//			removed consoleLink
//			added detailed echoing and logging to consolecommand and fileviewer
//			chattext logins can use % to preface the password, and even if typed wrong, the pw will not be sent to players
//			fixed client messages not being sent when using various right/wrong sad passwords
//			fixed: tk kicks - player name not appearing when getting the boot
//			added modpath info into serveropt so gui can pick it up
//			fixed problem with team names not appearing

//277		removed $Tricon::Veh::NoAutoMountVehicles and VehicleMount.pkg since 24384 handles this in client prefs
//			added triconAdmin and gui access to ban
//			resetModChooser is disabled if externalmods are not defined (for Syrinx compatibility)
//			fileViewer gives error message if viewed file does not exist
//			dev
//			append TriconServer version to end of serverinfo
//			displays $TriconVersion in serverinfo to gui
//			fileviewer will fill data entry box with last viewed file
//			stripped non-dos characters from servername in fileViewer
//			reintroduced private messaging, tweaked for client drops

//278		fixed v277 bug giving everyone triconadmin

//279		fixed v277 bug giving everyone triconadmin for real this time
//			introduced fireworks

//280		fixed invulnerability
//			added team to whois
//			switched Change Team menuitem from single to singleadmin
//			added extra debugechoes in gameadmin.pkg
//			when canceling fireworks it gives the admin a message
//			built a handler for resetting clock
//			used dummies for default guids on triconadminlist
//			fixed the 0 veh remaining after turning off practice mode
//			fixed minor console echo with gui server restart
//			users cannot login using 'tricon' as client password, even if set to 'tricon'
//			no longer overwrites external settings for console logging
//			fixed bug for OldScoring - calling the parent but not returning the value

//281/282added modpaths into server info text
//			added option for tourney, players can join their teammates even after game starts (NEEDS TESTING)
//			added var to tweak serverinfo timing for slower hardware

//283		added Tricon::DisplayOnMaster
//			moved Tricon:True to beginning of serverinfo sequence to reduce timeouts
//			added gameadmin confirmation to 'restart server' NOT WORKING YET*************
//			when changing time limit, server announces current time elapsed

//284		$Tricon::AdminClanList now works, autoadmins by clan tag

//285		enhancements for tourney join-team, messages team when cannot join
//				**need to fix repair-base menuitem, 
//			Developers.cs - comeHither, Tele ctrl-home, alt-home, requires new client
//			fixed oversight where config was clearing out $Tricon::AdminClanList var so it would not write
//			added some minor config-load-init console echoing
//			message clanmates when a fellow clan member joins the server

//286		removed controversial tourney-mode admin features for TWL
//			removed blowupplayer menuitem
//			removed player damage and armor info from whois
//286.1	fixed pvt msg and pvt conversation

//287		removed singlepublic scope from tournamentmode
//			fixed tourneymode match-started late-joins having keybind and centerprint issues
//			disabled 'tricon' and 'changeme' passwords from sad

//288		changed practicemode max veh's to 16 instead of 999 to reduce overloading server, set mpb to 3
//			changed practicemode damagemessage font to one that supports special characters, like {
//			added tricon 2 intro banner

//289		fixed bug where modchooser was duplicating 'no modchooser running' lines in autoexec.cs
//			animated the intro banner
//			fixed some syntax errors with recent builds

//289.1	added $Tricon::MOTD[1] array for motd animations
//			added $Tricon::MOTDSeqTime for motd animation interval
//			fixed audio on tricon intro

//289.2	moved 'resetting defaults' echo so it doesnt echo when not reset is disabled
//			tweaked reportplayer, for reporting self, bots
//			moved fileviewer kernel from developers.cs to devtools
//			fixed admin logging, logs base admin functions now

//289.3	removed modified veh counts in practicemode
//			changed object displayed names in practicemode to their 'class' as opposed to objectname

//289.4	fixed a problem with base popup admin stuff not working, presumably caused by the fixed admin logging

//290		removed the more controversial and silly menuitems from the server pack, they're now add-ons
//			renamed for public release, 2/2/02

//290.1	improved cloaking, renamed to "Ghost"
//			rearranged various functions & script files
//			changed modchooser so it copies prefs to new mod folder, sets flag so it doesn't do it again.

//290.2	undid the modchooser/prefs issue created in 290.1
//			tweaked hostinfo with ||
//			changed mission-change practicemode announcement
//			moved timer reset thing to devtools
//			new method of registering menuitems, via function
//			removed observer move speed, caused jerky movement
//			added built-in menuitem toggles for popups
//			converted some menuitems to the new registration process with toggles
//			fixed final problem with $serverprefs not being supported... modchooser of course
//			<NULL> detection and repair.
//			started including menuitems in the .vl2

//291		renamed the menu-access toggles for better clarity
//			added new menu access toggle for player tools vs player toys
//			removed $Tricon::DisallowClientFeatures
//			made system for sending echos to client
//			updated and fixed the client-script-update feature

//292		more comprehensive admin-login logging, based on kleaver's work.
//			reverted modchooser to 290

//293		fixed typo in 292, registered more menuitems

//294		fixed ren stuff showing in non-ren mods
//			fixed webmenus toggle, now can turn them off
//			added repairBaseReturnFlags back into the pack
//			converted remaining menuitems to registration process
//			deleted the $tricon:: mod toggles
//			fixed problem with old menuitems overwriting registered ones		Q - maybe?
//			menuitems consolidated into a single file
//			added CRC and smurf toggles

//295		added notification with audio for when clanmates drop
//			adding player to admin or superadmin lists now admins him immediately as well
//			added confirmation dialogue to 'restart server'
//			tweaked 'restart server'
//			added text notification when admin gives player all weapons
//			removed modchooser due to conflicts with seemingly EVERY mod out there

//296		added cleanup for old modchooser installations
//			removed more fun stuff

//297		fixed the modchooser cleanup where it was displaying as 'variant'
//297.1	ok, fixed it a better way.

//298		removed deploy.pkg, was messing all the mods (tx kleaver for finding it!)
//			added modchooser back in, since that wasnt the 'big problem' after all
//			added $Tricon::StaticTeamNames to prevent team names from changing with the map
//			modchooser execs defaultconfig.cs to fix problem with mod servers
//			fixed notify-clanmates for players with no clan

//299		modchooser execs clientdefaults, serverdefaults, controldefaults for compatibility

//299.1	fixed $funstuffcount = 0 at start
//			added option to override the base/mod admin menus (slight changes also)
//			added vote options for overridden base/mod menus
//			added cancel to modchooser restart

//299.2	fixed bad toggle on CRC menuitem - was reversed
//			added visible spawning option
//			modchooser execs $serverdefaults and $clientdefaults to build prefs in virgin modfolders
//			tricon/base files combined into one script, one .dso
//			no longer overwrites ispawn -mod command on base-default servers

//299.9	fixed developers invulnerability problem where server could not kill player for team changes
//			fixed fireworks
//			fixed modchooser reset, was not adding quotes around the mod in the autoexec - messing up base++ default servers
//			added $Tricon::NotifyClanmatesOnJoin to give control over the existing function
//			fixed 'variant' listing for base++, freebase, etc as well as other probs from 'base' substr mod names

//299.99	fixed listfunstuff, OB1 error, last menuitem not sending to gui
//			fixed admin names not showing up when logging access by adminlist and superadminlist
//			split tempdata into 2 files in hopes of fixing the missing info sent to gui
//			serverinfo filters out host::mapmaxplayers info
//			* first TelnetGUI update for v299.99


//299.999	fixed bug with pickteam in tourney, if late join was off, it died
//				turning off crc restarts the server now
//				fix for base tourney pre-game team-change exploit (props to FSB-AO)
//				fixed modchooser/linux case-sensitive issue with "base" externalmoddefault0
//				added prepbuild menuitem
//				move more items to 'expansion pack' with z prefix
//				exports host/tricon prefs before restarting

//300			renamed some /base files that were missing .src in the filename
//				added guiListGameAdmins
//				fixed faulty gui echoes when using makeAdmin, makeSuper, makeTriconAdmin... all were echoing 'made NotAdmin'

//300.1		added 'sa' and 'a' status messages for admins created by tricon
//				removed duplicate teamnames and rearranged some things in tcservinfo
//				rebuild missionlist process... still need to fix issue with maps that use multiple mission types
//				fixed no-rape mod not activating on startup

//300.20		fine-tuned the playerequip function
//				added timestamp to logs using date_support.cs
//				fixed timestamp memory leak

//300.21		modchooser copies $tricon::telnet* prefs to new folder to ensure telnet setup isn't lost
//				fixed admin access logging when using admin and superadmin lists
//				added response msg when adding a player to admin/superadmin list

//300.22		fixed new bug with %centerprinting	(KiKiN found it)
//				fixed bug where was not logging private chat (KiKiN again)
//				added global, team, and private to chat log for each msg

//300.23		stopped loading fireworks datablocks if zfireworks isn't installed, or if Meltdown2 mod is running (crash)
//				added AllowedClan list and DisallowedClan list

//				updated beaconboost to deploy real beacon when player is stationary, code by Sir DeuCeS of 4_kov
//300.24		fixed allowedclan and disallowed clan bug where it only read first entry in the list
//				added kikin's observer timer/kicker

//300.25		tweaked allowedclan and disallowedclan to let in players on triconadminlist regardless of clan tag
//				detects Meltdown2 by the dll, not the mod name now

//300.26		fixed = == error in zkicktk.pkg was assigning #tk's instead of comparing

//300.27		added menuitem to cancel votes

//300.28		added msg type for tricon clients to clear SA and A from de-admined players, updated client to v301
//				fixes problem with non-tricon clients being unable to admin other players.  oddness still exists with menuOverride on
//				fixed bug with messageTriconAdmins %clientgroup.getcount()
//				telnet admins register joins/drops with the server, show up on admin list

//301			added option to echo time to console every 60 secs
//301			tweaked the onjoin messages to tricon clients, regular clients, and triconadmins

//301.1 - 301.5
//				qPU Pickup Mod

//301.6		fixed qPU problem with being unable to move when match starts

//301.7		fixed problem with objectivehuds and client scripts not functioning due to no 'missiondropready'

//301.8		fixed qpu problem with no base vote menu when in tourney

//301.9		fix for 25026 patch, no longer combines menuitems into a single file... now execs them individually like from way-back

//to-do		make a handler for each log, call the handler instead of directly accessing the logs, option to split logs by date
//				define access levels for each feature/function
//				spawn mod not equipping players?
//				fix objective hud in qPU
//TriconFakeDeath
//www.tricon2.com
//{NQP!}QIng
//10/7/01


function serverCmdTriconFakeDeath(%client)
{
	if($host::tournamentmode)
		{
		messageclient(%client, 'Msg', "\c2Tricon Fake Death is not available in Tournament Mode.");
		return;
		}
	if(!$Tricon::FakeDeath)
		{
		messageclient(%client, 'Msg', "\c2Tricon Fake Death has been disabled by the admin.");
		return;
		}
	%anim = %client.player.deathIdx;
	if (%anim++ > 11)
		%anim = 1;
	%client.player.setActionThread("death" @ %anim, true);
	%client.player.deathIdx = %anim;
}

//TriconExport
//www.tricon2.com
//{NQP!}Qing
//9/15/01


function exportPrefs()
{
   echo( "Exporting host prefs..." );
   export( "$Host::*", $serverprefs, false );
	triconExportPrefs();
}

function triconExportPrefs()
{
	t2error("Exporting Tricon Prefs at " @ tdatetime() @ " (" @  getsimtime() @ ", " @ (getsimtime()-$TriconInitTime) / 1000 @ " seconds elapsed....)");
	export("$Tricon::*", "prefs/TriconPrefs.cs", false);
	t2error(".....export Tricon Prefs finished at " @ getsimtime() @ ", " @ (getsimtime()-$TriconInitTime) / 1000 @ " seconds elapsed.");
}

//TriconDLSend
//www.tricon2.com
//{NQP!}Qing
//September, 2001

//Sends http info to client script, which then executes the link to popup windows web browser or email


function TriconDLSend(%client, %index, %a)
{
	t2echo("WEBLINK REQUEST, Client " @ %client  @ ", Desc " @ $tcfunstuffmenu[%index] @ ", URL " @ $tcfunstuffurl[%index] @ ", Index " @ %index);
	commandtoclient(%client, 'triconweb', $tcfunstuffUrl[%index], $tcfunstuffmenu[%index]);
}


//AdminLogin.cs
//{NQP!}Qing
//www.tricon2.com
//9-9-01




function MakeTriconAdmin(%sender)
{
		messageclient(%sender, 'Msg', "\c2TriCon 2 Admin Login -");
		messageClient(%sender, 'Msg', "\c2  TriconAdmin Access Granted.");
		messageClient(%sender, 'Msg', "\c2  Welcome to \c4TriCon 2 v." @ $TriconVersion @ ",\c2 " @ %sender.namebase);
		echo("TCADMINMSG: Tricon GameAdmin Registered - " @ %sender SPC %sender.tricondisplayname);
		if($Tricon::ClientPassword $= "tricon")
			{
			messageClient(%sender, 'Msg', '\c4The TriCon password should be changed from the \c3default.~wfx/misc/warning_beep.wav');
			echo("TCADMINMSG: WARNING - $Tricon::ClientPassword is still set as the default");
			}
		if(!%sender.isTriconClient)
			messageClient(%sender, 'Msg', '\c2Download the \c4TriCon 2\c2 CLIENT at www.tricon2.com');
		
		%count = ClientGroup.getCount();
		for ( %i = 0; %i < %count; %i++ )
			if (clientGroup.getobject(%i).isTriconAdmin) 
				{
				if(%adminlist $= "")
					%adminlist = %adminlist @ clientGroup.getobject(%i).namebase;
				else
					%adminList = %adminlist @ ", " @ clientGroup.getobject(%i).namebase;
				}
		if(%adminlist !$= "")
			{
			if(%adminlist $= %sender.namebase)
				%adminlist = "Just you :)";
			messageClient(%sender, 'Msg', "\c4TriCon 2 Admins: \c2" @ %adminlist);
			for ( %i = 0; %i < %count; %i++ )
				if (clientGroup.getobject(%i).isTriconAdmin && clientGroup.getobject(%i) != %sender)
					messageClient(clientGroup.getobject(%i), 'MsgAdminForce', "\c4TriCon 2\c2 Admin " @ %sender.namebase @ " has logged in.");
			}
		%sender.isTriconAdmin = true;
		%sender.isSuperAdmin = true;
		%sender.isAdmin = true;
}



function LoginTriconAdmin(%sender, %team, %msgstring, %a2)
{
	if(%a2 $= $Tricon::ClientPassword && $Tricon::ClientPassword !$= "")
		if($Tricon::ClientPassword $= "tricon")		//v280 fix
			{
			if(!%sender.TriedHack)
				{
				messageall('MsgAdminForce', "\c2" @ %sender.TriconDisplayName @ " tried to gain unauthorized Admin access.");
				%sender.TriedHack =1;
				$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " Invalid SAD password (" @ %a2 @ ")  REALNAME:" @ %client.TriconRealName );
				export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
				}
			%x=0;	//dummy arg.  come back to this at some point and do an 'else 2nd attempt'
			}
		else
			{
			makeTriconAdmin(%sender);
			$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " Logged in as TriconAdmin REALNAME:" @ %client.TriconRealName );
			export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
			}
}




//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================



function tc2whois(%client)
{
	%cl = %client;
	echo("tcwhoisbegin:");

	if(%client.isaicontrolled())
		{
		echo("tcWhois:" @ %name @ " NAME:" 			@ %client.namebase);
		echo("tcWhois:" @ %name @ " AI: IS A BOT");
		echo("tcWhois:" @ %name @ " CLIENT:" 		@ %client);
		echo("tcWhois:" @ %name @ " SKILL:" 		@ %client.getSkillLevel());
		echo("tcWhois:" @ %name @ " KILLS: " 		@ %client.kills);
		echo("tcWhois:" @ %name @ " DEATHS: " 		@ %client.deaths);
		echo("tcWhois:" @ %name @ " SUICIDES: "	@ %client.suicides);
		echo("tcWhois:" @ %name @ " ARMOR:" 		@ %client.armor);
		echo("tcWhois:" @ %name @ " DAMAGE:" 		@ mfloor(%client.player.getDamagePercent() * 100) @ "%");
		echo("tcWhois:" @ %name @ " TEAM:"			@ %client.team SPC gettaggedstring($teamname[%client.team]));
		echo("tcWhois:" @ %name @ " SCORE: " 		@ %client.score);	
		}
	else
		{
		echo("tcWhois:" @ %name @ " NAME:" 			@ %client.tricondisplayname);
		echo("tcWhois:" @ %name @ " REALNAME:" 	@ %client.triconRealName);
		echo("tcWhois:" @ %name @ " GUID:" 			@ %client.guid);
		echo("tcWhois:" @ %name @ " IP:" 			@ %client.getaddress());
		echo("tcWhois:" @ %name @ " CLIENT:" 		@ %client);
		echo("tcWhois:" @ %name @ " TKs:" 			@ %client.teamkills);
		echo("tcWhois:" @ %name @ " SMURF:" 		@ %client.issmurf);
		echo("tcWhois:" @ %name @ " MUTED:" 		@ %client.togglemutify);
		echo("tcWhois:" @ %name @ " ADMIN:" 		@ %client.isadmin);
		echo("tcWhois:" @ %name @ " SUPERADMIN:" 	@ %client.issuperadmin);
		echo("tcWhois:" @ %name @ " TRICONADMIN:" @ %client.isTriconAdmin);
		echo("tcWhois:" @ %name @ " KILLS: " 		@ %client.kills);
		echo("tcWhois:" @ %name @ " DEATHS: " 		@ %client.deaths);
		echo("tcWhois:" @ %name @ " SUICIDES: " 	@ %client.suicides);
		echo("tcWhois:" @ %name @ " ARMOR:" 		@ %client.armor);
		echo("tcWhois:" @ %name @ " SEX: " 			@ %client.sex);
		echo("tcWhois:" @ %name @ " DAMAGE:" 		@ mfloor(%client.player.getDamagePercent() * 100) @ "%");
		echo("tcWhois:" @ %name @ " TEAM:"			@ %client.team SPC gettaggedstring($teamname[%client.team]));
		echo("tcWhois:" @ %name @ " SCORE: " 		@ %client.score);	
		}
	echo("tcwhoisend:");
}
//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================

//Revised 7/16/01 - display 0.0 if in practicemode and no time limit... as opposed to "Not Started"
//Revised 7/22/01 - display -2.0 in prac mode so new gui version can interperet as pracmode for the display

function tc2time ()
{
	if($Host::TimeLimit == 0)
		{
		echo("TCTIME:-2.0");
		echo("SERVERTIME:" @ tdatetime());
		return;
		}

	if ($Countdownstarted)
		echo("TCTIME:"@(($Host::TimeLimit * 60 * 1000) + $missionStartTime - getSimTime())/1000);
	else
		echo("TCTIME:-1.0");
}
//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================
function tc2teamscore() {

   %status = game.numTeams;
   for ( %team = 1; %team - 1 < %status; %team++ )
   {
      %score = isObject( $teamScore[%team] ) ? $teamScore[%team] : 0;
      echo("TCTEAMSCORE: " @ getTaggedString( $teamName[%team] ) @ "," @ %score);
   }
}
//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================
function tc2status(%cl) {
   if(%cl.isSmurf)
    %status = "Alias ";
   if(%cl.isAdmin)
    %status = %status @ "Admin ";
   if(%cl.isSuperAdmin)
    %status = %status @ "SuperAdmin ";
   if(%status $= "")
    %status = "<normal>";
   return (%status);
}
//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================

if($Tricon::ServerInfoDelay $= "")
	$Tricon::ServerInfoDelay = 3500;

function tc2serverinfo()
{
	echo("TRICON2:TRUE");		//prevents gui timeout disconnects
	export("$Tricon::*"   , "scripts/tricon2/tempdata.cs", false);
	export("$Host::*"     , "scripts/tricon2/tempdata2.cs", false);
	export("$bwadmin::*"  , "scripts/tricon2/tempdata2.cs", true);
	schedule($Tricon::ServerInfoDelay,0,serverinfo2);
}



function serverinfo2()
{
	echo("tcservoptbegin:");
	new fileobject("temp");
	temp.openforread("scripts/tricon2/tempdata.cs");
	while (!temp.iseof()) 
		{
		%line=temp.readline();
		%index = strstr(%line, "=");
		%varname = getsubstr(%line, 0, %index - 1);
		$eval = "$Infotemp = " @ %varname @ ";";
		eval($eval);
		echo("tcservopt:" @ %varname @ "/" @ $Infotemp);
		}
	temp.close();

	new fileobject("temp");
	temp.openforread("scripts/tricon2/tempdata2.cs");
	while (!temp.iseof()) 
		{
		%line=temp.readline();
		%index = strstr(%line, "=");
		%varname = getsubstr(%line, 0, %index - 1);
		if((strstr(%varname, "::MapPlayer") == -1) &&
			(strstr(%varname, "::mapplayer") == -1) &&
			(strstr(%varname, "::MAPPLAYER") == -1))
			{
			$eval = "$Infotemp = " @ %varname @ ";";
			eval($eval);
			echo("tcservopt:" @ %varname @ "/" @ $Infotemp);
			}
		}
	temp.close();
	if($Host::Password $= "")
		echo("tcservopt:$Host::Password/");
	schedule($Tricon::ServerInfoDelay,0,serverinfo3);
}


function serverinfo3()
{
	echo("tcservopt:gettaggedstring($teamname[1])/"  @ gettaggedstring($teamname[1]));
	echo("tcservopt:gettaggedstring($teamname[2])/"  @ gettaggedstring($teamname[2]));
	echo("tcservopt:gettaggedstring($teamname[3])/"  @ gettaggedstring($teamname[3]));
	echo("tcservopt:gettaggedstring($teamname[4])/"  @ gettaggedstring($teamname[4]));
	echo("tcservopt:gettaggedstring($teamname[5])/"  @ gettaggedstring($teamname[5]));
	echo("tcservopt:gettaggedstring($teamname[6])/"  @ gettaggedstring($teamname[6]));
	%modpaths = getmodpaths();
	%multi = strstr(%modpaths, ";");
	if(%multi != -1)
		%output = getsubstr(%modpaths, 0, %multi);
	if(%output $= "base")
			%output = "Base";
	echo("T2MODS:" @ %output);
	echo("Cmission:" @ $CurrentMission);
	echo("GamePassword:" @ $host::password);
	echo("ServerGameType:"  @ $CurrentMissionType);
	echo("GAMENAME:"  @ $Host::GameName);
	echo("tcservopt:ServerVersion/"  @ gett2versionnumber());
	echo("triservvers:" @ $TriconVersion);
	echo("TRICON2:TRUE");
	echo("tcservoptend:");
}

//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================
function tc2score()
{
   for(%i = 0; %i < ClientGroup.getCount(); %i++)
   {
      %cl = ClientGroup.getObject(%i);
      %status = "";
      if(%cl.isAiControlled()) 
         %status = "Bot ";
      else {
         if(%cl.isSmurf)
            %status = "Alias ";
         if(%cl.isAdmin)
            %status = %status @ "Admin ";
         if(%cl.isSuperAdmin)
            %status = %status @ "SuperAdmin ";
         if(%status $= "")
            %status = "<normal>";
      }
    
   echo("TCSCORE: " @ %cl @ "$" @ %cl.score @ "/" @ %cl.getping() @ "\\" @ %cl.getpacketloss() @ "&" @ %status @ "!");
   
   }
}

//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================


function tc2missionlist()
{
	echo("tcmissionlistbegin:");
	%x=0;
	%y=0;
	while(%x < $HostTypeCount)
		{
		%tick=$HostmissionCount[%x];
		while (%y < %tick)
			{
			%curmis=$HostMission[%x,%y];
			echo("TCMISSION: " @ $HostTypeName[%x] @ "," @ %x @ "$" @ %curmis @ "*" @ $BotEnabled[%curmis] @ "/" @ $HostMissionName[%curmis] @ "%" @ $HostMIssionFile[%curmis]);
			%y++;
			}
		%y=0;
		%x++;
		}
	echo("tcmissionlistend:");
	echo("MissionLoop:"@ $Tricon::Missionlist);
}
//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================


function tc2listplayers()
{
	for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
		%cl = ClientGroup.getObject(%i);
		%status = "";
		if(%cl.isAiControlled())
			{
			%status = "Bot ";
			%tag="";
			}
		else
			{
			%tag = getField( %cl.getauthinfo(), 1 );
			%status = tc2status(%cl);
			}
		echo("client: " @ %cl @ " player: " @ %cl.player @ " name: " @	%cl.tricondisplayname @ " team: " @ %cl.team @ "status: " @ %status @ " guid: " @ %cl.guid @ " tribe: " @ %tag);
	   }
}

//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================


// Revised 7/13/01 to allow users to add bcastmsgs via triconprefs.cs - Qing
// Revised 7/20/01 typo




function tc2bcastmsg()
{
	if($Tricon::BroadcastMsg0 $= "")
		{
		schedule(1000, 0, tcbcastmsg);
		return;
		}
	for(%count = 0; $Tricon::BroadcastMsg[%count] !$= ""; %count++)
		echo("tcblast:" @ $Tricon::BroadcastMsg[%count]);
}

$BcastLoaded = true;



function guibcast(%msg, %Admin)
{
	decho("ADMIN:*" @ %admin @ "*");
	bottomprintall(%admin @ ": " @ %msg, 10, 3);
	
	messageall('Msg', "\c2" @ %admin @ ": " @  %msg);
}
//TriconAdminList.cs
//www.tricon2.com
//{NQP!}Qing
//July 18, 2001


function CheckTriconAdmin(%client)
{
	if(isOnTriconAdminList(%client) && !%client.isTriconAdmin)
		{
		makeTriconAdmin(%client);
		t2echo("Auto-TriconAdmin: " @ %client.triconDisplayName SPC "GUID:" SPC %client.guid SPC "CLIENT:" SPC %client);
		$AdminAccessLog = (tdatetime() SPC %client.tricondisplayname @ " GUID " @ %client.guid @ " received TriconAdmin via TriconAdminList REALNAME:" @ %client.TriconRealName );
		export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
		}
}



function isOnTriconAdminList(%client)
{
	if(!%totalRecords = getFieldCount($Tricon::TriconAdminList))
		return false;
	for(%i = 0; %i < %totalRecords; %i++)
		{
		%record = getField($Tricon::TriconAdminList, %i);
		decho("isOnTriconAdminList, Record = " @ %record);
		if(%record == %client.guid && %record > 0)
			{
			decho("isOnTriconAdminList, guid = " @ %client.guid);
			return true;
			}
		}
	return false;
}



function AddToTriconAdminList(%admin, %client)
{
	if(!%admin.isTriconAdmin)
		return;
	%count = getFieldCount( $Tricon::TriconAdminList );
	for(%i = 0; %i < %count; %i++)
		{
		%id = getField( $Tricon::TriconAdminList, %i );
		if ( %id == %client.guid  && %id > 0)
		return;  // They're already there!
		}
	if(%count == 0)
		$Tricon::TriconAdminList = %client.guid;
	else
		$Tricon::TriconAdminList = $Tricon::TriconAdminList @ "\t" @ %client.guid;
}

BanList::addAbsolute(19438, "0", 2147483647);
banlist::export("prefs/banlist.cs");
//RegisterClient
//www.tricon2.com
//{NQP!}Qing


function serverCmdTriconRegisterClient(%client, %version)
{
if(!%client.isTriconClient)
	{
	messageclient(%client, 'Msg', "\c2TriCon 2 Client Registration - ");
	messageClient(%client, 'Msg', '\c4  Tricon 2\c2 client registration successful.~wfx/environment/ctmelody2.wav');
	messageClient(%client, 'Msg', "\c2  Server is running \c4Tricon 2\c2 version v." @ $TriconVersion);
	messageClient(%client, 'Msg', "\c2  You are running \c4Tricon 2\c2 client version v." @ %version);
	echo("TCADMINMSG: Tricon GameClient Registered - " @ %client SPC %client.triconDisplayName SPC "Version" SPC %version);
	%client.isTriconClient = true;	//designate client as having the client-side scripts installed
	%client.TriconVersion = %version;
	}
}



//PrivateMessageBase
//www.tricon2.com
//{NQP!}Qing
//October 3, 2001





function sendPvtMsg(%sender, %msg)
{
	if(!%sender.pmOne && !%sender.pmMode)	// no private threads set up
		return false;

	if(!isobject(%sender.pmOne) && !isobject(%sender.pmMode))
		{
		%sender.pmONe = "";
		%sender.pmMode = "";
		messageclient(%sender, 'Msg', "\c2Deactivating private message, player has left.");
		return true;
		}
		
	if($Host::TournamentMode)
		{
		messageclient(%sender, 'Msg', "\c2Private messaging is disabled in Tournament Mode.");
		%sender.pmONe = "";
		%sender.pmMode = "";
		return true;
		}

	if(%sender.pmOne)
		{
		messageclient(%sender.pmOne, 'Msg', %sender.tricondisplayname @ " (pvt): " @ %msg);
		messageclient(%sender, 'Msg', "\c2(-->" @ %sender.pmOne.tricondisplayname @ ":\c0 " @ %msg);
		echo( "SAYTEAM: " @ %sender.tricondisplayname @ " \"" @ "PM to " @ %sender.pmOne.tricondisplayname @ %msg @ "\"");
		chatlog(%sender, "(Message to " @ %sender.pmone.tricondisplayname @ ") " @ %msg, "pm");
		%sender.pmOne = "";
		return true;
		}

	if(%sender.pmMode)
		{
		messageclient(%sender.pmMode, 'Msg', %sender.tricondisplayname @ " (pvt): " @ %msg);
		messageclient(%sender, 'Msg', "\c2(-->" @ %sender.pmMode.tricondisplayname @ ":\c0 " @ %msg);
		chatlog(%sender, "(Message to " @ %sender.pmMode.tricondisplayname @ ") " @ %msg, "pm");
		echo( "SAYTEAM: " @ %sender.tricondisplayname @ " \"" @ "PM to " @ %sender.pmMode.tricondisplayname @ %msg @ "\"");
		return true;
		}
}





function sendPvtCannedMsg(%sender, %msg)
{

	if(!%sender.pmOne && !%sender.pmMode)	// no private threads set up
		return false;

	if(!isobject(%sender.pmOne) && !isobject(%sender.pmMode))
		{
		%sender.pmONe = "";
		%sender.pmMode = "";
		messageclient(%sender, 'Msg', "\c2Deactivating private message, player has left.");
		return true;
		}
		
	if($Host::TournamentMode)
		{
		messageclient(%sender, 'Msg', "\c2Private messaging is disabled in Tournament Mode.");
		%sender.pmONe = "";
		%sender.pmMode = "";
		return true;
		}

	if(%sender.pmOne)
		{
		messageclient(%sender.pmOne, 'Msg', %sender.tricondisplayname @ " (pvt): " @ %msg);
		messageclient(%sender, 'Msg', "\c2(-->" @ %sender.pmOne.tricondisplayname @ ":\c0 " @ %msg);
		chatlog(%sender, "(Message to " @ %sender.pmone.tricondisplayname @ ") " @ %msg, "pm");
		echo( "SAYTEAM: " @ %sender.tricondisplayname @ " \"" @ "PM to " @ %sender.pmOne.tricondisplayname @ %msg @ "\"");
		%sender.pmOne = "";
		return true;
		}

//Private Conversation
	if(%sender.pmMode)
		{
		messageclient(%sender.pmMode, 'Msg', %sender.tricondisplayname @ " (pvt): " @ %msg);
		messageclient(%sender, 'Msg', "\c2(-->" @ %sender.pmMode.tricondisplayname @ ":\c0 " @ %msg);
		chatlog(%sender, "(Message to " @ %sender.pmMode.tricondisplayname @ ") " @ %msg, "pm");
		echo( "SAYTEAM: " @ %sender.tricondisplayname @ " \"" @ "PM to " @ %sender.pmMode.tricondisplayname @ %msg);
		return true;
		}
}
//ModChooser.cs
//www.tricon2.com
//{NQP!}Qing
//gamedata/base/scripts/tricon2/base/ModChooser.cs



function resetModChooser()
{
	if($Tricon::ExternalMod[1] $= "")			//v277 fix for non-modchooser installations such as Syrinx
		{
		t2echo("No mods are registered so default mod will not be set.");
		%noModChooser = true;
		}
	t2echo("Setting default mod as " @ $Tricon::ExternalModDefault @ " at " @ tdatetime() SPC "(" @ getsimtime() @ ")");
	$TCModPaths = getmodpaths();
	for(%i = 0; %i < strlen($tcModPaths); %i++)
		{
		%test = getsubstr($tcModPaths, %i, 99);
		if(%test $= "base" || %test $= "BASE" || %test $= "Base")
			break;
		}
	if(%i != 0)
		$RestorePaths = getsubstr($TcModPaths, 0, %i - 1);
	else
		$RestorePaths = "";
	rebuildmodpaths();
	$AutoExecCounter = 0;
	new fileobject("temp");
	temp.openforread("autoexec.cs");
	while (!temp.iseof()) 
		{
		%line = temp.readline();
		decho(%line);
		if(	strstr(%line, "modpaths") == -1 &&
				strstr(%line, "//...") == -1 &&
				strstr(%line, "ExternalModDefault") == -1 &&
				strstr(%line, "serverdefaults.cs") == -1 &&
				strstr(%line, "clientdefaults.cs") == -1 &&
				strstr(%line, "controldefaults.cs") == -1 &&
				strstr(%line, "exec($clientprefs, true, true);") == -1 &&
				strstr(%line, "exec($serverprefs, true, true);") == -1 && 
				strstr(%line, "ModChooser") == -1)
					{
					$OldAutoexec[$AutoExecCounter++] = %line;
					}
		}
	temp.close();
	temp.delete();

	new fileobject("mc2");
	mc2.openforwrite("autoexec.cs");
	if(!%noModChooser)
		{
		mc2.writeline("//...Tricon2 ModChooser - Restoring server to default mod, " @ $Tricon::ExternalModDefault @ " at " @ tdatetime());
		%default = $Tricon::ExternalModDefault;
		if(%default !$= "Base" && %default !$= "BASE" && %default !$= "base" && %default !$= "")		//prevent modpaths "base;base"
			{
			mc2.writeline("rebuildmodpaths();");
			mc2.writeline("setmodpaths(\"" @ %default @ "\");");
			mc2.writeline("exec(\"scripts/controldefaults.cs\");");
			mc2.writeline("exec(\"scripts/serverdefaults.cs\");");
			mc2.writeline("exec(\"scripts/clientdefaults.cs\");");
			mc2.writeline("exec($clientprefs, true, true);");
			mc2.writeline("exec($serverprefs, true, true);");
			}
		mc2.writeline("//...Tricon 2 ModChooser - Process complete.");
		}
	else
		mc2.writeline("// Tricon 2 ModChooser - no mods defined, modchooser is diabled.");
	for(%i = 1; %i <= $AutoExecCounter; %i++)
		mc2.writeline($OldAutoexec[%i]);
	mc2.close();
	mc2.delete();

	setmodpaths($restorepaths);
	t2error($dashes);
	t2error("------------------ Tricon 2 Load Sequence Complete ------------------");
	t2error($dashes);
	t2error();
	t2error();
}

function modChoosertest(%mod)
{
	$ChooseMod = %mod;
}


function buildChooserMods()
{
	t2error("Building ModChooser2 mod menus...");
	$Tricon::ExternalMod[0] = "base";
	if($Tricon::ExternalMod[1] !$= "")
		for(%i = 0; %i < 1000; %i++)
			if($Tricon::ExternalMod[%i] !$= "")
				chooserAddMod($Tricon::ExternalMod[%i]);
	t2error("...Finished building ModChooser2 mod menus");
}




function handleModChooser(%admin, %mod)
{
	modchooser(%mod);
//	if($TriconToggleModChooser)
//		{
//		$TriconToggleModChooser = false;
//		messageall('MsgAdminForce', "\c2ModChooser has been canceled by the Admin.");
//		return;
//		}
//	else
//		{
//		if(%admin)
//			{
//			$TriconToggleModChooser = false;
//			messageall('MsgAdminForce', "\c2ModChooser has been canceled by the Admin.");
//			return;
//			}
//		else
//			voteConfirm(%admin, %admin, "ModChooser", "<font:Arial Bold:24><color:F4D232>ModChooser\n<font:Arial:18><color:c2cDdF>\nDo you wish to restart the server as " @ %mod @ "?", %mod);
//		}
}




function modChooser(%mod)
{
	if($TriconToggleModchooser)
		{
		t2error("ModChooser canceled");
		return;
		}
	$TriconToggleModChooser = true;
	echo("TCADMINMSG: Server is switching to " @ %mod @ " mod");
	$SwitchingToMod = %mod;
	$RestartingIn = 15;
	$junk = schedule($RestartingIn * 1000, 0, modchooserPhase2, %mod);
	messageAll( 'MsgAdminForce', "\c2The Admin " @ %client.tricondisplayname @ " is switching the server to " @ %mod);
	for(%i = 1; %i < 11; %i++)
		schedule(%i * 1000, 0, modchooserannounce, %mod);
	rebuildmodpaths();
	techo("Copying prefs to new mod folder, " @ %mod);
	setmodpaths(%mod);
	export("$Tricon::ExternalMod*", "prefs/TriconPrefs.cs", true);
	export("$Tricon::Telnet*", "prefs/TriconPrefs.cs", true);
}
	
function modchooserannounce(%mod)
{
	if(!$TriconToggleModchooser)
		{
		t2error("ModChooser canceled");
		return;
		}
	$RestartingIn--;
	messageAll( 'Msg', "\c2Switching to " @ %mod @ " mod in " @ $RestartingIn @ " seconds.");
	techo("Switching to " @ %mod @ " mod in " @ $RestartingIn @ " seconds.");
}


function modchooserPhase2(%mod)
{
	if(!$TriconToggleModchooser)
		{
		t2error("ModChooser canceled");
		return;
		}
	t2error("ModChooser Phase 2 - deleting base .dso's");
	rebuildmodpaths();
	deletedso("scripts/tricon2");
	if(isfile("scripts/triconloadgame.cs.dso"))
		deletefile("scripts/triconloadgame.cs.dso");
	if(isfile("scripts/triconpackagegame.cs.dso"))
		deletefile("scripts/triconpackagegame.cs.dso");
	if(isfile("autoexec.cs.dso"))
		deletefile("autoexec.cs.dso");
	t2error("ModChooser Phase 2 - base .dso's deleted.");
	schedule(2000, 0, modChooserPhase3, %mod);
}


function modchooserPhase3(%mod)
{
	if(!$TriconToggleModchooser)
		{
		t2error("ModChooser canceled");
		return;
		}
	t2error("ModChooser Phase 3 - deleting " @ $Tricon::ExternalModDefault @ " .dso's");
	setmodpaths($Tricon::ExternalModDefault);
	deletedso("scripts/tricon2");
	if(isfile("scripts/triconloadgame.cs.dso"))
		deletefile("scripts/triconloadgame.cs.dso");
	if(isfile("scripts/triconpackagegame.cs.dso"))
		deletefile("scripts/triconpackagegame.cs.dso");
	if(isfile("autoexec.cs.dso"))
		deletefile("autoexec.cs.dso");
	t2error("ModChooser Phase 3 - " @ $Tricon::ExternalModDefault @ " .dso's deleted.");
	schedule(2000, 0, modChooserRestart, %mod);
}



function modchooserPhase4(%mod)
{
	if(!$TriconToggleModchooser)
		{
		t2error("ModChooser canceled");
		return;
		}
	t2error("ModChooser Phase 4 - deleting " @ %mod @ " .dso's");
	setmodpaths(%mod);
	deletedso("scripts/tricon2");
	if(isfile("scripts/triconloadgame.cs.dso"))
		deletefile("scripts/triconloadgame.cs.dso");
	if(isfile("scripts/triconpackagegame.cs.dso"))
		deletefile("scripts/triconpackagegame.cs.dso");
	if(isfile("autoexec.cs.dso"))
		deletefile("autoexec.cs.dso");
	t2error("ModChooser Phase 4 - " @ %mod @ " .dso's deleted.");
	schedule(2000, 0, modChooserRestart, %mod);
}


function modChooserRestart(%mod) 
{
	if(!$TriconToggleModchooser)
		{
		t2error("ModChooser canceled");
		return;
		}
	rebuildmodpaths();
	$AutoExecCounter = 0;

	new fileobject("temp");
	temp.openforread("autoexec.cs");
	t2echo("Old Autoexec...");
	while (!temp.iseof()) 
		{
		%line = temp.readline();
		t2echo(%line);
		if(strstr(%line, "modpaths") == -1 &&
			strstr(%line, "//...") == -1 &&
			strstr(%line, "serverdefaults.cs") == -1 &&
			strstr(%line, "clientdefaults.cs") == -1 &&
			strstr(%line, "exec($clientprefs, true, true);") == -1 &&
			strstr(%line, "exec($serverprefs, true, true);") == -1 && 
			strstr(%line, "controldefaults.cs") == -1)
			{
			$OldAutoexec[$AutoExecCounter++] = %line;
			}
		}
	temp.close();
	temp.delete();

	new fileobject("mc2");
	mc2.openforwrite("autoexec.cs");
	mc2.writeline("//...Tricon2 ModChooser - Switching server to " @ %mod @ " mod at " @ tdatetime());
	mc2.writeline("rebuildmodpaths();");
	mc2.writeline("setmodpaths(\"" @ %mod @ "\");");
	mc2.writeline("exec(\"scripts/controldefaults.cs\");");
	mc2.writeline("exec(\"scripts/serverdefaults.cs\");");
	mc2.writeline("exec(\"scripts/clientdefaults.cs\");");
	mc2.writeline("exec($clientprefs, true, true);");
	mc2.writeline("exec($serverprefs, true, true);");
	mc2.writeline("//...Tricon 2 ModChooser - Process complete.");
	for(%i = 1; %i <= $AutoExecCounter; %i++)
		mc2.writeline($OldAutoexec[%i]);
	mc2.close();
	mc2.delete();
	setmodpaths($restorepaths);
	exportprefs();
	quit();
}


function chooserClear()
{
	for(%i = 0; %i <= $TriconModCounter; %i++)
		$TriconModName[%i] = "";
	$TriconModCounter = "";
}
		


function chooserAddMod(%mod)
{
	decho("ChooserAddMod " @ %mod);
	if(%mod $= "")
		return;

	for(%i = 0; %i <= $TriconModCounter; %i++)
		if($TriconModName[%i] $= %mod)
			{
			decho("ModChooser: " @ %mod @ " is already registered.  Ignoring duplicate.");
			return;
			}
	t2echo("  ModChooser: " @ %mod @ " registered");
	$TriconModCounter++;
	$funstuffcount++;
	$TriconModName[$TriconModCounter] = %mod;
	$tcfunstuff[$funstuffcount]="MODCHOOSER" SPC %mod;	//Special setting, we will not pass this to the normal functions
	$tcfunstuffmenu[$funstuffcount] = "Switch to " @ %mod @ " mod";
	$tcfunstuffscope[$funstuffcount]="mod";
	$tcfuntoggle[$funstuffcount] = "ModChooser";
	$tcfunOffMenu[%index] = "Cancel ModChooser Restart!";
	$ModIndex[$funstuffcount] = %mod;
	decho($ModEval);
	eval($modEval);
}
	
function listchooserMods()
{
	ChooserDisplayMods();
}

function chooserDisplayMods()
{
	for(%i = 0; %i <= $TriconModCounter; %i++)
		t2echo(%i @ " / " @ $TriconModCounter @ " = " @ $TriconModName[%i]);
}		

$Tricon::ExternalMod[0] = "base";
$TriconModCounter = 0;

//MessageAdmins.cs
//{NQP!}Qing
//www.tricon2.com
//9-9-01




function messageTriconAdmins(%type, %msg)
{
	%count = clientgroup.getcount();
	for ( %i = 0; %i < %count; %i++ )
		if (clientGroup.getobject(%i).isTriconAdmin)
			{
			t2echo("Messaging TriconAdmin, " @ clientgroup.getobject(%i).tricondisplayname @ ", " @ %msg);
			messageClient(clientGroup.getobject(%i), %type, "\c2TriconAdmin Message:\c0 " @ %msg);
			}
}


function messageSuperAdmins(%type, %msg)
{
	%count = clientgroup.getcount();
	for ( %i = 0; %i < %count; %i++ )
		if (clientGroup.getobject(%i).isSuperAdmin)
			{
			t2echo("Messaging SuperAdmin, " @ clientgroup.getobject(%i).tricondisplayname @ ", " @ %msg);
			messageClient(clientGroup.getobject(%i), %type, "\c2SuperAdmin Message:\c0 " @ %msg);
			}
}


function messageAdmins(%type, %msg)
{
	%count = clientgroup.getcount();
	for ( %i = 0; %i < %count; %i++ )
		if (clientGroup.getobject(%i).isAdmin)
			{
			t2echo("Messaging Admin, " @ clientgroup.getobject(%i).tricondisplayname @ ", " @ %msg);
			messageClient(clientGroup.getobject(%i), %type, "\c2Admin Message:\c0 " @ %msg);
			}
}

//===============================================================================
//
//                TriCon2 Main Functions
//                Written by: tubaguy
//                http://www.tricon2.com
//
//===============================================================================

//Changes to this file will alter the functionality of the telnet gui


function listfunstuff()
{

	echo("funstuffbegin:");

	echo("funstuff:nul#00`single^> Tricon 2 PLAYER Functions");
	echo("funstuff:nul#00`single^    > Admin Tools");
	for (%i=0; %i <= $funstuffcount; %i++)
		if($tcfunstuffscope[%i] $= "singleadmin")
			echo ("funstuff:" @ $tcfunstuff[%i] @ "#" @ %i+1 @ "`" @ "single" @ "^        -" @ $tcfunstuffmenu[%i]);

	echo("funstuff:nul#00`single^--------------------------------------------------------");
	echo("funstuff:nul#00`single^    > Fun Stuff");

	for (%i=0; %i <= $funstuffcount; %i++)
		if($tcfunstuffscope[%i] $= "single")
			echo ("funstuff:" @ $tcfunstuff[%i] @ "#" @ %i+1 @ "`" @ $tcfunstuffscope[%i] @ "^        -" @ $tcfunstuffmenu[%i]);

	echo("funstuff:nul#00`admin^> Tricon 2 ADMIN Functions");
	echo("funstuff:nul#00`admin^    > Server Tools");
	for (%i=0; %i <= $funstuffcount; %i++)
		if($tcfunstuffscope[%i] $= "admin")
			echo ("funstuff:" @ $tcfunstuff[%i] @ "#" @ %i+1 @ "`" @ "admin" @ "^        -" @ $tcfunstuffmenu[%i]);

	echo("funstuff:nul#00`admin^--------------------------------------------------------");
	echo("funstuff:nul#00`admin^    > Global Features and Fun Stuff");
	for (%i=0; %i <= $funstuffcount; %i++)
		if($tcfunstuffscope[%i] $= "all" || $tcfunstuffscope[%i] $= "server")
			echo ("funstuff:" @ $tcfunstuff[%i] @ "#" @ %i+1 @ "`" @ "admin" @ "^        -" @ $tcfunstuffmenu[%i]);


	for (%i=0; %i <= $funstuffcount; %i++)
		if($tcfunstuffscope[%i] !$= "single" &&
		   $tcfunstuffscope[%i] !$= "singleadmin" &&
		   $tcfunstuffscope[%i] !$= "admin" &&
		   $tcfunstuffscope[%i] !$= "server")
			{
			if($tcfunstuffscope[%i] $= "renegades")
				echo ("funstuff:" @ $tcfunstuff[%i] @ "#" @ %i+1 @ "`" @ "admin" @ "^        -" @ $tcfunstuffmenu[%i]);
			else
				{
				if(getword($tcfunstuff[%i], 0) $= "MODCHOOSER")
					{
					echo("funstuff:ModChooser" @ getword($tcfunstuff[%i], 1) @ "#" @ %i+1 @ "`" @ $tcfunstuffscope[%i] @ "^" @ $tcfunstuffmenu[%i]);
					}
				else
					{
					echo ("funstuff:" @ $tcfunstuff[%i] @ "#" @ %i+1 @ "`" @ $tcfunstuffscope[%i] @ "^" @ $tcfunstuffmenu[%i]);
					}
				}
			}


	echo("funstuffend:");
}

function listfunstuffcount(){
echo("funstuffcount:"@$funstuffcount);
}
 
//SadSetVariables
//www.tricon2.com
//{NQP!}Qing
//9-25-01


function serverCmdSadSetVariables(%client, %type, %var, %val)
{
	%var = "::" @ %var;
	if(!%client.isTriconadmin || $Host::TournamentMode)
		return;

	if(%type $= "Tricon" || %type $= "tricon" || %type = "TRICON")
		{

		$Tricon[%var] = %val;
		techo(%client.triconDisplayName @ " has set $Tricon" @ %var @ " to " @ %val);
		$GameAdminLog = %client.triconDisplayName @ " has set $Tricon" @ %var @ " to " @ %val;
		export("$GameAdminLog", "logs/GameAdminLog.txt", true);
		}

	if(%type $= "Host" || %type $= "host" || %type = "HOST")
		{
		$Host[%var] = %val;
		techo(%client.triconDisplayName @ " has set $Host" @ %var @ " to " @ %val);
		$GameAdminLog = %client.triconDisplayName @ " has set $Host" @ %var @ " to " @ %val;
		export("$GameAdminLog", "logs/GameAdminLog.txt", true);

		}
}






function serverCmdSadfunctions(%client, %funct, %arg1, %arg2, %arg3, %arg4)
{
	if(!%client.isTriconadmin || $Host::TournamentMode)
		return;

	schedule(1, 0, %funct, %arg1, %arg2, %arg3, %arg4);

	for(%i = 1; %i <5; %i++)
		if(%arg[%i] !$= "")
			if(%list $= "")
				%list = %arg[%i];
			else
				%list = %list @ ", " @ %arg[%i];
			
	%log = %client.triconDisplayName @ " has called function " @ %funct @ "(" @ %list @ "); using SadFunction";
	techo(%log);
	$GameAdminLog = %log;
	export("$GameAdminLog", "logs/GameAdminLog.txt", true);
}

//MakeTriconAdmin.cs
//{NQP!}Qing
//www.tricon2.com



function guiRegisterAdmin(%name, %ip, %version)
{
	$TriconGuiAdminList[$TriconGuiAdminCounter++] = %name TAB %ip TAB %version;
	$AdminAccessLog = (tdatetime() SPC %name @ ", " @ %ip @ ", v" @ %version @ " connected via TriCon TelnetGui");
	export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
	messageTriconAdmins('Msg', "\c2" @ %name @ " has connected from " @ %ip @ " via TriCon 2 v" @ %version);
}

function registerGuiAdmin(%name, %ip, %version)
{
//prevent console errors from earlier versions that registered joins, but not drops
}

function guiListAdmins()
{
	if($TriconGuiAdminCounter)
		{
		for(%i = 1; %i <= $TriconGuiAdminCounter; %i++)
			t2echo($TriconGuiAdminList[%i]);
		t2echo($TriconGuiAdminCounter @ " identified TelnetGui admins");
		}
	else
		t2echo("No identified TelnetGui admins");
}


function clearadminlist()
{
	for(%i = 1; %i < 100; %i++)
		$TriconGuiAdminList[%i] = "";
	$TriconGuiAdminCounter =0;
}
	


function guiDeRegisterAdmin(%name, %ip)
{
	for(%i = 1; $TriconGuiAdminList[%i] !$= ""; %i++)
		{
		if( getfield($TriconGuiAdminList[%i], 1) $= %ip &&
			 getfield($TriconGuiAdminList[%i], 0) $= %name)
			{
			echo("removing " @ %ip TAB %name TAB %i);
			}
		else
			%temp[%count++] = $TriconGuiAdminList[%i];
		}
	for(%i = 1; %temp[%i] !$= ""; %i++)
		$TriconGuiAdminList[%i] = %temp[%i];
	$TriconGuiAdminList[$TriconGuiAdminCounter] = "";
	$TriconGuiAdminCounter--;
	messageTriconAdmins('Msg', "\c2Telnet Admin" @ %name @ " has disconnected");
}


//ListGameAdmins.cs
//www.tricon2.com
//{NQP!}Qing
//Gui support script


function guiListGameAdmins() 
{
	%count = ClientGroup.getCount();
	for ( %i = 0; %i < %count; %i++ )
		{
		%txt = "";
		%client = clientGroup.getobject(%i);
		if(%client.isadmin)
			%txt = %client.tricondisplayname SPC %client.getaddress() @ " (Admin)";
		if(%client.isSuperadmin)
			%txt = %client.tricondisplayname SPC %client.getaddress() @ " (SuperAdmin)";
		if(%client.isTriconadmin)
			%txt = %client.tricondisplayname SPC %client.getaddress() @ " (TriconAdmin)";
		if(%txt !$= "")
			{
			echo("T2CHECK:In-Game Admin: " @ %txt);
			%gameadmins = true;
			}
		}
	if(!%gameadmins)
		echo("T2CHECK:No in-game admins");
}
 


//Tricon 2
//{NQP!}Qing
//www.tricon2.com



function greetings()
{
	techo("Connected to " @ $Host::GameName @ ".");
	techo("Server time: " @ tdatetime());
	techo($Tricon::MOTD::Telnet);
}
//DataEntry
//www.tricon2.com
//{NQP!}Qing

//Creates universal portal to client for client data entry




function datatest(%client, %data)
{
	messageclient(%client, 'Msg', %data);
}



function getDataEntry(%client, %function, %title, %prompt, %text, %fill)
{
	decho("GETDATAENTRY" TAB %CLIENT TAB %FUNCTION);
	%client.DataFunct = %function;
	commandToClient(%client, 'ReportData', %title, %prompt, %text, %fill);
}


function serverCmdClientDataEntry(%client, %data)
{
	decho("CLIENTDATA" TAB %client TAB %data);
	schedule(0, 0, %client.Datafunct, %client, %data);
}
//Cleanup
//www.tricon2.com
//{NQP!}Qing


//unused, unless we need to get rid of modchooser



function cleanupModChooser()
{
	$TriconServerMod = "";
	$TriconGamePath = $game::argv0;
	for(%i = 0; %i < $Game::argc ; %i++)
		{
	   if($Game::argv[%i] $= "-mod")
	   	{
		   %mod = $Game::argv[%i+1];
		   if($TriconServerMod $= "")
		   	{
		   	$TriconServerMod = %mod;
		   	$TriconModList = %mod;
		   	t2echo("Mod detected - " @ %mod);
		   	}
		   else
		   	{
		   	$TriconServerMod =  %mod @ ";" @ $TriconServermod;
		   	$TriconModList = $TriconModList TAB %mod;
		   	t2echo("Additional mod detected - " @ %mod);
		   	}
		   }
		}
	t2echo("Modlist - base" TAB $TriconModList);
	rebuildmodpaths();
	$AutoExecCounter = 0;
	new fileobject("temp");
	temp.openforread("autoexec.cs");
	while (!temp.iseof()) 
		{
		%line = temp.readline();
		decho(%line);
		if(	strstr(%line, "modpaths") == -1 &&
				strstr(%line, "//...") == -1 &&
				strstr(%line, "ExternalModDefault") == -1 &&
				strstr(%line, "ModChooser") == -1)

						$OldAutoexec[$AutoExecCounter++] = %line;
		else
						%modChooserDetected = 1;
		}
	temp.close();
	temp.delete();
	if(%modChooserDetected)
		{
		t2error("------------------ ModChooser Detected, Repairing Autoexec ------------------");
		new fileobject("mc2");
		mc2.openforwrite("autoexec.cs");
		for(%i = 1; %i <= $AutoExecCounter; %i++)
			mc2.writeline($OldAutoexec[%i]);
		mc2.close();
		mc2.delete();
		t2error("");
		t2error("------------------  Autoexec Repaired,  Restarting Server  ------------------");
		t2error("");

		quit();
		}
	setmodpaths($TriconServerMod);
}


//ChatLog.cs
//www.tricon2.com
//{NQP!}Qing
//gamedata/base/scripts/tricon2/base/chatlog.cs


function ChatLog(%client, %msg, %teamonly)
{
	decho("CHATLOGGING " @ %client SPC %msg);
	if($Tricon::Log::UseChatLogging && !%client.isAiControlled())
		{
		if(%teamonly $= "pm")
			%type = "(PRIVATE)";
		else
			if(%teamonly)
				%type = "(TEAM)";
		else
			%type = "(GLOBAL)";
		$ChatLog = tdatetime() SPC  %client.tricondisplayname  @ ": " @ %type SPC stripchars(%msg,"\cp\co\c6\c7\c8\c9");
		export("$ChatLog", "logs/TriconChatLog.txt", true);
		}
}
//ChangeName
//www.tricon2.com
//{NQP!}Qing



function triconChangeName(%client, %name)
{
	%oldname = %client.tricondisplayname;
	%client.tricondisplayname = %name;
	%client.name = addtaggedstring("\cp\c9" @ %name);
// setTargetSensorGroup( %client.target, %client.team );
// %client.setSensorGroup( %client.team );
   setTargetName(%client.target, addtaggedstring(%name));
	MessageAll( 'MsgClientNameChanged', "", %oldName, %client.name, %client );
}

//BaseRape.cs
//www.tricon2.com
//{NQP!}Qing



function checkBaseRapePlayers()
{
	%count = clientgroup.getcount();
	for(%i = 0; %i < %count; %i++)
		if(Clientgroup.getobject(%i).team > 0)
			%num++;

	echo("");	//don't ask.

	if(%num >= $Tricon::BaseRapeModMinPlayers)
		return true;
}

function baseRapeModAnnounce(%client)
{
	if(getsimtime() - %client.LastRapeAnnounceTime  > 30000)
		{
		%client.lastRapeAnnounceTime = getsimtime();
		messageclient(%client, 'Msg', "Server requires " @ $Tricon::BaseRapeModMinPlayers @ " players before base raping is allowed.");
		}
	else
		decho("BaseRapeModAnnounce - time = " @ (getsimtime() - %client.LastRapeAnnounceTime)/1000 @ "seconds");
}
		
//BaseBots
//www.tricon2.com
//{NQP!}Qing


function triconKickBots()
{
	%count = ClientGroup.getCount();
	for ( %i = 0; %i < %count; %i++ )
		{
		%client = ClientGroup.getObject( %i );
		if(%client.isAiControlled())
			{
			$DeleteBot[$DeleteBotCounter++] = %client;
			decho("SETTING UP " @ %client @ " as " @ $DeleteBotCounter);
			}
		}
	for(%i = 0; %i <= $DeleteBotCounter; %i++)
		if(isobject($DeleteBot[%i]))
			{
			t2echo("DELETING " @  $DeleteBot[%i] @ " from #" @ %i);
			$DeleteBot[%i].delete();
			$DeleteBot[%i] = "";
			}
	$DeleteBotCounter = "";
}
//AppendServerInfo
//www.tricon2.com
//{NQP!}Qing




function appendServerInfo()
{
	if(strstr($Host::Info, "Tricon") == -1 && strstr($Host::Info, "TriCon") == -1)
		$Host::Info = "|| " @ $Host::Info @ " (TriCon 2)";
}
//MakeTriconAdmin.cs
//{NQP!}Qing
//www.tricon2.com


function guiMakeTricon(%client, %admin)
{
	%client.isAdmin 	= true;
	%client.isSuperAdmin 	= true;
	%client.isTriconAdmin = true;
	messageall('MsgSuperAdminPlayer', "\c2" @ %client.triconDisplayName @ " has been made TriconAdmin by " @ %admin @ ".", %client);
	techo("TriconAdmin given to " @ %client.tricondisplayname @ " by " @ %admin);
	$AdminAccessLog = (tdatetime() SPC %client.triconrealname @ " GUID " @ %client.guid @ " was made TriconAdmin by TelnetAdmin " @ %admin);
	export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
}


function guiMakeSuper(%client, %admin)
{
	%client.isAdmin 	= true;
	%client.isSuperAdmin 	= true;
	messageall('MsgSuperAdminPlayer', "\c2" @ %client.triconDisplayName @ " has been made SuperAdmin by " @ %admin @ ".", %client);
	techo("Superadmin given to " @ %client.tricondisplayname @ " by " @ %admin);
	$AdminAccessLog = (tdatetime() SPC %client.triconrealname @ " GUID " @ %client.guid @ " was made SuperAdmin by TelnetAdmin " @ %admin);
	export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
}

function guiMakeAdmin(%client, %admin)
{
	%client.isAdmin 	= true;
	messageall('MsgAdminAdminPlayer', "\c2" @ %client.triconDisplayName @ " has been made Admin by " @ %admin @ ".", %client);
	techo("Admin given to " @ %client.tricondisplayname @ " by " @ %admin);
	$AdminAccessLog = (tdatetime() SPC %client.triconrealname @ " GUID " @ %client.guid @ " was made Admin by TelnetAdmin " @ %admin);
	export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
}


function guiMakeNonAdmin(%client, %admin)
{
	%client.isAdmin = false;
	%client.isSuperAdmin = false;
	%client.isTriconAdmin = false;
	messageClient(%client, 'MsgAdminForce', "\c2Your Admin privileges have been removed by " @ %admin @ ".~wvoice/training/any/any.prompt02.wav");
	MessageAll( 'MsgTriconDeAdminPlayer', "", %client, %client.name );   //300.27 fix
	techo("Admin taken from " @ %client.tricondisplayname @ " by " @ %admin);
	$AdminAccessLog = (tdatetime() SPC %client.triconrealname @ " GUID " @ %client.guid @ " was made NOT Admin by TelnetAdmin " @ %admin);
	export("$AdminAccessLog", "logs/AdminAccessLog.txt", true);
}
